/* A Bison parser, made by GNU Bison 3.7.6.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30706

/* Bison version string.  */
#define YYBISON_VERSION "3.7.6"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 1 "configparser.yy"

/* parser for config file (bison generated)
 * This file belongs to Worker, a file manager for UN*X/X11.
 * Copyright (C) 2003-2021 Ralf Hoffmann.
 * You can contact me at: ralf@boomerangsworld.de
 *   or http://www.boomerangsworld.de/worker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include "wdefines.h"
#include "wconfig.h"
#include "wcdoubleshortkey.hh"
#include "wcpath.hh"
#include "wcfiletype.hh"
#include "wchotkey.hh"
#include "wcbutton.hh"
#include <stdlib.h>
#include <string.h>
#include "worker_commands.h"
#include "configheader.h"
#include <list>
#include "verzeichnis.hh"
#include <map>
#include "dirfiltersettings.hh"
#include "layoutsettings.hh"
#include "simplelist.hh"
#include "worker_types.h"
#include "wconfig_types.hh"

using namespace CopyParams;

int lconfig_side;
int lconfig_pos;
List *lconfig_listp,
     *lconfig_listb,
     *lconfig_listft,
     *lconfig_listh,
     *lconfig_listsk,
     *lconfig_ignorelist;
command_list_t lconfig_listcom;
std::list< std::string > lconfig_pathjump_allow;
std::map< std::string, struct directory_presets > dir_presets;
std::string path;
struct directory_presets dir_preset;
NM_Filter dir_preset_filter;
WCButton *lconfig_bt1;
WCFiletype *lconfig_ft1, *old_lconfig_ft1;
std::list<WCFiletype*> filetypehier;
WCHotkey *lconfig_hk1;
WCDoubleShortkey *lconfig_dk;
WCPath *lconfig_p1;
int lconfig_id;
KeySym lconfig_nkeysym;
unsigned int lconfig_keymod;
char *lconfig_tstr;
std::shared_ptr< FunctionProto > lconfig_fp1;
char lconfig_error[256];
std::map<std::string, WConfig::ColorDef::label_colors_t> lconfig_labelcolors;
WConfig::ColorDef::label_colors_t lconfig_labelcolor;
std::string lconfig_labelcolor_name;
LayoutSettings layout_sets;
std::string lconfig_face_name;
int lconfig_face_color;
std::list< std::pair< std::string, int > > lconfig_faces_list;
std::vector< WorkerTypes::listcol_t > columns;

extern WConfig *lconfig;

extern int yyerror( const char *s );

void lconfig_parseinit(void)
{
  lconfig_listp = NULL;
  lconfig_listb = NULL;
  lconfig_listft = NULL;
  lconfig_listh = NULL;
  lconfig_listsk = NULL;
  lconfig_listcom = {};
  lconfig_ignorelist = NULL;
  lconfig_bt1 = NULL;
  lconfig_ft1 = NULL;
  lconfig_hk1 = NULL;
  lconfig_dk = NULL;
  lconfig_p1 = NULL;
  lconfig_tstr = NULL;
  lconfig_fp1 = NULL;
}

void lconfig_cleanup(void)
{
  // free all stuff in the list
  if ( lconfig_fp1 ) {
    lconfig_fp1.reset();
  }
  if ( lconfig_tstr != NULL ) {
    _freesafe( lconfig_tstr );
    lconfig_tstr = NULL;
  }
  if ( lconfig_p1 != NULL ) {
    delete lconfig_p1;
    lconfig_p1 = NULL;
  }
  if ( lconfig_dk != NULL ) {
    delete lconfig_dk;
    lconfig_dk = NULL;
  }
  if ( lconfig_hk1 != NULL ) {
    delete lconfig_hk1;
    lconfig_hk1 = NULL;
  }
  if ( lconfig_ft1 != NULL ) {
    delete lconfig_ft1;
    lconfig_ft1 = NULL;
  }
  if ( lconfig_bt1 != NULL ) {
    delete lconfig_bt1;
    lconfig_bt1 = NULL;
  }
  if ( lconfig_listp != NULL ) {
    lconfig_id = lconfig_listp->initEnum();
    lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
    while ( lconfig_p1 != NULL ) {
      delete lconfig_p1;
      lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
    }
    lconfig_listp->closeEnum( lconfig_id );
    delete lconfig_listp;
    lconfig_listp = NULL;
  }
  if ( lconfig_listb != NULL ) {
    lconfig_id = lconfig_listb->initEnum();
    lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
    while ( lconfig_bt1 != NULL ) {
      delete lconfig_bt1;
      lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
    }
    lconfig_listb->closeEnum( lconfig_id );
    delete lconfig_listb;
    lconfig_listb = NULL;
  }
  if ( lconfig_listft != NULL ) {
    lconfig_id = lconfig_listft->initEnum();
    lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
    while ( lconfig_ft1 != NULL ) {
      delete lconfig_ft1;
      lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
    }
    lconfig_listft->closeEnum( lconfig_id );
    delete lconfig_listft;
    lconfig_listft = NULL;
  }

  while ( filetypehier.size() > 0 ) {
      lconfig_ft1 = filetypehier.back();
      filetypehier.pop_back();
      delete lconfig_ft1;
      lconfig_ft1 = NULL;
  }

  if ( lconfig_listh != NULL ) {
    lconfig_id = lconfig_listh->initEnum();
    lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
    while ( lconfig_hk1 != NULL ) {
      delete lconfig_hk1;
      lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
    }
    lconfig_listh->closeEnum( lconfig_id );
    delete lconfig_listh;
    lconfig_listh = NULL;
  }
  if ( lconfig_listsk != NULL ) {
    lconfig_id = lconfig_listsk->initEnum();
    lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    while ( lconfig_dk != NULL ) {
      delete lconfig_dk;
      lconfig_listsk->removeFirstElement();
      lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
    }
    lconfig_listsk->closeEnum( lconfig_id );
    delete lconfig_listsk;
    lconfig_listsk = NULL;
  }
  lconfig_listcom.clear();
  if ( lconfig_ignorelist != NULL ) {
    lconfig_id = lconfig_ignorelist->initEnum();
    lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
    while ( lconfig_tstr != NULL ) {
      _freesafe( lconfig_tstr );
      lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
    }
    lconfig_ignorelist->closeEnum( lconfig_id );
    delete lconfig_ignorelist;
    lconfig_ignorelist = NULL;
  }
}

/*#define YYERROR_VERBOSE*/


#line 284 "configparser.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_CONFIGPARSER_HH_INCLUDED
# define YY_YY_CONFIGPARSER_HH_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    LEFTBRACE_WCP = 258,           /* LEFTBRACE_WCP  */
    RIGHTBRACE_WCP = 259,          /* RIGHTBRACE_WCP  */
    GLOBAL_WCP = 260,              /* GLOBAL_WCP  */
    COLORS_WCP = 261,              /* COLORS_WCP  */
    LANG_WCP = 262,                /* LANG_WCP  */
    PALETTE_WCP = 263,             /* PALETTE_WCP  */
    OWNOP_WCP = 264,               /* OWNOP_WCP  */
    LISTERSETS_WCP = 265,          /* LISTERSETS_WCP  */
    YES_WCP = 266,                 /* YES_WCP  */
    NO_WCP = 267,                  /* NO_WCP  */
    LEFT_WCP = 268,                /* LEFT_WCP  */
    RIGHT_WCP = 269,               /* RIGHT_WCP  */
    HBARTOP_WCP = 270,             /* HBARTOP_WCP  */
    HBARHEIGHT_WCP = 271,          /* HBARHEIGHT_WCP  */
    VBARLEFT_WCP = 272,            /* VBARLEFT_WCP  */
    VBARWIDTH_WCP = 273,           /* VBARWIDTH_WCP  */
    DISPLAYSETS_WCP = 274,         /* DISPLAYSETS_WCP  */
    NAME_WCP = 275,                /* NAME_WCP  */
    SIZE_WCP = 276,                /* SIZE_WCP  */
    TYPE_WCP = 277,                /* TYPE_WCP  */
    PERMISSION_WCP = 278,          /* PERMISSION_WCP  */
    OWNER_WCP = 279,               /* OWNER_WCP  */
    DESTINATION_WCP = 280,         /* DESTINATION_WCP  */
    MODTIME_WCP = 281,             /* MODTIME_WCP  */
    ACCTIME_WCP = 282,             /* ACCTIME_WCP  */
    CHGTIME_WCP = 283,             /* CHGTIME_WCP  */
    ROWS_WCP = 284,                /* ROWS_WCP  */
    COLUMNS_WCP = 285,             /* COLUMNS_WCP  */
    CACHESIZE_WCP = 286,           /* CACHESIZE_WCP  */
    OWNERSTYLE_WCP = 287,          /* OWNERSTYLE_WCP  */
    TERMINAL_WCP = 288,            /* TERMINAL_WCP  */
    USESTRINGFORDIRSIZE_WCP = 289, /* USESTRINGFORDIRSIZE_WCP  */
    TIMESETS_WCP = 290,            /* TIMESETS_WCP  */
    STYLE1_WCP = 291,              /* STYLE1_WCP  */
    STYLE2_WCP = 292,              /* STYLE2_WCP  */
    STYLE3_WCP = 293,              /* STYLE3_WCP  */
    DATE_WCP = 294,                /* DATE_WCP  */
    TIME_WCP = 295,                /* TIME_WCP  */
    DATESUBSTITUTION_WCP = 296,    /* DATESUBSTITUTION_WCP  */
    DATEBEFORETIME_WCP = 297,      /* DATEBEFORETIME_WCP  */
    STATEBAR_WCP = 298,            /* STATEBAR_WCP  */
    SELLVBAR_WCP = 299,            /* SELLVBAR_WCP  */
    UNSELLVBAR_WCP = 300,          /* UNSELLVBAR_WCP  */
    CLOCKBAR_WCP = 301,            /* CLOCKBAR_WCP  */
    REQUESTER_WCP = 302,           /* REQUESTER_WCP  */
    UNSELDIR_WCP = 303,            /* UNSELDIR_WCP  */
    SELDIR_WCP = 304,              /* SELDIR_WCP  */
    UNSELFILE_WCP = 305,           /* UNSELFILE_WCP  */
    SELFILE_WCP = 306,             /* SELFILE_WCP  */
    UNSELACTDIR_WCP = 307,         /* UNSELACTDIR_WCP  */
    SELACTDIR_WCP = 308,           /* SELACTDIR_WCP  */
    UNSELACTFILE_WCP = 309,        /* UNSELACTFILE_WCP  */
    SELACTFILE_WCP = 310,          /* SELACTFILE_WCP  */
    LVBG_WCP = 311,                /* LVBG_WCP  */
    STARTUP_WCP = 312,             /* STARTUP_WCP  */
    BUTTON_WCP = 313,              /* BUTTON_WCP  */
    BUTTONS_WCP = 314,             /* BUTTONS_WCP  */
    POSITION_WCP = 315,            /* POSITION_WCP  */
    TITLE_WCP = 316,               /* TITLE_WCP  */
    COMMANDS_WCP = 317,            /* COMMANDS_WCP  */
    SHORTKEYS_WCP = 318,           /* SHORTKEYS_WCP  */
    PATHS_WCP = 319,               /* PATHS_WCP  */
    PATH_WCP = 320,                /* PATH_WCP  */
    FILETYPES_WCP = 321,           /* FILETYPES_WCP  */
    FILETYPE_WCP = 322,            /* FILETYPE_WCP  */
    NORMAL_WCP = 323,              /* NORMAL_WCP  */
    NOTYETCHECKED_WCP = 324,       /* NOTYETCHECKED_WCP  */
    UNKNOWN_WCP = 325,             /* UNKNOWN_WCP  */
    NOSELECT_WCP = 326,            /* NOSELECT_WCP  */
    DIR_WCP = 327,                 /* DIR_WCP  */
    USEPATTERN_WCP = 328,          /* USEPATTERN_WCP  */
    USECONTENT_WCP = 329,          /* USECONTENT_WCP  */
    PATTERN_WCP = 330,             /* PATTERN_WCP  */
    CONTENT_WCP = 331,             /* CONTENT_WCP  */
    FTCOMMANDS_WCP = 332,          /* FTCOMMANDS_WCP  */
    DND_WCP = 333,                 /* DND_WCP  */
    DC_WCP = 334,                  /* DC_WCP  */
    SHOW_WCP = 335,                /* SHOW_WCP  */
    RAWSHOW_WCP = 336,             /* RAWSHOW_WCP  */
    USER_WCP = 337,                /* USER_WCP  */
    FLAGS_WCP = 338,               /* FLAGS_WCP  */
    IGNOREDIRS_WCP = 339,          /* IGNOREDIRS_WCP  */
    HOTKEYS_WCP = 340,             /* HOTKEYS_WCP  */
    HOTKEY_WCP = 341,              /* HOTKEY_WCP  */
    FONTS_WCP = 342,               /* FONTS_WCP  */
    GLOBALFONT_WCP = 343,          /* GLOBALFONT_WCP  */
    BUTTONFONT_WCP = 344,          /* BUTTONFONT_WCP  */
    LEFTFONT_WCP = 345,            /* LEFTFONT_WCP  */
    RIGHTFONT_WCP = 346,           /* RIGHTFONT_WCP  */
    TEXTVIEWFONT_WCP = 347,        /* TEXTVIEWFONT_WCP  */
    STATEBARFONT_WCP = 348,        /* STATEBARFONT_WCP  */
    CLOCKBARSETS_WCP = 349,        /* CLOCKBARSETS_WCP  */
    MODUS_WCP = 350,               /* MODUS_WCP  */
    TIMESPACE_WCP = 351,           /* TIMESPACE_WCP  */
    VERSION_WCP = 352,             /* VERSION_WCP  */
    EXTERN_WCP = 353,              /* EXTERN_WCP  */
    UPDATETIME_WCP = 354,          /* UPDATETIME_WCP  */
    PROGRAM_WCP = 355,             /* PROGRAM_WCP  */
    SHOWHINTS_WCP = 356,           /* SHOWHINTS_WCP  */
    KEY_WCP = 357,                 /* KEY_WCP  */
    DOUBLE_WCP = 358,              /* DOUBLE_WCP  */
    MOD_WCP = 359,                 /* MOD_WCP  */
    CONTROL_WCP = 360,             /* CONTROL_WCP  */
    SHIFT_WCP = 361,               /* SHIFT_WCP  */
    LOCK_WCP = 362,                /* LOCK_WCP  */
    MOD1_WCP = 363,                /* MOD1_WCP  */
    MOD2_WCP = 364,                /* MOD2_WCP  */
    MOD3_WCP = 365,                /* MOD3_WCP  */
    MOD4_WCP = 366,                /* MOD4_WCP  */
    MOD5_WCP = 367,                /* MOD5_WCP  */
    DNDACTION_WCP = 368,           /* DNDACTION_WCP  */
    DCACTION_WCP = 369,            /* DCACTION_WCP  */
    SHOWACTION_WCP = 370,          /* SHOWACTION_WCP  */
    RSHOWACTION_WCP = 371,         /* RSHOWACTION_WCP  */
    USERACTION_WCP = 372,          /* USERACTION_WCP  */
    ROWUP_WCP = 373,               /* ROWUP_WCP  */
    ROWDOWN_WCP = 374,             /* ROWDOWN_WCP  */
    CHANGEHIDDENFLAG_WCP = 375,    /* CHANGEHIDDENFLAG_WCP  */
    COPYOP_WCP = 376,              /* COPYOP_WCP  */
    FIRSTROW_WCP = 377,            /* FIRSTROW_WCP  */
    LASTROW_WCP = 378,             /* LASTROW_WCP  */
    PAGEUP_WCP = 379,              /* PAGEUP_WCP  */
    PAGEDOWN_WCP = 380,            /* PAGEDOWN_WCP  */
    SELECTOP_WCP = 381,            /* SELECTOP_WCP  */
    SELECTALLOP_WCP = 382,         /* SELECTALLOP_WCP  */
    SELECTNONEOP_WCP = 383,        /* SELECTNONEOP_WCP  */
    INVERTALLOP_WCP = 384,         /* INVERTALLOP_WCP  */
    PARENTDIROP_WCP = 385,         /* PARENTDIROP_WCP  */
    ENTERDIROP_WCP = 386,          /* ENTERDIROP_WCP  */
    CHANGELISTERSETOP_WCP = 387,   /* CHANGELISTERSETOP_WCP  */
    SWITCHLISTEROP_WCP = 388,      /* SWITCHLISTEROP_WCP  */
    FILTERSELECTOP_WCP = 389,      /* FILTERSELECTOP_WCP  */
    FILTERUNSELECTOP_WCP = 390,    /* FILTERUNSELECTOP_WCP  */
    PATHTOOTHERSIDEOP_WCP = 391,   /* PATHTOOTHERSIDEOP_WCP  */
    QUITOP_WCP = 392,              /* QUITOP_WCP  */
    DELETEOP_WCP = 393,            /* DELETEOP_WCP  */
    RELOADOP_WCP = 394,            /* RELOADOP_WCP  */
    MAKEDIROP_WCP = 395,           /* MAKEDIROP_WCP  */
    RENAMEOP_WCP = 396,            /* RENAMEOP_WCP  */
    DIRSIZEOP_WCP = 397,           /* DIRSIZEOP_WCP  */
    SIMDDOP_WCP = 398,             /* SIMDDOP_WCP  */
    STARTPROGOP_WCP = 399,         /* STARTPROGOP_WCP  */
    SEARCHENTRYOP_WCP = 400,       /* SEARCHENTRYOP_WCP  */
    ENTERPATHOP_WCP = 401,         /* ENTERPATHOP_WCP  */
    SCROLLLISTEROP_WCP = 402,      /* SCROLLLISTEROP_WCP  */
    CREATESYMLINKOP_WCP = 403,     /* CREATESYMLINKOP_WCP  */
    CHANGESYMLINKOP_WCP = 404,     /* CHANGESYMLINKOP_WCP  */
    CHMODOP_WCP = 405,             /* CHMODOP_WCP  */
    TOGGLELISTERMODEOP_WCP = 406,  /* TOGGLELISTERMODEOP_WCP  */
    SETSORTMODEOP_WCP = 407,       /* SETSORTMODEOP_WCP  */
    SETFILTEROP_WCP = 408,         /* SETFILTEROP_WCP  */
    SHORTKEYFROMLISTOP_WCP = 409,  /* SHORTKEYFROMLISTOP_WCP  */
    CHOWNOP_WCP = 410,             /* CHOWNOP_WCP  */
    WORKERCONFIG_WCP = 411,        /* WORKERCONFIG_WCP  */
    USERSTYLE_WCP = 412,           /* USERSTYLE_WCP  */
    DATESTRING_WCP = 413,          /* DATESTRING_WCP  */
    TIMESTRING_WCP = 414,          /* TIMESTRING_WCP  */
    COLOR_WCP = 415,               /* COLOR_WCP  */
    PATTERNIGNORECASE_WCP = 416,   /* PATTERNIGNORECASE_WCP  */
    PATTERNUSEREGEXP_WCP = 417,    /* PATTERNUSEREGEXP_WCP  */
    PATTERNUSEFULLNAME_WCP = 418,  /* PATTERNUSEFULLNAME_WCP  */
    COM_WCP = 419,                 /* COM_WCP  */
    SEPARATEEACHENTRY_WCP = 420,   /* SEPARATEEACHENTRY_WCP  */
    RECURSIVE_WCP = 421,           /* RECURSIVE_WCP  */
    START_WCP = 422,               /* START_WCP  */
    TERMINALWAIT_WCP = 423,        /* TERMINALWAIT_WCP  */
    SHOWOUTPUT_WCP = 424,          /* SHOWOUTPUT_WCP  */
    VIEWSTR_WCP = 425,             /* VIEWSTR_WCP  */
    SHOWOUTPUTINT_WCP = 426,       /* SHOWOUTPUTINT_WCP  */
    INBACKGROUND_WCP = 427,        /* INBACKGROUND_WCP  */
    TAKEDIRS_WCP = 428,            /* TAKEDIRS_WCP  */
    ACTIONNUMBER_WCP = 429,        /* ACTIONNUMBER_WCP  */
    HIDDENFILES_WCP = 430,         /* HIDDENFILES_WCP  */
    HIDE_WCP = 431,                /* HIDE_WCP  */
    TOGGLE_WCP = 432,              /* TOGGLE_WCP  */
    FOLLOWSYMLINKS_WCP = 433,      /* FOLLOWSYMLINKS_WCP  */
    MOVE_WCP = 434,                /* MOVE_WCP  */
    RENAME_WCP = 435,              /* RENAME_WCP  */
    SAMEDIR_WCP = 436,             /* SAMEDIR_WCP  */
    REQUESTDEST_WCP = 437,         /* REQUESTDEST_WCP  */
    REQUESTFLAGS_WCP = 438,        /* REQUESTFLAGS_WCP  */
    OVERWRITE_WCP = 439,           /* OVERWRITE_WCP  */
    ALWAYS_WCP = 440,              /* ALWAYS_WCP  */
    NEVER_WCP = 441,               /* NEVER_WCP  */
    COPYMODE_WCP = 442,            /* COPYMODE_WCP  */
    FAST_WCP = 443,                /* FAST_WCP  */
    PRESERVEATTR_WCP = 444,        /* PRESERVEATTR_WCP  */
    MODE_WCP = 445,                /* MODE_WCP  */
    ACTIVE_WCP = 446,              /* ACTIVE_WCP  */
    ACTIVE2OTHER_WCP = 447,        /* ACTIVE2OTHER_WCP  */
    SPECIAL_WCP = 448,             /* SPECIAL_WCP  */
    REQUEST_WCP = 449,             /* REQUEST_WCP  */
    CURRENT_WCP = 450,             /* CURRENT_WCP  */
    OTHER_WCP = 451,               /* OTHER_WCP  */
    FILTER_WCP = 452,              /* FILTER_WCP  */
    QUICK_WCP = 453,               /* QUICK_WCP  */
    ALSOACTIVE_WCP = 454,          /* ALSOACTIVE_WCP  */
    RESETDIRSIZES_WCP = 455,       /* RESETDIRSIZES_WCP  */
    KEEPFILETYPES_WCP = 456,       /* KEEPFILETYPES_WCP  */
    RELATIVE_WCP = 457,            /* RELATIVE_WCP  */
    ONFILES_WCP = 458,             /* ONFILES_WCP  */
    ONDIRS_WCP = 459,              /* ONDIRS_WCP  */
    SORTBY_WCP = 460,              /* SORTBY_WCP  */
    SORTFLAG_WCP = 461,            /* SORTFLAG_WCP  */
    REVERSE_WCP = 462,             /* REVERSE_WCP  */
    DIRLAST_WCP = 463,             /* DIRLAST_WCP  */
    DIRMIXED_WCP = 464,            /* DIRMIXED_WCP  */
    EXCLUDE_WCP = 465,             /* EXCLUDE_WCP  */
    INCLUDE_WCP = 466,             /* INCLUDE_WCP  */
    UNSET_WCP = 467,               /* UNSET_WCP  */
    UNSETALL_WCP = 468,            /* UNSETALL_WCP  */
    SCRIPTOP_WCP = 469,            /* SCRIPTOP_WCP  */
    NOP_WCP = 470,                 /* NOP_WCP  */
    PUSH_WCP = 471,                /* PUSH_WCP  */
    LABEL_WCP = 472,               /* LABEL_WCP  */
    IF_WCP = 473,                  /* IF_WCP  */
    END_WCP = 474,                 /* END_WCP  */
    POP_WCP = 475,                 /* POP_WCP  */
    SETTINGS_WCP = 476,            /* SETTINGS_WCP  */
    WINDOW_WCP = 477,              /* WINDOW_WCP  */
    GOTO_WCP = 478,                /* GOTO_WCP  */
    PUSHUSEOUTPUT_WCP = 479,       /* PUSHUSEOUTPUT_WCP  */
    DODEBUG_WCP = 480,             /* DODEBUG_WCP  */
    WPURECURSIVE_WCP = 481,        /* WPURECURSIVE_WCP  */
    WPUTAKEDIRS_WCP = 482,         /* WPUTAKEDIRS_WCP  */
    STACKNR_WCP = 483,             /* STACKNR_WCP  */
    PUSHSTRING_WCP = 484,          /* PUSHSTRING_WCP  */
    IFTEST_WCP = 485,              /* IFTEST_WCP  */
    IFLABEL_WCP = 486,             /* IFLABEL_WCP  */
    WINTYPE_WCP = 487,             /* WINTYPE_WCP  */
    OPEN_WCP = 488,                /* OPEN_WCP  */
    CLOSE_WCP = 489,               /* CLOSE_WCP  */
    LEAVE_WCP = 490,               /* LEAVE_WCP  */
    CHANGEPROGRESS_WCP = 491,      /* CHANGEPROGRESS_WCP  */
    CHANGETEXT_WCP = 492,          /* CHANGETEXT_WCP  */
    PROGRESSUSEOUTPUT_WCP = 493,   /* PROGRESSUSEOUTPUT_WCP  */
    WINTEXTUSEOUTPUT_WCP = 494,    /* WINTEXTUSEOUTPUT_WCP  */
    PROGRESS_WCP = 495,            /* PROGRESS_WCP  */
    WINTEXT_WCP = 496,             /* WINTEXT_WCP  */
    SHOWDIRCACHEOP_WCP = 497,      /* SHOWDIRCACHEOP_WCP  */
    INODE_WCP = 498,               /* INODE_WCP  */
    NLINK_WCP = 499,               /* NLINK_WCP  */
    BLOCKS_WCP = 500,              /* BLOCKS_WCP  */
    SHOWHEADER_WCP = 501,          /* SHOWHEADER_WCP  */
    LVHEADER_WCP = 502,            /* LVHEADER_WCP  */
    IGNORECASE_WCP = 503,          /* IGNORECASE_WCP  */
    LISTVIEWS_WCP = 504,           /* LISTVIEWS_WCP  */
    BLL_WCP = 505,                 /* BLL_WCP  */
    LBL_WCP = 506,                 /* LBL_WCP  */
    LLB_WCP = 507,                 /* LLB_WCP  */
    BL_WCP = 508,                  /* BL_WCP  */
    LB_WCP = 509,                  /* LB_WCP  */
    LAYOUT_WCP = 510,              /* LAYOUT_WCP  */
    BUTTONSVERT_WCP = 511,         /* BUTTONSVERT_WCP  */
    LISTVIEWSVERT_WCP = 512,       /* LISTVIEWSVERT_WCP  */
    LISTVIEWWEIGHT_WCP = 513,      /* LISTVIEWWEIGHT_WCP  */
    WEIGHTTOACTIVE_WCP = 514,      /* WEIGHTTOACTIVE_WCP  */
    EXTCOND_WCP = 515,             /* EXTCOND_WCP  */
    USEEXTCOND_WCP = 516,          /* USEEXTCOND_WCP  */
    SUBTYPE_WCP = 517,             /* SUBTYPE_WCP  */
    PARENTACTIONOP_WCP = 518,      /* PARENTACTIONOP_WCP  */
    NOOPERATIONOP_WCP = 519,       /* NOOPERATIONOP_WCP  */
    COLORMODE_WCP = 520,           /* COLORMODE_WCP  */
    DEFAULT_WCP = 521,             /* DEFAULT_WCP  */
    CUSTOM_WCP = 522,              /* CUSTOM_WCP  */
    UNSELECTCOLOR_WCP = 523,       /* UNSELECTCOLOR_WCP  */
    SELECTCOLOR_WCP = 524,         /* SELECTCOLOR_WCP  */
    UNSELECTACTIVECOLOR_WCP = 525, /* UNSELECTACTIVECOLOR_WCP  */
    SELECTACTIVECOLOR_WCP = 526,   /* SELECTACTIVECOLOR_WCP  */
    COLOREXTERNPROG_WCP = 527,     /* COLOREXTERNPROG_WCP  */
    PARENT_WCP = 528,              /* PARENT_WCP  */
    DONTCD_WCP = 529,              /* DONTCD_WCP  */
    DONTCHECKVIRTUAL_WCP = 530,    /* DONTCHECKVIRTUAL_WCP  */
    GOFTPOP_WCP = 531,             /* GOFTPOP_WCP  */
    HOSTNAME_WCP = 532,            /* HOSTNAME_WCP  */
    USERNAME_WCP = 533,            /* USERNAME_WCP  */
    PASSWORD_WCP = 534,            /* PASSWORD_WCP  */
    DONTENTERFTP_WCP = 535,        /* DONTENTERFTP_WCP  */
    ALWAYSSTOREPW_WCP = 536,       /* ALWAYSSTOREPW_WCP  */
    INTERNALVIEWOP_WCP = 537,      /* INTERNALVIEWOP_WCP  */
    CUSTOMFILES_WCP = 538,         /* CUSTOMFILES_WCP  */
    SHOWMODE_WCP = 539,            /* SHOWMODE_WCP  */
    SELECTED_WCP = 540,            /* SELECTED_WCP  */
    REVERSESEARCH_WCP = 541,       /* REVERSESEARCH_WCP  */
    MOUSECONF_WCP = 542,           /* MOUSECONF_WCP  */
    SELECTBUTTON_WCP = 543,        /* SELECTBUTTON_WCP  */
    ACTIVATEBUTTON_WCP = 544,      /* ACTIVATEBUTTON_WCP  */
    SCROLLBUTTON_WCP = 545,        /* SCROLLBUTTON_WCP  */
    SELECTMETHOD_WCP = 546,        /* SELECTMETHOD_WCP  */
    ALTERNATIVE_WCP = 547,         /* ALTERNATIVE_WCP  */
    SEARCHOP_WCP = 548,            /* SEARCHOP_WCP  */
    EDITCOMMAND_WCP = 549,         /* EDITCOMMAND_WCP  */
    SHOWPREVRESULTS_WCP = 550,     /* SHOWPREVRESULTS_WCP  */
    TEXTVIEW_WCP = 551,            /* TEXTVIEW_WCP  */
    TEXTVIEWHIGHLIGHTED_WCP = 552, /* TEXTVIEWHIGHLIGHTED_WCP  */
    TEXTVIEWSELECTION_WCP = 553,   /* TEXTVIEWSELECTION_WCP  */
    DIRBOOKMARKOP_WCP = 554,       /* DIRBOOKMARKOP_WCP  */
    OPENCONTEXTMENUOP_WCP = 555,   /* OPENCONTEXTMENUOP_WCP  */
    RUNCUSTOMACTION_WCP = 556,     /* RUNCUSTOMACTION_WCP  */
    CUSTOMNAME_WCP = 557,          /* CUSTOMNAME_WCP  */
    CONTEXTBUTTON_WCP = 558,       /* CONTEXTBUTTON_WCP  */
    ACTIVATEMOD_WCP = 559,         /* ACTIVATEMOD_WCP  */
    SCROLLMOD_WCP = 560,           /* SCROLLMOD_WCP  */
    CONTEXTMOD_WCP = 561,          /* CONTEXTMOD_WCP  */
    NONE_WCP = 562,                /* NONE_WCP  */
    CUSTOMACTION_WCP = 563,        /* CUSTOMACTION_WCP  */
    SAVE_WORKER_STATE_ON_EXIT_WCP = 564, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
    OPENWORKERMENUOP_WCP = 565,    /* OPENWORKERMENUOP_WCP  */
    CHANGELABELOP_WCP = 566,       /* CHANGELABELOP_WCP  */
    ASKFORLABEL_WCP = 567,         /* ASKFORLABEL_WCP  */
    LABELCOLORS_WCP = 568,         /* LABELCOLORS_WCP  */
    BOOKMARKLABEL_WCP = 569,       /* BOOKMARKLABEL_WCP  */
    BOOKMARKFILTER_WCP = 570,      /* BOOKMARKFILTER_WCP  */
    SHOWONLYBOOKMARKS_WCP = 571,   /* SHOWONLYBOOKMARKS_WCP  */
    SHOWONLYLABEL_WCP = 572,       /* SHOWONLYLABEL_WCP  */
    SHOWALL_WCP = 573,             /* SHOWALL_WCP  */
    OPTIONMODE_WCP = 574,          /* OPTIONMODE_WCP  */
    INVERT_WCP = 575,              /* INVERT_WCP  */
    SET_WCP = 576,                 /* SET_WCP  */
    CHANGEFILTERS_WCP = 577,       /* CHANGEFILTERS_WCP  */
    CHANGEBOOKMARKS_WCP = 578,     /* CHANGEBOOKMARKS_WCP  */
    QUERYLABEL_WCP = 579,          /* QUERYLABEL_WCP  */
    MODIFYTABSOP_WCP = 580,        /* MODIFYTABSOP_WCP  */
    TABACTION_WCP = 581,           /* TABACTION_WCP  */
    NEWTAB_WCP = 582,              /* NEWTAB_WCP  */
    CLOSECURRENTTAB_WCP = 583,     /* CLOSECURRENTTAB_WCP  */
    NEXTTAB_WCP = 584,             /* NEXTTAB_WCP  */
    PREVTAB_WCP = 585,             /* PREVTAB_WCP  */
    TOGGLELOCKSTATE_WCP = 586,     /* TOGGLELOCKSTATE_WCP  */
    MOVETABLEFT_WCP = 587,         /* MOVETABLEFT_WCP  */
    MOVETABRIGHT_WCP = 588,        /* MOVETABRIGHT_WCP  */
    CHANGELAYOUTOP_WCP = 589,      /* CHANGELAYOUTOP_WCP  */
    INFIXSEARCH_WCP = 590,         /* INFIXSEARCH_WCP  */
    VOLUMEMANAGEROP_WCP = 591,     /* VOLUMEMANAGEROP_WCP  */
    ERROR = 592,                   /* ERROR  */
    ACTIVESIDE_WCP = 593,          /* ACTIVESIDE_WCP  */
    SHOWFREESPACE_WCP = 594,       /* SHOWFREESPACE_WCP  */
    ACTIVEMODE_WCP = 595,          /* ACTIVEMODE_WCP  */
    ASK_WCP = 596,                 /* ASK_WCP  */
    SSHALLOW_WCP = 597,            /* SSHALLOW_WCP  */
    FIELD_WIDTH_WCP = 598,         /* FIELD_WIDTH_WCP  */
    QUICKSEARCHENABLED_WCP = 599,  /* QUICKSEARCHENABLED_WCP  */
    FILTEREDSEARCHENABLED_WCP = 600, /* FILTEREDSEARCHENABLED_WCP  */
    XFTFONTS_WCP = 601,            /* XFTFONTS_WCP  */
    USEMAGIC_WCP = 602,            /* USEMAGIC_WCP  */
    MAGICPATTERN_WCP = 603,        /* MAGICPATTERN_WCP  */
    MAGICCOMPRESSED_WCP = 604,     /* MAGICCOMPRESSED_WCP  */
    MAGICMIME_WCP = 605,           /* MAGICMIME_WCP  */
    VOLUMEMANAGER_WCP = 606,       /* VOLUMEMANAGER_WCP  */
    MOUNTCOMMAND_WCP = 607,        /* MOUNTCOMMAND_WCP  */
    UNMOUNTCOMMAND_WCP = 608,      /* UNMOUNTCOMMAND_WCP  */
    FSTABFILE_WCP = 609,           /* FSTABFILE_WCP  */
    MTABFILE_WCP = 610,            /* MTABFILE_WCP  */
    PARTFILE_WCP = 611,            /* PARTFILE_WCP  */
    REQUESTACTION_WCP = 612,       /* REQUESTACTION_WCP  */
    SIZEH_WCP = 613,               /* SIZEH_WCP  */
    NEXTAGING_WCP = 614,           /* NEXTAGING_WCP  */
    ENTRY_WCP = 615,               /* ENTRY_WCP  */
    PREFIX_WCP = 616,              /* PREFIX_WCP  */
    VALUE_WCP = 617,               /* VALUE_WCP  */
    EXTENSION_WCP = 618,           /* EXTENSION_WCP  */
    EJECTCOMMAND_WCP = 619,        /* EJECTCOMMAND_WCP  */
    CLOSETRAYCOMMAND_WCP = 620,    /* CLOSETRAYCOMMAND_WCP  */
    AVFSMODULE_WCP = 621,          /* AVFSMODULE_WCP  */
    FLEXIBLEMATCH_WCP = 622,       /* FLEXIBLEMATCH_WCP  */
    USE_VERSION_STRING_COMPARE_WCP = 623, /* USE_VERSION_STRING_COMPARE_WCP  */
    SWITCHBUTTONBANKOP_WCP = 624,  /* SWITCHBUTTONBANKOP_WCP  */
    SWITCHTONEXTBANK_WCP = 625,    /* SWITCHTONEXTBANK_WCP  */
    SWITCHTOPREVBANK_WCP = 626,    /* SWITCHTOPREVBANK_WCP  */
    SWITCHTOBANKNR_WCP = 627,      /* SWITCHTOBANKNR_WCP  */
    BANKNR_WCP = 628,              /* BANKNR_WCP  */
    USE_VIRTUAL_TEMP_COPIES_WCP = 629, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
    PATHJUMPOP_WCP = 630,          /* PATHJUMPOP_WCP  */
    PATHJUMPALLOWDIRS_WCP = 631,   /* PATHJUMPALLOWDIRS_WCP  */
    CLIPBOARDOP_WCP = 632,         /* CLIPBOARDOP_WCP  */
    CLIPBOARDSTRING_WCP = 633,     /* CLIPBOARDSTRING_WCP  */
    COMMANDSTRING_WCP = 634,       /* COMMANDSTRING_WCP  */
    EVALCOMMAND_WCP = 635,         /* EVALCOMMAND_WCP  */
    WATCHMODE_WCP = 636,           /* WATCHMODE_WCP  */
    APPLY_WINDOW_DIALOG_TYPE_WCP = 637, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
    FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 638, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
    COMMANDMENUOP_WCP = 639,       /* COMMANDMENUOP_WCP  */
    SEARCHMODEONKEYPRESS_WCP = 640, /* SEARCHMODEONKEYPRESS_WCP  */
    PATHENTRYONTOP_WCP = 641,      /* PATHENTRYONTOP_WCP  */
    STORE_FILES_ALWAYS_WCP = 642,  /* STORE_FILES_ALWAYS_WCP  */
    PATHJUMPSETS_WCP = 643,        /* PATHJUMPSETS_WCP  */
    SHOWDOTDOT_WCP = 644,          /* SHOWDOTDOT_WCP  */
    SHOWBREADCRUMB_WCP = 645,      /* SHOWBREADCRUMB_WCP  */
    FACES_WCP = 646,               /* FACES_WCP  */
    FACE_WCP = 647,                /* FACE_WCP  */
    ENABLE_INFO_LINE_WCP = 648,    /* ENABLE_INFO_LINE_WCP  */
    INFO_LINE_LUA_MODE_WCP = 649,  /* INFO_LINE_LUA_MODE_WCP  */
    INFO_LINE_CONTENT_WCP = 650,   /* INFO_LINE_CONTENT_WCP  */
    RESTORE_TABS_MODE_WCP = 651,   /* RESTORE_TABS_MODE_WCP  */
    STORE_TABS_MODE_WCP = 652,     /* STORE_TABS_MODE_WCP  */
    AS_EXIT_STATE_WCP = 653,       /* AS_EXIT_STATE_WCP  */
    USE_EXTENDED_REGEX_WCP = 654,  /* USE_EXTENDED_REGEX_WCP  */
    HIGHLIGHT_USER_ACTION_WCP = 655, /* HIGHLIGHT_USER_ACTION_WCP  */
    CHTIMEOP_WCP = 656,            /* CHTIMEOP_WCP  */
    ADJUSTRELATIVESYMLINKS_WCP = 657, /* ADJUSTRELATIVESYMLINKS_WCP  */
    OUTSIDE_WCP = 658,             /* OUTSIDE_WCP  */
    EDIT_WCP = 659,                /* EDIT_WCP  */
    MAKEABSOLUTE_WCP = 660,        /* MAKEABSOLUTE_WCP  */
    MAKERELATIVE_WCP = 661,        /* MAKERELATIVE_WCP  */
    MAGICIGNORECASE_WCP = 662,     /* MAGICIGNORECASE_WCP  */
    ENSURE_FILE_PERMISSIONS_WCP = 663, /* ENSURE_FILE_PERMISSIONS_WCP  */
    USER_RW_WCP = 664,             /* USER_RW_WCP  */
    USER_RW_GROUP_R_WCP = 665,     /* USER_RW_GROUP_R_WCP  */
    USER_RW_ALL_R_WCP = 666,       /* USER_RW_ALL_R_WCP  */
    LEAVE_UNMODIFIED_WCP = 667,    /* LEAVE_UNMODIFIED_WCP  */
    PREFERUDISKSVERSION_WCP = 668, /* PREFERUDISKSVERSION_WCP  */
    CHANGECOLUMNSOP_WCP = 669,     /* CHANGECOLUMNSOP_WCP  */
    PATTERNISCOMMASEPARATED_WCP = 670, /* PATTERNISCOMMASEPARATED_WCP  */
    STRCASECMP_WCP = 671,          /* STRCASECMP_WCP  */
    USE_STRING_COMPARE_MODE_WCP = 672, /* USE_STRING_COMPARE_MODE_WCP  */
    VIEWNEWESTFILESOP_WCP = 673,   /* VIEWNEWESTFILESOP_WCP  */
    SHOWRECENT_WCP = 674,          /* SHOWRECENT_WCP  */
    DIRCOMPAREOP_WCP = 675,        /* DIRCOMPAREOP_WCP  */
    TABPROFILESOP_WCP = 676,       /* TABPROFILESOP_WCP  */
    EXTERNALVDIROP_WCP = 677,      /* EXTERNALVDIROP_WCP  */
    VDIR_PRESERVE_DIR_STRUCTURE_WCP = 678, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
    OPENTABMENUOP_WCP = 679,       /* OPENTABMENUOP_WCP  */
    INITIALTAB_WCP = 680,          /* INITIALTAB_WCP  */
    SHOWBYTIME_WCP = 681,          /* SHOWBYTIME_WCP  */
    SHOWBYFILTER_WCP = 682,        /* SHOWBYFILTER_WCP  */
    SHOWBYPROGRAM_WCP = 683,       /* SHOWBYPROGRAM_WCP  */
    TERMINAL_RETURNS_EARLY_WCP = 684, /* TERMINAL_RETURNS_EARLY_WCP  */
    DIRECTORYPRESETS_WCP = 685,    /* DIRECTORYPRESETS_WCP  */
    DIRECTORYPRESET_WCP = 686,     /* DIRECTORYPRESET_WCP  */
    HELPOP_WCP = 687,              /* HELPOP_WCP  */
    PRIORITY_WCP = 688,            /* PRIORITY_WCP  */
    AUTOFILTER_WCP = 689,          /* AUTOFILTER_WCP  */
    ENABLE_CUSTOM_LVB_LINE_WCP = 690, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
    CUSTOM_LVB_LINE_WCP = 691,     /* CUSTOM_LVB_LINE_WCP  */
    CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 692, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
    IMMEDIATE_FILTER_APPLY_WCP = 693, /* IMMEDIATE_FILTER_APPLY_WCP  */
    DISABLEBGCHECKPREFIX_WCP = 694, /* DISABLEBGCHECKPREFIX_WCP  */
    DISPLAYMODE_WCP = 695,         /* DISPLAYMODE_WCP  */
    SHOWSUBDIRS_WCP = 696,         /* SHOWSUBDIRS_WCP  */
    SHOWDIRECTSUBDIRS_WCP = 697,   /* SHOWDIRECTSUBDIRS_WCP  */
    INCLUDEALL_WCP = 698,          /* INCLUDEALL_WCP  */
    STRING_WCP = 699,              /* STRING_WCP  */
    NUM_WCP = 700                  /* NUM_WCP  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define LEFTBRACE_WCP 258
#define RIGHTBRACE_WCP 259
#define GLOBAL_WCP 260
#define COLORS_WCP 261
#define LANG_WCP 262
#define PALETTE_WCP 263
#define OWNOP_WCP 264
#define LISTERSETS_WCP 265
#define YES_WCP 266
#define NO_WCP 267
#define LEFT_WCP 268
#define RIGHT_WCP 269
#define HBARTOP_WCP 270
#define HBARHEIGHT_WCP 271
#define VBARLEFT_WCP 272
#define VBARWIDTH_WCP 273
#define DISPLAYSETS_WCP 274
#define NAME_WCP 275
#define SIZE_WCP 276
#define TYPE_WCP 277
#define PERMISSION_WCP 278
#define OWNER_WCP 279
#define DESTINATION_WCP 280
#define MODTIME_WCP 281
#define ACCTIME_WCP 282
#define CHGTIME_WCP 283
#define ROWS_WCP 284
#define COLUMNS_WCP 285
#define CACHESIZE_WCP 286
#define OWNERSTYLE_WCP 287
#define TERMINAL_WCP 288
#define USESTRINGFORDIRSIZE_WCP 289
#define TIMESETS_WCP 290
#define STYLE1_WCP 291
#define STYLE2_WCP 292
#define STYLE3_WCP 293
#define DATE_WCP 294
#define TIME_WCP 295
#define DATESUBSTITUTION_WCP 296
#define DATEBEFORETIME_WCP 297
#define STATEBAR_WCP 298
#define SELLVBAR_WCP 299
#define UNSELLVBAR_WCP 300
#define CLOCKBAR_WCP 301
#define REQUESTER_WCP 302
#define UNSELDIR_WCP 303
#define SELDIR_WCP 304
#define UNSELFILE_WCP 305
#define SELFILE_WCP 306
#define UNSELACTDIR_WCP 307
#define SELACTDIR_WCP 308
#define UNSELACTFILE_WCP 309
#define SELACTFILE_WCP 310
#define LVBG_WCP 311
#define STARTUP_WCP 312
#define BUTTON_WCP 313
#define BUTTONS_WCP 314
#define POSITION_WCP 315
#define TITLE_WCP 316
#define COMMANDS_WCP 317
#define SHORTKEYS_WCP 318
#define PATHS_WCP 319
#define PATH_WCP 320
#define FILETYPES_WCP 321
#define FILETYPE_WCP 322
#define NORMAL_WCP 323
#define NOTYETCHECKED_WCP 324
#define UNKNOWN_WCP 325
#define NOSELECT_WCP 326
#define DIR_WCP 327
#define USEPATTERN_WCP 328
#define USECONTENT_WCP 329
#define PATTERN_WCP 330
#define CONTENT_WCP 331
#define FTCOMMANDS_WCP 332
#define DND_WCP 333
#define DC_WCP 334
#define SHOW_WCP 335
#define RAWSHOW_WCP 336
#define USER_WCP 337
#define FLAGS_WCP 338
#define IGNOREDIRS_WCP 339
#define HOTKEYS_WCP 340
#define HOTKEY_WCP 341
#define FONTS_WCP 342
#define GLOBALFONT_WCP 343
#define BUTTONFONT_WCP 344
#define LEFTFONT_WCP 345
#define RIGHTFONT_WCP 346
#define TEXTVIEWFONT_WCP 347
#define STATEBARFONT_WCP 348
#define CLOCKBARSETS_WCP 349
#define MODUS_WCP 350
#define TIMESPACE_WCP 351
#define VERSION_WCP 352
#define EXTERN_WCP 353
#define UPDATETIME_WCP 354
#define PROGRAM_WCP 355
#define SHOWHINTS_WCP 356
#define KEY_WCP 357
#define DOUBLE_WCP 358
#define MOD_WCP 359
#define CONTROL_WCP 360
#define SHIFT_WCP 361
#define LOCK_WCP 362
#define MOD1_WCP 363
#define MOD2_WCP 364
#define MOD3_WCP 365
#define MOD4_WCP 366
#define MOD5_WCP 367
#define DNDACTION_WCP 368
#define DCACTION_WCP 369
#define SHOWACTION_WCP 370
#define RSHOWACTION_WCP 371
#define USERACTION_WCP 372
#define ROWUP_WCP 373
#define ROWDOWN_WCP 374
#define CHANGEHIDDENFLAG_WCP 375
#define COPYOP_WCP 376
#define FIRSTROW_WCP 377
#define LASTROW_WCP 378
#define PAGEUP_WCP 379
#define PAGEDOWN_WCP 380
#define SELECTOP_WCP 381
#define SELECTALLOP_WCP 382
#define SELECTNONEOP_WCP 383
#define INVERTALLOP_WCP 384
#define PARENTDIROP_WCP 385
#define ENTERDIROP_WCP 386
#define CHANGELISTERSETOP_WCP 387
#define SWITCHLISTEROP_WCP 388
#define FILTERSELECTOP_WCP 389
#define FILTERUNSELECTOP_WCP 390
#define PATHTOOTHERSIDEOP_WCP 391
#define QUITOP_WCP 392
#define DELETEOP_WCP 393
#define RELOADOP_WCP 394
#define MAKEDIROP_WCP 395
#define RENAMEOP_WCP 396
#define DIRSIZEOP_WCP 397
#define SIMDDOP_WCP 398
#define STARTPROGOP_WCP 399
#define SEARCHENTRYOP_WCP 400
#define ENTERPATHOP_WCP 401
#define SCROLLLISTEROP_WCP 402
#define CREATESYMLINKOP_WCP 403
#define CHANGESYMLINKOP_WCP 404
#define CHMODOP_WCP 405
#define TOGGLELISTERMODEOP_WCP 406
#define SETSORTMODEOP_WCP 407
#define SETFILTEROP_WCP 408
#define SHORTKEYFROMLISTOP_WCP 409
#define CHOWNOP_WCP 410
#define WORKERCONFIG_WCP 411
#define USERSTYLE_WCP 412
#define DATESTRING_WCP 413
#define TIMESTRING_WCP 414
#define COLOR_WCP 415
#define PATTERNIGNORECASE_WCP 416
#define PATTERNUSEREGEXP_WCP 417
#define PATTERNUSEFULLNAME_WCP 418
#define COM_WCP 419
#define SEPARATEEACHENTRY_WCP 420
#define RECURSIVE_WCP 421
#define START_WCP 422
#define TERMINALWAIT_WCP 423
#define SHOWOUTPUT_WCP 424
#define VIEWSTR_WCP 425
#define SHOWOUTPUTINT_WCP 426
#define INBACKGROUND_WCP 427
#define TAKEDIRS_WCP 428
#define ACTIONNUMBER_WCP 429
#define HIDDENFILES_WCP 430
#define HIDE_WCP 431
#define TOGGLE_WCP 432
#define FOLLOWSYMLINKS_WCP 433
#define MOVE_WCP 434
#define RENAME_WCP 435
#define SAMEDIR_WCP 436
#define REQUESTDEST_WCP 437
#define REQUESTFLAGS_WCP 438
#define OVERWRITE_WCP 439
#define ALWAYS_WCP 440
#define NEVER_WCP 441
#define COPYMODE_WCP 442
#define FAST_WCP 443
#define PRESERVEATTR_WCP 444
#define MODE_WCP 445
#define ACTIVE_WCP 446
#define ACTIVE2OTHER_WCP 447
#define SPECIAL_WCP 448
#define REQUEST_WCP 449
#define CURRENT_WCP 450
#define OTHER_WCP 451
#define FILTER_WCP 452
#define QUICK_WCP 453
#define ALSOACTIVE_WCP 454
#define RESETDIRSIZES_WCP 455
#define KEEPFILETYPES_WCP 456
#define RELATIVE_WCP 457
#define ONFILES_WCP 458
#define ONDIRS_WCP 459
#define SORTBY_WCP 460
#define SORTFLAG_WCP 461
#define REVERSE_WCP 462
#define DIRLAST_WCP 463
#define DIRMIXED_WCP 464
#define EXCLUDE_WCP 465
#define INCLUDE_WCP 466
#define UNSET_WCP 467
#define UNSETALL_WCP 468
#define SCRIPTOP_WCP 469
#define NOP_WCP 470
#define PUSH_WCP 471
#define LABEL_WCP 472
#define IF_WCP 473
#define END_WCP 474
#define POP_WCP 475
#define SETTINGS_WCP 476
#define WINDOW_WCP 477
#define GOTO_WCP 478
#define PUSHUSEOUTPUT_WCP 479
#define DODEBUG_WCP 480
#define WPURECURSIVE_WCP 481
#define WPUTAKEDIRS_WCP 482
#define STACKNR_WCP 483
#define PUSHSTRING_WCP 484
#define IFTEST_WCP 485
#define IFLABEL_WCP 486
#define WINTYPE_WCP 487
#define OPEN_WCP 488
#define CLOSE_WCP 489
#define LEAVE_WCP 490
#define CHANGEPROGRESS_WCP 491
#define CHANGETEXT_WCP 492
#define PROGRESSUSEOUTPUT_WCP 493
#define WINTEXTUSEOUTPUT_WCP 494
#define PROGRESS_WCP 495
#define WINTEXT_WCP 496
#define SHOWDIRCACHEOP_WCP 497
#define INODE_WCP 498
#define NLINK_WCP 499
#define BLOCKS_WCP 500
#define SHOWHEADER_WCP 501
#define LVHEADER_WCP 502
#define IGNORECASE_WCP 503
#define LISTVIEWS_WCP 504
#define BLL_WCP 505
#define LBL_WCP 506
#define LLB_WCP 507
#define BL_WCP 508
#define LB_WCP 509
#define LAYOUT_WCP 510
#define BUTTONSVERT_WCP 511
#define LISTVIEWSVERT_WCP 512
#define LISTVIEWWEIGHT_WCP 513
#define WEIGHTTOACTIVE_WCP 514
#define EXTCOND_WCP 515
#define USEEXTCOND_WCP 516
#define SUBTYPE_WCP 517
#define PARENTACTIONOP_WCP 518
#define NOOPERATIONOP_WCP 519
#define COLORMODE_WCP 520
#define DEFAULT_WCP 521
#define CUSTOM_WCP 522
#define UNSELECTCOLOR_WCP 523
#define SELECTCOLOR_WCP 524
#define UNSELECTACTIVECOLOR_WCP 525
#define SELECTACTIVECOLOR_WCP 526
#define COLOREXTERNPROG_WCP 527
#define PARENT_WCP 528
#define DONTCD_WCP 529
#define DONTCHECKVIRTUAL_WCP 530
#define GOFTPOP_WCP 531
#define HOSTNAME_WCP 532
#define USERNAME_WCP 533
#define PASSWORD_WCP 534
#define DONTENTERFTP_WCP 535
#define ALWAYSSTOREPW_WCP 536
#define INTERNALVIEWOP_WCP 537
#define CUSTOMFILES_WCP 538
#define SHOWMODE_WCP 539
#define SELECTED_WCP 540
#define REVERSESEARCH_WCP 541
#define MOUSECONF_WCP 542
#define SELECTBUTTON_WCP 543
#define ACTIVATEBUTTON_WCP 544
#define SCROLLBUTTON_WCP 545
#define SELECTMETHOD_WCP 546
#define ALTERNATIVE_WCP 547
#define SEARCHOP_WCP 548
#define EDITCOMMAND_WCP 549
#define SHOWPREVRESULTS_WCP 550
#define TEXTVIEW_WCP 551
#define TEXTVIEWHIGHLIGHTED_WCP 552
#define TEXTVIEWSELECTION_WCP 553
#define DIRBOOKMARKOP_WCP 554
#define OPENCONTEXTMENUOP_WCP 555
#define RUNCUSTOMACTION_WCP 556
#define CUSTOMNAME_WCP 557
#define CONTEXTBUTTON_WCP 558
#define ACTIVATEMOD_WCP 559
#define SCROLLMOD_WCP 560
#define CONTEXTMOD_WCP 561
#define NONE_WCP 562
#define CUSTOMACTION_WCP 563
#define SAVE_WORKER_STATE_ON_EXIT_WCP 564
#define OPENWORKERMENUOP_WCP 565
#define CHANGELABELOP_WCP 566
#define ASKFORLABEL_WCP 567
#define LABELCOLORS_WCP 568
#define BOOKMARKLABEL_WCP 569
#define BOOKMARKFILTER_WCP 570
#define SHOWONLYBOOKMARKS_WCP 571
#define SHOWONLYLABEL_WCP 572
#define SHOWALL_WCP 573
#define OPTIONMODE_WCP 574
#define INVERT_WCP 575
#define SET_WCP 576
#define CHANGEFILTERS_WCP 577
#define CHANGEBOOKMARKS_WCP 578
#define QUERYLABEL_WCP 579
#define MODIFYTABSOP_WCP 580
#define TABACTION_WCP 581
#define NEWTAB_WCP 582
#define CLOSECURRENTTAB_WCP 583
#define NEXTTAB_WCP 584
#define PREVTAB_WCP 585
#define TOGGLELOCKSTATE_WCP 586
#define MOVETABLEFT_WCP 587
#define MOVETABRIGHT_WCP 588
#define CHANGELAYOUTOP_WCP 589
#define INFIXSEARCH_WCP 590
#define VOLUMEMANAGEROP_WCP 591
#define ERROR 592
#define ACTIVESIDE_WCP 593
#define SHOWFREESPACE_WCP 594
#define ACTIVEMODE_WCP 595
#define ASK_WCP 596
#define SSHALLOW_WCP 597
#define FIELD_WIDTH_WCP 598
#define QUICKSEARCHENABLED_WCP 599
#define FILTEREDSEARCHENABLED_WCP 600
#define XFTFONTS_WCP 601
#define USEMAGIC_WCP 602
#define MAGICPATTERN_WCP 603
#define MAGICCOMPRESSED_WCP 604
#define MAGICMIME_WCP 605
#define VOLUMEMANAGER_WCP 606
#define MOUNTCOMMAND_WCP 607
#define UNMOUNTCOMMAND_WCP 608
#define FSTABFILE_WCP 609
#define MTABFILE_WCP 610
#define PARTFILE_WCP 611
#define REQUESTACTION_WCP 612
#define SIZEH_WCP 613
#define NEXTAGING_WCP 614
#define ENTRY_WCP 615
#define PREFIX_WCP 616
#define VALUE_WCP 617
#define EXTENSION_WCP 618
#define EJECTCOMMAND_WCP 619
#define CLOSETRAYCOMMAND_WCP 620
#define AVFSMODULE_WCP 621
#define FLEXIBLEMATCH_WCP 622
#define USE_VERSION_STRING_COMPARE_WCP 623
#define SWITCHBUTTONBANKOP_WCP 624
#define SWITCHTONEXTBANK_WCP 625
#define SWITCHTOPREVBANK_WCP 626
#define SWITCHTOBANKNR_WCP 627
#define BANKNR_WCP 628
#define USE_VIRTUAL_TEMP_COPIES_WCP 629
#define PATHJUMPOP_WCP 630
#define PATHJUMPALLOWDIRS_WCP 631
#define CLIPBOARDOP_WCP 632
#define CLIPBOARDSTRING_WCP 633
#define COMMANDSTRING_WCP 634
#define EVALCOMMAND_WCP 635
#define WATCHMODE_WCP 636
#define APPLY_WINDOW_DIALOG_TYPE_WCP 637
#define FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP 638
#define COMMANDMENUOP_WCP 639
#define SEARCHMODEONKEYPRESS_WCP 640
#define PATHENTRYONTOP_WCP 641
#define STORE_FILES_ALWAYS_WCP 642
#define PATHJUMPSETS_WCP 643
#define SHOWDOTDOT_WCP 644
#define SHOWBREADCRUMB_WCP 645
#define FACES_WCP 646
#define FACE_WCP 647
#define ENABLE_INFO_LINE_WCP 648
#define INFO_LINE_LUA_MODE_WCP 649
#define INFO_LINE_CONTENT_WCP 650
#define RESTORE_TABS_MODE_WCP 651
#define STORE_TABS_MODE_WCP 652
#define AS_EXIT_STATE_WCP 653
#define USE_EXTENDED_REGEX_WCP 654
#define HIGHLIGHT_USER_ACTION_WCP 655
#define CHTIMEOP_WCP 656
#define ADJUSTRELATIVESYMLINKS_WCP 657
#define OUTSIDE_WCP 658
#define EDIT_WCP 659
#define MAKEABSOLUTE_WCP 660
#define MAKERELATIVE_WCP 661
#define MAGICIGNORECASE_WCP 662
#define ENSURE_FILE_PERMISSIONS_WCP 663
#define USER_RW_WCP 664
#define USER_RW_GROUP_R_WCP 665
#define USER_RW_ALL_R_WCP 666
#define LEAVE_UNMODIFIED_WCP 667
#define PREFERUDISKSVERSION_WCP 668
#define CHANGECOLUMNSOP_WCP 669
#define PATTERNISCOMMASEPARATED_WCP 670
#define STRCASECMP_WCP 671
#define USE_STRING_COMPARE_MODE_WCP 672
#define VIEWNEWESTFILESOP_WCP 673
#define SHOWRECENT_WCP 674
#define DIRCOMPAREOP_WCP 675
#define TABPROFILESOP_WCP 676
#define EXTERNALVDIROP_WCP 677
#define VDIR_PRESERVE_DIR_STRUCTURE_WCP 678
#define OPENTABMENUOP_WCP 679
#define INITIALTAB_WCP 680
#define SHOWBYTIME_WCP 681
#define SHOWBYFILTER_WCP 682
#define SHOWBYPROGRAM_WCP 683
#define TERMINAL_RETURNS_EARLY_WCP 684
#define DIRECTORYPRESETS_WCP 685
#define DIRECTORYPRESET_WCP 686
#define HELPOP_WCP 687
#define PRIORITY_WCP 688
#define AUTOFILTER_WCP 689
#define ENABLE_CUSTOM_LVB_LINE_WCP 690
#define CUSTOM_LVB_LINE_WCP 691
#define CUSTOM_DIRECTORY_INFO_COMMAND_WCP 692
#define IMMEDIATE_FILTER_APPLY_WCP 693
#define DISABLEBGCHECKPREFIX_WCP 694
#define DISPLAYMODE_WCP 695
#define SHOWSUBDIRS_WCP 696
#define SHOWDIRECTSUBDIRS_WCP 697
#define INCLUDEALL_WCP 698
#define STRING_WCP 699
#define NUM_WCP 700

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 214 "configparser.yy"

  int num;
  char *strptr;

#line 1232 "configparser.cc"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_CONFIGPARSER_HH_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_LEFTBRACE_WCP = 3,              /* LEFTBRACE_WCP  */
  YYSYMBOL_RIGHTBRACE_WCP = 4,             /* RIGHTBRACE_WCP  */
  YYSYMBOL_GLOBAL_WCP = 5,                 /* GLOBAL_WCP  */
  YYSYMBOL_COLORS_WCP = 6,                 /* COLORS_WCP  */
  YYSYMBOL_LANG_WCP = 7,                   /* LANG_WCP  */
  YYSYMBOL_PALETTE_WCP = 8,                /* PALETTE_WCP  */
  YYSYMBOL_OWNOP_WCP = 9,                  /* OWNOP_WCP  */
  YYSYMBOL_LISTERSETS_WCP = 10,            /* LISTERSETS_WCP  */
  YYSYMBOL_YES_WCP = 11,                   /* YES_WCP  */
  YYSYMBOL_NO_WCP = 12,                    /* NO_WCP  */
  YYSYMBOL_LEFT_WCP = 13,                  /* LEFT_WCP  */
  YYSYMBOL_RIGHT_WCP = 14,                 /* RIGHT_WCP  */
  YYSYMBOL_HBARTOP_WCP = 15,               /* HBARTOP_WCP  */
  YYSYMBOL_HBARHEIGHT_WCP = 16,            /* HBARHEIGHT_WCP  */
  YYSYMBOL_VBARLEFT_WCP = 17,              /* VBARLEFT_WCP  */
  YYSYMBOL_VBARWIDTH_WCP = 18,             /* VBARWIDTH_WCP  */
  YYSYMBOL_DISPLAYSETS_WCP = 19,           /* DISPLAYSETS_WCP  */
  YYSYMBOL_NAME_WCP = 20,                  /* NAME_WCP  */
  YYSYMBOL_SIZE_WCP = 21,                  /* SIZE_WCP  */
  YYSYMBOL_TYPE_WCP = 22,                  /* TYPE_WCP  */
  YYSYMBOL_PERMISSION_WCP = 23,            /* PERMISSION_WCP  */
  YYSYMBOL_OWNER_WCP = 24,                 /* OWNER_WCP  */
  YYSYMBOL_DESTINATION_WCP = 25,           /* DESTINATION_WCP  */
  YYSYMBOL_MODTIME_WCP = 26,               /* MODTIME_WCP  */
  YYSYMBOL_ACCTIME_WCP = 27,               /* ACCTIME_WCP  */
  YYSYMBOL_CHGTIME_WCP = 28,               /* CHGTIME_WCP  */
  YYSYMBOL_ROWS_WCP = 29,                  /* ROWS_WCP  */
  YYSYMBOL_COLUMNS_WCP = 30,               /* COLUMNS_WCP  */
  YYSYMBOL_CACHESIZE_WCP = 31,             /* CACHESIZE_WCP  */
  YYSYMBOL_OWNERSTYLE_WCP = 32,            /* OWNERSTYLE_WCP  */
  YYSYMBOL_TERMINAL_WCP = 33,              /* TERMINAL_WCP  */
  YYSYMBOL_USESTRINGFORDIRSIZE_WCP = 34,   /* USESTRINGFORDIRSIZE_WCP  */
  YYSYMBOL_TIMESETS_WCP = 35,              /* TIMESETS_WCP  */
  YYSYMBOL_STYLE1_WCP = 36,                /* STYLE1_WCP  */
  YYSYMBOL_STYLE2_WCP = 37,                /* STYLE2_WCP  */
  YYSYMBOL_STYLE3_WCP = 38,                /* STYLE3_WCP  */
  YYSYMBOL_DATE_WCP = 39,                  /* DATE_WCP  */
  YYSYMBOL_TIME_WCP = 40,                  /* TIME_WCP  */
  YYSYMBOL_DATESUBSTITUTION_WCP = 41,      /* DATESUBSTITUTION_WCP  */
  YYSYMBOL_DATEBEFORETIME_WCP = 42,        /* DATEBEFORETIME_WCP  */
  YYSYMBOL_STATEBAR_WCP = 43,              /* STATEBAR_WCP  */
  YYSYMBOL_SELLVBAR_WCP = 44,              /* SELLVBAR_WCP  */
  YYSYMBOL_UNSELLVBAR_WCP = 45,            /* UNSELLVBAR_WCP  */
  YYSYMBOL_CLOCKBAR_WCP = 46,              /* CLOCKBAR_WCP  */
  YYSYMBOL_REQUESTER_WCP = 47,             /* REQUESTER_WCP  */
  YYSYMBOL_UNSELDIR_WCP = 48,              /* UNSELDIR_WCP  */
  YYSYMBOL_SELDIR_WCP = 49,                /* SELDIR_WCP  */
  YYSYMBOL_UNSELFILE_WCP = 50,             /* UNSELFILE_WCP  */
  YYSYMBOL_SELFILE_WCP = 51,               /* SELFILE_WCP  */
  YYSYMBOL_UNSELACTDIR_WCP = 52,           /* UNSELACTDIR_WCP  */
  YYSYMBOL_SELACTDIR_WCP = 53,             /* SELACTDIR_WCP  */
  YYSYMBOL_UNSELACTFILE_WCP = 54,          /* UNSELACTFILE_WCP  */
  YYSYMBOL_SELACTFILE_WCP = 55,            /* SELACTFILE_WCP  */
  YYSYMBOL_LVBG_WCP = 56,                  /* LVBG_WCP  */
  YYSYMBOL_STARTUP_WCP = 57,               /* STARTUP_WCP  */
  YYSYMBOL_BUTTON_WCP = 58,                /* BUTTON_WCP  */
  YYSYMBOL_BUTTONS_WCP = 59,               /* BUTTONS_WCP  */
  YYSYMBOL_POSITION_WCP = 60,              /* POSITION_WCP  */
  YYSYMBOL_TITLE_WCP = 61,                 /* TITLE_WCP  */
  YYSYMBOL_COMMANDS_WCP = 62,              /* COMMANDS_WCP  */
  YYSYMBOL_SHORTKEYS_WCP = 63,             /* SHORTKEYS_WCP  */
  YYSYMBOL_PATHS_WCP = 64,                 /* PATHS_WCP  */
  YYSYMBOL_PATH_WCP = 65,                  /* PATH_WCP  */
  YYSYMBOL_FILETYPES_WCP = 66,             /* FILETYPES_WCP  */
  YYSYMBOL_FILETYPE_WCP = 67,              /* FILETYPE_WCP  */
  YYSYMBOL_NORMAL_WCP = 68,                /* NORMAL_WCP  */
  YYSYMBOL_NOTYETCHECKED_WCP = 69,         /* NOTYETCHECKED_WCP  */
  YYSYMBOL_UNKNOWN_WCP = 70,               /* UNKNOWN_WCP  */
  YYSYMBOL_NOSELECT_WCP = 71,              /* NOSELECT_WCP  */
  YYSYMBOL_DIR_WCP = 72,                   /* DIR_WCP  */
  YYSYMBOL_USEPATTERN_WCP = 73,            /* USEPATTERN_WCP  */
  YYSYMBOL_USECONTENT_WCP = 74,            /* USECONTENT_WCP  */
  YYSYMBOL_PATTERN_WCP = 75,               /* PATTERN_WCP  */
  YYSYMBOL_CONTENT_WCP = 76,               /* CONTENT_WCP  */
  YYSYMBOL_FTCOMMANDS_WCP = 77,            /* FTCOMMANDS_WCP  */
  YYSYMBOL_DND_WCP = 78,                   /* DND_WCP  */
  YYSYMBOL_DC_WCP = 79,                    /* DC_WCP  */
  YYSYMBOL_SHOW_WCP = 80,                  /* SHOW_WCP  */
  YYSYMBOL_RAWSHOW_WCP = 81,               /* RAWSHOW_WCP  */
  YYSYMBOL_USER_WCP = 82,                  /* USER_WCP  */
  YYSYMBOL_FLAGS_WCP = 83,                 /* FLAGS_WCP  */
  YYSYMBOL_IGNOREDIRS_WCP = 84,            /* IGNOREDIRS_WCP  */
  YYSYMBOL_HOTKEYS_WCP = 85,               /* HOTKEYS_WCP  */
  YYSYMBOL_HOTKEY_WCP = 86,                /* HOTKEY_WCP  */
  YYSYMBOL_FONTS_WCP = 87,                 /* FONTS_WCP  */
  YYSYMBOL_GLOBALFONT_WCP = 88,            /* GLOBALFONT_WCP  */
  YYSYMBOL_BUTTONFONT_WCP = 89,            /* BUTTONFONT_WCP  */
  YYSYMBOL_LEFTFONT_WCP = 90,              /* LEFTFONT_WCP  */
  YYSYMBOL_RIGHTFONT_WCP = 91,             /* RIGHTFONT_WCP  */
  YYSYMBOL_TEXTVIEWFONT_WCP = 92,          /* TEXTVIEWFONT_WCP  */
  YYSYMBOL_STATEBARFONT_WCP = 93,          /* STATEBARFONT_WCP  */
  YYSYMBOL_CLOCKBARSETS_WCP = 94,          /* CLOCKBARSETS_WCP  */
  YYSYMBOL_MODUS_WCP = 95,                 /* MODUS_WCP  */
  YYSYMBOL_TIMESPACE_WCP = 96,             /* TIMESPACE_WCP  */
  YYSYMBOL_VERSION_WCP = 97,               /* VERSION_WCP  */
  YYSYMBOL_EXTERN_WCP = 98,                /* EXTERN_WCP  */
  YYSYMBOL_UPDATETIME_WCP = 99,            /* UPDATETIME_WCP  */
  YYSYMBOL_PROGRAM_WCP = 100,              /* PROGRAM_WCP  */
  YYSYMBOL_SHOWHINTS_WCP = 101,            /* SHOWHINTS_WCP  */
  YYSYMBOL_KEY_WCP = 102,                  /* KEY_WCP  */
  YYSYMBOL_DOUBLE_WCP = 103,               /* DOUBLE_WCP  */
  YYSYMBOL_MOD_WCP = 104,                  /* MOD_WCP  */
  YYSYMBOL_CONTROL_WCP = 105,              /* CONTROL_WCP  */
  YYSYMBOL_SHIFT_WCP = 106,                /* SHIFT_WCP  */
  YYSYMBOL_LOCK_WCP = 107,                 /* LOCK_WCP  */
  YYSYMBOL_MOD1_WCP = 108,                 /* MOD1_WCP  */
  YYSYMBOL_MOD2_WCP = 109,                 /* MOD2_WCP  */
  YYSYMBOL_MOD3_WCP = 110,                 /* MOD3_WCP  */
  YYSYMBOL_MOD4_WCP = 111,                 /* MOD4_WCP  */
  YYSYMBOL_MOD5_WCP = 112,                 /* MOD5_WCP  */
  YYSYMBOL_DNDACTION_WCP = 113,            /* DNDACTION_WCP  */
  YYSYMBOL_DCACTION_WCP = 114,             /* DCACTION_WCP  */
  YYSYMBOL_SHOWACTION_WCP = 115,           /* SHOWACTION_WCP  */
  YYSYMBOL_RSHOWACTION_WCP = 116,          /* RSHOWACTION_WCP  */
  YYSYMBOL_USERACTION_WCP = 117,           /* USERACTION_WCP  */
  YYSYMBOL_ROWUP_WCP = 118,                /* ROWUP_WCP  */
  YYSYMBOL_ROWDOWN_WCP = 119,              /* ROWDOWN_WCP  */
  YYSYMBOL_CHANGEHIDDENFLAG_WCP = 120,     /* CHANGEHIDDENFLAG_WCP  */
  YYSYMBOL_COPYOP_WCP = 121,               /* COPYOP_WCP  */
  YYSYMBOL_FIRSTROW_WCP = 122,             /* FIRSTROW_WCP  */
  YYSYMBOL_LASTROW_WCP = 123,              /* LASTROW_WCP  */
  YYSYMBOL_PAGEUP_WCP = 124,               /* PAGEUP_WCP  */
  YYSYMBOL_PAGEDOWN_WCP = 125,             /* PAGEDOWN_WCP  */
  YYSYMBOL_SELECTOP_WCP = 126,             /* SELECTOP_WCP  */
  YYSYMBOL_SELECTALLOP_WCP = 127,          /* SELECTALLOP_WCP  */
  YYSYMBOL_SELECTNONEOP_WCP = 128,         /* SELECTNONEOP_WCP  */
  YYSYMBOL_INVERTALLOP_WCP = 129,          /* INVERTALLOP_WCP  */
  YYSYMBOL_PARENTDIROP_WCP = 130,          /* PARENTDIROP_WCP  */
  YYSYMBOL_ENTERDIROP_WCP = 131,           /* ENTERDIROP_WCP  */
  YYSYMBOL_CHANGELISTERSETOP_WCP = 132,    /* CHANGELISTERSETOP_WCP  */
  YYSYMBOL_SWITCHLISTEROP_WCP = 133,       /* SWITCHLISTEROP_WCP  */
  YYSYMBOL_FILTERSELECTOP_WCP = 134,       /* FILTERSELECTOP_WCP  */
  YYSYMBOL_FILTERUNSELECTOP_WCP = 135,     /* FILTERUNSELECTOP_WCP  */
  YYSYMBOL_PATHTOOTHERSIDEOP_WCP = 136,    /* PATHTOOTHERSIDEOP_WCP  */
  YYSYMBOL_QUITOP_WCP = 137,               /* QUITOP_WCP  */
  YYSYMBOL_DELETEOP_WCP = 138,             /* DELETEOP_WCP  */
  YYSYMBOL_RELOADOP_WCP = 139,             /* RELOADOP_WCP  */
  YYSYMBOL_MAKEDIROP_WCP = 140,            /* MAKEDIROP_WCP  */
  YYSYMBOL_RENAMEOP_WCP = 141,             /* RENAMEOP_WCP  */
  YYSYMBOL_DIRSIZEOP_WCP = 142,            /* DIRSIZEOP_WCP  */
  YYSYMBOL_SIMDDOP_WCP = 143,              /* SIMDDOP_WCP  */
  YYSYMBOL_STARTPROGOP_WCP = 144,          /* STARTPROGOP_WCP  */
  YYSYMBOL_SEARCHENTRYOP_WCP = 145,        /* SEARCHENTRYOP_WCP  */
  YYSYMBOL_ENTERPATHOP_WCP = 146,          /* ENTERPATHOP_WCP  */
  YYSYMBOL_SCROLLLISTEROP_WCP = 147,       /* SCROLLLISTEROP_WCP  */
  YYSYMBOL_CREATESYMLINKOP_WCP = 148,      /* CREATESYMLINKOP_WCP  */
  YYSYMBOL_CHANGESYMLINKOP_WCP = 149,      /* CHANGESYMLINKOP_WCP  */
  YYSYMBOL_CHMODOP_WCP = 150,              /* CHMODOP_WCP  */
  YYSYMBOL_TOGGLELISTERMODEOP_WCP = 151,   /* TOGGLELISTERMODEOP_WCP  */
  YYSYMBOL_SETSORTMODEOP_WCP = 152,        /* SETSORTMODEOP_WCP  */
  YYSYMBOL_SETFILTEROP_WCP = 153,          /* SETFILTEROP_WCP  */
  YYSYMBOL_SHORTKEYFROMLISTOP_WCP = 154,   /* SHORTKEYFROMLISTOP_WCP  */
  YYSYMBOL_CHOWNOP_WCP = 155,              /* CHOWNOP_WCP  */
  YYSYMBOL_WORKERCONFIG_WCP = 156,         /* WORKERCONFIG_WCP  */
  YYSYMBOL_USERSTYLE_WCP = 157,            /* USERSTYLE_WCP  */
  YYSYMBOL_DATESTRING_WCP = 158,           /* DATESTRING_WCP  */
  YYSYMBOL_TIMESTRING_WCP = 159,           /* TIMESTRING_WCP  */
  YYSYMBOL_COLOR_WCP = 160,                /* COLOR_WCP  */
  YYSYMBOL_PATTERNIGNORECASE_WCP = 161,    /* PATTERNIGNORECASE_WCP  */
  YYSYMBOL_PATTERNUSEREGEXP_WCP = 162,     /* PATTERNUSEREGEXP_WCP  */
  YYSYMBOL_PATTERNUSEFULLNAME_WCP = 163,   /* PATTERNUSEFULLNAME_WCP  */
  YYSYMBOL_COM_WCP = 164,                  /* COM_WCP  */
  YYSYMBOL_SEPARATEEACHENTRY_WCP = 165,    /* SEPARATEEACHENTRY_WCP  */
  YYSYMBOL_RECURSIVE_WCP = 166,            /* RECURSIVE_WCP  */
  YYSYMBOL_START_WCP = 167,                /* START_WCP  */
  YYSYMBOL_TERMINALWAIT_WCP = 168,         /* TERMINALWAIT_WCP  */
  YYSYMBOL_SHOWOUTPUT_WCP = 169,           /* SHOWOUTPUT_WCP  */
  YYSYMBOL_VIEWSTR_WCP = 170,              /* VIEWSTR_WCP  */
  YYSYMBOL_SHOWOUTPUTINT_WCP = 171,        /* SHOWOUTPUTINT_WCP  */
  YYSYMBOL_INBACKGROUND_WCP = 172,         /* INBACKGROUND_WCP  */
  YYSYMBOL_TAKEDIRS_WCP = 173,             /* TAKEDIRS_WCP  */
  YYSYMBOL_ACTIONNUMBER_WCP = 174,         /* ACTIONNUMBER_WCP  */
  YYSYMBOL_HIDDENFILES_WCP = 175,          /* HIDDENFILES_WCP  */
  YYSYMBOL_HIDE_WCP = 176,                 /* HIDE_WCP  */
  YYSYMBOL_TOGGLE_WCP = 177,               /* TOGGLE_WCP  */
  YYSYMBOL_FOLLOWSYMLINKS_WCP = 178,       /* FOLLOWSYMLINKS_WCP  */
  YYSYMBOL_MOVE_WCP = 179,                 /* MOVE_WCP  */
  YYSYMBOL_RENAME_WCP = 180,               /* RENAME_WCP  */
  YYSYMBOL_SAMEDIR_WCP = 181,              /* SAMEDIR_WCP  */
  YYSYMBOL_REQUESTDEST_WCP = 182,          /* REQUESTDEST_WCP  */
  YYSYMBOL_REQUESTFLAGS_WCP = 183,         /* REQUESTFLAGS_WCP  */
  YYSYMBOL_OVERWRITE_WCP = 184,            /* OVERWRITE_WCP  */
  YYSYMBOL_ALWAYS_WCP = 185,               /* ALWAYS_WCP  */
  YYSYMBOL_NEVER_WCP = 186,                /* NEVER_WCP  */
  YYSYMBOL_COPYMODE_WCP = 187,             /* COPYMODE_WCP  */
  YYSYMBOL_FAST_WCP = 188,                 /* FAST_WCP  */
  YYSYMBOL_PRESERVEATTR_WCP = 189,         /* PRESERVEATTR_WCP  */
  YYSYMBOL_MODE_WCP = 190,                 /* MODE_WCP  */
  YYSYMBOL_ACTIVE_WCP = 191,               /* ACTIVE_WCP  */
  YYSYMBOL_ACTIVE2OTHER_WCP = 192,         /* ACTIVE2OTHER_WCP  */
  YYSYMBOL_SPECIAL_WCP = 193,              /* SPECIAL_WCP  */
  YYSYMBOL_REQUEST_WCP = 194,              /* REQUEST_WCP  */
  YYSYMBOL_CURRENT_WCP = 195,              /* CURRENT_WCP  */
  YYSYMBOL_OTHER_WCP = 196,                /* OTHER_WCP  */
  YYSYMBOL_FILTER_WCP = 197,               /* FILTER_WCP  */
  YYSYMBOL_QUICK_WCP = 198,                /* QUICK_WCP  */
  YYSYMBOL_ALSOACTIVE_WCP = 199,           /* ALSOACTIVE_WCP  */
  YYSYMBOL_RESETDIRSIZES_WCP = 200,        /* RESETDIRSIZES_WCP  */
  YYSYMBOL_KEEPFILETYPES_WCP = 201,        /* KEEPFILETYPES_WCP  */
  YYSYMBOL_RELATIVE_WCP = 202,             /* RELATIVE_WCP  */
  YYSYMBOL_ONFILES_WCP = 203,              /* ONFILES_WCP  */
  YYSYMBOL_ONDIRS_WCP = 204,               /* ONDIRS_WCP  */
  YYSYMBOL_SORTBY_WCP = 205,               /* SORTBY_WCP  */
  YYSYMBOL_SORTFLAG_WCP = 206,             /* SORTFLAG_WCP  */
  YYSYMBOL_REVERSE_WCP = 207,              /* REVERSE_WCP  */
  YYSYMBOL_DIRLAST_WCP = 208,              /* DIRLAST_WCP  */
  YYSYMBOL_DIRMIXED_WCP = 209,             /* DIRMIXED_WCP  */
  YYSYMBOL_EXCLUDE_WCP = 210,              /* EXCLUDE_WCP  */
  YYSYMBOL_INCLUDE_WCP = 211,              /* INCLUDE_WCP  */
  YYSYMBOL_UNSET_WCP = 212,                /* UNSET_WCP  */
  YYSYMBOL_UNSETALL_WCP = 213,             /* UNSETALL_WCP  */
  YYSYMBOL_SCRIPTOP_WCP = 214,             /* SCRIPTOP_WCP  */
  YYSYMBOL_NOP_WCP = 215,                  /* NOP_WCP  */
  YYSYMBOL_PUSH_WCP = 216,                 /* PUSH_WCP  */
  YYSYMBOL_LABEL_WCP = 217,                /* LABEL_WCP  */
  YYSYMBOL_IF_WCP = 218,                   /* IF_WCP  */
  YYSYMBOL_END_WCP = 219,                  /* END_WCP  */
  YYSYMBOL_POP_WCP = 220,                  /* POP_WCP  */
  YYSYMBOL_SETTINGS_WCP = 221,             /* SETTINGS_WCP  */
  YYSYMBOL_WINDOW_WCP = 222,               /* WINDOW_WCP  */
  YYSYMBOL_GOTO_WCP = 223,                 /* GOTO_WCP  */
  YYSYMBOL_PUSHUSEOUTPUT_WCP = 224,        /* PUSHUSEOUTPUT_WCP  */
  YYSYMBOL_DODEBUG_WCP = 225,              /* DODEBUG_WCP  */
  YYSYMBOL_WPURECURSIVE_WCP = 226,         /* WPURECURSIVE_WCP  */
  YYSYMBOL_WPUTAKEDIRS_WCP = 227,          /* WPUTAKEDIRS_WCP  */
  YYSYMBOL_STACKNR_WCP = 228,              /* STACKNR_WCP  */
  YYSYMBOL_PUSHSTRING_WCP = 229,           /* PUSHSTRING_WCP  */
  YYSYMBOL_IFTEST_WCP = 230,               /* IFTEST_WCP  */
  YYSYMBOL_IFLABEL_WCP = 231,              /* IFLABEL_WCP  */
  YYSYMBOL_WINTYPE_WCP = 232,              /* WINTYPE_WCP  */
  YYSYMBOL_OPEN_WCP = 233,                 /* OPEN_WCP  */
  YYSYMBOL_CLOSE_WCP = 234,                /* CLOSE_WCP  */
  YYSYMBOL_LEAVE_WCP = 235,                /* LEAVE_WCP  */
  YYSYMBOL_CHANGEPROGRESS_WCP = 236,       /* CHANGEPROGRESS_WCP  */
  YYSYMBOL_CHANGETEXT_WCP = 237,           /* CHANGETEXT_WCP  */
  YYSYMBOL_PROGRESSUSEOUTPUT_WCP = 238,    /* PROGRESSUSEOUTPUT_WCP  */
  YYSYMBOL_WINTEXTUSEOUTPUT_WCP = 239,     /* WINTEXTUSEOUTPUT_WCP  */
  YYSYMBOL_PROGRESS_WCP = 240,             /* PROGRESS_WCP  */
  YYSYMBOL_WINTEXT_WCP = 241,              /* WINTEXT_WCP  */
  YYSYMBOL_SHOWDIRCACHEOP_WCP = 242,       /* SHOWDIRCACHEOP_WCP  */
  YYSYMBOL_INODE_WCP = 243,                /* INODE_WCP  */
  YYSYMBOL_NLINK_WCP = 244,                /* NLINK_WCP  */
  YYSYMBOL_BLOCKS_WCP = 245,               /* BLOCKS_WCP  */
  YYSYMBOL_SHOWHEADER_WCP = 246,           /* SHOWHEADER_WCP  */
  YYSYMBOL_LVHEADER_WCP = 247,             /* LVHEADER_WCP  */
  YYSYMBOL_IGNORECASE_WCP = 248,           /* IGNORECASE_WCP  */
  YYSYMBOL_LISTVIEWS_WCP = 249,            /* LISTVIEWS_WCP  */
  YYSYMBOL_BLL_WCP = 250,                  /* BLL_WCP  */
  YYSYMBOL_LBL_WCP = 251,                  /* LBL_WCP  */
  YYSYMBOL_LLB_WCP = 252,                  /* LLB_WCP  */
  YYSYMBOL_BL_WCP = 253,                   /* BL_WCP  */
  YYSYMBOL_LB_WCP = 254,                   /* LB_WCP  */
  YYSYMBOL_LAYOUT_WCP = 255,               /* LAYOUT_WCP  */
  YYSYMBOL_BUTTONSVERT_WCP = 256,          /* BUTTONSVERT_WCP  */
  YYSYMBOL_LISTVIEWSVERT_WCP = 257,        /* LISTVIEWSVERT_WCP  */
  YYSYMBOL_LISTVIEWWEIGHT_WCP = 258,       /* LISTVIEWWEIGHT_WCP  */
  YYSYMBOL_WEIGHTTOACTIVE_WCP = 259,       /* WEIGHTTOACTIVE_WCP  */
  YYSYMBOL_EXTCOND_WCP = 260,              /* EXTCOND_WCP  */
  YYSYMBOL_USEEXTCOND_WCP = 261,           /* USEEXTCOND_WCP  */
  YYSYMBOL_SUBTYPE_WCP = 262,              /* SUBTYPE_WCP  */
  YYSYMBOL_PARENTACTIONOP_WCP = 263,       /* PARENTACTIONOP_WCP  */
  YYSYMBOL_NOOPERATIONOP_WCP = 264,        /* NOOPERATIONOP_WCP  */
  YYSYMBOL_COLORMODE_WCP = 265,            /* COLORMODE_WCP  */
  YYSYMBOL_DEFAULT_WCP = 266,              /* DEFAULT_WCP  */
  YYSYMBOL_CUSTOM_WCP = 267,               /* CUSTOM_WCP  */
  YYSYMBOL_UNSELECTCOLOR_WCP = 268,        /* UNSELECTCOLOR_WCP  */
  YYSYMBOL_SELECTCOLOR_WCP = 269,          /* SELECTCOLOR_WCP  */
  YYSYMBOL_UNSELECTACTIVECOLOR_WCP = 270,  /* UNSELECTACTIVECOLOR_WCP  */
  YYSYMBOL_SELECTACTIVECOLOR_WCP = 271,    /* SELECTACTIVECOLOR_WCP  */
  YYSYMBOL_COLOREXTERNPROG_WCP = 272,      /* COLOREXTERNPROG_WCP  */
  YYSYMBOL_PARENT_WCP = 273,               /* PARENT_WCP  */
  YYSYMBOL_DONTCD_WCP = 274,               /* DONTCD_WCP  */
  YYSYMBOL_DONTCHECKVIRTUAL_WCP = 275,     /* DONTCHECKVIRTUAL_WCP  */
  YYSYMBOL_GOFTPOP_WCP = 276,              /* GOFTPOP_WCP  */
  YYSYMBOL_HOSTNAME_WCP = 277,             /* HOSTNAME_WCP  */
  YYSYMBOL_USERNAME_WCP = 278,             /* USERNAME_WCP  */
  YYSYMBOL_PASSWORD_WCP = 279,             /* PASSWORD_WCP  */
  YYSYMBOL_DONTENTERFTP_WCP = 280,         /* DONTENTERFTP_WCP  */
  YYSYMBOL_ALWAYSSTOREPW_WCP = 281,        /* ALWAYSSTOREPW_WCP  */
  YYSYMBOL_INTERNALVIEWOP_WCP = 282,       /* INTERNALVIEWOP_WCP  */
  YYSYMBOL_CUSTOMFILES_WCP = 283,          /* CUSTOMFILES_WCP  */
  YYSYMBOL_SHOWMODE_WCP = 284,             /* SHOWMODE_WCP  */
  YYSYMBOL_SELECTED_WCP = 285,             /* SELECTED_WCP  */
  YYSYMBOL_REVERSESEARCH_WCP = 286,        /* REVERSESEARCH_WCP  */
  YYSYMBOL_MOUSECONF_WCP = 287,            /* MOUSECONF_WCP  */
  YYSYMBOL_SELECTBUTTON_WCP = 288,         /* SELECTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEBUTTON_WCP = 289,       /* ACTIVATEBUTTON_WCP  */
  YYSYMBOL_SCROLLBUTTON_WCP = 290,         /* SCROLLBUTTON_WCP  */
  YYSYMBOL_SELECTMETHOD_WCP = 291,         /* SELECTMETHOD_WCP  */
  YYSYMBOL_ALTERNATIVE_WCP = 292,          /* ALTERNATIVE_WCP  */
  YYSYMBOL_SEARCHOP_WCP = 293,             /* SEARCHOP_WCP  */
  YYSYMBOL_EDITCOMMAND_WCP = 294,          /* EDITCOMMAND_WCP  */
  YYSYMBOL_SHOWPREVRESULTS_WCP = 295,      /* SHOWPREVRESULTS_WCP  */
  YYSYMBOL_TEXTVIEW_WCP = 296,             /* TEXTVIEW_WCP  */
  YYSYMBOL_TEXTVIEWHIGHLIGHTED_WCP = 297,  /* TEXTVIEWHIGHLIGHTED_WCP  */
  YYSYMBOL_TEXTVIEWSELECTION_WCP = 298,    /* TEXTVIEWSELECTION_WCP  */
  YYSYMBOL_DIRBOOKMARKOP_WCP = 299,        /* DIRBOOKMARKOP_WCP  */
  YYSYMBOL_OPENCONTEXTMENUOP_WCP = 300,    /* OPENCONTEXTMENUOP_WCP  */
  YYSYMBOL_RUNCUSTOMACTION_WCP = 301,      /* RUNCUSTOMACTION_WCP  */
  YYSYMBOL_CUSTOMNAME_WCP = 302,           /* CUSTOMNAME_WCP  */
  YYSYMBOL_CONTEXTBUTTON_WCP = 303,        /* CONTEXTBUTTON_WCP  */
  YYSYMBOL_ACTIVATEMOD_WCP = 304,          /* ACTIVATEMOD_WCP  */
  YYSYMBOL_SCROLLMOD_WCP = 305,            /* SCROLLMOD_WCP  */
  YYSYMBOL_CONTEXTMOD_WCP = 306,           /* CONTEXTMOD_WCP  */
  YYSYMBOL_NONE_WCP = 307,                 /* NONE_WCP  */
  YYSYMBOL_CUSTOMACTION_WCP = 308,         /* CUSTOMACTION_WCP  */
  YYSYMBOL_SAVE_WORKER_STATE_ON_EXIT_WCP = 309, /* SAVE_WORKER_STATE_ON_EXIT_WCP  */
  YYSYMBOL_OPENWORKERMENUOP_WCP = 310,     /* OPENWORKERMENUOP_WCP  */
  YYSYMBOL_CHANGELABELOP_WCP = 311,        /* CHANGELABELOP_WCP  */
  YYSYMBOL_ASKFORLABEL_WCP = 312,          /* ASKFORLABEL_WCP  */
  YYSYMBOL_LABELCOLORS_WCP = 313,          /* LABELCOLORS_WCP  */
  YYSYMBOL_BOOKMARKLABEL_WCP = 314,        /* BOOKMARKLABEL_WCP  */
  YYSYMBOL_BOOKMARKFILTER_WCP = 315,       /* BOOKMARKFILTER_WCP  */
  YYSYMBOL_SHOWONLYBOOKMARKS_WCP = 316,    /* SHOWONLYBOOKMARKS_WCP  */
  YYSYMBOL_SHOWONLYLABEL_WCP = 317,        /* SHOWONLYLABEL_WCP  */
  YYSYMBOL_SHOWALL_WCP = 318,              /* SHOWALL_WCP  */
  YYSYMBOL_OPTIONMODE_WCP = 319,           /* OPTIONMODE_WCP  */
  YYSYMBOL_INVERT_WCP = 320,               /* INVERT_WCP  */
  YYSYMBOL_SET_WCP = 321,                  /* SET_WCP  */
  YYSYMBOL_CHANGEFILTERS_WCP = 322,        /* CHANGEFILTERS_WCP  */
  YYSYMBOL_CHANGEBOOKMARKS_WCP = 323,      /* CHANGEBOOKMARKS_WCP  */
  YYSYMBOL_QUERYLABEL_WCP = 324,           /* QUERYLABEL_WCP  */
  YYSYMBOL_MODIFYTABSOP_WCP = 325,         /* MODIFYTABSOP_WCP  */
  YYSYMBOL_TABACTION_WCP = 326,            /* TABACTION_WCP  */
  YYSYMBOL_NEWTAB_WCP = 327,               /* NEWTAB_WCP  */
  YYSYMBOL_CLOSECURRENTTAB_WCP = 328,      /* CLOSECURRENTTAB_WCP  */
  YYSYMBOL_NEXTTAB_WCP = 329,              /* NEXTTAB_WCP  */
  YYSYMBOL_PREVTAB_WCP = 330,              /* PREVTAB_WCP  */
  YYSYMBOL_TOGGLELOCKSTATE_WCP = 331,      /* TOGGLELOCKSTATE_WCP  */
  YYSYMBOL_MOVETABLEFT_WCP = 332,          /* MOVETABLEFT_WCP  */
  YYSYMBOL_MOVETABRIGHT_WCP = 333,         /* MOVETABRIGHT_WCP  */
  YYSYMBOL_CHANGELAYOUTOP_WCP = 334,       /* CHANGELAYOUTOP_WCP  */
  YYSYMBOL_INFIXSEARCH_WCP = 335,          /* INFIXSEARCH_WCP  */
  YYSYMBOL_VOLUMEMANAGEROP_WCP = 336,      /* VOLUMEMANAGEROP_WCP  */
  YYSYMBOL_ERROR = 337,                    /* ERROR  */
  YYSYMBOL_ACTIVESIDE_WCP = 338,           /* ACTIVESIDE_WCP  */
  YYSYMBOL_SHOWFREESPACE_WCP = 339,        /* SHOWFREESPACE_WCP  */
  YYSYMBOL_ACTIVEMODE_WCP = 340,           /* ACTIVEMODE_WCP  */
  YYSYMBOL_ASK_WCP = 341,                  /* ASK_WCP  */
  YYSYMBOL_SSHALLOW_WCP = 342,             /* SSHALLOW_WCP  */
  YYSYMBOL_FIELD_WIDTH_WCP = 343,          /* FIELD_WIDTH_WCP  */
  YYSYMBOL_QUICKSEARCHENABLED_WCP = 344,   /* QUICKSEARCHENABLED_WCP  */
  YYSYMBOL_FILTEREDSEARCHENABLED_WCP = 345, /* FILTEREDSEARCHENABLED_WCP  */
  YYSYMBOL_XFTFONTS_WCP = 346,             /* XFTFONTS_WCP  */
  YYSYMBOL_USEMAGIC_WCP = 347,             /* USEMAGIC_WCP  */
  YYSYMBOL_MAGICPATTERN_WCP = 348,         /* MAGICPATTERN_WCP  */
  YYSYMBOL_MAGICCOMPRESSED_WCP = 349,      /* MAGICCOMPRESSED_WCP  */
  YYSYMBOL_MAGICMIME_WCP = 350,            /* MAGICMIME_WCP  */
  YYSYMBOL_VOLUMEMANAGER_WCP = 351,        /* VOLUMEMANAGER_WCP  */
  YYSYMBOL_MOUNTCOMMAND_WCP = 352,         /* MOUNTCOMMAND_WCP  */
  YYSYMBOL_UNMOUNTCOMMAND_WCP = 353,       /* UNMOUNTCOMMAND_WCP  */
  YYSYMBOL_FSTABFILE_WCP = 354,            /* FSTABFILE_WCP  */
  YYSYMBOL_MTABFILE_WCP = 355,             /* MTABFILE_WCP  */
  YYSYMBOL_PARTFILE_WCP = 356,             /* PARTFILE_WCP  */
  YYSYMBOL_REQUESTACTION_WCP = 357,        /* REQUESTACTION_WCP  */
  YYSYMBOL_SIZEH_WCP = 358,                /* SIZEH_WCP  */
  YYSYMBOL_NEXTAGING_WCP = 359,            /* NEXTAGING_WCP  */
  YYSYMBOL_ENTRY_WCP = 360,                /* ENTRY_WCP  */
  YYSYMBOL_PREFIX_WCP = 361,               /* PREFIX_WCP  */
  YYSYMBOL_VALUE_WCP = 362,                /* VALUE_WCP  */
  YYSYMBOL_EXTENSION_WCP = 363,            /* EXTENSION_WCP  */
  YYSYMBOL_EJECTCOMMAND_WCP = 364,         /* EJECTCOMMAND_WCP  */
  YYSYMBOL_CLOSETRAYCOMMAND_WCP = 365,     /* CLOSETRAYCOMMAND_WCP  */
  YYSYMBOL_AVFSMODULE_WCP = 366,           /* AVFSMODULE_WCP  */
  YYSYMBOL_FLEXIBLEMATCH_WCP = 367,        /* FLEXIBLEMATCH_WCP  */
  YYSYMBOL_USE_VERSION_STRING_COMPARE_WCP = 368, /* USE_VERSION_STRING_COMPARE_WCP  */
  YYSYMBOL_SWITCHBUTTONBANKOP_WCP = 369,   /* SWITCHBUTTONBANKOP_WCP  */
  YYSYMBOL_SWITCHTONEXTBANK_WCP = 370,     /* SWITCHTONEXTBANK_WCP  */
  YYSYMBOL_SWITCHTOPREVBANK_WCP = 371,     /* SWITCHTOPREVBANK_WCP  */
  YYSYMBOL_SWITCHTOBANKNR_WCP = 372,       /* SWITCHTOBANKNR_WCP  */
  YYSYMBOL_BANKNR_WCP = 373,               /* BANKNR_WCP  */
  YYSYMBOL_USE_VIRTUAL_TEMP_COPIES_WCP = 374, /* USE_VIRTUAL_TEMP_COPIES_WCP  */
  YYSYMBOL_PATHJUMPOP_WCP = 375,           /* PATHJUMPOP_WCP  */
  YYSYMBOL_PATHJUMPALLOWDIRS_WCP = 376,    /* PATHJUMPALLOWDIRS_WCP  */
  YYSYMBOL_CLIPBOARDOP_WCP = 377,          /* CLIPBOARDOP_WCP  */
  YYSYMBOL_CLIPBOARDSTRING_WCP = 378,      /* CLIPBOARDSTRING_WCP  */
  YYSYMBOL_COMMANDSTRING_WCP = 379,        /* COMMANDSTRING_WCP  */
  YYSYMBOL_EVALCOMMAND_WCP = 380,          /* EVALCOMMAND_WCP  */
  YYSYMBOL_WATCHMODE_WCP = 381,            /* WATCHMODE_WCP  */
  YYSYMBOL_APPLY_WINDOW_DIALOG_TYPE_WCP = 382, /* APPLY_WINDOW_DIALOG_TYPE_WCP  */
  YYSYMBOL_FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP = 383, /* FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP  */
  YYSYMBOL_COMMANDMENUOP_WCP = 384,        /* COMMANDMENUOP_WCP  */
  YYSYMBOL_SEARCHMODEONKEYPRESS_WCP = 385, /* SEARCHMODEONKEYPRESS_WCP  */
  YYSYMBOL_PATHENTRYONTOP_WCP = 386,       /* PATHENTRYONTOP_WCP  */
  YYSYMBOL_STORE_FILES_ALWAYS_WCP = 387,   /* STORE_FILES_ALWAYS_WCP  */
  YYSYMBOL_PATHJUMPSETS_WCP = 388,         /* PATHJUMPSETS_WCP  */
  YYSYMBOL_SHOWDOTDOT_WCP = 389,           /* SHOWDOTDOT_WCP  */
  YYSYMBOL_SHOWBREADCRUMB_WCP = 390,       /* SHOWBREADCRUMB_WCP  */
  YYSYMBOL_FACES_WCP = 391,                /* FACES_WCP  */
  YYSYMBOL_FACE_WCP = 392,                 /* FACE_WCP  */
  YYSYMBOL_ENABLE_INFO_LINE_WCP = 393,     /* ENABLE_INFO_LINE_WCP  */
  YYSYMBOL_INFO_LINE_LUA_MODE_WCP = 394,   /* INFO_LINE_LUA_MODE_WCP  */
  YYSYMBOL_INFO_LINE_CONTENT_WCP = 395,    /* INFO_LINE_CONTENT_WCP  */
  YYSYMBOL_RESTORE_TABS_MODE_WCP = 396,    /* RESTORE_TABS_MODE_WCP  */
  YYSYMBOL_STORE_TABS_MODE_WCP = 397,      /* STORE_TABS_MODE_WCP  */
  YYSYMBOL_AS_EXIT_STATE_WCP = 398,        /* AS_EXIT_STATE_WCP  */
  YYSYMBOL_USE_EXTENDED_REGEX_WCP = 399,   /* USE_EXTENDED_REGEX_WCP  */
  YYSYMBOL_HIGHLIGHT_USER_ACTION_WCP = 400, /* HIGHLIGHT_USER_ACTION_WCP  */
  YYSYMBOL_CHTIMEOP_WCP = 401,             /* CHTIMEOP_WCP  */
  YYSYMBOL_ADJUSTRELATIVESYMLINKS_WCP = 402, /* ADJUSTRELATIVESYMLINKS_WCP  */
  YYSYMBOL_OUTSIDE_WCP = 403,              /* OUTSIDE_WCP  */
  YYSYMBOL_EDIT_WCP = 404,                 /* EDIT_WCP  */
  YYSYMBOL_MAKEABSOLUTE_WCP = 405,         /* MAKEABSOLUTE_WCP  */
  YYSYMBOL_MAKERELATIVE_WCP = 406,         /* MAKERELATIVE_WCP  */
  YYSYMBOL_MAGICIGNORECASE_WCP = 407,      /* MAGICIGNORECASE_WCP  */
  YYSYMBOL_ENSURE_FILE_PERMISSIONS_WCP = 408, /* ENSURE_FILE_PERMISSIONS_WCP  */
  YYSYMBOL_USER_RW_WCP = 409,              /* USER_RW_WCP  */
  YYSYMBOL_USER_RW_GROUP_R_WCP = 410,      /* USER_RW_GROUP_R_WCP  */
  YYSYMBOL_USER_RW_ALL_R_WCP = 411,        /* USER_RW_ALL_R_WCP  */
  YYSYMBOL_LEAVE_UNMODIFIED_WCP = 412,     /* LEAVE_UNMODIFIED_WCP  */
  YYSYMBOL_PREFERUDISKSVERSION_WCP = 413,  /* PREFERUDISKSVERSION_WCP  */
  YYSYMBOL_CHANGECOLUMNSOP_WCP = 414,      /* CHANGECOLUMNSOP_WCP  */
  YYSYMBOL_PATTERNISCOMMASEPARATED_WCP = 415, /* PATTERNISCOMMASEPARATED_WCP  */
  YYSYMBOL_STRCASECMP_WCP = 416,           /* STRCASECMP_WCP  */
  YYSYMBOL_USE_STRING_COMPARE_MODE_WCP = 417, /* USE_STRING_COMPARE_MODE_WCP  */
  YYSYMBOL_VIEWNEWESTFILESOP_WCP = 418,    /* VIEWNEWESTFILESOP_WCP  */
  YYSYMBOL_SHOWRECENT_WCP = 419,           /* SHOWRECENT_WCP  */
  YYSYMBOL_DIRCOMPAREOP_WCP = 420,         /* DIRCOMPAREOP_WCP  */
  YYSYMBOL_TABPROFILESOP_WCP = 421,        /* TABPROFILESOP_WCP  */
  YYSYMBOL_EXTERNALVDIROP_WCP = 422,       /* EXTERNALVDIROP_WCP  */
  YYSYMBOL_VDIR_PRESERVE_DIR_STRUCTURE_WCP = 423, /* VDIR_PRESERVE_DIR_STRUCTURE_WCP  */
  YYSYMBOL_OPENTABMENUOP_WCP = 424,        /* OPENTABMENUOP_WCP  */
  YYSYMBOL_INITIALTAB_WCP = 425,           /* INITIALTAB_WCP  */
  YYSYMBOL_SHOWBYTIME_WCP = 426,           /* SHOWBYTIME_WCP  */
  YYSYMBOL_SHOWBYFILTER_WCP = 427,         /* SHOWBYFILTER_WCP  */
  YYSYMBOL_SHOWBYPROGRAM_WCP = 428,        /* SHOWBYPROGRAM_WCP  */
  YYSYMBOL_TERMINAL_RETURNS_EARLY_WCP = 429, /* TERMINAL_RETURNS_EARLY_WCP  */
  YYSYMBOL_DIRECTORYPRESETS_WCP = 430,     /* DIRECTORYPRESETS_WCP  */
  YYSYMBOL_DIRECTORYPRESET_WCP = 431,      /* DIRECTORYPRESET_WCP  */
  YYSYMBOL_HELPOP_WCP = 432,               /* HELPOP_WCP  */
  YYSYMBOL_PRIORITY_WCP = 433,             /* PRIORITY_WCP  */
  YYSYMBOL_AUTOFILTER_WCP = 434,           /* AUTOFILTER_WCP  */
  YYSYMBOL_ENABLE_CUSTOM_LVB_LINE_WCP = 435, /* ENABLE_CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_LVB_LINE_WCP = 436,      /* CUSTOM_LVB_LINE_WCP  */
  YYSYMBOL_CUSTOM_DIRECTORY_INFO_COMMAND_WCP = 437, /* CUSTOM_DIRECTORY_INFO_COMMAND_WCP  */
  YYSYMBOL_IMMEDIATE_FILTER_APPLY_WCP = 438, /* IMMEDIATE_FILTER_APPLY_WCP  */
  YYSYMBOL_DISABLEBGCHECKPREFIX_WCP = 439, /* DISABLEBGCHECKPREFIX_WCP  */
  YYSYMBOL_DISPLAYMODE_WCP = 440,          /* DISPLAYMODE_WCP  */
  YYSYMBOL_SHOWSUBDIRS_WCP = 441,          /* SHOWSUBDIRS_WCP  */
  YYSYMBOL_SHOWDIRECTSUBDIRS_WCP = 442,    /* SHOWDIRECTSUBDIRS_WCP  */
  YYSYMBOL_INCLUDEALL_WCP = 443,           /* INCLUDEALL_WCP  */
  YYSYMBOL_STRING_WCP = 444,               /* STRING_WCP  */
  YYSYMBOL_NUM_WCP = 445,                  /* NUM_WCP  */
  YYSYMBOL_446_ = 446,                     /* '.'  */
  YYSYMBOL_447_ = 447,                     /* ';'  */
  YYSYMBOL_448_ = 448,                     /* '='  */
  YYSYMBOL_449_ = 449,                     /* ','  */
  YYSYMBOL_YYACCEPT = 450,                 /* $accept  */
  YYSYMBOL_S = 451,                        /* S  */
  YYSYMBOL_452_1 = 452,                    /* $@1  */
  YYSYMBOL_453_2 = 453,                    /* $@2  */
  YYSYMBOL_start = 454,                    /* start  */
  YYSYMBOL_455_3 = 455,                    /* $@3  */
  YYSYMBOL_456_4 = 456,                    /* $@4  */
  YYSYMBOL_457_5 = 457,                    /* $@5  */
  YYSYMBOL_458_6 = 458,                    /* $@6  */
  YYSYMBOL_459_7 = 459,                    /* $@7  */
  YYSYMBOL_460_8 = 460,                    /* $@8  */
  YYSYMBOL_461_9 = 461,                    /* $@9  */
  YYSYMBOL_462_10 = 462,                   /* $@10  */
  YYSYMBOL_463_11 = 463,                   /* $@11  */
  YYSYMBOL_464_12 = 464,                   /* $@12  */
  YYSYMBOL_465_13 = 465,                   /* $@13  */
  YYSYMBOL_466_14 = 466,                   /* $@14  */
  YYSYMBOL_467_15 = 467,                   /* $@15  */
  YYSYMBOL_468_16 = 468,                   /* $@16  */
  YYSYMBOL_pjallowdirs = 469,              /* pjallowdirs  */
  YYSYMBOL_470_17 = 470,                   /* $@17  */
  YYSYMBOL_pathjumpsets = 471,             /* pathjumpsets  */
  YYSYMBOL_472_18 = 472,                   /* $@18  */
  YYSYMBOL_glb = 473,                      /* glb  */
  YYSYMBOL_474_19 = 474,                   /* $@19  */
  YYSYMBOL_475_20 = 475,                   /* $@20  */
  YYSYMBOL_476_21 = 476,                   /* $@21  */
  YYSYMBOL_477_22 = 477,                   /* $@22  */
  YYSYMBOL_478_23 = 478,                   /* $@23  */
  YYSYMBOL_479_24 = 479,                   /* $@24  */
  YYSYMBOL_480_25 = 480,                   /* $@25  */
  YYSYMBOL_481_26 = 481,                   /* $@26  */
  YYSYMBOL_482_27 = 482,                   /* $@27  */
  YYSYMBOL_483_28 = 483,                   /* $@28  */
  YYSYMBOL_484_29 = 484,                   /* $@29  */
  YYSYMBOL_485_30 = 485,                   /* $@30  */
  YYSYMBOL_486_31 = 486,                   /* $@31  */
  YYSYMBOL_487_32 = 487,                   /* $@32  */
  YYSYMBOL_488_33 = 488,                   /* $@33  */
  YYSYMBOL_489_34 = 489,                   /* $@34  */
  YYSYMBOL_490_35 = 490,                   /* $@35  */
  YYSYMBOL_layout = 491,                   /* layout  */
  YYSYMBOL_492_36 = 492,                   /* $@36  */
  YYSYMBOL_493_37 = 493,                   /* $@37  */
  YYSYMBOL_494_38 = 494,                   /* $@38  */
  YYSYMBOL_495_39 = 495,                   /* $@39  */
  YYSYMBOL_496_40 = 496,                   /* $@40  */
  YYSYMBOL_497_41 = 497,                   /* $@41  */
  YYSYMBOL_498_42 = 498,                   /* $@42  */
  YYSYMBOL_499_43 = 499,                   /* $@43  */
  YYSYMBOL_500_44 = 500,                   /* $@44  */
  YYSYMBOL_501_45 = 501,                   /* $@45  */
  YYSYMBOL_502_46 = 502,                   /* $@46  */
  YYSYMBOL_503_47 = 503,                   /* $@47  */
  YYSYMBOL_504_48 = 504,                   /* $@48  */
  YYSYMBOL_pal = 505,                      /* pal  */
  YYSYMBOL_506_49 = 506,                   /* $@49  */
  YYSYMBOL_listersets = 507,               /* listersets  */
  YYSYMBOL_508_50 = 508,                   /* $@50  */
  YYSYMBOL_509_51 = 509,                   /* $@51  */
  YYSYMBOL_listersets2 = 510,              /* listersets2  */
  YYSYMBOL_511_52 = 511,                   /* $@52  */
  YYSYMBOL_512_53 = 512,                   /* $@53  */
  YYSYMBOL_513_54 = 513,                   /* $@54  */
  YYSYMBOL_514_55 = 514,                   /* $@55  */
  YYSYMBOL_515_56 = 515,                   /* $@56  */
  YYSYMBOL_516_57 = 516,                   /* $@57  */
  YYSYMBOL_517_58 = 517,                   /* $@58  */
  YYSYMBOL_displaysets = 518,              /* displaysets  */
  YYSYMBOL_519_59 = 519,                   /* $@59  */
  YYSYMBOL_520_60 = 520,                   /* $@60  */
  YYSYMBOL_521_61 = 521,                   /* $@61  */
  YYSYMBOL_522_62 = 522,                   /* $@62  */
  YYSYMBOL_523_63 = 523,                   /* $@63  */
  YYSYMBOL_524_64 = 524,                   /* $@64  */
  YYSYMBOL_525_65 = 525,                   /* $@65  */
  YYSYMBOL_526_66 = 526,                   /* $@66  */
  YYSYMBOL_527_67 = 527,                   /* $@67  */
  YYSYMBOL_528_68 = 528,                   /* $@68  */
  YYSYMBOL_529_69 = 529,                   /* $@69  */
  YYSYMBOL_530_70 = 530,                   /* $@70  */
  YYSYMBOL_531_71 = 531,                   /* $@71  */
  YYSYMBOL_532_72 = 532,                   /* $@72  */
  YYSYMBOL_timesets = 533,                 /* timesets  */
  YYSYMBOL_534_73 = 534,                   /* $@73  */
  YYSYMBOL_535_74 = 535,                   /* $@74  */
  YYSYMBOL_536_75 = 536,                   /* $@75  */
  YYSYMBOL_537_76 = 537,                   /* $@76  */
  YYSYMBOL_538_77 = 538,                   /* $@77  */
  YYSYMBOL_539_78 = 539,                   /* $@78  */
  YYSYMBOL_540_79 = 540,                   /* $@79  */
  YYSYMBOL_541_80 = 541,                   /* $@80  */
  YYSYMBOL_542_81 = 542,                   /* $@81  */
  YYSYMBOL_543_82 = 543,                   /* $@82  */
  YYSYMBOL_544_83 = 544,                   /* $@83  */
  YYSYMBOL_mouseconf = 545,                /* mouseconf  */
  YYSYMBOL_546_84 = 546,                   /* $@84  */
  YYSYMBOL_547_85 = 547,                   /* $@85  */
  YYSYMBOL_548_86 = 548,                   /* $@86  */
  YYSYMBOL_549_87 = 549,                   /* $@87  */
  YYSYMBOL_550_88 = 550,                   /* $@88  */
  YYSYMBOL_551_89 = 551,                   /* $@89  */
  YYSYMBOL_552_90 = 552,                   /* $@90  */
  YYSYMBOL_553_91 = 553,                   /* $@91  */
  YYSYMBOL_554_92 = 554,                   /* $@92  */
  YYSYMBOL_555_93 = 555,                   /* $@93  */
  YYSYMBOL_556_94 = 556,                   /* $@94  */
  YYSYMBOL_557_95 = 557,                   /* $@95  */
  YYSYMBOL_cols = 558,                     /* cols  */
  YYSYMBOL_559_96 = 559,                   /* $@96  */
  YYSYMBOL_560_97 = 560,                   /* $@97  */
  YYSYMBOL_561_98 = 561,                   /* $@98  */
  YYSYMBOL_562_99 = 562,                   /* $@99  */
  YYSYMBOL_563_100 = 563,                  /* $@100  */
  YYSYMBOL_564_101 = 564,                  /* $@101  */
  YYSYMBOL_565_102 = 565,                  /* $@102  */
  YYSYMBOL_566_103 = 566,                  /* $@103  */
  YYSYMBOL_567_104 = 567,                  /* $@104  */
  YYSYMBOL_568_105 = 568,                  /* $@105  */
  YYSYMBOL_569_106 = 569,                  /* $@106  */
  YYSYMBOL_570_107 = 570,                  /* $@107  */
  YYSYMBOL_571_108 = 571,                  /* $@108  */
  YYSYMBOL_572_109 = 572,                  /* $@109  */
  YYSYMBOL_573_110 = 573,                  /* $@110  */
  YYSYMBOL_574_111 = 574,                  /* $@111  */
  YYSYMBOL_575_112 = 575,                  /* $@112  */
  YYSYMBOL_576_113 = 576,                  /* $@113  */
  YYSYMBOL_577_114 = 577,                  /* $@114  */
  YYSYMBOL_578_115 = 578,                  /* $@115  */
  YYSYMBOL_labelcolors = 579,              /* labelcolors  */
  YYSYMBOL_580_116 = 580,                  /* $@116  */
  YYSYMBOL_581_117 = 581,                  /* $@117  */
  YYSYMBOL_labelcolor = 582,               /* labelcolor  */
  YYSYMBOL_583_118 = 583,                  /* $@118  */
  YYSYMBOL_584_119 = 584,                  /* $@119  */
  YYSYMBOL_585_120 = 585,                  /* $@120  */
  YYSYMBOL_faces = 586,                    /* faces  */
  YYSYMBOL_587_121 = 587,                  /* $@121  */
  YYSYMBOL_588_122 = 588,                  /* $@122  */
  YYSYMBOL_face = 589,                     /* face  */
  YYSYMBOL_590_123 = 590,                  /* $@123  */
  YYSYMBOL_591_124 = 591,                  /* $@124  */
  YYSYMBOL_startup = 592,                  /* startup  */
  YYSYMBOL_593_125 = 593,                  /* $@125  */
  YYSYMBOL_594_126 = 594,                  /* $@126  */
  YYSYMBOL_595_127 = 595,                  /* $@127  */
  YYSYMBOL_596_128 = 596,                  /* $@128  */
  YYSYMBOL_597_129 = 597,                  /* $@129  */
  YYSYMBOL_598_130 = 598,                  /* $@130  */
  YYSYMBOL_599_131 = 599,                  /* $@131  */
  YYSYMBOL_600_132 = 600,                  /* $@132  */
  YYSYMBOL_601_133 = 601,                  /* $@133  */
  YYSYMBOL_paths = 602,                    /* paths  */
  YYSYMBOL_603_134 = 603,                  /* $@134  */
  YYSYMBOL_604_135 = 604,                  /* $@135  */
  YYSYMBOL_path = 605,                     /* path  */
  YYSYMBOL_606_136 = 606,                  /* $@136  */
  YYSYMBOL_607_137 = 607,                  /* $@137  */
  YYSYMBOL_608_138 = 608,                  /* $@138  */
  YYSYMBOL_609_139 = 609,                  /* $@139  */
  YYSYMBOL_610_140 = 610,                  /* $@140  */
  YYSYMBOL_611_141 = 611,                  /* $@141  */
  YYSYMBOL_keylist = 612,                  /* keylist  */
  YYSYMBOL_613_142 = 613,                  /* $@142  */
  YYSYMBOL_614_143 = 614,                  /* $@143  */
  YYSYMBOL_615_144 = 615,                  /* $@144  */
  YYSYMBOL_616_145 = 616,                  /* $@145  */
  YYSYMBOL_617_146 = 617,                  /* $@146  */
  YYSYMBOL_618_147 = 618,                  /* $@147  */
  YYSYMBOL_619_148 = 619,                  /* $@148  */
  YYSYMBOL_620_149 = 620,                  /* $@149  */
  YYSYMBOL_621_150 = 621,                  /* $@150  */
  YYSYMBOL_622_151 = 622,                  /* $@151  */
  YYSYMBOL_mods = 623,                     /* mods  */
  YYSYMBOL_624_152 = 624,                  /* $@152  */
  YYSYMBOL_625_153 = 625,                  /* $@153  */
  YYSYMBOL_626_154 = 626,                  /* $@154  */
  YYSYMBOL_627_155 = 627,                  /* $@155  */
  YYSYMBOL_628_156 = 628,                  /* $@156  */
  YYSYMBOL_629_157 = 629,                  /* $@157  */
  YYSYMBOL_630_158 = 630,                  /* $@158  */
  YYSYMBOL_631_159 = 631,                  /* $@159  */
  YYSYMBOL_filetypes = 632,                /* filetypes  */
  YYSYMBOL_633_160 = 633,                  /* $@160  */
  YYSYMBOL_634_161 = 634,                  /* $@161  */
  YYSYMBOL_635_162 = 635,                  /* $@162  */
  YYSYMBOL_636_163 = 636,                  /* $@163  */
  YYSYMBOL_637_164 = 637,                  /* $@164  */
  YYSYMBOL_ignoredirs = 638,               /* ignoredirs  */
  YYSYMBOL_639_165 = 639,                  /* $@165  */
  YYSYMBOL_subfiletypes = 640,             /* subfiletypes  */
  YYSYMBOL_641_166 = 641,                  /* $@166  */
  YYSYMBOL_642_167 = 642,                  /* $@167  */
  YYSYMBOL_filetype = 643,                 /* filetype  */
  YYSYMBOL_644_168 = 644,                  /* $@168  */
  YYSYMBOL_645_169 = 645,                  /* $@169  */
  YYSYMBOL_646_170 = 646,                  /* $@170  */
  YYSYMBOL_647_171 = 647,                  /* $@171  */
  YYSYMBOL_648_172 = 648,                  /* $@172  */
  YYSYMBOL_649_173 = 649,                  /* $@173  */
  YYSYMBOL_650_174 = 650,                  /* $@174  */
  YYSYMBOL_651_175 = 651,                  /* $@175  */
  YYSYMBOL_652_176 = 652,                  /* $@176  */
  YYSYMBOL_653_177 = 653,                  /* $@177  */
  YYSYMBOL_654_178 = 654,                  /* $@178  */
  YYSYMBOL_655_179 = 655,                  /* $@179  */
  YYSYMBOL_656_180 = 656,                  /* $@180  */
  YYSYMBOL_657_181 = 657,                  /* $@181  */
  YYSYMBOL_658_182 = 658,                  /* $@182  */
  YYSYMBOL_659_183 = 659,                  /* $@183  */
  YYSYMBOL_660_184 = 660,                  /* $@184  */
  YYSYMBOL_661_185 = 661,                  /* $@185  */
  YYSYMBOL_662_186 = 662,                  /* $@186  */
  YYSYMBOL_663_187 = 663,                  /* $@187  */
  YYSYMBOL_664_188 = 664,                  /* $@188  */
  YYSYMBOL_665_189 = 665,                  /* $@189  */
  YYSYMBOL_666_190 = 666,                  /* $@190  */
  YYSYMBOL_667_191 = 667,                  /* $@191  */
  YYSYMBOL_668_192 = 668,                  /* $@192  */
  YYSYMBOL_669_193 = 669,                  /* $@193  */
  YYSYMBOL_670_194 = 670,                  /* $@194  */
  YYSYMBOL_filecontent = 671,              /* filecontent  */
  YYSYMBOL_672_195 = 672,                  /* $@195  */
  YYSYMBOL_ft_type = 673,                  /* ft_type  */
  YYSYMBOL_ftcommands = 674,               /* ftcommands  */
  YYSYMBOL_675_196 = 675,                  /* $@196  */
  YYSYMBOL_676_197 = 676,                  /* $@197  */
  YYSYMBOL_677_198 = 677,                  /* $@198  */
  YYSYMBOL_678_199 = 678,                  /* $@199  */
  YYSYMBOL_679_200 = 679,                  /* $@200  */
  YYSYMBOL_680_201 = 680,                  /* $@201  */
  YYSYMBOL_681_202 = 681,                  /* $@202  */
  YYSYMBOL_682_203 = 682,                  /* $@203  */
  YYSYMBOL_683_204 = 683,                  /* $@204  */
  YYSYMBOL_684_205 = 684,                  /* $@205  */
  YYSYMBOL_685_206 = 685,                  /* $@206  */
  YYSYMBOL_686_207 = 686,                  /* $@207  */
  YYSYMBOL_commands = 687,                 /* commands  */
  YYSYMBOL_flags = 688,                    /* flags  */
  YYSYMBOL_hotkeys = 689,                  /* hotkeys  */
  YYSYMBOL_690_208 = 690,                  /* $@208  */
  YYSYMBOL_691_209 = 691,                  /* $@209  */
  YYSYMBOL_hotkey = 692,                   /* hotkey  */
  YYSYMBOL_693_210 = 693,                  /* $@210  */
  YYSYMBOL_694_211 = 694,                  /* $@211  */
  YYSYMBOL_695_212 = 695,                  /* $@212  */
  YYSYMBOL_696_213 = 696,                  /* $@213  */
  YYSYMBOL_697_214 = 697,                  /* $@214  */
  YYSYMBOL_buttons = 698,                  /* buttons  */
  YYSYMBOL_699_215 = 699,                  /* $@215  */
  YYSYMBOL_700_216 = 700,                  /* $@216  */
  YYSYMBOL_button = 701,                   /* button  */
  YYSYMBOL_702_217 = 702,                  /* $@217  */
  YYSYMBOL_703_218 = 703,                  /* $@218  */
  YYSYMBOL_704_219 = 704,                  /* $@219  */
  YYSYMBOL_705_220 = 705,                  /* $@220  */
  YYSYMBOL_706_221 = 706,                  /* $@221  */
  YYSYMBOL_707_222 = 707,                  /* $@222  */
  YYSYMBOL_708_223 = 708,                  /* $@223  */
  YYSYMBOL_fonts = 709,                    /* fonts  */
  YYSYMBOL_710_224 = 710,                  /* $@224  */
  YYSYMBOL_711_225 = 711,                  /* $@225  */
  YYSYMBOL_712_226 = 712,                  /* $@226  */
  YYSYMBOL_713_227 = 713,                  /* $@227  */
  YYSYMBOL_714_228 = 714,                  /* $@228  */
  YYSYMBOL_715_229 = 715,                  /* $@229  */
  YYSYMBOL_xftfonts = 716,                 /* xftfonts  */
  YYSYMBOL_717_230 = 717,                  /* $@230  */
  YYSYMBOL_718_231 = 718,                  /* $@231  */
  YYSYMBOL_719_232 = 719,                  /* $@232  */
  YYSYMBOL_720_233 = 720,                  /* $@233  */
  YYSYMBOL_721_234 = 721,                  /* $@234  */
  YYSYMBOL_722_235 = 722,                  /* $@235  */
  YYSYMBOL_volumemanager = 723,            /* volumemanager  */
  YYSYMBOL_724_236 = 724,                  /* $@236  */
  YYSYMBOL_725_237 = 725,                  /* $@237  */
  YYSYMBOL_726_238 = 726,                  /* $@238  */
  YYSYMBOL_727_239 = 727,                  /* $@239  */
  YYSYMBOL_728_240 = 728,                  /* $@240  */
  YYSYMBOL_729_241 = 729,                  /* $@241  */
  YYSYMBOL_730_242 = 730,                  /* $@242  */
  YYSYMBOL_731_243 = 731,                  /* $@243  */
  YYSYMBOL_732_244 = 732,                  /* $@244  */
  YYSYMBOL_clockbarsets = 733,             /* clockbarsets  */
  YYSYMBOL_734_245 = 734,                  /* $@245  */
  YYSYMBOL_735_246 = 735,                  /* $@246  */
  YYSYMBOL_736_247 = 736,                  /* $@247  */
  YYSYMBOL_737_248 = 737,                  /* $@248  */
  YYSYMBOL_738_249 = 738,                  /* $@249  */
  YYSYMBOL_739_250 = 739,                  /* $@250  */
  YYSYMBOL_740_251 = 740,                  /* $@251  */
  YYSYMBOL_bool = 741,                     /* bool  */
  YYSYMBOL_command = 742,                  /* command  */
  YYSYMBOL_ownop = 743,                    /* ownop  */
  YYSYMBOL_744_252 = 744,                  /* $@252  */
  YYSYMBOL_ownopbody = 745,                /* ownopbody  */
  YYSYMBOL_746_253 = 746,                  /* $@253  */
  YYSYMBOL_747_254 = 747,                  /* $@254  */
  YYSYMBOL_748_255 = 748,                  /* $@255  */
  YYSYMBOL_749_256 = 749,                  /* $@256  */
  YYSYMBOL_750_257 = 750,                  /* $@257  */
  YYSYMBOL_751_258 = 751,                  /* $@258  */
  YYSYMBOL_752_259 = 752,                  /* $@259  */
  YYSYMBOL_753_260 = 753,                  /* $@260  */
  YYSYMBOL_754_261 = 754,                  /* $@261  */
  YYSYMBOL_755_262 = 755,                  /* $@262  */
  YYSYMBOL_756_263 = 756,                  /* $@263  */
  YYSYMBOL_757_264 = 757,                  /* $@264  */
  YYSYMBOL_758_265 = 758,                  /* $@265  */
  YYSYMBOL_759_266 = 759,                  /* $@266  */
  YYSYMBOL_dndaction = 760,                /* dndaction  */
  YYSYMBOL_761_267 = 761,                  /* $@267  */
  YYSYMBOL_dcaction = 762,                 /* dcaction  */
  YYSYMBOL_763_268 = 763,                  /* $@268  */
  YYSYMBOL_showaction = 764,               /* showaction  */
  YYSYMBOL_765_269 = 765,                  /* $@269  */
  YYSYMBOL_rshowaction = 766,              /* rshowaction  */
  YYSYMBOL_767_270 = 767,                  /* $@270  */
  YYSYMBOL_useraction = 768,               /* useraction  */
  YYSYMBOL_769_271 = 769,                  /* $@271  */
  YYSYMBOL_useractionbody = 770,           /* useractionbody  */
  YYSYMBOL_771_272 = 771,                  /* $@272  */
  YYSYMBOL_rowup = 772,                    /* rowup  */
  YYSYMBOL_773_273 = 773,                  /* $@273  */
  YYSYMBOL_rowdown = 774,                  /* rowdown  */
  YYSYMBOL_775_274 = 775,                  /* $@274  */
  YYSYMBOL_changehiddenflag = 776,         /* changehiddenflag  */
  YYSYMBOL_777_275 = 777,                  /* $@275  */
  YYSYMBOL_changehiddenflagbody = 778,     /* changehiddenflagbody  */
  YYSYMBOL_779_276 = 779,                  /* $@276  */
  YYSYMBOL_780_277 = 780,                  /* $@277  */
  YYSYMBOL_781_278 = 781,                  /* $@278  */
  YYSYMBOL_copyop = 782,                   /* copyop  */
  YYSYMBOL_783_279 = 783,                  /* $@279  */
  YYSYMBOL_copyopbody = 784,               /* copyopbody  */
  YYSYMBOL_785_280 = 785,                  /* $@280  */
  YYSYMBOL_786_281 = 786,                  /* $@281  */
  YYSYMBOL_787_282 = 787,                  /* $@282  */
  YYSYMBOL_788_283 = 788,                  /* $@283  */
  YYSYMBOL_789_284 = 789,                  /* $@284  */
  YYSYMBOL_790_285 = 790,                  /* $@285  */
  YYSYMBOL_791_286 = 791,                  /* $@286  */
  YYSYMBOL_792_287 = 792,                  /* $@287  */
  YYSYMBOL_793_288 = 793,                  /* $@288  */
  YYSYMBOL_794_289 = 794,                  /* $@289  */
  YYSYMBOL_795_290 = 795,                  /* $@290  */
  YYSYMBOL_796_291 = 796,                  /* $@291  */
  YYSYMBOL_797_292 = 797,                  /* $@292  */
  YYSYMBOL_798_293 = 798,                  /* $@293  */
  YYSYMBOL_799_294 = 799,                  /* $@294  */
  YYSYMBOL_800_295 = 800,                  /* $@295  */
  YYSYMBOL_801_296 = 801,                  /* $@296  */
  YYSYMBOL_802_297 = 802,                  /* $@297  */
  YYSYMBOL_803_298 = 803,                  /* $@298  */
  YYSYMBOL_804_299 = 804,                  /* $@299  */
  YYSYMBOL_firstrow = 805,                 /* firstrow  */
  YYSYMBOL_806_300 = 806,                  /* $@300  */
  YYSYMBOL_lastrow = 807,                  /* lastrow  */
  YYSYMBOL_808_301 = 808,                  /* $@301  */
  YYSYMBOL_pageup = 809,                   /* pageup  */
  YYSYMBOL_810_302 = 810,                  /* $@302  */
  YYSYMBOL_pagedown = 811,                 /* pagedown  */
  YYSYMBOL_812_303 = 812,                  /* $@303  */
  YYSYMBOL_selectop = 813,                 /* selectop  */
  YYSYMBOL_814_304 = 814,                  /* $@304  */
  YYSYMBOL_selectallop = 815,              /* selectallop  */
  YYSYMBOL_816_305 = 816,                  /* $@305  */
  YYSYMBOL_selectnoneop = 817,             /* selectnoneop  */
  YYSYMBOL_818_306 = 818,                  /* $@306  */
  YYSYMBOL_invertallop = 819,              /* invertallop  */
  YYSYMBOL_820_307 = 820,                  /* $@307  */
  YYSYMBOL_parentdirop = 821,              /* parentdirop  */
  YYSYMBOL_822_308 = 822,                  /* $@308  */
  YYSYMBOL_enterdirop = 823,               /* enterdirop  */
  YYSYMBOL_824_309 = 824,                  /* $@309  */
  YYSYMBOL_enterdiropbody = 825,           /* enterdiropbody  */
  YYSYMBOL_826_310 = 826,                  /* $@310  */
  YYSYMBOL_827_311 = 827,                  /* $@311  */
  YYSYMBOL_828_312 = 828,                  /* $@312  */
  YYSYMBOL_829_313 = 829,                  /* $@313  */
  YYSYMBOL_830_314 = 830,                  /* $@314  */
  YYSYMBOL_changelistersetop = 831,        /* changelistersetop  */
  YYSYMBOL_832_315 = 832,                  /* $@315  */
  YYSYMBOL_changelistersetopbody = 833,    /* changelistersetopbody  */
  YYSYMBOL_834_316 = 834,                  /* $@316  */
  YYSYMBOL_835_317 = 835,                  /* $@317  */
  YYSYMBOL_836_318 = 836,                  /* $@318  */
  YYSYMBOL_837_319 = 837,                  /* $@319  */
  YYSYMBOL_switchlisterop = 838,           /* switchlisterop  */
  YYSYMBOL_839_320 = 839,                  /* $@320  */
  YYSYMBOL_filterselectop = 840,           /* filterselectop  */
  YYSYMBOL_841_321 = 841,                  /* $@321  */
  YYSYMBOL_filterselectopbody = 842,       /* filterselectopbody  */
  YYSYMBOL_843_322 = 843,                  /* $@322  */
  YYSYMBOL_844_323 = 844,                  /* $@323  */
  YYSYMBOL_845_324 = 845,                  /* $@324  */
  YYSYMBOL_filterunselectop = 846,         /* filterunselectop  */
  YYSYMBOL_847_325 = 847,                  /* $@325  */
  YYSYMBOL_filterunselectopbody = 848,     /* filterunselectopbody  */
  YYSYMBOL_849_326 = 849,                  /* $@326  */
  YYSYMBOL_850_327 = 850,                  /* $@327  */
  YYSYMBOL_851_328 = 851,                  /* $@328  */
  YYSYMBOL_pathtoothersideop = 852,        /* pathtoothersideop  */
  YYSYMBOL_853_329 = 853,                  /* $@329  */
  YYSYMBOL_quitop = 854,                   /* quitop  */
  YYSYMBOL_855_330 = 855,                  /* $@330  */
  YYSYMBOL_quitopbody = 856,               /* quitopbody  */
  YYSYMBOL_857_331 = 857,                  /* $@331  */
  YYSYMBOL_858_332 = 858,                  /* $@332  */
  YYSYMBOL_deleteop = 859,                 /* deleteop  */
  YYSYMBOL_860_333 = 860,                  /* $@333  */
  YYSYMBOL_deleteopbody = 861,             /* deleteopbody  */
  YYSYMBOL_862_334 = 862,                  /* $@334  */
  YYSYMBOL_reloadop = 863,                 /* reloadop  */
  YYSYMBOL_864_335 = 864,                  /* $@335  */
  YYSYMBOL_reloadopbody = 865,             /* reloadopbody  */
  YYSYMBOL_866_336 = 866,                  /* $@336  */
  YYSYMBOL_867_337 = 867,                  /* $@337  */
  YYSYMBOL_868_338 = 868,                  /* $@338  */
  YYSYMBOL_869_339 = 869,                  /* $@339  */
  YYSYMBOL_870_340 = 870,                  /* $@340  */
  YYSYMBOL_871_341 = 871,                  /* $@341  */
  YYSYMBOL_makedirop = 872,                /* makedirop  */
  YYSYMBOL_873_342 = 873,                  /* $@342  */
  YYSYMBOL_renameop = 874,                 /* renameop  */
  YYSYMBOL_875_343 = 875,                  /* $@343  */
  YYSYMBOL_dirsizeop = 876,                /* dirsizeop  */
  YYSYMBOL_877_344 = 877,                  /* $@344  */
  YYSYMBOL_simddop = 878,                  /* simddop  */
  YYSYMBOL_879_345 = 879,                  /* $@345  */
  YYSYMBOL_startprogop = 880,              /* startprogop  */
  YYSYMBOL_881_346 = 881,                  /* $@346  */
  YYSYMBOL_startprogopbody = 882,          /* startprogopbody  */
  YYSYMBOL_883_347 = 883,                  /* $@347  */
  YYSYMBOL_884_348 = 884,                  /* $@348  */
  YYSYMBOL_885_349 = 885,                  /* $@349  */
  YYSYMBOL_886_350 = 886,                  /* $@350  */
  YYSYMBOL_887_351 = 887,                  /* $@351  */
  YYSYMBOL_888_352 = 888,                  /* $@352  */
  YYSYMBOL_889_353 = 889,                  /* $@353  */
  YYSYMBOL_890_354 = 890,                  /* $@354  */
  YYSYMBOL_891_355 = 891,                  /* $@355  */
  YYSYMBOL_892_356 = 892,                  /* $@356  */
  YYSYMBOL_searchentryop = 893,            /* searchentryop  */
  YYSYMBOL_894_357 = 894,                  /* $@357  */
  YYSYMBOL_searchentryopbody = 895,        /* searchentryopbody  */
  YYSYMBOL_896_358 = 896,                  /* $@358  */
  YYSYMBOL_897_359 = 897,                  /* $@359  */
  YYSYMBOL_898_360 = 898,                  /* $@360  */
  YYSYMBOL_899_361 = 899,                  /* $@361  */
  YYSYMBOL_enterpathop = 900,              /* enterpathop  */
  YYSYMBOL_901_362 = 901,                  /* $@362  */
  YYSYMBOL_enterpathopbody = 902,          /* enterpathopbody  */
  YYSYMBOL_903_363 = 903,                  /* $@363  */
  YYSYMBOL_904_364 = 904,                  /* $@364  */
  YYSYMBOL_905_365 = 905,                  /* $@365  */
  YYSYMBOL_906_366 = 906,                  /* $@366  */
  YYSYMBOL_scrolllisterop = 907,           /* scrolllisterop  */
  YYSYMBOL_908_367 = 908,                  /* $@367  */
  YYSYMBOL_scrolllisteropbody = 909,       /* scrolllisteropbody  */
  YYSYMBOL_910_368 = 910,                  /* $@368  */
  YYSYMBOL_911_369 = 911,                  /* $@369  */
  YYSYMBOL_createsymlinkop = 912,          /* createsymlinkop  */
  YYSYMBOL_913_370 = 913,                  /* $@370  */
  YYSYMBOL_createsymlinkopbody = 914,      /* createsymlinkopbody  */
  YYSYMBOL_915_371 = 915,                  /* $@371  */
  YYSYMBOL_916_372 = 916,                  /* $@372  */
  YYSYMBOL_917_373 = 917,                  /* $@373  */
  YYSYMBOL_changesymlinkop = 918,          /* changesymlinkop  */
  YYSYMBOL_919_374 = 919,                  /* $@374  */
  YYSYMBOL_changesymlinkopbody = 920,      /* changesymlinkopbody  */
  YYSYMBOL_921_375 = 921,                  /* $@375  */
  YYSYMBOL_922_376 = 922,                  /* $@376  */
  YYSYMBOL_923_377 = 923,                  /* $@377  */
  YYSYMBOL_chmodop = 924,                  /* chmodop  */
  YYSYMBOL_925_378 = 925,                  /* $@378  */
  YYSYMBOL_chmodopbody = 926,              /* chmodopbody  */
  YYSYMBOL_927_379 = 927,                  /* $@379  */
  YYSYMBOL_928_380 = 928,                  /* $@380  */
  YYSYMBOL_929_381 = 929,                  /* $@381  */
  YYSYMBOL_930_382 = 930,                  /* $@382  */
  YYSYMBOL_chtimeop = 931,                 /* chtimeop  */
  YYSYMBOL_932_383 = 932,                  /* $@383  */
  YYSYMBOL_chtimeopbody = 933,             /* chtimeopbody  */
  YYSYMBOL_934_384 = 934,                  /* $@384  */
  YYSYMBOL_935_385 = 935,                  /* $@385  */
  YYSYMBOL_936_386 = 936,                  /* $@386  */
  YYSYMBOL_937_387 = 937,                  /* $@387  */
  YYSYMBOL_togglelistermodeop = 938,       /* togglelistermodeop  */
  YYSYMBOL_939_388 = 939,                  /* $@388  */
  YYSYMBOL_togglelistermodeopbody = 940,   /* togglelistermodeopbody  */
  YYSYMBOL_941_389 = 941,                  /* $@389  */
  YYSYMBOL_setsortmodeop = 942,            /* setsortmodeop  */
  YYSYMBOL_943_390 = 943,                  /* $@390  */
  YYSYMBOL_setsortmodeopbody = 944,        /* setsortmodeopbody  */
  YYSYMBOL_945_391 = 945,                  /* $@391  */
  YYSYMBOL_946_392 = 946,                  /* $@392  */
  YYSYMBOL_947_393 = 947,                  /* $@393  */
  YYSYMBOL_948_394 = 948,                  /* $@394  */
  YYSYMBOL_949_395 = 949,                  /* $@395  */
  YYSYMBOL_950_396 = 950,                  /* $@396  */
  YYSYMBOL_951_397 = 951,                  /* $@397  */
  YYSYMBOL_952_398 = 952,                  /* $@398  */
  YYSYMBOL_953_399 = 953,                  /* $@399  */
  YYSYMBOL_954_400 = 954,                  /* $@400  */
  YYSYMBOL_955_401 = 955,                  /* $@401  */
  YYSYMBOL_956_402 = 956,                  /* $@402  */
  YYSYMBOL_957_403 = 957,                  /* $@403  */
  YYSYMBOL_958_404 = 958,                  /* $@404  */
  YYSYMBOL_setfilterop = 959,              /* setfilterop  */
  YYSYMBOL_960_405 = 960,                  /* $@405  */
  YYSYMBOL_setfilteropbody = 961,          /* setfilteropbody  */
  YYSYMBOL_962_406 = 962,                  /* $@406  */
  YYSYMBOL_963_407 = 963,                  /* $@407  */
  YYSYMBOL_964_408 = 964,                  /* $@408  */
  YYSYMBOL_965_409 = 965,                  /* $@409  */
  YYSYMBOL_966_410 = 966,                  /* $@410  */
  YYSYMBOL_967_411 = 967,                  /* $@411  */
  YYSYMBOL_968_412 = 968,                  /* $@412  */
  YYSYMBOL_969_413 = 969,                  /* $@413  */
  YYSYMBOL_970_414 = 970,                  /* $@414  */
  YYSYMBOL_971_415 = 971,                  /* $@415  */
  YYSYMBOL_972_416 = 972,                  /* $@416  */
  YYSYMBOL_973_417 = 973,                  /* $@417  */
  YYSYMBOL_974_418 = 974,                  /* $@418  */
  YYSYMBOL_975_419 = 975,                  /* $@419  */
  YYSYMBOL_976_420 = 976,                  /* $@420  */
  YYSYMBOL_shortkeyfromlistop = 977,       /* shortkeyfromlistop  */
  YYSYMBOL_978_421 = 978,                  /* $@421  */
  YYSYMBOL_chownop = 979,                  /* chownop  */
  YYSYMBOL_980_422 = 980,                  /* $@422  */
  YYSYMBOL_chownopbody = 981,              /* chownopbody  */
  YYSYMBOL_982_423 = 982,                  /* $@423  */
  YYSYMBOL_983_424 = 983,                  /* $@424  */
  YYSYMBOL_984_425 = 984,                  /* $@425  */
  YYSYMBOL_985_426 = 985,                  /* $@426  */
  YYSYMBOL_scriptop = 986,                 /* scriptop  */
  YYSYMBOL_987_427 = 987,                  /* $@427  */
  YYSYMBOL_scriptopbody = 988,             /* scriptopbody  */
  YYSYMBOL_989_428 = 989,                  /* $@428  */
  YYSYMBOL_990_429 = 990,                  /* $@429  */
  YYSYMBOL_991_430 = 991,                  /* $@430  */
  YYSYMBOL_992_431 = 992,                  /* $@431  */
  YYSYMBOL_993_432 = 993,                  /* $@432  */
  YYSYMBOL_994_433 = 994,                  /* $@433  */
  YYSYMBOL_995_434 = 995,                  /* $@434  */
  YYSYMBOL_996_435 = 996,                  /* $@435  */
  YYSYMBOL_997_436 = 997,                  /* $@436  */
  YYSYMBOL_998_437 = 998,                  /* $@437  */
  YYSYMBOL_999_438 = 999,                  /* $@438  */
  YYSYMBOL_1000_439 = 1000,                /* $@439  */
  YYSYMBOL_1001_440 = 1001,                /* $@440  */
  YYSYMBOL_1002_441 = 1002,                /* $@441  */
  YYSYMBOL_1003_442 = 1003,                /* $@442  */
  YYSYMBOL_1004_443 = 1004,                /* $@443  */
  YYSYMBOL_1005_444 = 1005,                /* $@444  */
  YYSYMBOL_1006_445 = 1006,                /* $@445  */
  YYSYMBOL_1007_446 = 1007,                /* $@446  */
  YYSYMBOL_1008_447 = 1008,                /* $@447  */
  YYSYMBOL_1009_448 = 1009,                /* $@448  */
  YYSYMBOL_1010_449 = 1010,                /* $@449  */
  YYSYMBOL_1011_450 = 1011,                /* $@450  */
  YYSYMBOL_1012_451 = 1012,                /* $@451  */
  YYSYMBOL_1013_452 = 1013,                /* $@452  */
  YYSYMBOL_1014_453 = 1014,                /* $@453  */
  YYSYMBOL_1015_454 = 1015,                /* $@454  */
  YYSYMBOL_1016_455 = 1016,                /* $@455  */
  YYSYMBOL_1017_456 = 1017,                /* $@456  */
  YYSYMBOL_showdircacheop = 1018,          /* showdircacheop  */
  YYSYMBOL_1019_457 = 1019,                /* $@457  */
  YYSYMBOL_parentactionop = 1020,          /* parentactionop  */
  YYSYMBOL_1021_458 = 1021,                /* $@458  */
  YYSYMBOL_nooperationop = 1022,           /* nooperationop  */
  YYSYMBOL_1023_459 = 1023,                /* $@459  */
  YYSYMBOL_goftpop = 1024,                 /* goftpop  */
  YYSYMBOL_1025_460 = 1025,                /* $@460  */
  YYSYMBOL_goftpopbody = 1026,             /* goftpopbody  */
  YYSYMBOL_1027_461 = 1027,                /* $@461  */
  YYSYMBOL_1028_462 = 1028,                /* $@462  */
  YYSYMBOL_1029_463 = 1029,                /* $@463  */
  YYSYMBOL_1030_464 = 1030,                /* $@464  */
  YYSYMBOL_1031_465 = 1031,                /* $@465  */
  YYSYMBOL_1032_466 = 1032,                /* $@466  */
  YYSYMBOL_1033_467 = 1033,                /* $@467  */
  YYSYMBOL_internalviewop = 1034,          /* internalviewop  */
  YYSYMBOL_1035_468 = 1035,                /* $@468  */
  YYSYMBOL_internalviewopbody = 1036,      /* internalviewopbody  */
  YYSYMBOL_1037_469 = 1037,                /* $@469  */
  YYSYMBOL_1038_470 = 1038,                /* $@470  */
  YYSYMBOL_1039_471 = 1039,                /* $@471  */
  YYSYMBOL_1040_472 = 1040,                /* $@472  */
  YYSYMBOL_clipboardop = 1041,             /* clipboardop  */
  YYSYMBOL_1042_473 = 1042,                /* $@473  */
  YYSYMBOL_clipboardopbody = 1043,         /* clipboardopbody  */
  YYSYMBOL_1044_474 = 1044,                /* $@474  */
  YYSYMBOL_searchop = 1045,                /* searchop  */
  YYSYMBOL_1046_475 = 1046,                /* $@475  */
  YYSYMBOL_searchopbody = 1047,            /* searchopbody  */
  YYSYMBOL_1048_476 = 1048,                /* $@476  */
  YYSYMBOL_1049_477 = 1049,                /* $@477  */
  YYSYMBOL_dirbookmarkop = 1050,           /* dirbookmarkop  */
  YYSYMBOL_1051_478 = 1051,                /* $@478  */
  YYSYMBOL_opencontextmenuop = 1052,       /* opencontextmenuop  */
  YYSYMBOL_1053_479 = 1053,                /* $@479  */
  YYSYMBOL_opencontextmenuopbody = 1054,   /* opencontextmenuopbody  */
  YYSYMBOL_1055_480 = 1055,                /* $@480  */
  YYSYMBOL_runcustomaction = 1056,         /* runcustomaction  */
  YYSYMBOL_1057_481 = 1057,                /* $@481  */
  YYSYMBOL_runcustomactionbody = 1058,     /* runcustomactionbody  */
  YYSYMBOL_1059_482 = 1059,                /* $@482  */
  YYSYMBOL_openworkermenuop = 1060,        /* openworkermenuop  */
  YYSYMBOL_1061_483 = 1061,                /* $@483  */
  YYSYMBOL_changelabelop = 1062,           /* changelabelop  */
  YYSYMBOL_1063_484 = 1063,                /* $@484  */
  YYSYMBOL_changelabelopbody = 1064,       /* changelabelopbody  */
  YYSYMBOL_1065_485 = 1065,                /* $@485  */
  YYSYMBOL_1066_486 = 1066,                /* $@486  */
  YYSYMBOL_modifytabsop = 1067,            /* modifytabsop  */
  YYSYMBOL_1068_487 = 1068,                /* $@487  */
  YYSYMBOL_modifytabsopbody = 1069,        /* modifytabsopbody  */
  YYSYMBOL_1070_488 = 1070,                /* $@488  */
  YYSYMBOL_1071_489 = 1071,                /* $@489  */
  YYSYMBOL_1072_490 = 1072,                /* $@490  */
  YYSYMBOL_1073_491 = 1073,                /* $@491  */
  YYSYMBOL_1074_492 = 1074,                /* $@492  */
  YYSYMBOL_1075_493 = 1075,                /* $@493  */
  YYSYMBOL_1076_494 = 1076,                /* $@494  */
  YYSYMBOL_changelayoutop = 1077,          /* changelayoutop  */
  YYSYMBOL_1078_495 = 1078,                /* $@495  */
  YYSYMBOL_changelayoutopbody = 1079,      /* changelayoutopbody  */
  YYSYMBOL_1080_496 = 1080,                /* $@496  */
  YYSYMBOL_1081_497 = 1081,                /* $@497  */
  YYSYMBOL_1082_498 = 1082,                /* $@498  */
  YYSYMBOL_1083_499 = 1083,                /* $@499  */
  YYSYMBOL_1084_500 = 1084,                /* $@500  */
  YYSYMBOL_1085_501 = 1085,                /* $@501  */
  YYSYMBOL_1086_502 = 1086,                /* $@502  */
  YYSYMBOL_1087_503 = 1087,                /* $@503  */
  YYSYMBOL_1088_504 = 1088,                /* $@504  */
  YYSYMBOL_1089_505 = 1089,                /* $@505  */
  YYSYMBOL_1090_506 = 1090,                /* $@506  */
  YYSYMBOL_1091_507 = 1091,                /* $@507  */
  YYSYMBOL_1092_508 = 1092,                /* $@508  */
  YYSYMBOL_changecolumnsop = 1093,         /* changecolumnsop  */
  YYSYMBOL_1094_509 = 1094,                /* $@509  */
  YYSYMBOL_changecolumnsopbody = 1095,     /* changecolumnsopbody  */
  YYSYMBOL_1096_510 = 1096,                /* $@510  */
  YYSYMBOL_1097_511 = 1097,                /* $@511  */
  YYSYMBOL_1098_512 = 1098,                /* $@512  */
  YYSYMBOL_1099_513 = 1099,                /* $@513  */
  YYSYMBOL_1100_514 = 1100,                /* $@514  */
  YYSYMBOL_1101_515 = 1101,                /* $@515  */
  YYSYMBOL_1102_516 = 1102,                /* $@516  */
  YYSYMBOL_1103_517 = 1103,                /* $@517  */
  YYSYMBOL_1104_518 = 1104,                /* $@518  */
  YYSYMBOL_1105_519 = 1105,                /* $@519  */
  YYSYMBOL_1106_520 = 1106,                /* $@520  */
  YYSYMBOL_1107_521 = 1107,                /* $@521  */
  YYSYMBOL_1108_522 = 1108,                /* $@522  */
  YYSYMBOL_1109_523 = 1109,                /* $@523  */
  YYSYMBOL_volumemanagerop = 1110,         /* volumemanagerop  */
  YYSYMBOL_1111_524 = 1111,                /* $@524  */
  YYSYMBOL_switchbuttonbankop = 1112,      /* switchbuttonbankop  */
  YYSYMBOL_1113_525 = 1113,                /* $@525  */
  YYSYMBOL_switchbuttonbankopbody = 1114,  /* switchbuttonbankopbody  */
  YYSYMBOL_1115_526 = 1115,                /* $@526  */
  YYSYMBOL_1116_527 = 1116,                /* $@527  */
  YYSYMBOL_1117_528 = 1117,                /* $@528  */
  YYSYMBOL_1118_529 = 1118,                /* $@529  */
  YYSYMBOL_pathjumpop = 1119,              /* pathjumpop  */
  YYSYMBOL_1120_530 = 1120,                /* $@530  */
  YYSYMBOL_pathjumpopbody = 1121,          /* pathjumpopbody  */
  YYSYMBOL_1122_531 = 1122,                /* $@531  */
  YYSYMBOL_1123_532 = 1123,                /* $@532  */
  YYSYMBOL_1124_533 = 1124,                /* $@533  */
  YYSYMBOL_1125_534 = 1125,                /* $@534  */
  YYSYMBOL_1126_535 = 1126,                /* $@535  */
  YYSYMBOL_1127_536 = 1127,                /* $@536  */
  YYSYMBOL_1128_537 = 1128,                /* $@537  */
  YYSYMBOL_commandmenuop = 1129,           /* commandmenuop  */
  YYSYMBOL_1130_538 = 1130,                /* $@538  */
  YYSYMBOL_commandmenuopbody = 1131,       /* commandmenuopbody  */
  YYSYMBOL_1132_539 = 1132,                /* $@539  */
  YYSYMBOL_viewnewestfilesop = 1133,       /* viewnewestfilesop  */
  YYSYMBOL_1134_540 = 1134,                /* $@540  */
  YYSYMBOL_dircompareop = 1135,            /* dircompareop  */
  YYSYMBOL_1136_541 = 1136,                /* $@541  */
  YYSYMBOL_tabprofilesop = 1137,           /* tabprofilesop  */
  YYSYMBOL_1138_542 = 1138,                /* $@542  */
  YYSYMBOL_externalvdirop = 1139,          /* externalvdirop  */
  YYSYMBOL_1140_543 = 1140,                /* $@543  */
  YYSYMBOL_externalvdiropbody = 1141,      /* externalvdiropbody  */
  YYSYMBOL_1142_544 = 1142,                /* $@544  */
  YYSYMBOL_opentabmenuop = 1143,           /* opentabmenuop  */
  YYSYMBOL_1144_545 = 1144,                /* $@545  */
  YYSYMBOL_directorypresets = 1145,        /* directorypresets  */
  YYSYMBOL_1146_546 = 1146,                /* $@546  */
  YYSYMBOL_1147_547 = 1147,                /* $@547  */
  YYSYMBOL_directorypreset = 1148,         /* directorypreset  */
  YYSYMBOL_1149_548 = 1149,                /* $@548  */
  YYSYMBOL_1150_549 = 1150,                /* $@549  */
  YYSYMBOL_1151_550 = 1151,                /* $@550  */
  YYSYMBOL_1152_551 = 1152,                /* $@551  */
  YYSYMBOL_1153_552 = 1153,                /* $@552  */
  YYSYMBOL_1154_553 = 1154,                /* $@553  */
  YYSYMBOL_1155_554 = 1155,                /* $@554  */
  YYSYMBOL_1156_555 = 1156,                /* $@555  */
  YYSYMBOL_1157_556 = 1157,                /* $@556  */
  YYSYMBOL_1158_557 = 1158,                /* $@557  */
  YYSYMBOL_1159_558 = 1159,                /* $@558  */
  YYSYMBOL_1160_559 = 1160,                /* $@559  */
  YYSYMBOL_1161_560 = 1161,                /* $@560  */
  YYSYMBOL_1162_561 = 1162,                /* $@561  */
  YYSYMBOL_1163_562 = 1163,                /* $@562  */
  YYSYMBOL_1164_563 = 1164,                /* $@563  */
  YYSYMBOL_1165_564 = 1165,                /* $@564  */
  YYSYMBOL_1166_565 = 1166,                /* $@565  */
  YYSYMBOL_1167_566 = 1167,                /* $@566  */
  YYSYMBOL_directorypreset_filter = 1168,  /* directorypreset_filter  */
  YYSYMBOL_1169_567 = 1169,                /* $@567  */
  YYSYMBOL_1170_568 = 1170,                /* $@568  */
  YYSYMBOL_1171_569 = 1171,                /* $@569  */
  YYSYMBOL_helpop = 1172,                  /* helpop  */
  YYSYMBOL_1173_570 = 1173                 /* $@570  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   2546

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  450
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  724
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1271
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3016

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   700


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,   449,     2,   446,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,   447,
       2,   448,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   328,   328,   328,   328,   331,   332,   333,   332,   336,
     337,   338,   337,   349,   350,   349,   361,   362,   361,   373,
     374,   373,   385,   386,   387,   388,   389,   390,   389,   393,
     394,   393,   396,   398,   398,   399,   401,   401,   402,   404,
     404,   405,   405,   406,   406,   407,   407,   408,   409,   409,
     410,   410,   411,   411,   412,   412,   413,   413,   415,   416,
     416,   417,   417,   418,   419,   419,   420,   420,   421,   421,
     422,   422,   423,   423,   424,   425,   425,   426,   428,   428,
     429,   429,   430,   430,   431,   431,   432,   432,   433,   433,
     434,   434,   435,   435,   436,   436,   437,   437,   438,   438,
     439,   439,   440,   440,   441,   443,   443,   444,   446,   446,
     447,   447,   448,   450,   450,   451,   451,   452,   452,   453,
     453,   454,   454,   455,   455,   456,   456,   457,   459,   459,
     460,   460,   461,   461,   462,   462,   463,   463,   464,   464,
     465,   465,   466,   466,   467,   467,   468,   468,   469,   469,
     470,   470,   471,   471,   472,   472,   473,   475,   475,   476,
     476,   477,   477,   478,   478,   479,   479,   480,   480,   481,
     481,   482,   482,   483,   483,   484,   484,   485,   485,   486,
     488,   488,   489,   489,   490,   490,   491,   491,   492,   492,
     493,   493,   494,   495,   494,   496,   497,   496,   498,   499,
     498,   500,   502,   502,   506,   506,   510,   510,   514,   514,
     518,   518,   522,   522,   526,   526,   530,   530,   534,   534,
     538,   538,   542,   542,   546,   546,   550,   550,   554,   554,
     558,   558,   561,   561,   565,   565,   569,   569,   573,   574,
     573,   579,   581,   583,   590,   583,   593,   595,   595,   599,
     599,   603,   603,   604,   606,   610,   606,   613,   615,   615,
     618,   618,   619,   621,   621,   622,   622,   623,   623,   624,
     624,   625,   625,   626,   626,   627,   627,   628,   628,   629,
     629,   630,   632,   633,   632,   639,   641,   641,   645,   645,
     646,   646,   649,   649,   650,   651,   650,   663,   665,   668,
     673,   674,   665,   676,   679,   684,   685,   690,   691,   676,
     693,   695,   695,   696,   696,   697,   697,   698,   698,   699,
     699,   700,   700,   701,   701,   702,   702,   703,   705,   706,
     705,   709,   710,   709,   721,   721,   722,   724,   724,   725,
     727,   730,   727,   739,   741,   741,   742,   742,   743,   743,
     744,   744,   745,   745,   747,   747,   748,   748,   749,   749,
     750,   750,   751,   752,   752,   753,   753,   754,   755,   755,
     758,   758,   761,   761,   764,   764,   767,   767,   768,   768,
     769,   769,   770,   770,   771,   771,   772,   772,   773,   773,
     774,   774,   775,   775,   776,   776,   777,   777,   778,   778,
     779,   781,   781,   782,   784,   785,   786,   787,   788,   791,
     792,   791,   795,   796,   795,   799,   800,   799,   803,   804,
     803,   807,   808,   807,   811,   814,   811,   817,   819,   820,
     821,   823,   825,   826,   825,   829,   831,   831,   832,   833,
     832,   836,   837,   836,   849,   851,   852,   851,   858,   860,
     860,   864,   864,   865,   865,   868,   869,   868,   872,   873,
     872,   885,   888,   887,   895,   894,   902,   901,   909,   908,
     916,   915,   923,   922,   929,   932,   931,   939,   938,   946,
     945,   953,   952,   960,   959,   967,   966,   973,   976,   975,
     980,   979,   984,   983,   988,   987,   992,   991,   996,   995,
    1000,   999,  1004,  1003,  1008,  1007,  1011,  1013,  1013,  1014,
    1014,  1015,  1015,  1016,  1016,  1017,  1017,  1018,  1018,  1019,
    1019,  1020,  1022,  1023,  1025,  1026,  1027,  1028,  1029,  1030,
    1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,  1040,
    1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,  1050,
    1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,  1060,
    1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,  1070,
    1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,  1080,
    1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,  1089,  1090,
    1091,  1092,  1093,  1094,  1095,  1097,  1097,  1100,  1100,  1101,
    1101,  1102,  1102,  1103,  1103,  1104,  1104,  1105,  1105,  1106,
    1106,  1107,  1107,  1108,  1108,  1109,  1109,  1110,  1110,  1111,
    1111,  1112,  1112,  1113,  1113,  1114,  1116,  1116,  1119,  1119,
    1122,  1122,  1125,  1125,  1128,  1128,  1131,  1131,  1132,  1134,
    1134,  1141,  1141,  1148,  1148,  1151,  1151,  1152,  1152,  1153,
    1153,  1154,  1156,  1156,  1159,  1159,  1160,  1160,  1161,  1161,
    1162,  1162,  1163,  1163,  1164,  1164,  1165,  1165,  1166,  1166,
    1167,  1167,  1168,  1168,  1169,  1169,  1170,  1170,  1171,  1171,
    1172,  1172,  1173,  1173,  1174,  1174,  1175,  1175,  1176,  1176,
    1177,  1177,  1178,  1178,  1179,  1181,  1181,  1188,  1188,  1195,
    1195,  1202,  1202,  1209,  1209,  1216,  1216,  1223,  1223,  1230,
    1230,  1237,  1237,  1244,  1244,  1247,  1247,  1248,  1248,  1249,
    1249,  1250,  1250,  1251,  1251,  1252,  1254,  1254,  1257,  1257,
    1258,  1258,  1259,  1259,  1260,  1260,  1261,  1263,  1263,  1266,
    1266,  1269,  1269,  1270,  1270,  1271,  1271,  1272,  1274,  1274,
    1277,  1277,  1278,  1278,  1279,  1279,  1280,  1282,  1282,  1285,
    1285,  1288,  1288,  1289,  1289,  1290,  1292,  1292,  1295,  1295,
    1296,  1298,  1298,  1301,  1301,  1302,  1302,  1303,  1303,  1304,
    1304,  1305,  1305,  1306,  1306,  1307,  1309,  1309,  1312,  1312,
    1315,  1315,  1318,  1318,  1325,  1325,  1328,  1328,  1329,  1329,
    1330,  1330,  1331,  1331,  1332,  1332,  1333,  1333,  1334,  1334,
    1335,  1335,  1336,  1336,  1337,  1337,  1338,  1340,  1340,  1343,
    1343,  1344,  1344,  1345,  1345,  1346,  1346,  1347,  1349,  1349,
    1352,  1352,  1353,  1353,  1354,  1354,  1355,  1355,  1356,  1358,
    1358,  1361,  1361,  1362,  1362,  1363,  1365,  1365,  1368,  1368,
    1369,  1369,  1370,  1370,  1371,  1373,  1373,  1376,  1376,  1377,
    1377,  1378,  1378,  1379,  1381,  1381,  1384,  1384,  1385,  1385,
    1386,  1386,  1387,  1387,  1388,  1390,  1390,  1393,  1393,  1394,
    1394,  1395,  1395,  1396,  1396,  1397,  1399,  1399,  1402,  1402,
    1403,  1405,  1405,  1410,  1410,  1411,  1411,  1412,  1412,  1413,
    1413,  1414,  1414,  1415,  1415,  1416,  1416,  1417,  1417,  1418,
    1418,  1419,  1419,  1420,  1420,  1421,  1421,  1422,  1422,  1423,
    1423,  1424,  1426,  1426,  1429,  1429,  1430,  1430,  1431,  1431,
    1432,  1432,  1433,  1433,  1434,  1434,  1435,  1435,  1436,  1436,
    1437,  1437,  1438,  1438,  1439,  1439,  1440,  1440,  1441,  1441,
    1442,  1442,  1443,  1443,  1444,  1446,  1446,  1449,  1449,  1452,
    1452,  1453,  1453,  1454,  1454,  1455,  1455,  1456,  1458,  1458,
    1461,  1461,  1462,  1462,  1463,  1463,  1464,  1464,  1465,  1465,
    1466,  1466,  1467,  1467,  1468,  1468,  1469,  1469,  1470,  1470,
    1471,  1471,  1472,  1472,  1473,  1473,  1474,  1474,  1475,  1475,
    1476,  1476,  1477,  1477,  1478,  1478,  1479,  1479,  1480,  1480,
    1481,  1481,  1482,  1482,  1483,  1483,  1484,  1484,  1485,  1485,
    1486,  1486,  1487,  1487,  1488,  1488,  1489,  1489,  1490,  1492,
    1492,  1495,  1495,  1498,  1498,  1501,  1501,  1504,  1504,  1505,
    1505,  1506,  1506,  1507,  1507,  1508,  1508,  1509,  1509,  1510,
    1510,  1511,  1513,  1513,  1516,  1516,  1517,  1517,  1518,  1518,
    1519,  1519,  1521,  1523,  1523,  1526,  1526,  1527,  1529,  1529,
    1532,  1532,  1533,  1533,  1534,  1536,  1536,  1539,  1539,  1542,
    1542,  1543,  1545,  1545,  1548,  1548,  1549,  1551,  1551,  1554,
    1554,  1557,  1557,  1558,  1558,  1559,  1561,  1561,  1564,  1564,
    1565,  1565,  1566,  1566,  1567,  1567,  1568,  1568,  1569,  1569,
    1570,  1570,  1571,  1573,  1573,  1581,  1581,  1582,  1582,  1583,
    1583,  1584,  1584,  1585,  1585,  1586,  1586,  1587,  1587,  1588,
    1588,  1589,  1589,  1590,  1590,  1591,  1591,  1592,  1592,  1593,
    1593,  1594,  1596,  1596,  1604,  1604,  1605,  1605,  1606,  1606,
    1607,  1607,  1608,  1608,  1609,  1609,  1610,  1610,  1611,  1611,
    1612,  1612,  1613,  1613,  1614,  1614,  1615,  1615,  1616,  1616,
    1617,  1617,  1618,  1620,  1620,  1623,  1623,  1626,  1626,  1627,
    1627,  1628,  1628,  1629,  1629,  1630,  1632,  1632,  1635,  1635,
    1636,  1636,  1637,  1637,  1638,  1638,  1639,  1639,  1640,  1640,
    1641,  1641,  1642,  1644,  1644,  1647,  1647,  1648,  1650,  1650,
    1653,  1653,  1656,  1656,  1659,  1659,  1662,  1662,  1663,  1665,
    1665,  1672,  1673,  1672,  1675,  1677,  1677,  1678,  1678,  1679,
    1679,  1680,  1680,  1681,  1681,  1682,  1682,  1683,  1683,  1684,
    1684,  1685,  1685,  1686,  1686,  1687,  1687,  1688,  1688,  1689,
    1689,  1690,  1690,  1691,  1691,  1692,  1692,  1693,  1693,  1694,
    1695,  1694,  1696,  1698,  1698,  1699,  1699,  1700,  1700,  1701,
    1703,  1703
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "LEFTBRACE_WCP",
  "RIGHTBRACE_WCP", "GLOBAL_WCP", "COLORS_WCP", "LANG_WCP", "PALETTE_WCP",
  "OWNOP_WCP", "LISTERSETS_WCP", "YES_WCP", "NO_WCP", "LEFT_WCP",
  "RIGHT_WCP", "HBARTOP_WCP", "HBARHEIGHT_WCP", "VBARLEFT_WCP",
  "VBARWIDTH_WCP", "DISPLAYSETS_WCP", "NAME_WCP", "SIZE_WCP", "TYPE_WCP",
  "PERMISSION_WCP", "OWNER_WCP", "DESTINATION_WCP", "MODTIME_WCP",
  "ACCTIME_WCP", "CHGTIME_WCP", "ROWS_WCP", "COLUMNS_WCP", "CACHESIZE_WCP",
  "OWNERSTYLE_WCP", "TERMINAL_WCP", "USESTRINGFORDIRSIZE_WCP",
  "TIMESETS_WCP", "STYLE1_WCP", "STYLE2_WCP", "STYLE3_WCP", "DATE_WCP",
  "TIME_WCP", "DATESUBSTITUTION_WCP", "DATEBEFORETIME_WCP", "STATEBAR_WCP",
  "SELLVBAR_WCP", "UNSELLVBAR_WCP", "CLOCKBAR_WCP", "REQUESTER_WCP",
  "UNSELDIR_WCP", "SELDIR_WCP", "UNSELFILE_WCP", "SELFILE_WCP",
  "UNSELACTDIR_WCP", "SELACTDIR_WCP", "UNSELACTFILE_WCP", "SELACTFILE_WCP",
  "LVBG_WCP", "STARTUP_WCP", "BUTTON_WCP", "BUTTONS_WCP", "POSITION_WCP",
  "TITLE_WCP", "COMMANDS_WCP", "SHORTKEYS_WCP", "PATHS_WCP", "PATH_WCP",
  "FILETYPES_WCP", "FILETYPE_WCP", "NORMAL_WCP", "NOTYETCHECKED_WCP",
  "UNKNOWN_WCP", "NOSELECT_WCP", "DIR_WCP", "USEPATTERN_WCP",
  "USECONTENT_WCP", "PATTERN_WCP", "CONTENT_WCP", "FTCOMMANDS_WCP",
  "DND_WCP", "DC_WCP", "SHOW_WCP", "RAWSHOW_WCP", "USER_WCP", "FLAGS_WCP",
  "IGNOREDIRS_WCP", "HOTKEYS_WCP", "HOTKEY_WCP", "FONTS_WCP",
  "GLOBALFONT_WCP", "BUTTONFONT_WCP", "LEFTFONT_WCP", "RIGHTFONT_WCP",
  "TEXTVIEWFONT_WCP", "STATEBARFONT_WCP", "CLOCKBARSETS_WCP", "MODUS_WCP",
  "TIMESPACE_WCP", "VERSION_WCP", "EXTERN_WCP", "UPDATETIME_WCP",
  "PROGRAM_WCP", "SHOWHINTS_WCP", "KEY_WCP", "DOUBLE_WCP", "MOD_WCP",
  "CONTROL_WCP", "SHIFT_WCP", "LOCK_WCP", "MOD1_WCP", "MOD2_WCP",
  "MOD3_WCP", "MOD4_WCP", "MOD5_WCP", "DNDACTION_WCP", "DCACTION_WCP",
  "SHOWACTION_WCP", "RSHOWACTION_WCP", "USERACTION_WCP", "ROWUP_WCP",
  "ROWDOWN_WCP", "CHANGEHIDDENFLAG_WCP", "COPYOP_WCP", "FIRSTROW_WCP",
  "LASTROW_WCP", "PAGEUP_WCP", "PAGEDOWN_WCP", "SELECTOP_WCP",
  "SELECTALLOP_WCP", "SELECTNONEOP_WCP", "INVERTALLOP_WCP",
  "PARENTDIROP_WCP", "ENTERDIROP_WCP", "CHANGELISTERSETOP_WCP",
  "SWITCHLISTEROP_WCP", "FILTERSELECTOP_WCP", "FILTERUNSELECTOP_WCP",
  "PATHTOOTHERSIDEOP_WCP", "QUITOP_WCP", "DELETEOP_WCP", "RELOADOP_WCP",
  "MAKEDIROP_WCP", "RENAMEOP_WCP", "DIRSIZEOP_WCP", "SIMDDOP_WCP",
  "STARTPROGOP_WCP", "SEARCHENTRYOP_WCP", "ENTERPATHOP_WCP",
  "SCROLLLISTEROP_WCP", "CREATESYMLINKOP_WCP", "CHANGESYMLINKOP_WCP",
  "CHMODOP_WCP", "TOGGLELISTERMODEOP_WCP", "SETSORTMODEOP_WCP",
  "SETFILTEROP_WCP", "SHORTKEYFROMLISTOP_WCP", "CHOWNOP_WCP",
  "WORKERCONFIG_WCP", "USERSTYLE_WCP", "DATESTRING_WCP", "TIMESTRING_WCP",
  "COLOR_WCP", "PATTERNIGNORECASE_WCP", "PATTERNUSEREGEXP_WCP",
  "PATTERNUSEFULLNAME_WCP", "COM_WCP", "SEPARATEEACHENTRY_WCP",
  "RECURSIVE_WCP", "START_WCP", "TERMINALWAIT_WCP", "SHOWOUTPUT_WCP",
  "VIEWSTR_WCP", "SHOWOUTPUTINT_WCP", "INBACKGROUND_WCP", "TAKEDIRS_WCP",
  "ACTIONNUMBER_WCP", "HIDDENFILES_WCP", "HIDE_WCP", "TOGGLE_WCP",
  "FOLLOWSYMLINKS_WCP", "MOVE_WCP", "RENAME_WCP", "SAMEDIR_WCP",
  "REQUESTDEST_WCP", "REQUESTFLAGS_WCP", "OVERWRITE_WCP", "ALWAYS_WCP",
  "NEVER_WCP", "COPYMODE_WCP", "FAST_WCP", "PRESERVEATTR_WCP", "MODE_WCP",
  "ACTIVE_WCP", "ACTIVE2OTHER_WCP", "SPECIAL_WCP", "REQUEST_WCP",
  "CURRENT_WCP", "OTHER_WCP", "FILTER_WCP", "QUICK_WCP", "ALSOACTIVE_WCP",
  "RESETDIRSIZES_WCP", "KEEPFILETYPES_WCP", "RELATIVE_WCP", "ONFILES_WCP",
  "ONDIRS_WCP", "SORTBY_WCP", "SORTFLAG_WCP", "REVERSE_WCP", "DIRLAST_WCP",
  "DIRMIXED_WCP", "EXCLUDE_WCP", "INCLUDE_WCP", "UNSET_WCP",
  "UNSETALL_WCP", "SCRIPTOP_WCP", "NOP_WCP", "PUSH_WCP", "LABEL_WCP",
  "IF_WCP", "END_WCP", "POP_WCP", "SETTINGS_WCP", "WINDOW_WCP", "GOTO_WCP",
  "PUSHUSEOUTPUT_WCP", "DODEBUG_WCP", "WPURECURSIVE_WCP",
  "WPUTAKEDIRS_WCP", "STACKNR_WCP", "PUSHSTRING_WCP", "IFTEST_WCP",
  "IFLABEL_WCP", "WINTYPE_WCP", "OPEN_WCP", "CLOSE_WCP", "LEAVE_WCP",
  "CHANGEPROGRESS_WCP", "CHANGETEXT_WCP", "PROGRESSUSEOUTPUT_WCP",
  "WINTEXTUSEOUTPUT_WCP", "PROGRESS_WCP", "WINTEXT_WCP",
  "SHOWDIRCACHEOP_WCP", "INODE_WCP", "NLINK_WCP", "BLOCKS_WCP",
  "SHOWHEADER_WCP", "LVHEADER_WCP", "IGNORECASE_WCP", "LISTVIEWS_WCP",
  "BLL_WCP", "LBL_WCP", "LLB_WCP", "BL_WCP", "LB_WCP", "LAYOUT_WCP",
  "BUTTONSVERT_WCP", "LISTVIEWSVERT_WCP", "LISTVIEWWEIGHT_WCP",
  "WEIGHTTOACTIVE_WCP", "EXTCOND_WCP", "USEEXTCOND_WCP", "SUBTYPE_WCP",
  "PARENTACTIONOP_WCP", "NOOPERATIONOP_WCP", "COLORMODE_WCP",
  "DEFAULT_WCP", "CUSTOM_WCP", "UNSELECTCOLOR_WCP", "SELECTCOLOR_WCP",
  "UNSELECTACTIVECOLOR_WCP", "SELECTACTIVECOLOR_WCP",
  "COLOREXTERNPROG_WCP", "PARENT_WCP", "DONTCD_WCP",
  "DONTCHECKVIRTUAL_WCP", "GOFTPOP_WCP", "HOSTNAME_WCP", "USERNAME_WCP",
  "PASSWORD_WCP", "DONTENTERFTP_WCP", "ALWAYSSTOREPW_WCP",
  "INTERNALVIEWOP_WCP", "CUSTOMFILES_WCP", "SHOWMODE_WCP", "SELECTED_WCP",
  "REVERSESEARCH_WCP", "MOUSECONF_WCP", "SELECTBUTTON_WCP",
  "ACTIVATEBUTTON_WCP", "SCROLLBUTTON_WCP", "SELECTMETHOD_WCP",
  "ALTERNATIVE_WCP", "SEARCHOP_WCP", "EDITCOMMAND_WCP",
  "SHOWPREVRESULTS_WCP", "TEXTVIEW_WCP", "TEXTVIEWHIGHLIGHTED_WCP",
  "TEXTVIEWSELECTION_WCP", "DIRBOOKMARKOP_WCP", "OPENCONTEXTMENUOP_WCP",
  "RUNCUSTOMACTION_WCP", "CUSTOMNAME_WCP", "CONTEXTBUTTON_WCP",
  "ACTIVATEMOD_WCP", "SCROLLMOD_WCP", "CONTEXTMOD_WCP", "NONE_WCP",
  "CUSTOMACTION_WCP", "SAVE_WORKER_STATE_ON_EXIT_WCP",
  "OPENWORKERMENUOP_WCP", "CHANGELABELOP_WCP", "ASKFORLABEL_WCP",
  "LABELCOLORS_WCP", "BOOKMARKLABEL_WCP", "BOOKMARKFILTER_WCP",
  "SHOWONLYBOOKMARKS_WCP", "SHOWONLYLABEL_WCP", "SHOWALL_WCP",
  "OPTIONMODE_WCP", "INVERT_WCP", "SET_WCP", "CHANGEFILTERS_WCP",
  "CHANGEBOOKMARKS_WCP", "QUERYLABEL_WCP", "MODIFYTABSOP_WCP",
  "TABACTION_WCP", "NEWTAB_WCP", "CLOSECURRENTTAB_WCP", "NEXTTAB_WCP",
  "PREVTAB_WCP", "TOGGLELOCKSTATE_WCP", "MOVETABLEFT_WCP",
  "MOVETABRIGHT_WCP", "CHANGELAYOUTOP_WCP", "INFIXSEARCH_WCP",
  "VOLUMEMANAGEROP_WCP", "ERROR", "ACTIVESIDE_WCP", "SHOWFREESPACE_WCP",
  "ACTIVEMODE_WCP", "ASK_WCP", "SSHALLOW_WCP", "FIELD_WIDTH_WCP",
  "QUICKSEARCHENABLED_WCP", "FILTEREDSEARCHENABLED_WCP", "XFTFONTS_WCP",
  "USEMAGIC_WCP", "MAGICPATTERN_WCP", "MAGICCOMPRESSED_WCP",
  "MAGICMIME_WCP", "VOLUMEMANAGER_WCP", "MOUNTCOMMAND_WCP",
  "UNMOUNTCOMMAND_WCP", "FSTABFILE_WCP", "MTABFILE_WCP", "PARTFILE_WCP",
  "REQUESTACTION_WCP", "SIZEH_WCP", "NEXTAGING_WCP", "ENTRY_WCP",
  "PREFIX_WCP", "VALUE_WCP", "EXTENSION_WCP", "EJECTCOMMAND_WCP",
  "CLOSETRAYCOMMAND_WCP", "AVFSMODULE_WCP", "FLEXIBLEMATCH_WCP",
  "USE_VERSION_STRING_COMPARE_WCP", "SWITCHBUTTONBANKOP_WCP",
  "SWITCHTONEXTBANK_WCP", "SWITCHTOPREVBANK_WCP", "SWITCHTOBANKNR_WCP",
  "BANKNR_WCP", "USE_VIRTUAL_TEMP_COPIES_WCP", "PATHJUMPOP_WCP",
  "PATHJUMPALLOWDIRS_WCP", "CLIPBOARDOP_WCP", "CLIPBOARDSTRING_WCP",
  "COMMANDSTRING_WCP", "EVALCOMMAND_WCP", "WATCHMODE_WCP",
  "APPLY_WINDOW_DIALOG_TYPE_WCP", "FLAGS_ARE_RELATIVE_TO_BASEDIR_WCP",
  "COMMANDMENUOP_WCP", "SEARCHMODEONKEYPRESS_WCP", "PATHENTRYONTOP_WCP",
  "STORE_FILES_ALWAYS_WCP", "PATHJUMPSETS_WCP", "SHOWDOTDOT_WCP",
  "SHOWBREADCRUMB_WCP", "FACES_WCP", "FACE_WCP", "ENABLE_INFO_LINE_WCP",
  "INFO_LINE_LUA_MODE_WCP", "INFO_LINE_CONTENT_WCP",
  "RESTORE_TABS_MODE_WCP", "STORE_TABS_MODE_WCP", "AS_EXIT_STATE_WCP",
  "USE_EXTENDED_REGEX_WCP", "HIGHLIGHT_USER_ACTION_WCP", "CHTIMEOP_WCP",
  "ADJUSTRELATIVESYMLINKS_WCP", "OUTSIDE_WCP", "EDIT_WCP",
  "MAKEABSOLUTE_WCP", "MAKERELATIVE_WCP", "MAGICIGNORECASE_WCP",
  "ENSURE_FILE_PERMISSIONS_WCP", "USER_RW_WCP", "USER_RW_GROUP_R_WCP",
  "USER_RW_ALL_R_WCP", "LEAVE_UNMODIFIED_WCP", "PREFERUDISKSVERSION_WCP",
  "CHANGECOLUMNSOP_WCP", "PATTERNISCOMMASEPARATED_WCP", "STRCASECMP_WCP",
  "USE_STRING_COMPARE_MODE_WCP", "VIEWNEWESTFILESOP_WCP", "SHOWRECENT_WCP",
  "DIRCOMPAREOP_WCP", "TABPROFILESOP_WCP", "EXTERNALVDIROP_WCP",
  "VDIR_PRESERVE_DIR_STRUCTURE_WCP", "OPENTABMENUOP_WCP", "INITIALTAB_WCP",
  "SHOWBYTIME_WCP", "SHOWBYFILTER_WCP", "SHOWBYPROGRAM_WCP",
  "TERMINAL_RETURNS_EARLY_WCP", "DIRECTORYPRESETS_WCP",
  "DIRECTORYPRESET_WCP", "HELPOP_WCP", "PRIORITY_WCP", "AUTOFILTER_WCP",
  "ENABLE_CUSTOM_LVB_LINE_WCP", "CUSTOM_LVB_LINE_WCP",
  "CUSTOM_DIRECTORY_INFO_COMMAND_WCP", "IMMEDIATE_FILTER_APPLY_WCP",
  "DISABLEBGCHECKPREFIX_WCP", "DISPLAYMODE_WCP", "SHOWSUBDIRS_WCP",
  "SHOWDIRECTSUBDIRS_WCP", "INCLUDEALL_WCP", "STRING_WCP", "NUM_WCP",
  "'.'", "';'", "'='", "','", "$accept", "S", "$@1", "$@2", "start", "$@3",
  "$@4", "$@5", "$@6", "$@7", "$@8", "$@9", "$@10", "$@11", "$@12", "$@13",
  "$@14", "$@15", "$@16", "pjallowdirs", "$@17", "pathjumpsets", "$@18",
  "glb", "$@19", "$@20", "$@21", "$@22", "$@23", "$@24", "$@25", "$@26",
  "$@27", "$@28", "$@29", "$@30", "$@31", "$@32", "$@33", "$@34", "$@35",
  "layout", "$@36", "$@37", "$@38", "$@39", "$@40", "$@41", "$@42", "$@43",
  "$@44", "$@45", "$@46", "$@47", "$@48", "pal", "$@49", "listersets",
  "$@50", "$@51", "listersets2", "$@52", "$@53", "$@54", "$@55", "$@56",
  "$@57", "$@58", "displaysets", "$@59", "$@60", "$@61", "$@62", "$@63",
  "$@64", "$@65", "$@66", "$@67", "$@68", "$@69", "$@70", "$@71", "$@72",
  "timesets", "$@73", "$@74", "$@75", "$@76", "$@77", "$@78", "$@79",
  "$@80", "$@81", "$@82", "$@83", "mouseconf", "$@84", "$@85", "$@86",
  "$@87", "$@88", "$@89", "$@90", "$@91", "$@92", "$@93", "$@94", "$@95",
  "cols", "$@96", "$@97", "$@98", "$@99", "$@100", "$@101", "$@102",
  "$@103", "$@104", "$@105", "$@106", "$@107", "$@108", "$@109", "$@110",
  "$@111", "$@112", "$@113", "$@114", "$@115", "labelcolors", "$@116",
  "$@117", "labelcolor", "$@118", "$@119", "$@120", "faces", "$@121",
  "$@122", "face", "$@123", "$@124", "startup", "$@125", "$@126", "$@127",
  "$@128", "$@129", "$@130", "$@131", "$@132", "$@133", "paths", "$@134",
  "$@135", "path", "$@136", "$@137", "$@138", "$@139", "$@140", "$@141",
  "keylist", "$@142", "$@143", "$@144", "$@145", "$@146", "$@147", "$@148",
  "$@149", "$@150", "$@151", "mods", "$@152", "$@153", "$@154", "$@155",
  "$@156", "$@157", "$@158", "$@159", "filetypes", "$@160", "$@161",
  "$@162", "$@163", "$@164", "ignoredirs", "$@165", "subfiletypes",
  "$@166", "$@167", "filetype", "$@168", "$@169", "$@170", "$@171",
  "$@172", "$@173", "$@174", "$@175", "$@176", "$@177", "$@178", "$@179",
  "$@180", "$@181", "$@182", "$@183", "$@184", "$@185", "$@186", "$@187",
  "$@188", "$@189", "$@190", "$@191", "$@192", "$@193", "$@194",
  "filecontent", "$@195", "ft_type", "ftcommands", "$@196", "$@197",
  "$@198", "$@199", "$@200", "$@201", "$@202", "$@203", "$@204", "$@205",
  "$@206", "$@207", "commands", "flags", "hotkeys", "$@208", "$@209",
  "hotkey", "$@210", "$@211", "$@212", "$@213", "$@214", "buttons",
  "$@215", "$@216", "button", "$@217", "$@218", "$@219", "$@220", "$@221",
  "$@222", "$@223", "fonts", "$@224", "$@225", "$@226", "$@227", "$@228",
  "$@229", "xftfonts", "$@230", "$@231", "$@232", "$@233", "$@234",
  "$@235", "volumemanager", "$@236", "$@237", "$@238", "$@239", "$@240",
  "$@241", "$@242", "$@243", "$@244", "clockbarsets", "$@245", "$@246",
  "$@247", "$@248", "$@249", "$@250", "$@251", "bool", "command", "ownop",
  "$@252", "ownopbody", "$@253", "$@254", "$@255", "$@256", "$@257",
  "$@258", "$@259", "$@260", "$@261", "$@262", "$@263", "$@264", "$@265",
  "$@266", "dndaction", "$@267", "dcaction", "$@268", "showaction",
  "$@269", "rshowaction", "$@270", "useraction", "$@271", "useractionbody",
  "$@272", "rowup", "$@273", "rowdown", "$@274", "changehiddenflag",
  "$@275", "changehiddenflagbody", "$@276", "$@277", "$@278", "copyop",
  "$@279", "copyopbody", "$@280", "$@281", "$@282", "$@283", "$@284",
  "$@285", "$@286", "$@287", "$@288", "$@289", "$@290", "$@291", "$@292",
  "$@293", "$@294", "$@295", "$@296", "$@297", "$@298", "$@299",
  "firstrow", "$@300", "lastrow", "$@301", "pageup", "$@302", "pagedown",
  "$@303", "selectop", "$@304", "selectallop", "$@305", "selectnoneop",
  "$@306", "invertallop", "$@307", "parentdirop", "$@308", "enterdirop",
  "$@309", "enterdiropbody", "$@310", "$@311", "$@312", "$@313", "$@314",
  "changelistersetop", "$@315", "changelistersetopbody", "$@316", "$@317",
  "$@318", "$@319", "switchlisterop", "$@320", "filterselectop", "$@321",
  "filterselectopbody", "$@322", "$@323", "$@324", "filterunselectop",
  "$@325", "filterunselectopbody", "$@326", "$@327", "$@328",
  "pathtoothersideop", "$@329", "quitop", "$@330", "quitopbody", "$@331",
  "$@332", "deleteop", "$@333", "deleteopbody", "$@334", "reloadop",
  "$@335", "reloadopbody", "$@336", "$@337", "$@338", "$@339", "$@340",
  "$@341", "makedirop", "$@342", "renameop", "$@343", "dirsizeop", "$@344",
  "simddop", "$@345", "startprogop", "$@346", "startprogopbody", "$@347",
  "$@348", "$@349", "$@350", "$@351", "$@352", "$@353", "$@354", "$@355",
  "$@356", "searchentryop", "$@357", "searchentryopbody", "$@358", "$@359",
  "$@360", "$@361", "enterpathop", "$@362", "enterpathopbody", "$@363",
  "$@364", "$@365", "$@366", "scrolllisterop", "$@367",
  "scrolllisteropbody", "$@368", "$@369", "createsymlinkop", "$@370",
  "createsymlinkopbody", "$@371", "$@372", "$@373", "changesymlinkop",
  "$@374", "changesymlinkopbody", "$@375", "$@376", "$@377", "chmodop",
  "$@378", "chmodopbody", "$@379", "$@380", "$@381", "$@382", "chtimeop",
  "$@383", "chtimeopbody", "$@384", "$@385", "$@386", "$@387",
  "togglelistermodeop", "$@388", "togglelistermodeopbody", "$@389",
  "setsortmodeop", "$@390", "setsortmodeopbody", "$@391", "$@392", "$@393",
  "$@394", "$@395", "$@396", "$@397", "$@398", "$@399", "$@400", "$@401",
  "$@402", "$@403", "$@404", "setfilterop", "$@405", "setfilteropbody",
  "$@406", "$@407", "$@408", "$@409", "$@410", "$@411", "$@412", "$@413",
  "$@414", "$@415", "$@416", "$@417", "$@418", "$@419", "$@420",
  "shortkeyfromlistop", "$@421", "chownop", "$@422", "chownopbody",
  "$@423", "$@424", "$@425", "$@426", "scriptop", "$@427", "scriptopbody",
  "$@428", "$@429", "$@430", "$@431", "$@432", "$@433", "$@434", "$@435",
  "$@436", "$@437", "$@438", "$@439", "$@440", "$@441", "$@442", "$@443",
  "$@444", "$@445", "$@446", "$@447", "$@448", "$@449", "$@450", "$@451",
  "$@452", "$@453", "$@454", "$@455", "$@456", "showdircacheop", "$@457",
  "parentactionop", "$@458", "nooperationop", "$@459", "goftpop", "$@460",
  "goftpopbody", "$@461", "$@462", "$@463", "$@464", "$@465", "$@466",
  "$@467", "internalviewop", "$@468", "internalviewopbody", "$@469",
  "$@470", "$@471", "$@472", "clipboardop", "$@473", "clipboardopbody",
  "$@474", "searchop", "$@475", "searchopbody", "$@476", "$@477",
  "dirbookmarkop", "$@478", "opencontextmenuop", "$@479",
  "opencontextmenuopbody", "$@480", "runcustomaction", "$@481",
  "runcustomactionbody", "$@482", "openworkermenuop", "$@483",
  "changelabelop", "$@484", "changelabelopbody", "$@485", "$@486",
  "modifytabsop", "$@487", "modifytabsopbody", "$@488", "$@489", "$@490",
  "$@491", "$@492", "$@493", "$@494", "changelayoutop", "$@495",
  "changelayoutopbody", "$@496", "$@497", "$@498", "$@499", "$@500",
  "$@501", "$@502", "$@503", "$@504", "$@505", "$@506", "$@507", "$@508",
  "changecolumnsop", "$@509", "changecolumnsopbody", "$@510", "$@511",
  "$@512", "$@513", "$@514", "$@515", "$@516", "$@517", "$@518", "$@519",
  "$@520", "$@521", "$@522", "$@523", "volumemanagerop", "$@524",
  "switchbuttonbankop", "$@525", "switchbuttonbankopbody", "$@526",
  "$@527", "$@528", "$@529", "pathjumpop", "$@530", "pathjumpopbody",
  "$@531", "$@532", "$@533", "$@534", "$@535", "$@536", "$@537",
  "commandmenuop", "$@538", "commandmenuopbody", "$@539",
  "viewnewestfilesop", "$@540", "dircompareop", "$@541", "tabprofilesop",
  "$@542", "externalvdirop", "$@543", "externalvdiropbody", "$@544",
  "opentabmenuop", "$@545", "directorypresets", "$@546", "$@547",
  "directorypreset", "$@548", "$@549", "$@550", "$@551", "$@552", "$@553",
  "$@554", "$@555", "$@556", "$@557", "$@558", "$@559", "$@560", "$@561",
  "$@562", "$@563", "$@564", "$@565", "$@566", "directorypreset_filter",
  "$@567", "$@568", "$@569", "helpop", "$@570", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,    46,    59,    61,    44
};
#endif

#define YYPACT_NINF (-2269)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -2269,    63,   -86, -2269,  -337,  -311,  -249,  -207,  -175,  -144,
   -2269,    24,   310,   319,   352,   356,   368,   379,   392,   394,
     401,   410,   433,   437,   442, -2269,    17, -2269,    18, -2269,
   -2269, -2269, -2269,   546,   502,   963, -2269,    64, -2269,    28,
     507,   517,    74,    75,    81,    84,    85,   136,   524,   532,
     595,   156,   603,   159,   163,   168,   170,   172,   173,   606,
      78,   175,   176,   178,   184,   627,   586,   581,   -13,   567,
     216,   217,   220,   223,   230,   236,   698,   260,   274,   294,
     313,   699,   315,   348,   354,   358,   359,   380,   800,   383,
     393,   843,   420,   415, -2269,    79,   445,   570,   638,    83,
     673,   273,   378, -2269,   510,   273,   395,   273,   273,   273,
     708,   273,   687,    24,   684,   685,   686,   688,   689,   690,
     691,   692,   693,   694,   695,   696,   697,   700,   701,   702,
     703,   704,  1132,  1143, -2269,   709,   710,   -80,   -91,    24,
    1144,  1151,  1153,  1154,  1156,  1157,   713,  1158,  1160,  1161,
     720,   722,   723,   724,   725,   726,    24,   421,   712,   727,
     273,    24,   728,   729,   730,   731,   732,   733,    24,   734,
    1174,   273,    24,  1176,  1178,   736,   735, -2269, -2269,  1180,
     738,   739,   740,   741,   742,   743, -2269, -2269,   744,   745,
     746,   747,   748,   749,   750,  1188,   337,   751,   752,   753,
     754,   755,  1201,  1202,  1203,  1204,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,  1214,   772,   773,   774,
     775,   776,   777, -2269,   780,   781,   782,   783,   784,   785,
     786,   787,   788,   789,   790,   791,   792,   793,   794,   795,
     796,   797, -2269,   851,  1240,   798,   799,   802,   803,   804,
     805,   806,   807,   808, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269,   273, -2269, -2269, -2269,   809,   810,   811,   812,   813,
     814, -2269,   815,   816,   817,   818,   819,   820,   821, -2269,
     822,   823,   824,   825,   826,   827, -2269, -2269, -2269,   828,
   -2269, -2269, -2269, -2269,   829,  1243,  1245,  1273,    17, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269,    48,   101,   273,   273,
     834,   835,    17,   833,   836,   837,   838,   839,   840,   841,
     842,   844,   845,   846,   847,   848,  1277,   852,   853,   854,
     -35,   855, -2269, -2269, -2269,    17, -2269,   857,   858,   859,
     860,   861,   273,   862,   863,   864,    17, -2269, -2269, -2269,
   -2269, -2269, -2269,   865,   866,   867,   868,   869,   870,   871,
     872,   873,   875,   876,   877,   878,   881,   880,   882,   883,
     884,  1122,  1287,  1288,    24, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269,   366,    24,   580,    24,    40,   879,
     887,    24,   477,    24, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269,   383,    24, -2269,   155,    24,    17,   885,
      17,    49,    49, -2269,    17,    17,    17,    17,    17,    17,
      17,   888,   889,   890,   891,   892,   893,   894,   895,   896,
     897,   898, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269,   273,   273,   901,   273,    17,   900,   902,   903,
     904,   905,   906,  1206,  1206,  1206, -2269,    17,   907,   908,
     909,   910,   911,   912,   913,   914,   915, -2269,    17,    17,
      17,    17,    17,    17,   918,   919,   920,   921,   922,   923,
     924,   925,   926,   927,   928,   929,   930, -2269,   931,   932,
     933,   934,  1305,  1307, -2269,    78, -2269,    18,    18,    18,
      18,    18,    18,    18,    18,    18,   935,   936,  1309,  1310,
     937,  1344, -2269,   938,   939,  1377,   940,   941,  1378, -2269,
     942,   943,   944,   945,   946,  1392,  1393,   949,   950,   951,
     952,   953,  1399,   955,   956,   957,   958,   959,   960,   961,
     962,   964,   965,   966,   967,   968,  1407,   970,  1414, -2269,
   -2269,   971,  1417,  1418,  1419, -2269,   546,   546,   546,   546,
     546,   546,   502,   502,   502,   502,   502,   502,   502,   963,
     963,   963,   963,   963,   963, -2269, -2269,    64,   974,   976,
    1422,   978,   979,  1424, -2269, -2269,   980, -2269,   982,   983,
     984,   985,  1431,   987,   988,  1433,  1434, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269,   337,   337,   337,   337,   337,
     337,   337,   337,   337,   992,   993,   994,   995, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269,   996,  1439,  1441,  1442, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269,  1000,  1001,  1002,  1003,  1004,
    1005,  1006,  1007,  1008,  1009,  1010,  1011,  1012,    78,  1013,
    1014,  1015,  1016, -2269, -2269,    62, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269,  1019,  1021, -2269, -2269,
    1022, -2269,  1023,  1025, -2269,  1026,  1027, -2269,   590,  1029,
     273,   273,  1030, -2269,    -2,   273,   273,   273,  1031,   273,
    1314,    99,  1032,  1033,  1034,  1035,  1037,   273,  1038,   273,
     273,   273,   273,  1039, -2269, -2269, -2269,   -13,  1041, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269,  1042,    93, -2269,    76,   467, -2269,  1043,   273,
    1044,   273,  1045, -2269,   273,   273,    79,    79,   378,   378,
     378,   378,   378,   378,   378,   378,   378,   378,   378, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269,   510,   510,   510,   510,   510,   510,   874, -2269,
   -2269, -2269,   395,   395,   395,   395,   395,   395,   395,   395,
     395, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,   231,
      78,  1018,  1028,  1467,  1036,  1040,   428,   228,  1046,   586,
    1047,  1049,   228,  1050,  1051,   581, -2269, -2269, -2269, -2269,
   -2269,  1052,  1054,  1055,  1056,  1057,  1048,  1488,  1489,  1495,
    1502,  1061,  1504,  1505,  1063,  1064,  1065,  1066,  1067,  1512,
    1513,  1069,  1071,  1072,  1073,  1059,  1074,  1075,  1076,  1079,
    1080,  1081,  1082,  1083,  1084,  1085,  1086,   -13,   879,   -13,
   -2269,  1087,   428,   228,   567,  1088,  1089,  1090,   -18,  1091,
    1092,  1093,  1094,  1095,  1096,  1097,  1098,  1099,  1100,  1101,
    1102,  1103,  1104,   420,  1105,  1106,  1108,  1109,  1110,   119,
    1111,  1112, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269,   337,   337,   337,   337, -2269,
   -2269, -2269, -2269, -2269, -2269,  1113,  1114,  1115,  1116,  1117,
    1118,  1119,  1120,   510,   510,   510, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269,    78,    78,    78,    78,    78,
      78,    78,    78,    78,    78,    78,    78,    78,    78,    78,
      78,    78,  1121,  1123,  1124,  1517, -2269,  1078,  1107, -2269,
   -2269, -2269,  1565,  1567,  1570,  1571,  1572,  1573,  1574,  1575,
    1576,  1577,  1578,  1579,  1580,  1581,  1582,  1583,  1584,  1585,
    1586,  1587,  1588,  1589,  1590,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,  1598,  1599,  1600,  1601,  1602,  1603,  1604,  1605,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,  1613,  1614,  1615,
    1616,  1617,  1618,  1619,  1620,  1621,  1622,  1623,  1624,  1625,
    1626,  1627,  1628,  1629,  1630,  1631,  1632,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   428, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269,  1642,  1643,  1644,
    1198, -2269, -2269, -2269,  1645, -2269,  1205, -2269, -2269, -2269,
   -2269, -2269, -2269,  1199,  1647, -2269, -2269, -2269, -2269,  1649,
   -2269,    40, -2269, -2269, -2269, -2269, -2269, -2269,    40, -2269,
   -2269, -2269, -2269,  1208,  1209,  1210,  1211, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,  1653,
    1654, -2269, -2269, -2269, -2269,  1212,  1213,  1655, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269,  1217, -2269, -2269, -2269, -2269,  1216,  1218,
    1219,  1220,  1221,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
    1229,  1230,  1660, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269,  1234,  1235,  1236,
   -2269,  1232,  1237,   851,   366,   366, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269,  1238,   580,   580, -2269,   580,  1239,    40,
      40,    40,    40,    40,  1242,    40,   428,   428,   428,   428,
   -2269,  1662, -2269,    40,    40,    40,    40,    40,    40, -2269,
      40,    40,    40,    40,  1241,  1244,  1246,  1247,    40,    40,
      40,    40,    40,    40,    40,    40,   477, -2269, -2269,   155,
     155,   155,  1248,    87, -2269,   155,   155,   155,   155,   155,
     155,   155,   155,   155,   155,   155,   155,   155,   155,  1249,
      49,    49,    49,    49, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,    49,    49,
      49,  1206,  1206,  1206,  1206,  1206,  1206,  1206,  1206,  1250,
    1251,  1252,  1122, -2269, -2269, -2269, -2269, -2269,   151,  1679,
    1685,  1686,  1691,  1694,  1525,  1698,  1699,  1529,   -29,  1701,
    1702,  1703,  1704,  1705,  1706,  1707,  1708,  1709,   194,  1524,
    1711,  -174,  -171,  1712,  1527,  1519,   208,  1715,  1716,  1717,
    1718,    82,  -112,  1533,  1534,   -92,  1535,    90,  1536,   142,
     422,  1723,   203,    51,  1724,  1725,  1726,   409,  -122,   129,
    1727,  1332,  1432,  1729,    69,  1409,   398,  1732,  -156,    88,
    1359,  1319,   255,   158,  1735,  1736,  1737,  1363,  1739,  1740,
     366,  1646,  1648,   366, -2269, -2269, -2269,   580, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269,  1298, -2269,  1742,  1743,  1745,
    1747,   428,  1304, -2269, -2269, -2269, -2269, -2269,  1749, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269,   477,   477, -2269, -2269,
   -2269,  1308,  1311,  1312,   155, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269,   119,   119,   119,   119,   119,   119,
     119,   119,   119,   119,   119,   119,   119,   119, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
    1315,  1316, -2269,    62,    62,  1306,  1317,  1318,  1320,  1321,
    1322,  1323,  1324,  1325,  1326,  1752,   428, -2269, -2269, -2269,
   -2269,  1327,  1753, -2269, -2269,  1328,  1758,  1329,  1330,  1331,
    1333,  1334,  1335,  1336,  1337,  1338,  1339,  1340,  1341,  1759,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,  1342,
    1343,  1760,  1345,  1763, -2269,  1346,  1347,  1348,  1776,  1349,
    1350,  1351,  1788, -2269,  1352,  1797,  1354,  1799,  1356,  1357,
    1358,  1803, -2269, -2269, -2269, -2269,  1360,  1364,  1370,  1371,
    1372,  1373,  1807,  1374,  1375,  1382,  1383,  1829,  1386,  1832,
    1389,  1834,  1391,  1394,  1397,  1836,  1398,  1837,  1401,  1402,
    1403,  1405,  1850,  1411,  1853,  1412,  1416,  1865,  1423,  1425,
    1429,  1430,  1436,  1437,  1438,  1440,  1443,  1866, -2269,  1444,
    1445,  1447,  1451,  1868,  1456,  1457,  1458,  1463,  1464,  1465,
    1466,  1472,  1473,  1474,  1475,  1477,  1478,  1479,  1482,  1483,
    1485,  1486,  1875, -2269, -2269, -2269,  1487,  1490,  1492,  1493,
    1494,  1497,  1498,  1883,  1499,  1500,  1501,  1885,  1503,  1506,
    1911, -2269,  1507,  1932,  1508,  1939, -2269,  1511,  1514,  1946,
    1515,  1948,  1518,  1521,  1522,  1523,  1530,  1531,  1532,  1537,
    1538,  1516,  1539,  1540,  1541,  1949, -2269,  1542,  1543,  1957,
    1544,  1545,  1546,  1962,  1547,  1968,  1548,  1976,  1549,  1550,
    1551,  1552,  1977,  1554,  1555,  1556,  1557,  1558,  1559,  1560,
    1561,  1562,  1563,  1564,  1566,  1568,  1569,  1978, -2269, -2269,
   -2269,  1641,  1979, -2269, -2269, -2269,  1650,  1651, -2269,   366,
   -2269,   580, -2269, -2269, -2269, -2269, -2269,  1982,  1652, -2269,
      40,    40,    40,    40, -2269, -2269, -2269, -2269, -2269, -2269,
     735, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269,   231,  1656,  1657, -2269, -2269,
    1658,   273,   273,   281,  1661,   273,   273,   273,   273,   273,
   -2269, -2269,  1663, -2269,   -20, -2269,   273,   273,   273,   273,
     273,   273,    39,    44,   273,  -150,   362,   273, -2269,  1665,
     718, -2269,    42, -2269,  1666,   273,   273, -2269,  1667,   273,
     273, -2269,     6, -2269,   273, -2269,   162,   273,   273, -2269,
     273,   299,  1668,   273,   273,   273, -2269,   273,   273,   273,
     273, -2269,   197, -2269,   364, -2269,   273,   273,   273, -2269,
     276, -2269,   273,   273,   273,   273, -2269,  1669, -2269,   167,
     511, -2269,   273,   801,  1670,  1671,   439,   112,   273,   273,
     273, -2269,   273,   273,   273,   273, -2269,   478,  1672,   273,
     273,   273,   273,  1673,  1675,  1676,  1677,   576,   273,   273,
     273,   273,  1678,  1680,  1681, -2269,   273,  1682,  1683,  1684,
     273,   273,  1687, -2269,   273,  1688,  -119, -2269,  1689,   273,
   -2269,   273, -2269,  1690, -2269,  1692,   273, -2269,   677, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,   273,
     273,  1693,   273, -2269,   473,  1695, -2269,   682,  -243,   273,
   -2269,  1697, -2269,   273, -2269,   273,   273,   273,   273, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269,  1700, -2269,  1710,  1713, -2269,
   -2269,  1048,    -2,    -2,    -2,    -2, -2269,  1659,  1314, -2269,
   -2269, -2269, -2269,   -18,   -18,   -18, -2269, -2269, -2269, -2269,
    1696,  1714,  1719,  1720,  1721,  1722,  1728,  1730,  1731,  1733,
    1734,  1738,  1741,  1744,  1746,  1748,  1750,  1751,  1754,  1755,
    1756,  1757,  1761,  1762,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,  1771,  1772,  1773,  1774,  1775,  1777,  1778,  1779,  1780,
    1781,  1782,  1783,  1784,  1785,  1786,  1787,  1789,  1790,  1791,
    1792,  1793,  1794,  1795,  1796,  1798,  1800,  1801,  1802,  1804,
    1805,  1806,  1808,  1809,  1810,  1811,  1812,  1813,  1814,  1815,
    1816,  1817,  1818,  1819,  1820,  1821,  1822,  1823,  1824,  1825,
    1826,  1827,  1828,  1830,  1831,  1833,  1835,  1838,  1839,  1840,
    1841,  1842,  1843,  1844,  1845,  1846,  1847,  1848,  1849,  1851,
    1852,  1854,  1855,  1856,  1857,  1858,  1859,  1860,  1861,  1862,
    1863,  1864,  1867,  1869,  1870,  1871,  1872,  1873,  1874,  1876,
    1877,  1878,  1881,  1882,  1884,  1886,  1887,  1888,  1889,  1890,
    1891,  1892,  1893,  1894,  1895,  1896,  1897,  1898,  1899,  1900,
    1901,  1902,  1903,  1904,  1905,  1906,  1907,  1908,  1909,  1910,
    1912,  1913,  1914,  1915,  1916,  1917,  1918,  1919,  1920,  1921,
    1922,  1923,  1924,  1925,  1926,  1927,  1928,  1929,  1930,  1931,
    1933,  1934,  1935,  1936,  1937,  1938,  1940,  1941,  1942,   398,
     398,   398,   398,   398,   398,   398,   398,   398,  1943,  1944,
    1945,  1947,  1950,  1951,  1952,  1953,  1954,  1955,  1956,  1958,
    1959,  1960,  1961,  1963,  1964,  1965,  1966,  1967,  1969,   158,
     158,   158,   158,   158,   158,   158,   158,   158,   158,   158,
     158,   158,   158,  1970,  1971,  1972, -2269, -2269, -2269, -2269,
   -2269,    -2,  1973, -2269, -2269, -2269, -2269,   231,   231, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269,  2009, -2269, -2269,   151,
     151,   151,   151,   151,   151,   151,   151,   151,   151,   151,
     151,   151,   151,  1525,  1529,  1529,  1529,   -29,   -29,   -29,
     -29,   -29,   -29,   -29,   -29,   -29,   -29,   -29,   -29,   -29,
     -29,   -29,   -29,   -29,   -29,   -29,   -29,   194,   194,   194,
     194,   194,  1524,  1524,  1524,  1524,  -174,  -174,  -174,  -171,
    -171,  -171,  1527,  1527,  1519,   208,   208,   208,   208,   208,
     208,    82,    82,    82,    82,    82,    82,    82,    82,    82,
      82,  -112,  -112,  -112,  -112,  1533,  1533,  1533,  1533,  1534,
    1534,   -92,   -92,   -92,  1535,  1535,  1535,    90,    90,    90,
      90,  1536,   142,   142,   142,   142,   142,   142,   142,   142,
     142,   142,   142,   142,   142,   142,   422,   422,   422,   422,
     422,   422,   422,   422,   422,   422,   422,   422,   422,   422,
     422,   203,   203,   203,   203,    51,    51,    51,    51,    51,
      51,    51,    51,    51,    51,    51,    51,    51,    51,    51,
      51,    51,    51,    51,    51,    51,    51,    51,    51,    51,
      51,    51,    51,    51,   409,   409,   409,   409,   409,   409,
     409,  -122,  -122,  -122,  -122,   129,   129,  1332,  1432,    69,
      69,  1409,  1409,  1409,  1409,  1409,  1409,  1409,   398,   398,
     398,   398,  -156,  -156,  -156,  -156,    88,    88,    88,    88,
      88,    88,    88,  1359,  1319,   255,   255,   255,   255,  1363,
    1206,  1206,   428, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269,  2010,  2013,  1974,  2014,
   -2269,  1975, -2269,   228,  1980,    -2, -2269,  1981, -2269, -2269,
    1206, -2269,  2015, -2269,   228, -2269
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     0,     1,     0,     0,     0,     0,     0,     0,
       3,    32,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     4,    77,     6,   281,    19,
      10,    13,    16,   474,   521,   487,    26,    38,    29,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     242,     0,     0,     0,     0,     0,   448,   285,   336,   435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,  1224,     0,    59,   112,     0,     0,     0,     0,
       0,     0,   179,    61,   201,     0,   506,     0,     0,     0,
       0,     0,     0,    32,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     7,     0,     0,     0,     0,    32,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    32,     0,     0,     0,
       0,    32,     0,     0,     0,     0,     0,     0,    32,     0,
       0,     0,    32,     0,     0,     0,   107,   108,   110,     0,
       0,     0,     0,     0,     0,     0,   522,   523,     0,     0,
       0,     0,     0,     0,     0,     0,   104,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   238,   257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     9,   445,    20,   282,    11,   328,
     331,     0,    14,   432,    17,     0,     0,     0,     0,     0,
       0,    22,     0,     0,     0,     0,     0,     0,     0,    24,
       0,     0,     0,     0,     0,     0,    23,    33,    27,     0,
      25,  1221,    30,    39,     0,     0,     0,     0,    77,    41,
      43,    45,    48,    50,    52,    56,     0,     0,     0,     0,
       0,     0,    77,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   192,   195,   198,    77,    64,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    77,    66,    70,    72,
      68,    54,    75,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   246,     0,     0,    32,   263,   265,   269,   267,   271,
     275,   273,   279,   277,   461,    32,   297,    32,   400,   339,
       0,    32,   444,    32,   462,   464,   466,   468,   470,   472,
     509,   507,   511,   513,   515,   517,   519,   475,   477,   479,
     481,   483,   485,    35,    32,    36,  1262,    32,    77,     0,
      77,   127,   127,    47,    77,    77,    77,    77,    77,    77,
      77,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    58,    78,    80,    82,    84,    86,    88,    90,
      92,    94,     0,     0,     0,     0,    77,     0,     0,     0,
       0,     0,     0,   327,   327,   327,    63,    77,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    74,    77,    77,
      77,    77,    77,    77,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,   254,   242,     8,   281,   281,   281,
     281,   281,   281,   281,   281,   281,     0,     0,     0,     0,
       0,     0,    21,     0,     0,     0,     0,     0,     0,    12,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   334,
      15,     0,     0,     0,     0,    18,   474,   474,   474,   474,
     474,   474,   521,   521,   521,   521,   521,   521,   521,   487,
     487,   487,   487,   487,   487,    34,    28,    38,     0,     0,
       0,     0,     0,     0,    31,    40,     0,    60,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    42,    44,    46,
      49,    51,    53,    57,   157,   159,   161,   163,   169,   171,
     173,   167,   177,   165,   175,   104,   104,   104,   104,   104,
     104,   104,   104,   104,     0,     0,     0,     0,    62,   180,
     182,   184,   186,   188,   190,     0,     0,     0,     0,    65,
     488,   490,   496,   498,   500,   502,   492,   494,   504,    67,
      71,    73,    69,    55,    76,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   242,     0,
       0,     0,     0,   243,   239,   262,   241,   264,   266,   270,
     268,   272,   276,   274,   280,   278,     0,     0,   455,   458,
       0,   446,     0,     0,   294,     0,     0,   283,     0,     0,
       0,     0,     0,   352,   427,     0,     0,     0,     0,     0,
     343,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   329,   337,   332,   336,     0,   438,
     441,   433,   463,   465,   467,   469,   471,   473,   510,   508,
     512,   514,   516,   518,   520,   476,   478,   480,   482,   484,
     486,    37,     0,     0,  1259,     0,     0,  1222,     0,     0,
       0,     0,     0,   121,     0,     0,   112,   112,   179,   179,
     179,   179,   179,   179,   179,   179,   179,   179,   179,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    96,    98,
     100,   102,   201,   201,   201,   201,   201,   201,     0,   193,
     196,   199,   506,   506,   506,   506,   506,   506,   506,   506,
     506,   202,   204,   206,   216,   218,   210,   208,   214,   212,
     222,   220,   226,   224,   231,   228,   232,   234,   236,   253,
     242,     0,     0,     0,     0,     0,   430,   310,     0,   448,
       0,     0,   310,     0,     0,   285,   404,   405,   406,   407,
     408,     0,     0,     0,     0,     0,   403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   336,   339,   336,
     335,     0,   430,   310,   435,     0,     0,     0,  1269,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1224,     0,     0,     0,     0,     0,   156,
       0,     0,   109,   111,   158,   160,   162,   164,   170,   172,
     174,   168,   178,   166,   176,   104,   104,   104,   104,   181,
     183,   185,   187,   189,   191,     0,     0,     0,     0,     0,
       0,     0,     0,   201,   201,   201,   489,   491,   497,   499,
     501,   503,   493,   495,   505,   242,   242,   242,   242,   242,
     242,   242,   242,   242,   242,   242,   242,   242,   242,   242,
     242,   242,     0,     0,     0,     0,   240,     0,     0,   255,
     449,   451,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   430,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   587,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   585,   574,   575,
     576,   577,   578,   579,   580,   581,   588,   582,   583,   584,
     586,   589,   590,   591,   592,   593,   594,     0,     0,     0,
       0,   447,   286,   288,     0,   292,     0,   284,   344,   346,
     350,   354,   348,     0,     0,   409,   412,   415,   418,     0,
     424,   400,   356,   358,   360,   363,   365,   340,   400,   382,
     378,   380,   384,     0,     0,     0,     0,   376,   388,   386,
     390,   392,   394,   396,   398,   330,   338,   333,   436,     0,
       0,   434,  1225,  1255,  1257,     0,     0,     0,  1227,  1229,
    1237,  1245,  1239,  1233,  1231,  1235,  1241,  1243,  1253,  1247,
    1249,  1251,  1223,     0,   113,   115,   117,   119,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   123,   125,    97,    99,   101,   103,   311,
     313,   315,   317,   319,   321,   323,   325,   194,   197,   200,
     203,   205,   207,   217,   219,   211,   209,   215,   213,   223,
     221,   227,   225,   229,   233,   235,   237,     0,     0,     0,
     244,     0,     0,   257,   461,   461,   595,   431,   626,   628,
     630,   632,   634,   639,   641,   643,   652,   695,   697,   699,
     701,   703,   705,   707,   709,   711,   713,   726,   737,   739,
     748,   757,   759,   766,   771,   786,   788,   790,   792,   794,
     817,   828,   839,   846,   855,   864,   886,   891,   922,   955,
     957,   968,  1029,  1031,  1033,  1035,  1052,  1068,  1075,  1077,
    1082,  1087,  1089,  1096,  1113,  1173,  1175,  1186,  1063,  1203,
     875,  1142,  1208,  1210,  1212,  1214,  1219,  1270,   456,   428,
     298,   303,   459,     0,   297,   297,   295,   297,     0,   400,
     400,   400,   400,   400,     0,   400,   430,   430,   430,   430,
     421,     0,   362,   400,   400,   400,   400,   400,   400,   367,
     400,   400,   400,   400,     0,     0,     0,     0,   400,   400,
     400,   400,   400,   400,   400,   400,   444,   439,   442,  1262,
    1262,  1262,     0,     0,  1260,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,     0,
     127,   127,   127,   127,   128,   130,   132,   134,   136,   138,
     140,   142,   144,   146,   148,   150,   152,   154,   127,   127,
     127,   327,   327,   327,   327,   327,   327,   327,   327,     0,
       0,     0,   246,   260,   258,   256,   450,   452,   625,     0,
       0,     0,     0,     0,   638,     0,     0,   651,   694,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   725,   736,
       0,   747,   756,     0,   765,   770,   785,     0,     0,     0,
       0,   816,   827,   838,   845,   854,   863,   874,   890,   921,
     954,     0,   967,  1028,     0,     0,     0,  1051,  1062,  1074,
       0,  1081,  1086,     0,  1095,  1112,  1141,     0,  1185,  1202,
    1067,  1207,   885,  1172,     0,     0,     0,  1218,     0,     0,
     461,     0,     0,   461,   453,   287,   289,   297,   293,   290,
     345,   347,   351,   355,   349,     0,   353,     0,     0,     0,
       0,   430,     0,   357,   359,   361,   364,   366,     0,   383,
     379,   381,   385,   368,   370,   372,   374,   377,   389,   387,
     391,   393,   395,   397,   399,   437,   444,   444,  1226,  1256,
    1258,     0,     0,     0,  1262,  1228,  1230,  1238,  1246,  1240,
    1234,  1232,  1236,  1242,  1244,  1254,  1248,  1250,  1252,   105,
     114,   116,   118,   120,   156,   156,   156,   156,   156,   156,
     156,   156,   156,   156,   156,   156,   156,   156,   122,   124,
     126,   312,   314,   316,   318,   320,   322,   324,   326,   251,
       0,     0,   245,   262,   262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   430,   627,   629,   631,
     633,     0,     0,   640,   642,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     696,   698,   700,   702,   704,   706,   708,   710,   712,     0,
       0,     0,     0,     0,   738,     0,     0,     0,     0,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,   787,   789,   791,   793,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1030,  1032,  1034,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1076,     0,     0,     0,     0,  1088,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1174,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1209,  1211,
    1213,     0,     0,  1220,  1271,   457,     0,     0,   460,   461,
     296,   297,   401,   410,   413,   416,   419,     0,     0,   341,
     400,   400,   400,   400,   440,   443,  1263,  1265,  1267,  1261,
     107,   129,   131,   133,   135,   137,   139,   141,   143,   145,
     147,   149,   151,   153,   155,   253,     0,     0,   261,   259,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     596,   429,     0,   635,     0,   644,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   653,     0,
       0,   714,     0,   727,     0,     0,     0,   740,     0,     0,
       0,   749,     0,   760,     0,   767,     0,     0,     0,   772,
       0,     0,     0,     0,     0,     0,   795,     0,     0,     0,
       0,   818,     0,   829,     0,   840,     0,     0,     0,   847,
       0,   856,     0,     0,     0,     0,   865,     0,   887,     0,
       0,   892,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   923,     0,     0,     0,     0,   958,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   969,     0,     0,     0,     0,
       0,     0,     0,  1036,     0,     0,     0,  1053,     0,     0,
    1069,     0,  1078,     0,  1083,     0,     0,  1090,     0,  1097,
    1115,  1117,  1119,  1121,  1123,  1125,  1127,  1129,  1131,     0,
       0,     0,     0,  1114,     0,     0,  1176,     0,     0,     0,
    1187,     0,  1064,     0,  1204,     0,     0,     0,     0,   876,
    1144,  1146,  1148,  1150,  1152,  1154,  1156,  1158,  1160,  1162,
    1164,  1166,  1168,  1170,  1143,     0,  1215,     0,     0,   454,
     291,   403,   427,   427,   427,   427,   422,     0,   343,   369,
     371,   373,   375,  1269,  1269,  1269,   106,   252,   247,   249,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1172,
    1172,  1172,  1172,  1172,  1172,  1172,  1172,  1172,  1172,  1172,
    1172,  1172,  1172,     0,     0,     0,   402,   411,   414,   417,
     420,   427,     0,   342,  1264,  1266,  1268,   253,   253,   597,
     599,   601,   603,   611,   605,   607,   609,   613,   615,   617,
     619,   621,   623,   636,   645,   647,   649,   654,   656,   658,
     660,   662,   664,   670,   666,   668,   672,   674,   676,   682,
     678,   680,   686,   688,   690,   684,   692,   715,   717,   719,
     721,   723,   728,   730,   732,   734,   741,   743,   745,   750,
     752,   754,   761,   763,   768,   773,   775,   777,   779,   781,
     783,   808,   796,   804,   798,   800,   802,   806,   812,   810,
     814,   819,   821,   823,   825,   830,   832,   834,   836,   841,
     843,   848,   852,   850,   857,   859,   861,   870,   872,   866,
     868,   888,   893,   895,   903,   911,   905,   899,   897,   901,
     907,   909,   919,   913,   915,   917,   924,   926,   928,   930,
     932,   934,   936,   938,   940,   942,   946,   944,   948,   950,
     952,   963,   965,   959,   961,   970,   972,   974,   976,   978,
     980,   982,   984,   986,   988,  1000,   990,   992,   994,   996,
     998,  1002,  1004,  1006,  1008,  1010,  1012,  1014,  1016,  1018,
    1020,  1022,  1024,  1026,  1037,  1039,  1041,  1043,  1045,  1047,
    1049,  1054,  1056,  1058,  1060,  1070,  1072,  1079,  1084,  1093,
    1091,  1098,  1100,  1102,  1104,  1106,  1108,  1110,  1116,  1118,
    1120,  1122,  1124,  1126,  1128,  1130,  1132,  1133,  1135,  1137,
    1139,  1177,  1179,  1181,  1183,  1188,  1190,  1192,  1194,  1196,
    1198,  1200,  1065,  1205,   881,   883,   877,   879,  1145,  1147,
    1149,  1151,  1153,  1155,  1157,  1159,  1161,  1163,  1165,  1167,
    1169,  1171,  1216,   299,   304,   423,     0,   248,   250,   625,
     625,   625,   625,   625,   625,   625,   625,   625,   625,   625,
     625,   625,   625,   638,   651,   651,   651,   694,   694,   694,
     694,   694,   694,   694,   694,   694,   694,   694,   694,   694,
     694,   694,   694,   694,   694,   694,   694,   725,   725,   725,
     725,   725,   736,   736,   736,   736,   747,   747,   747,   756,
     756,   756,   765,   765,   770,   785,   785,   785,   785,   785,
     785,   816,   816,   816,   816,   816,   816,   816,   816,   816,
     816,   827,   827,   827,   827,   838,   838,   838,   838,   845,
     845,   854,   854,   854,   863,   863,   863,   874,   874,   874,
     874,   890,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   954,   954,   954,   954,
     954,   954,   954,   954,   954,   954,   954,   954,   954,   954,
     954,   967,   967,   967,   967,  1028,  1028,  1028,  1028,  1028,
    1028,  1028,  1028,  1028,  1028,  1028,  1028,  1028,  1028,  1028,
    1028,  1028,  1028,  1028,  1028,  1028,  1028,  1028,  1028,  1028,
    1028,  1028,  1028,  1028,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1062,  1062,  1062,  1062,  1074,  1074,  1081,  1086,  1095,
    1095,  1112,  1112,  1112,  1112,  1112,  1112,  1112,  1141,  1141,
    1141,  1141,  1185,  1185,  1185,  1185,  1202,  1202,  1202,  1202,
    1202,  1202,  1202,  1067,  1207,   885,   885,   885,   885,  1218,
     327,   327,   430,   598,   600,   602,   604,   612,   606,   608,
     610,   614,   616,   618,   620,   622,   624,   637,   646,   648,
     650,   655,   657,   659,   661,   663,   665,   671,   667,   669,
     673,   675,   677,   683,   679,   681,   687,   689,   691,   685,
     693,   716,   718,   720,   722,   724,   729,   731,   733,   735,
     742,   744,   746,   751,   753,   755,   762,   764,   769,   774,
     776,   778,   780,   782,   784,   809,   797,   805,   799,   801,
     803,   807,   813,   811,   815,   820,   822,   824,   826,   831,
     833,   835,   837,   842,   844,   849,   853,   851,   858,   860,
     862,   871,   873,   867,   869,   889,   894,   896,   904,   912,
     906,   900,   898,   902,   908,   910,   920,   914,   916,   918,
     925,   927,   929,   931,   933,   935,   937,   939,   941,   943,
     947,   945,   949,   951,   953,   964,   966,   960,   962,   971,
     973,   975,   977,   979,   981,   983,   985,   987,   989,  1001,
     991,   993,   995,   997,   999,  1003,  1005,  1007,  1009,  1011,
    1013,  1015,  1017,  1019,  1021,  1023,  1025,  1027,  1038,  1040,
    1042,  1044,  1046,  1048,  1050,  1055,  1057,  1059,  1061,  1071,
    1073,  1080,  1085,  1094,  1092,  1099,  1101,  1103,  1105,  1107,
    1109,  1111,  1134,  1136,  1138,  1140,  1178,  1180,  1182,  1184,
    1189,  1191,  1193,  1195,  1197,  1199,  1201,  1066,  1206,   882,
     884,   878,   880,  1217,   300,   305,     0,     0,     0,     0,
     301,     0,   425,   310,     0,   427,   302,     0,   426,   306,
     327,   307,     0,   308,   310,   309
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2269, -2269, -2269, -2269,   292, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,  1664,
   -2269,  1435, -2269,   287, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269,  -462, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269,   130, -2269,  -334, -2269, -2269,
    -414, -2269, -2269, -2269, -2269, -2269, -2269, -2269,  -700, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269,    52, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269,   -72, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,  -486, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,   559,
   -2269, -2269, -1883, -2269, -2269, -2269,   756, -2269, -2269, -1181,
   -2269, -2269,   463, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269,  1168, -2269, -2269, -1347, -2269, -2269, -2269, -2269,
   -2269, -2269,  -850, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269,  -464, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269,  -678, -2269, -2269, -2269, -2269, -2269,  1126, -2269,
     -83, -2269, -2269, -1157, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269,   -75, -2269, -2269, -2092, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269,  -898, -2269,  1125,
   -2269, -2269, -1378, -2269, -2269, -2269, -2269, -2269,  1179, -2269,
   -2269, -1269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,   491,
   -2269, -2269, -2269, -2269, -2269, -2269,   484, -2269, -2269, -2269,
   -2269, -2269, -2269,   183, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269,   448, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269,  -102, -2269, -2269, -2269, -1661, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
    -576, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -1493, -2269,
   -2269, -2269, -2269, -2269, -1831, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -1774, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -1557, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -1522, -2269, -2269, -2269, -2269, -2269, -1521, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2177, -2269, -2269, -2269,
   -2269,  -614, -2269, -2269, -2269, -1576, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -1834, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -1582, -2269, -2269, -2269, -2269,
   -2269, -2269, -1581, -2269, -2269, -2269, -2269, -2269, -2269, -2198,
   -2269, -2269, -2269, -2269, -1550, -2269, -2269, -2269, -2269, -2269,
   -1549, -2269, -2269, -2269, -2269, -2269, -1589, -2269, -2269, -2269,
   -2269, -2269, -2269, -1693, -2269, -2269, -2269, -2269, -2269, -2269,
    -650, -2269, -2269, -2269, -1740, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -1802, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -1615, -2269, -2269, -2269, -2269, -2269, -2269, -1854, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -1717, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -1651, -2269, -2269, -2269,
   -2269, -2269, -2269,  -751, -2269, -2269, -2269, -2268, -2269, -2269,
   -2269, -2269, -2269, -2269,  -724, -2269, -2269, -2269,  -722, -2269,
   -2269, -2269, -2269, -2269, -2245, -2269, -2269, -2269, -2269, -1724,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2262,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -1373, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -1668, -2269, -2269, -2269, -2269, -2269,
   -2269, -1732, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269,  -750, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269,  -752, -2269, -2269, -2269,  1127, -2269, -2269, -1082, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,
   -2269, -2269, -2269, -2269, -2269, -2269, -2269, -2269,  -985, -2269,
   -2269, -2269, -2269, -2269
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,     2,    11,    25,    60,   244,    67,   387,    68,
     391,    69,   393,    66,   385,    89,   414,    92,   417,   170,
     413,    91,   587,    59,   418,   424,   425,   426,   427,   428,
     429,   482,   430,   176,   196,   467,   478,   481,   479,   480,
     483,   326,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   945,   946,   947,   948,   295,  1890,   179,   296,   297,
     605,  1430,  1431,  1432,  1433,   929,  1449,  1450,  1242,  1614,
    1615,  1616,  1617,  1618,  1619,  1620,  1621,  1622,  1623,  1624,
    1625,  1626,  1627,   195,   778,   779,   780,   781,   787,   785,
     782,   783,   784,   788,   786,   205,   802,   803,   804,   805,
     806,   807,   463,   963,   464,   964,   465,   965,   134,   975,
     976,   977,   981,   980,   983,   982,   978,   979,   985,   984,
     987,   986,   988,   678,   989,   990,   991,   371,   840,   503,
     839,  1462,   995,  2357,  2358,  1905,   373,   685,  1283,   843,
    1644,  1643,    65,   507,   508,   510,   509,   511,   513,   512,
     515,   514,   143,   386,   855,   528,  1364,  1365,  1871,  1367,
     852,  1547,  1149,  1541,  2790,  2997,  3003,  1542,  2791,  2998,
    3010,  3012,  3014,   646,  1451,  1452,  1453,  1454,  1455,  1456,
    1457,  1458,   147,   388,   897,   389,   899,   737,   558,   898,
     880,  1388,  2108,   556,  1369,  1370,  1373,  1371,   866,  1372,
    1383,  1384,  1385,  1386,  1387,  1880,  1881,  1882,  1883,  1398,
    1391,  1392,  1390,  1393,  1400,  1399,  1401,  1402,  1403,  1404,
    1405,  1164,  2101,   861,   873,  1376,  2102,  1377,  2103,  1378,
    2104,  1379,  2105,  1561,  2351,  1381,  3005,  1074,  1469,   149,
     392,   904,   564,  1406,   902,  1586,   903,  1587,   141,   384,
     849,   521,  1284,  1285,  1869,   846,  1540,   847,  1543,    76,
     566,   567,   568,   569,   570,   571,    88,   579,   580,   581,
     582,   583,   584,   216,   812,   813,   818,   819,   814,   815,
     816,   817,   820,    81,   573,   572,   574,   575,   576,   577,
     578,   188,  1075,  1076,  1468,  1655,  2589,  2590,  2591,  2592,
    2594,  2595,  2596,  2593,  2597,  2598,  2599,  2600,  2601,  2602,
    1077,  1470,  1078,  1471,  1079,  1472,  1080,  1473,  1081,  1474,
    1662,  2603,  1082,  1475,  1083,  1476,  1084,  1477,  1666,  2604,
    2605,  2606,  1085,  1478,  1679,  2607,  2608,  2609,  2610,  2611,
    2612,  2614,  2615,  2613,  2616,  2617,  2618,  2620,  2621,  2619,
    2625,  2622,  2623,  2624,  2626,  1086,  1479,  1087,  1480,  1088,
    1481,  1089,  1482,  1090,  1483,  1091,  1484,  1092,  1485,  1093,
    1486,  1094,  1487,  1095,  1488,  1691,  2627,  2628,  2629,  2630,
    2631,  1096,  1489,  1693,  2632,  2633,  2634,  2635,  1097,  1490,
    1098,  1491,  1698,  2636,  2637,  2638,  1099,  1492,  1702,  2639,
    2640,  2641,  1100,  1493,  1101,  1494,  1705,  2642,  2643,  1102,
    1495,  1707,  2644,  1103,  1496,  1711,  2645,  2646,  2647,  2648,
    2649,  2650,  1104,  1497,  1105,  1498,  1106,  1499,  1107,  1500,
    1108,  1501,  1722,  2652,  2654,  2655,  2656,  2653,  2657,  2651,
    2659,  2658,  2660,  1109,  1502,  1727,  2661,  2662,  2663,  2664,
    1110,  1503,  1729,  2665,  2666,  2667,  2668,  1111,  1504,  1731,
    2669,  2670,  1112,  1505,  1735,  2671,  2673,  2672,  1113,  1506,
    1737,  2674,  2675,  2676,  1114,  1507,  1742,  2679,  2680,  2677,
    2678,  1115,  1532,  1842,  2787,  2788,  2785,  2786,  1116,  1508,
    1744,  2681,  1117,  1509,  1747,  2682,  2683,  2688,  2687,  2689,
    2684,  2686,  2690,  2691,  2685,  2693,  2694,  2695,  2692,  1118,
    1510,  1757,  2696,  2697,  2698,  2699,  2700,  2701,  2702,  2703,
    2704,  2705,  2707,  2706,  2708,  2709,  2710,  1119,  1511,  1120,
    1512,  1763,  2713,  2714,  2711,  2712,  1121,  1513,  1782,  2715,
    2716,  2717,  2718,  2719,  2720,  2721,  2722,  2723,  2724,  2726,
    2727,  2728,  2729,  2730,  2725,  2731,  2732,  2733,  2734,  2735,
    2736,  2737,  2738,  2739,  2740,  2741,  2742,  2743,  1122,  1514,
    1123,  1515,  1124,  1516,  1125,  1517,  1793,  2744,  2745,  2746,
    2747,  2748,  2749,  2750,  1126,  1518,  1797,  2751,  2752,  2753,
    2754,  1127,  1530,  1835,  2783,  1128,  1519,  1800,  2755,  2756,
    1129,  1520,  1130,  1521,  1803,  2757,  1131,  1522,  1805,  2758,
    1132,  1523,  1133,  1524,  1809,  2760,  2759,  1134,  1525,  1811,
    2761,  2762,  2763,  2764,  2765,  2766,  2767,  1135,  1526,  1825,
    2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,  2768,
    2769,  2770,  2771,  1136,  1533,  1857,  2329,  2330,  2331,  2332,
    2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,  2342,
    1137,  1527,  1138,  1528,  1829,  2772,  2773,  2774,  2775,  1139,
    1529,  1833,  2776,  2777,  2778,  2779,  2780,  2781,  2782,  1140,
    1531,  1837,  2784,  1141,  1534,  1142,  1535,  1143,  1536,  1144,
    1537,  1862,  2789,  1145,  1538,   174,   416,   923,   593,  1409,
    1415,  1416,  1421,  1420,  1422,  1417,  1419,  1423,  1424,  1418,
    1426,  1427,  1428,  1425,  1410,  1411,   908,  1594,  1207,  2113,
    2114,  2115,  1146,  1539
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     647,   648,  1154,   206,  1199,   217,   218,   219,   606,   221,
    2347,  2348,  2349,  2350,  1382,  1466,  1467,  1545,  1546,   686,
    1548,  1389,  2117,  1695,    39,    40,  1699,    41,  1585,    12,
      13,    61,    62,   460,  1827,  2150,  2151,  2538,  2539,  2540,
    2541,  2542,  2543,  2544,  2545,  2546,    42,    43,    44,    45,
      46,    47,    48,  1200,   144,  2163,  2164,  1205,   278,   900,
    2135,  1794,   530,     3,   598,   599,   600,   601,   602,   289,
       4,   145,  2284,  1764,  2173,  2319,   867,   868,   869,   870,
     871,    14,   841,    15,   431,   432,   433,  1716,    16,  1732,
      17,  1733,   177,   178,   250,   251,   909,   910,   911,   912,
     913,   531,   914,   915,   916,   247,   248,  2144,     5,    18,
    1734,    19,  2147,   532,   533,   534,   535,   536,    20,   183,
     184,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,     6,  1723,   435,   436,  1228,
    1229,  1230,  1231,  1232,  1233,  1234,  1235,  1236,  2285,  1667,
    1668,  1669,  1670,  1671,  1672,  1673,  2136,  2137,  1674,   390,
    1675,  1795,  1796,   789,   790,   791,   792,   793,   794,   795,
     796,   797,  1206,   906,  1724,  2176,  2177,  1359,  1843,  1844,
    1845,  1846,  1847,  1848,  1849,  1850,  1851,  2213,  2214,  2215,
    2216,  2217,   834,  2218,  2219,  2220,     7,   881,  2320,  2321,
    1870,   537,   538,   539,  2174,   434,   438,   439,  1884,  1885,
    2196,  2197,  1550,  1551,  1552,  1553,  1554,  1828,  1556,  1195,
     588,  1197,   842,  1725,  2145,  2146,  1563,  1564,  1565,  1566,
    1567,  1568,  2148,  1569,  1570,  1571,  1572,  2165,  2166,     8,
     473,  1577,  1578,  1579,  1580,  1581,  1582,  1583,  1584,  1717,
     252,   992,  1718,  2152,  1719,  1726,  1738,   461,   437,  2585,
    1696,   249,   146,  1700,  1697,  1720,  1689,  1701,  1765,   907,
       9,  1865,    49,  1739,  1868,  1766,  1767,  1768,  1769,  1770,
    1771,  1772,  1773,  1774,   186,   187,  1807,  1775,  1776,  1777,
    1778,  1779,  1780,  1740,  1741,   603,  1147,  1592,  1593,   993,
     540,   541,   542,    10,    50,   543,   872,   253,   544,   545,
     546,   547,   548,    26,  2123,  1645,  1646,  1647,  1648,   917,
     918,  1649,    27,  1650,  1651,   128,    51,  1588,  1589,  1590,
     589,  1148,  2183,  1595,  1596,  1597,  1598,  1599,  1600,  1601,
    1602,  1603,  1604,  1605,  1606,  1607,  1608,  1745,  1746,  2124,
     634,   635,   590,   637,   996,    28,  1721,  2178,  2179,    29,
     591,   592,  1237,  1238,  1239,   882,   883,  2184,    52,  1759,
      21,    30,   884,  1676,   129,   130,   131,  2200,  2201,  1677,
     313,  1808,    31,   314,  1690,    53,  1760,   549,   550,   551,
     552,   132,  2198,  2199,  1678,    32,   315,    33,  1708,    54,
      22,  1852,  1853,  1854,    34,   223,  1761,  1762,  1709,  1710,
    2221,  2222,    23,    35,    63,    64,    55,   189,   190,   191,
     192,  1838,   994,  1798,  1799,  1652,   516,   517,   518,   519,
    1781,   254,  2237,  2238,    56,   604,    36,  1002,  1839,   919,
      37,  1812,   932,   933,  1813,    38,    57,   553,   271,  2125,
    2126,    90,  2127,   279,    24,   554,    58,  1814,  1840,  1841,
     286,   272,  1908,  1909,   290,  2846,  2847,  2185,  2186,   133,
    2187,  2873,  2874,   555,  2587,  2588,    93,  1240,  1557,  1558,
    1559,  1560,  1241,  1245,  1246,  1247,  1248,  2959,  2960,  1260,
    1261,  1262,  1263,  1264,  1265,  1266,  1267,  1268,  1269,  1270,
    1271,  1272,  1273,  1274,  1275,  1276,  2972,  2973,  2974,  2975,
      94,  1003,  1889,  1830,  2963,  2964,  1855,   273,   274,   275,
      95,  1856,    96,    97,  2100,  1653,   520,   102,  1831,    98,
    2223,  1832,    99,   100,  1654,   103,   193,   194,   561,   562,
     563,  1004,  1005,  1006,  1007,  1008,  1009,  1010,  1011,  1012,
    1013,  1014,  1015,  1016,  1017,  1018,  1019,  1020,  1021,  1022,
    1023,  1024,  1025,  1026,  1027,  1028,  1029,  1030,  1031,  1032,
    1033,  1034,  1035,  1036,  1037,  1038,  1039,  1040,  1041,  1042,
    1043,  1044,  1045,  1046,   101,   423,   316,   317,   318,   319,
     320,   321,  1786,   322,   323,   324,   325,    77,   104,   442,
    2099,    78,    79,    80,   105,  1748,   106,   107,   863,   864,
     113,   108,  1749,   874,   875,   876,   109,   878,   110,  1750,
     111,   112,   466,   135,   136,   890,   137,   892,   893,   894,
     895,   139,   138,   477,    70,    71,    72,    73,    74,    75,
     523,   524,  1047,   525,   140,   526,   142,  1815,  1816,  1817,
    1818,  1819,  1820,   148,  1821,  1822,  1823,  1824,   856,   857,
     858,   859,   860,  1877,   150,   151,   506,   925,   152,   927,
    1048,   153,   930,   931,   920,   921,   922,   522,   154,   529,
    2205,  2206,  2207,   560,   155,   565,  1787,  1788,  1789,  1790,
    1791,  1049,  1050,  2246,  2247,  2248,  2249,  2250,  2251,  2252,
    2253,  2254,   156,   161,  1051,   595,   586,   597,   157,   594,
    1052,   607,   608,   609,   610,   611,   612,   613,  2224,  2225,
    2226,  1053,   158,  2109,  2110,  2111,  2112,  1054,  1055,  1056,
     949,   950,   951,   952,   953,   954,  1751,  1752,  1057,  1058,
     527,  1753,   159,   638,  1754,  1755,  1756,   207,   208,   209,
     210,   211,   212,  1059,   649,  2234,  2235,  2236,  1921,   213,
     214,   160,  1060,   162,  1061,   659,   660,   661,   662,   663,
     664,  2153,  2154,  2155,  2156,  1792,  2811,  2812,  2813,  2814,
    2815,  2816,  2817,  2818,  2819,  2820,  2821,  2822,  2823,  2824,
    2825,  2826,  2827,  2828,  2829,  2830,   163,  1062,   197,   198,
     199,   200,   164,  1063,   168,  1064,   165,   166,   215,  2265,
    2266,  2267,  1065,   201,   202,   203,   204,  2855,  2856,  2857,
    2858,  2859,  2860,  2861,  2862,  2863,  2864,   169,   167,  1066,
     934,   935,   936,   937,   938,   939,   940,   941,   942,   943,
     944,   171,  1067,  2312,  2313,  2314,  1068,   172,  1069,  1070,
    1071,   173,  1072,  2831,  2832,  2833,  2834,  2835,  2255,   175,
    1073,  2919,  2920,  2921,  2922,  2923,  2924,  2925,  2926,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,  2936,  2937,
    2938,  2939,  2940,  2941,  2942,  2943,  2944,  2945,  2946,  2947,
     180,  1257,  1258,  1259,  2900,  2901,  2902,  2903,  2904,  2905,
    2906,  2907,  2908,  2909,  2910,  2911,  2912,  2913,  2914,  2159,
    2160,  2161,  2162,  3008,  1891,  1892,  1893,  1894,  1895,  1896,
    1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,  2793,  2794,
    2795,  2796,  2797,  2798,  2799,  2800,  2801,  2802,  2803,  2804,
    2805,  2806,  2886,  2887,  2888,  2889,  2890,  2891,  2892,  2893,
    2894,  2895,  2896,  2897,  2898,  2899,  2568,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,  2578,  2579,  2580,  2581,
     687,   688,   689,   690,   691,   692,   693,   694,   695,   955,
     956,   957,   958,   959,   960,   961,   962,  1631,  1632,  1633,
    1634,  1635,  1636,  1637,  1638,   966,   967,   968,   969,   970,
     971,   972,   973,   974,  2292,  2293,  2294,  2295,  2296,  2297,
    2298,  2228,  2229,  2230,  2231,   181,  1610,  1611,  1612,  1613,
     748,   749,   750,   751,   752,   753,   754,  2948,  2949,  2950,
    2951,  2952,  2953,  2954,  1628,  1629,  1630,  2965,  2966,  2967,
    2968,  2969,  2970,  2971,  2980,  2981,  2982,  2983,  2984,  2985,
    2986,    82,    83,    84,    85,    86,    87,   742,   743,   744,
     745,   746,   747,   755,   756,   757,   758,   759,   760,  2849,
    2850,  2851,  2852,  2853,  2854,  2836,  2837,  2838,  2839,  2865,
    2866,  2867,  2868,   182,  2869,  2870,  2871,  2872,  2881,  2882,
    2883,  2884,  2989,  2990,  2991,  2992,  2915,  2916,  2917,  2918,
    2955,  2956,  2957,  2958,  2976,  2977,  2978,  2979,  2316,  2317,
    2318,  2808,  2809,  2810,  2840,  2841,  2842,   185,  2843,  2844,
    2845,  2875,  2876,  2877,   220,  2878,  2879,  2880,  2354,  2355,
    2356,   222,   224,   225,   226,   242,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   243,   255,   237,   238,
     239,   240,   241,   245,   246,   256,   257,   276,   258,   259,
     260,   261,   262,   263,   265,   264,   266,   267,   268,   269,
     270,   277,   280,   281,   282,   283,   284,   285,   288,   291,
     294,   287,   292,   293,   298,   299,   300,   301,   302,   303,
     304,   305,   312,   306,   307,   308,   309,   310,   311,   327,
     328,   329,   330,   331,   332,   333,   334,   336,   335,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   372,   374,   375,   376,   420,   421,   377,
     378,   379,   380,   381,   382,   383,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   415,   422,   419,   440,   441,
     443,   456,   502,   444,   445,   446,   447,   448,   449,   450,
     504,   451,   505,   452,   453,   454,   455,   457,   458,   459,
     462,   468,   469,   470,   471,   472,   474,   475,   683,   476,
     645,   684,   698,   699,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   557,   493,   494,   495,   496,   497,   498,
     596,   499,   500,   501,   559,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   636,   639,   701,   640,
     641,   642,   643,   644,   650,   651,   652,   653,   654,   655,
     656,   657,   658,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   679,   680,   681,   682,
     704,   879,   707,   696,   697,   700,   702,   703,   705,   706,
     708,   709,   710,   711,   712,   713,   714,   715,   716,   717,
     718,   719,   720,   721,   722,   723,   724,   725,   726,   727,
     728,   734,   729,   730,   731,   732,   733,   735,   736,   738,
     739,   740,   762,   741,   763,   764,   765,   766,   767,   768,
     769,   770,   771,   772,   773,   774,   775,   776,   777,   798,
     799,   800,   801,   809,   808,   810,   811,   821,   822,   823,
     824,   825,   826,   827,   828,   829,   830,   831,   832,   833,
     835,   836,   837,   838,   844,   845,   997,   848,   850,   851,
     853,   999,   854,   862,   865,   877,   998,   885,   886,   887,
     888,   889,   891,  1000,   896,   901,   905,  1001,   924,   926,
     928,  1165,  1166,  1163,  1152,  1150,  1153,  1155,  1167,  1158,
    1156,  1159,  1160,  1161,  1162,  1168,  1169,  1170,  1183,  1171,
    1172,  1173,  1174,  1175,  1176,  1177,  1179,  1178,  1180,  1181,
    1182,  1280,  1281,  1184,  1185,  1186,  1187,  1188,  1189,  1190,
    1191,  1192,  1193,  1194,  1198,  1202,  1203,  1204,  1208,  1209,
    1210,  1211,  1212,  1213,  1214,  1215,  1216,  1217,  1218,  1219,
    1220,  1221,  1282,  1224,  1223,  1225,  1226,  1227,  1243,  1244,
    1249,  1250,  1251,  1252,  1253,  1254,  1255,  1256,  1286,  1277,
    1287,  1278,  1279,  1288,  1289,  1290,  1291,  1292,  1293,  1294,
    1295,  1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,  1311,  1312,  1313,  1314,
    1315,  1316,  1317,  1318,  1319,  1320,  1321,  1322,  1323,  1324,
    1325,  1326,  1327,  1328,  1329,  1330,  1331,  1332,  1333,  1334,
    1335,  1336,  1337,  1338,  1339,  1340,  1341,  1342,  1343,  1344,
    1345,  1346,  1347,  1348,  1349,  1350,  1351,  1352,  1353,  1354,
    1355,  1356,  1357,  1363,  1358,  1360,  1361,  1374,  1362,  1366,
    1368,  1375,  1380,  1394,  1395,  1396,  1397,  1407,  1408,  1414,
    1412,  1413,  1429,  1434,  1448,  1435,  1436,  1437,  1438,  1439,
    1440,  1441,  1442,  1443,  1444,  1445,  1446,  1447,  1459,  1463,
    1460,  1461,  1562,  1656,  1464,  1544,  1549,  1555,  1573,  1657,
    1658,  1574,  1591,  1575,  1576,  1659,  1609,  1639,  1660,  1661,
    1640,  1641,  1663,  1664,  1665,  1680,  1681,  1682,  1683,  1684,
    1685,  1686,  1687,  1688,  1692,  1694,  1703,  1704,  1706,  1712,
    1713,  1714,  1715,  1728,  1730,  1736,  1743,  1758,  1783,  1784,
    1785,  1801,  1802,  1806,  1804,  1810,  1826,  1834,  1836,  1858,
    1859,  1860,  1861,  1863,  1864,  1872,  1873,  1874,  1866,  1875,
    1867,  1876,  1878,  1879,  1910,  1886,  1920,  1923,  1887,  1888,
    1906,  1907,  1925,  1938,  1941,  1911,  1912,  1943,  1913,  1914,
    1915,  1916,  1917,  1918,  1919,  1922,  1924,  1926,  1927,  1928,
    1947,  1929,  1930,  1931,  1932,  1933,  1934,  1935,  1936,  1937,
    1939,  1940,  1951,  1942,  1944,  1945,  1946,  1948,  1949,  1950,
    1952,  1953,  1954,  1955,  1956,  1957,  1958,  1959,  1960,  2121,
    2122,  1966,  1961,  2129,  2130,  2131,  2132,  2133,  1962,  1963,
    1964,  1965,  1967,  1968,  2138,  2139,  2140,  2141,  2142,  2143,
    1969,  1970,  2149,  1971,  1972,  2157,  1973,  1974,  1975,  1976,
    1979,  1981,  1977,  2168,  2169,  1978,  1980,  2171,  2172,  1982,
    1983,  1984,  2175,  1985,  1986,  2180,  2181,  1988,  2182,  1987,
    1989,  2189,  2190,  2191,  1990,  2192,  2193,  2194,  2195,  1991,
    2001,  1992,  2006,  1993,  2202,  2203,  2204,  1994,  1995,  2025,
    2208,  2209,  2210,  2211,  1996,  1997,  1998,  2033,  1999,  2037,
    2227,  2000,  2002,  2003,  2996,  2004,  2239,  2240,  2241,  2005,
    2242,  2243,  2244,  2245,  2007,  2008,  2009,  2257,  2258,  2259,
    2260,  2010,  2011,  2012,  2013,  2040,  2268,  2269,  2270,  2271,
    2014,  2015,  2016,  2017,  2275,  2018,  2019,  2020,  2279,  2280,
    2021,  2022,  2282,  2023,  2024,  2026,  2042,  2287,  2027,  2288,
    2028,  2029,  2030,  2044,  2291,  2031,  2032,  2034,  2035,  2036,
    2047,  2038,  2049,  2063,  2039,  2041,  2043,  2308,  2309,  2045,
    2311,  2066,  2046,  2048,  2059,  2050,  2070,  2322,  2051,  2052,
    2053,  2324,  2072,  2325,  2326,  2327,  2328,  2054,  2055,  2056,
    2074,  2079,  2094,  2096,  2057,  2058,  2106,  2060,  2061,  2062,
    2064,  2065,  2067,  2068,  2069,  2071,  2073,  2075,  2076,  2077,
    2078,  2080,  2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,
    2089,  2090,  2792,  2091,  2999,  2092,  2093,  3000,  3002,  3013,
    2116,  1642,   761,  1157,  1196,  2353,  2346,  2807,  1151,  1201,
    2848,  2885,  2987,  2961,  2988,  2586,  2962,  2993,     0,  1465,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3001,   585,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2095,
       0,     0,     0,     0,     0,     0,  2107,     0,  2097,  2098,
       0,     0,  2120,  2118,  2119,  2128,  2352,     0,  2134,  2158,
    2167,  2170,  2188,  2212,  2232,  2233,  2256,     0,  2261,  2262,
    2263,  2264,  2272,     0,  2273,  2274,  2276,  2277,  2278,     0,
       0,  2281,  2283,  2286,  2289,     0,  2290,     0,  2310,     0,
    2315,  2323,     0,  2359,  2343,     0,     0,     0,     0,     0,
       0,     0,     0,  3006,  2344,     0,     0,  2345,     0,     0,
       0,  2360,     0,     0,  3015,     0,  2361,  2362,  2363,  2364,
       0,     0,     0,     0,     0,  2365,     0,  2366,  2367,     0,
    2368,  2369,     0,     0,     0,  2370,     0,     0,  2371,     0,
       0,  2372,     0,  2373,     0,  2374,     0,  2375,  2376,     0,
       0,  2377,  2378,  2379,  2380,     0,     0,     0,  2381,  2382,
       0,  2383,  2384,  2385,  2386,  2387,  2388,  2389,  2390,  2391,
    2392,  2393,  2394,     0,  2395,  2396,  2397,  2398,  2399,  2400,
    2401,  2402,  2403,  2404,  2405,     0,  2406,  2407,  2408,  2409,
    2410,  2411,  2412,  2413,     0,  2414,     0,  2415,  2416,  2417,
       0,  2418,  2419,  2420,     0,  2421,  2422,  2423,  2424,  2425,
    2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,
    2436,  2437,  2438,  2439,  2440,  2441,     0,  2442,  2443,     0,
    2444,     0,  2445,     0,     0,  2446,  2447,  2448,  2449,  2450,
    2451,  2452,  2453,  2454,  2455,  2456,  2457,     0,  2458,  2459,
       0,  2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,     0,     0,  2471,     0,  2472,  2473,  2474,  2475,
    2476,  2477,     0,  2478,  2479,  2480,  2994,  2995,  2481,  2482,
       0,  2483,     0,  2484,  2485,  2486,  2487,  2488,  2489,  2490,
    2491,  2492,  2493,  2494,  2495,  2496,  2497,  2498,  2499,  2500,
    2501,  2502,  2503,  2504,  2505,  2506,  2507,  2508,     0,  2509,
    2510,  2511,  2512,  2513,  2514,  2515,  2516,  2517,  2518,  2519,
    2520,  2521,  2522,  2523,  2524,  2525,  2526,  2527,  2528,     0,
    2529,  2530,  2531,  2532,  2533,  2534,     0,  2535,  2536,  2537,
    2547,  2548,  2549,     0,  2550,     0,     0,  2551,  2552,  2553,
    2554,  2555,  2556,  2557,     0,  2558,  2559,  2560,  2561,     0,
    2562,  2563,  2564,  2565,  2566,     0,  2567,  2582,  2583,  2584,
       0,     0,     0,  3004,  3007,     0,     0,     0,  3009,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3011
};

static const yytype_int16 yycheck[] =
{
     464,   465,   852,   105,   902,   107,   108,   109,   422,   111,
    2102,  2103,  2104,  2105,  1171,  1284,  1285,  1364,  1365,   505,
    1367,  1178,  1905,   197,     7,     8,   197,    10,  1406,     5,
       6,    13,    14,    68,   190,   185,   186,  2299,  2300,  2301,
    2302,  2303,  2304,  2305,  2306,  2307,    29,    30,    31,    32,
      33,    34,    35,   903,    67,    13,    14,    75,   160,   737,
      80,   183,    22,     0,    15,    16,    17,    18,    19,   171,
     156,    84,   191,    22,    68,   318,    78,    79,    80,    81,
      82,    57,    20,    59,    36,    37,    38,     5,    64,   181,
      66,   183,    13,    14,   185,   186,    20,    21,    22,    23,
      24,    61,    26,    27,    28,   185,   186,    68,   445,    85,
     202,    87,    68,    73,    74,    75,    76,    77,    94,    36,
      37,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,   446,   248,    36,    37,    20,
      21,    22,    23,    24,    25,    26,    27,    28,   267,   178,
     179,   180,   181,   182,   183,   184,   176,   177,   187,   261,
     189,   283,   284,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   190,    80,   286,    13,    14,  1075,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    20,    21,    22,
      23,    24,   678,    26,    27,    28,   445,    98,   441,   442,
    1547,   161,   162,   163,   198,   157,   308,   309,  1586,  1587,
      13,    14,  1369,  1370,  1371,  1372,  1373,   373,  1375,   897,
      65,   899,   160,   335,   185,   186,  1383,  1384,  1385,  1386,
    1387,  1388,   188,  1390,  1391,  1392,  1393,   195,   196,   446,
     342,  1398,  1399,  1400,  1401,  1402,  1403,  1404,  1405,   167,
     341,    20,   170,   403,   172,   367,   166,   292,   157,  2351,
     434,   341,   275,   434,   438,   183,    72,   438,   217,   176,
     445,  1540,   255,   183,  1543,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    11,    12,   217,   236,   237,   238,
     239,   240,   241,   203,   204,   246,    68,   210,   211,    68,
     260,   261,   262,   447,   287,   265,   308,   398,   268,   269,
     270,   271,   272,     3,    33,   164,   165,   166,   167,   243,
     244,   170,     3,   172,   173,   247,   309,  1409,  1410,  1411,
     175,   103,    33,  1415,  1416,  1417,  1418,  1419,  1420,  1421,
    1422,  1423,  1424,  1425,  1426,  1427,  1428,   205,   206,    68,
     452,   453,   197,   455,   840,     3,   274,   195,   196,     3,
     205,   206,   243,   244,   245,   266,   267,    68,   351,   166,
     346,     3,   273,   402,   296,   297,   298,    13,    14,   408,
      43,   312,     3,    46,   190,   368,   183,   347,   348,   349,
     350,   313,   195,   196,   423,     3,    59,     3,   190,   382,
     376,   243,   244,   245,     3,   113,   203,   204,   200,   201,
     243,   244,   388,     3,   396,   397,   399,    39,    40,    41,
      42,   166,   191,   294,   295,   274,    60,    61,    62,    63,
     379,   139,   320,   321,   417,   386,     3,     9,   183,   363,
       3,    43,   776,   777,    46,     3,   429,   407,   156,   168,
     169,   387,   171,   161,   430,   415,   439,    59,   203,   204,
     168,    40,  1643,  1644,   172,  2642,  2643,   168,   169,   391,
     171,  2669,  2670,   433,  2357,  2358,   448,   358,  1376,  1377,
    1378,  1379,   363,   945,   946,   947,   948,  2755,  2756,   975,
     976,   977,   978,   979,   980,   981,   982,   983,   984,   985,
     986,   987,   988,   989,   990,   991,  2768,  2769,  2770,  2771,
       3,    83,  1594,   425,  2759,  2760,   358,    96,    97,    98,
       3,   363,   448,   448,  1871,   374,   160,     3,   440,   448,
     363,   443,   448,   448,   383,     3,   158,   159,    61,    62,
      63,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   448,   298,   249,   250,   251,   252,
     253,   254,   183,   256,   257,   258,   259,    95,     3,   312,
    1869,    99,   100,   101,   448,   183,     3,   448,   710,   711,
       4,   448,   190,   715,   716,   717,   448,   719,   448,   197,
     448,   448,   335,   448,   448,   727,   448,   729,   730,   731,
     732,     4,   448,   346,    88,    89,    90,    91,    92,    93,
      60,    61,   214,    63,    58,    65,    65,   249,   250,   251,
     252,   253,   254,    86,   256,   257,   258,   259,    68,    69,
      70,    71,    72,  1561,   448,   448,   374,   769,   448,   771,
     242,   448,   774,   775,   207,   208,   209,   385,   448,   387,
     404,   405,   406,   391,   448,   393,   277,   278,   279,   280,
     281,   263,   264,   215,   216,   217,   218,   219,   220,   221,
     222,   223,     4,     4,   276,   418,   414,   420,   448,   417,
     282,   424,   425,   426,   427,   428,   429,   430,   207,   208,
     209,   293,   448,  1880,  1881,  1882,  1883,   299,   300,   301,
     802,   803,   804,   805,   806,   807,   314,   315,   310,   311,
     160,   319,   448,   456,   322,   323,   324,   352,   353,   354,
     355,   356,   357,   325,   467,   316,   317,   318,  1656,   364,
     365,   448,   334,   448,   336,   478,   479,   480,   481,   482,
     483,   409,   410,   411,   412,   366,  2607,  2608,  2609,  2610,
    2611,  2612,  2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,
    2621,  2622,  2623,  2624,  2625,  2626,   448,   369,   288,   289,
     290,   291,   448,   375,     4,   377,   448,   448,   413,   233,
     234,   235,   384,   303,   304,   305,   306,  2651,  2652,  2653,
    2654,  2655,  2656,  2657,  2658,  2659,  2660,   444,   448,   401,
     778,   779,   780,   781,   782,   783,   784,   785,   786,   787,
     788,   448,   414,   370,   371,   372,   418,     4,   420,   421,
     422,   431,   424,  2627,  2628,  2629,  2630,  2631,   380,   444,
     432,  2715,  2716,  2717,  2718,  2719,  2720,  2721,  2722,  2723,
    2724,  2725,  2726,  2727,  2728,  2729,  2730,  2731,  2732,  2733,
    2734,  2735,  2736,  2737,  2738,  2739,  2740,  2741,  2742,  2743,
     445,   963,   964,   965,  2696,  2697,  2698,  2699,  2700,  2701,
    2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,  2710,   191,
     192,   193,   194,  3005,  1614,  1615,  1616,  1617,  1618,  1619,
    1620,  1621,  1622,  1623,  1624,  1625,  1626,  1627,  2589,  2590,
    2591,  2592,  2593,  2594,  2595,  2596,  2597,  2598,  2599,  2600,
    2601,  2602,  2682,  2683,  2684,  2685,  2686,  2687,  2688,  2689,
    2690,  2691,  2692,  2693,  2694,  2695,  2329,  2330,  2331,  2332,
    2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,  2342,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   105,
     106,   107,   108,   109,   110,   111,   112,  1451,  1452,  1453,
    1454,  1455,  1456,  1457,  1458,   812,   813,   814,   815,   816,
     817,   818,   819,   820,   327,   328,   329,   330,   331,   332,
     333,   210,   211,   212,   213,   445,  1430,  1431,  1432,  1433,
     572,   573,   574,   575,   576,   577,   578,  2744,  2745,  2746,
    2747,  2748,  2749,  2750,  1448,  1449,  1450,  2761,  2762,  2763,
    2764,  2765,  2766,  2767,  2776,  2777,  2778,  2779,  2780,  2781,
    2782,    88,    89,    90,    91,    92,    93,   566,   567,   568,
     569,   570,   571,   579,   580,   581,   582,   583,   584,  2645,
    2646,  2647,  2648,  2649,  2650,  2632,  2633,  2634,  2635,  2661,
    2662,  2663,  2664,   445,  2665,  2666,  2667,  2668,  2677,  2678,
    2679,  2680,  2785,  2786,  2787,  2788,  2711,  2712,  2713,  2714,
    2751,  2752,  2753,  2754,  2772,  2773,  2774,  2775,   426,   427,
     428,  2604,  2605,  2606,  2636,  2637,  2638,   444,  2639,  2640,
    2641,  2671,  2672,  2673,   416,  2674,  2675,  2676,  2113,  2114,
    2115,   444,   448,   448,   448,     3,   448,   448,   448,   448,
     448,   448,   448,   448,   448,   448,     3,     3,   448,   448,
     448,   448,   448,   444,   444,     4,     3,   445,     4,     3,
       3,   448,     4,     3,   444,     4,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,     4,     3,
     445,   447,     4,   447,     4,   447,   447,   447,   447,   447,
     447,   447,     4,   448,   448,   448,   448,   448,   448,   448,
     448,   448,   448,   448,     3,     3,     3,   447,     4,   448,
     448,   448,   448,   448,   448,   448,   448,   448,     4,   447,
     447,   447,   447,   447,   447,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   392,     4,   447,   447,     4,     3,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,     3,   448,   444,   444,
     447,     4,   160,   447,   447,   447,   447,   447,   447,   447,
       3,   447,     4,   448,   448,   448,   448,   445,   445,   445,
     445,   444,   444,   444,   444,   444,   444,   444,     3,   445,
     104,     4,     3,     3,   449,   449,   449,   449,   449,   449,
     449,   449,   449,   444,   449,   449,   449,   449,   447,   449,
     445,   449,   449,   449,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   445,   447,     4,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
       3,    67,     4,   448,   448,   448,   448,   448,   448,   448,
     448,   448,   448,   448,   448,     3,     3,   448,   448,   448,
     448,   448,     3,   448,   448,   448,   448,   448,   448,   448,
     448,     4,   448,   448,   448,   448,   448,   447,     4,   448,
       3,     3,   448,     4,   448,     3,   448,   448,     4,   449,
     448,   448,   448,   448,     3,   448,   448,     4,     4,   447,
     447,   447,   447,     4,   448,     4,     4,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   445,   444,   448,   445,   445,   444,
     444,     4,   445,   444,   444,   444,   448,   445,   445,   445,
     445,   444,   444,   447,   445,   444,   444,   447,   445,   445,
     445,     3,     3,   445,   447,   449,   447,   447,     3,   447,
     449,   447,   447,   447,   447,     3,   445,     3,   449,     4,
     447,   447,   447,   447,   447,     3,   447,     4,   447,   447,
     447,     4,   444,   449,   449,   449,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   445,   447,   449,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,     3,   448,
       3,   448,   448,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,   445,     4,     3,     3,   448,     4,     4,
     445,     4,     3,   445,   445,   445,   445,     4,     4,     4,
     448,   448,   445,   447,     4,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   444,   447,
     445,   445,    20,     4,   447,   447,   447,   445,   447,     4,
       4,   447,   444,   447,   447,     4,   447,   447,     4,   174,
     449,   449,     4,     4,   175,     4,     4,     4,     4,     4,
       4,     4,     4,     4,   190,     4,     4,   190,   199,     4,
       4,     4,     4,   190,   190,   190,   190,     4,     4,     4,
       4,     4,   400,     4,   302,   326,     4,   378,   419,     4,
       4,     4,   379,     4,     4,   447,     4,     4,   102,     4,
     102,     4,   448,     4,   448,   447,     4,     4,   447,   447,
     445,   445,     4,     4,     4,   448,   448,     4,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,   448,   448,
       4,   448,   448,   448,   448,   448,   448,   448,   448,   448,
     448,   448,     4,   448,   448,   448,   448,   448,   448,   448,
     448,     4,   448,     4,   448,   448,   448,     4,   448,  1911,
    1912,     4,   448,  1915,  1916,  1917,  1918,  1919,   448,   448,
     448,   448,   448,   448,  1926,  1927,  1928,  1929,  1930,  1931,
     448,   448,  1934,     4,   448,  1937,     4,   448,     4,   448,
       4,     4,   448,  1945,  1946,   448,   448,  1949,  1950,   448,
     448,   448,  1954,   448,     4,  1957,  1958,     4,  1960,   448,
     448,  1963,  1964,  1965,   448,  1967,  1968,  1969,  1970,     4,
       4,   448,     4,   448,  1976,  1977,  1978,   448,   448,     4,
    1982,  1983,  1984,  1985,   448,   448,   448,     4,   448,     4,
    1992,   448,   448,   448,  2792,   448,  1998,  1999,  2000,   448,
    2002,  2003,  2004,  2005,   448,   448,   448,  2009,  2010,  2011,
    2012,   448,   448,   448,   448,     4,  2018,  2019,  2020,  2021,
     448,   448,   448,   448,  2026,   448,   448,   448,  2030,  2031,
     448,   448,  2034,   448,   448,   448,     4,  2039,   448,  2041,
     448,   448,   448,     4,  2046,   448,   448,   448,   448,   448,
       4,   448,     4,     4,   448,   448,   448,  2059,  2060,   448,
    2062,     4,   448,   448,   448,   447,     4,  2069,   447,   447,
     447,  2073,     4,  2075,  2076,  2077,  2078,   447,   447,   447,
       4,     4,     4,     4,   447,   447,     4,   448,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,   448,   448,
     448,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,     3,   447,     4,   447,   447,     4,     4,     4,
    1890,  1462,   587,   855,   898,  2108,  2101,  2603,   849,   904,
    2644,  2681,  2783,  2757,  2784,    62,  2758,  2789,    -1,  1283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     923,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   413,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,
      -1,    -1,    -1,    -1,    -1,    -1,   444,    -1,   448,   448,
      -1,    -1,   444,   447,   447,   444,   447,    -1,   445,   444,
     444,   444,   444,   444,   444,   444,   444,    -1,   445,   444,
     444,   444,   444,    -1,   444,   444,   444,   444,   444,    -1,
      -1,   444,   444,   444,   444,    -1,   444,    -1,   445,    -1,
     445,   444,    -1,   447,   444,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3003,   444,    -1,    -1,   444,    -1,    -1,
      -1,   447,    -1,    -1,  3014,    -1,   447,   447,   447,   447,
      -1,    -1,    -1,    -1,    -1,   447,    -1,   447,   447,    -1,
     447,   447,    -1,    -1,    -1,   447,    -1,    -1,   447,    -1,
      -1,   447,    -1,   447,    -1,   447,    -1,   447,   447,    -1,
      -1,   447,   447,   447,   447,    -1,    -1,    -1,   447,   447,
      -1,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,    -1,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,    -1,   447,   447,   447,   447,
     447,   447,   447,   447,    -1,   447,    -1,   447,   447,   447,
      -1,   447,   447,   447,    -1,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,    -1,   447,   447,    -1,
     447,    -1,   447,    -1,    -1,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,    -1,   447,   447,
      -1,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,    -1,    -1,   447,    -1,   447,   447,   447,   447,
     447,   447,    -1,   447,   447,   447,  2790,  2791,   447,   447,
      -1,   447,    -1,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,    -1,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,    -1,
     447,   447,   447,   447,   447,   447,    -1,   447,   447,   447,
     447,   447,   447,    -1,   447,    -1,    -1,   447,   447,   447,
     447,   447,   447,   447,    -1,   447,   447,   447,   447,    -1,
     447,   447,   447,   447,   447,    -1,   447,   447,   447,   447,
      -1,    -1,    -1,   448,   444,    -1,    -1,    -1,   447,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3010
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   451,   452,     0,   156,   445,   446,   445,   446,   445,
     447,   453,     5,     6,    57,    59,    64,    66,    85,    87,
      94,   346,   376,   388,   430,   454,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     7,
       8,    10,    29,    30,    31,    32,    33,    34,    35,   255,
     287,   309,   351,   368,   382,   399,   417,   429,   439,   473,
     455,    13,    14,   396,   397,   592,   463,   457,   459,   461,
      88,    89,    90,    91,    92,    93,   709,    95,    99,   100,
     101,   733,    88,    89,    90,    91,    92,    93,   716,   465,
     387,   471,   467,   448,     3,     3,   448,   448,   448,   448,
     448,   448,     3,     3,     3,   448,     3,   448,   448,   448,
     448,   448,   448,     4,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,   247,   296,
     297,   298,   313,   391,   558,   448,   448,   448,   448,     4,
      58,   698,    65,   602,    67,    84,   275,   632,    86,   689,
     448,   448,   448,   448,   448,   448,     4,   448,   448,   448,
     448,     4,   448,   448,   448,   448,   448,   448,     4,   444,
     469,   448,     4,   431,  1145,   444,   483,    13,    14,   507,
     445,   445,   445,    36,    37,   444,    11,    12,   741,    39,
      40,    41,    42,   158,   159,   533,   484,   288,   289,   290,
     291,   303,   304,   305,   306,   545,   741,   352,   353,   354,
     355,   356,   357,   364,   365,   413,   723,   741,   741,   741,
     416,   741,   444,   454,   448,   448,   448,   448,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,   448,   448,
     448,   448,     3,     3,   456,   444,   444,   185,   186,   341,
     185,   186,   341,   398,   454,     3,     4,     3,     4,     3,
       3,   448,     4,     3,     4,   444,   444,   444,   444,   444,
     444,   454,    40,    96,    97,    98,   445,   444,   741,   454,
     444,   444,   444,   444,   444,   444,   454,   447,     4,   741,
     454,     3,     4,   447,   445,   505,   508,   509,     4,   447,
     447,   447,   447,   447,   447,   447,   448,   448,   448,   448,
     448,   448,     4,    43,    46,    59,   249,   250,   251,   252,
     253,   254,   256,   257,   258,   259,   491,   448,   448,   448,
     448,   448,     3,     3,     3,     4,   447,   448,   448,   448,
     448,   448,   448,   448,   448,   448,     4,   447,   447,   447,
     447,   447,   447,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   577,   392,   586,     4,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   699,   464,   603,   458,   633,   635,
     741,   460,   690,   462,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   470,   466,   447,  1146,   468,   474,   448,
       4,     3,     3,   473,   475,   476,   477,   478,   479,   480,
     482,    36,    37,    38,   157,    36,    37,   157,   741,   741,
     444,   444,   473,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   448,   448,   448,   448,     4,   445,   445,   445,
      68,   292,   445,   552,   554,   556,   473,   485,   444,   444,
     444,   444,   444,   741,   444,   444,   445,   473,   486,   488,
     489,   487,   481,   490,   449,   449,   449,   449,   449,   449,
     449,   449,   449,   449,   449,   449,   449,   447,   449,   449,
     449,   449,   160,   579,     3,     4,   454,   593,   594,   596,
     595,   597,   599,   598,   601,   600,    60,    61,    62,    63,
     160,   701,   454,    60,    61,    63,    65,   160,   605,   454,
      22,    61,    73,    74,    75,    76,    77,   161,   162,   163,
     260,   261,   262,   265,   268,   269,   270,   271,   272,   347,
     348,   349,   350,   407,   415,   433,   643,   444,   638,   447,
     454,    61,    62,    63,   692,   454,   710,   711,   712,   713,
     714,   715,   735,   734,   736,   737,   738,   739,   740,   717,
     718,   719,   720,   721,   722,   469,   454,   472,    65,   175,
     197,   205,   206,  1148,   454,   473,   445,   473,    15,    16,
      17,    18,    19,   246,   386,   510,   510,   473,   473,   473,
     473,   473,   473,   473,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   741,   741,   445,   741,   473,   447,
     447,   447,   447,   447,   447,   104,   623,   623,   623,   473,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   473,
     473,   473,   473,   473,   473,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   573,   445,
     445,   445,   445,     3,     4,   587,   558,   592,   592,   592,
     592,   592,   592,   592,   592,   592,   448,   448,     3,     3,
     448,     4,   448,   448,     3,   448,   448,     4,   448,   448,
     448,   448,   448,     3,     3,   448,   448,   448,   448,   448,
       3,   448,   448,   448,   448,   448,   448,   448,   448,   448,
     448,   448,   448,   448,     4,   447,     4,   637,   448,     3,
       3,     4,   709,   709,   709,   709,   709,   709,   733,   733,
     733,   733,   733,   733,   733,   716,   716,   716,   716,   716,
     716,   471,   448,   448,     3,   448,   448,     4,   449,   448,
     448,   448,   448,     3,   448,   448,     4,     4,   534,   535,
     536,   537,   540,   541,   542,   539,   544,   538,   543,   491,
     491,   491,   491,   491,   491,   491,   491,   491,   447,   447,
     447,   447,   546,   547,   548,   549,   550,   551,   448,     4,
       4,     4,   724,   725,   728,   729,   730,   731,   726,   727,
     732,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   558,   447,   447,   447,   447,   580,
     578,    20,   160,   589,   445,   444,   705,   707,   445,   700,
     445,   444,   610,   444,   445,   604,    68,    69,    70,    71,
      72,   673,   444,   741,   741,   444,   648,    78,    79,    80,
      81,    82,   308,   674,   741,   741,   741,   444,   741,    67,
     640,    98,   266,   267,   273,   445,   445,   445,   445,   444,
     741,   444,   741,   741,   741,   741,   445,   634,   639,   636,
     632,   444,   694,   696,   691,   444,    80,   176,  1166,    20,
      21,    22,    23,    24,    26,    27,    28,   243,   244,   363,
     207,   208,   209,  1147,   445,   741,   445,   741,   445,   515,
     741,   741,   507,   507,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   501,   502,   503,   504,   545,
     545,   545,   545,   545,   545,   105,   106,   107,   108,   109,
     110,   111,   112,   553,   555,   557,   723,   723,   723,   723,
     723,   723,   723,   723,   723,   559,   560,   561,   566,   567,
     563,   562,   565,   564,   569,   568,   571,   570,   572,   574,
     575,   576,    20,    68,   191,   582,   558,   448,   448,     4,
     447,   447,     9,    83,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   214,   242,   263,
     264,   276,   282,   293,   299,   300,   301,   310,   311,   325,
     334,   336,   369,   375,   377,   384,   401,   414,   418,   420,
     421,   422,   424,   432,   687,   742,   743,   760,   762,   764,
     766,   768,   772,   774,   776,   782,   805,   807,   809,   811,
     813,   815,   817,   819,   821,   823,   831,   838,   840,   846,
     852,   854,   859,   863,   872,   874,   876,   878,   880,   893,
     900,   907,   912,   918,   924,   931,   938,   942,   959,   977,
     979,   986,  1018,  1020,  1022,  1024,  1034,  1041,  1045,  1050,
    1052,  1056,  1060,  1062,  1067,  1077,  1093,  1110,  1112,  1119,
    1129,  1133,  1135,  1137,  1139,  1143,  1172,    68,   103,   612,
     449,   698,   447,   447,   612,   447,   449,   602,   447,   447,
     447,   447,   447,   445,   671,     3,     3,     3,     3,   445,
       3,     4,   447,   447,   447,   447,   447,     3,     4,   447,
     447,   447,   447,   449,   449,   449,   449,   447,   447,   447,
     447,   447,   447,   447,   447,   632,   638,   632,   447,   687,
     612,   689,   447,   447,   447,    75,   190,  1168,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,  1145,   449,   447,   447,   447,   447,    20,    21,
      22,    23,    24,    25,    26,    27,    28,   243,   244,   245,
     358,   363,   518,   447,   447,   491,   491,   491,   491,   447,
     447,   447,   447,   447,   447,   447,   447,   545,   545,   545,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   448,   448,   448,
       4,   444,   445,   588,   702,   703,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     4,   687,
       3,     3,     4,   445,   606,   607,     4,   609,   445,   644,
     645,   647,   649,   646,   448,     4,   675,   677,   679,   681,
       3,   685,   643,   650,   651,   652,   653,   654,   641,   643,
     662,   660,   661,   663,   445,   445,   445,   445,   659,   665,
     664,   666,   667,   668,   669,   670,   693,     4,     4,  1149,
    1164,  1165,   448,   448,     4,  1150,  1151,  1155,  1159,  1156,
    1153,  1152,  1154,  1157,  1158,  1163,  1160,  1161,  1162,   445,
     511,   512,   513,   514,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,     4,   516,
     517,   624,   625,   626,   627,   628,   629,   630,   631,   444,
     445,   445,   581,   447,   447,   586,   701,   701,   744,   688,
     761,   763,   765,   767,   769,   773,   775,   777,   783,   806,
     808,   810,   812,   814,   816,   818,   820,   822,   824,   832,
     839,   841,   847,   853,   855,   860,   864,   873,   875,   877,
     879,   881,   894,   901,   908,   913,   919,   925,   939,   943,
     960,   978,   980,   987,  1019,  1021,  1023,  1025,  1035,  1046,
    1051,  1053,  1057,  1061,  1063,  1068,  1078,  1111,  1113,  1120,
    1042,  1130,   932,  1094,  1134,  1136,  1138,  1140,  1144,  1173,
     706,   613,   617,   708,   447,   605,   605,   611,   605,   447,
     643,   643,   643,   643,   643,   445,   643,   687,   687,   687,
     687,   683,    20,   643,   643,   643,   643,   643,   643,   643,
     643,   643,   643,   447,   447,   447,   447,   643,   643,   643,
     643,   643,   643,   643,   643,   692,   695,   697,  1148,  1148,
    1148,   444,   210,   211,  1167,  1148,  1148,  1148,  1148,  1148,
    1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,  1148,   447,
     510,   510,   510,   510,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   510,   510,
     510,   623,   623,   623,   623,   623,   623,   623,   623,   447,
     449,   449,   579,   591,   590,   164,   165,   166,   167,   170,
     172,   173,   274,   374,   383,   745,     4,     4,     4,     4,
       4,   174,   770,     4,     4,   175,   778,   178,   179,   180,
     181,   182,   183,   184,   187,   189,   402,   408,   423,   784,
       4,     4,     4,     4,     4,     4,     4,     4,     4,    72,
     190,   825,   190,   833,     4,   197,   434,   438,   842,   197,
     434,   438,   848,     4,   190,   856,   199,   861,   190,   200,
     201,   865,     4,     4,     4,     4,     5,   167,   170,   172,
     183,   274,   882,   248,   286,   335,   367,   895,   190,   902,
     190,   909,   181,   183,   202,   914,   190,   920,   166,   183,
     203,   204,   926,   190,   940,   205,   206,   944,   183,   190,
     197,   314,   315,   319,   322,   323,   324,   961,     4,   166,
     183,   203,   204,   981,    22,   217,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   236,   237,   238,   239,   240,
     241,   379,   988,     4,     4,     4,   183,   277,   278,   279,
     280,   281,   366,  1026,   183,   283,   284,  1036,   294,   295,
    1047,     4,   400,  1054,   302,  1058,     4,   217,   312,  1064,
     326,  1069,    43,    46,    59,   249,   250,   251,   252,   253,
     254,   256,   257,   258,   259,  1079,     4,   190,   373,  1114,
     425,   440,   443,  1121,   378,  1043,   419,  1131,   166,   183,
     203,   204,   933,    20,    21,    22,    23,    24,    25,    26,
      27,    28,   243,   244,   245,   358,   363,  1095,     4,     4,
       4,   379,  1141,     4,     4,   701,   102,   102,   701,   704,
     605,   608,   447,     4,     4,     4,     4,   687,   448,     4,
     655,   656,   657,   658,   692,   692,   447,   447,   447,  1148,
     506,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   585,   445,   445,   589,   589,
     448,   448,   448,   448,   448,   448,   448,   448,   448,   448,
       4,   687,   448,     4,   448,     4,   448,   448,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,     4,   448,
     448,     4,   448,     4,   448,   448,   448,     4,   448,   448,
     448,     4,   448,     4,   448,     4,   448,   448,   448,     4,
     448,   448,   448,   448,   448,   448,     4,   448,   448,   448,
     448,     4,   448,     4,   448,     4,   448,   448,   448,     4,
     448,     4,   448,   448,   448,   448,     4,   448,     4,   448,
     448,     4,   448,   448,   448,   448,   448,   448,   448,   448,
     448,     4,   448,   448,   448,   448,     4,   448,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,   448,   448,
     448,   448,   448,   448,   448,     4,   448,   448,   448,   448,
     448,   448,   448,     4,   448,   448,   448,     4,   448,   448,
       4,   448,     4,   448,     4,   448,   448,     4,   448,     4,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   448,
     448,   448,   448,     4,   448,   448,     4,   448,   448,   448,
       4,   448,     4,   448,     4,   448,   448,   448,   448,     4,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,     4,   448,     4,   448,   448,   701,
     605,   672,   676,   678,   680,   682,     4,   444,   642,   643,
     643,   643,   643,  1169,  1170,  1171,   505,   582,   447,   447,
     444,   741,   741,    33,    68,   168,   169,   171,   444,   741,
     741,   741,   741,   741,   445,    80,   176,   177,   741,   741,
     741,   741,   741,   741,    68,   185,   186,    68,   188,   741,
     185,   186,   403,   409,   410,   411,   412,   741,   444,   191,
     192,   193,   194,    13,    14,   195,   196,   444,   741,   741,
     444,   741,   741,    68,   198,   741,    13,    14,   195,   196,
     741,   741,   741,    33,    68,   168,   169,   171,   444,   741,
     741,   741,   741,   741,   741,   741,    13,    14,   195,   196,
      13,    14,   741,   741,   741,   404,   405,   406,   741,   741,
     741,   741,   444,    20,    21,    22,    23,    24,    26,    27,
      28,   243,   244,   363,   207,   208,   209,   741,   210,   211,
     212,   213,   444,   444,   316,   317,   318,   320,   321,   741,
     741,   741,   741,   741,   741,   741,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   380,   444,   741,   741,   741,
     741,   445,   444,   444,   444,   233,   234,   235,   741,   741,
     741,   741,   444,   444,   444,   741,   444,   444,   444,   741,
     741,   444,   741,   444,   191,   267,   444,   741,   741,   444,
     444,   741,   327,   328,   329,   330,   331,   332,   333,  1080,
    1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,   741,   741,
     445,   741,   370,   371,   372,   445,   426,   427,   428,   318,
     441,   442,   741,   444,   741,   741,   741,   741,   741,  1096,
    1097,  1098,  1099,  1100,  1101,  1102,  1103,  1104,  1105,  1106,
    1107,  1108,  1109,   444,   444,   444,   671,   674,   674,   674,
     674,   684,   447,   640,  1168,  1168,  1168,   583,   584,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,  1079,  1079,
    1079,  1079,  1079,  1079,  1079,  1079,  1079,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,  1095,  1095,
    1095,  1095,  1095,  1095,  1095,  1095,  1095,  1095,  1095,  1095,
    1095,  1095,   447,   447,   447,   674,    62,   582,   582,   746,
     747,   748,   749,   753,   750,   751,   752,   754,   755,   756,
     757,   758,   759,   771,   779,   780,   781,   785,   786,   787,
     788,   789,   790,   793,   791,   792,   794,   795,   796,   799,
     797,   798,   801,   802,   803,   800,   804,   826,   827,   828,
     829,   830,   834,   835,   836,   837,   843,   844,   845,   849,
     850,   851,   857,   858,   862,   866,   867,   868,   869,   870,
     871,   889,   883,   887,   884,   885,   886,   888,   891,   890,
     892,   896,   897,   898,   899,   903,   904,   905,   906,   910,
     911,   915,   917,   916,   921,   922,   923,   929,   930,   927,
     928,   941,   945,   946,   950,   954,   951,   948,   947,   949,
     952,   953,   958,   955,   956,   957,   962,   963,   964,   965,
     966,   967,   968,   969,   970,   971,   973,   972,   974,   975,
     976,   984,   985,   982,   983,   989,   990,   991,   992,   993,
     994,   995,   996,   997,   998,  1004,   999,  1000,  1001,  1002,
    1003,  1005,  1006,  1007,  1008,  1009,  1010,  1011,  1012,  1013,
    1014,  1015,  1016,  1017,  1027,  1028,  1029,  1030,  1031,  1032,
    1033,  1037,  1038,  1039,  1040,  1048,  1049,  1055,  1059,  1066,
    1065,  1070,  1071,  1072,  1073,  1074,  1075,  1076,  1089,  1090,
    1091,  1092,  1115,  1116,  1117,  1118,  1122,  1123,  1124,  1125,
    1126,  1127,  1128,  1044,  1132,   936,   937,   934,   935,  1142,
     614,   618,     3,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   770,   778,   778,
     778,   784,   784,   784,   784,   784,   784,   784,   784,   784,
     784,   784,   784,   784,   784,   784,   784,   784,   784,   784,
     784,   825,   825,   825,   825,   825,   833,   833,   833,   833,
     842,   842,   842,   848,   848,   848,   856,   856,   861,   865,
     865,   865,   865,   865,   865,   882,   882,   882,   882,   882,
     882,   882,   882,   882,   882,   895,   895,   895,   895,   902,
     902,   902,   902,   909,   909,   914,   914,   914,   920,   920,
     920,   926,   926,   926,   926,   940,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     961,   961,   961,   961,   961,   961,   961,   961,   961,   961,
     961,   961,   961,   961,   961,   981,   981,   981,   981,   988,
     988,   988,   988,   988,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   988,  1026,  1026,
    1026,  1026,  1026,  1026,  1026,  1036,  1036,  1036,  1036,  1047,
    1047,  1054,  1058,  1064,  1064,  1069,  1069,  1069,  1069,  1069,
    1069,  1069,  1079,  1079,  1079,  1079,  1114,  1114,  1114,  1114,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1043,  1131,   933,
     933,   933,   933,  1141,   623,   623,   687,   615,   619,     4,
       4,   102,     4,   616,   448,   686,   612,   444,   674,   447,
     620,   623,   621,     4,   622,   612
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   450,   452,   453,   451,   454,   455,   456,   454,   454,
     457,   458,   454,   459,   460,   454,   461,   462,   454,   463,
     464,   454,   454,   454,   454,   454,   465,   466,   454,   467,
     468,   454,   454,   470,   469,   469,   472,   471,   471,   474,
     473,   475,   473,   476,   473,   477,   473,   473,   478,   473,
     479,   473,   480,   473,   481,   473,   482,   473,   473,   483,
     473,   484,   473,   473,   485,   473,   486,   473,   487,   473,
     488,   473,   489,   473,   473,   490,   473,   473,   492,   491,
     493,   491,   494,   491,   495,   491,   496,   491,   497,   491,
     498,   491,   499,   491,   500,   491,   501,   491,   502,   491,
     503,   491,   504,   491,   491,   506,   505,   505,   508,   507,
     509,   507,   507,   511,   510,   512,   510,   513,   510,   514,
     510,   515,   510,   516,   510,   517,   510,   510,   519,   518,
     520,   518,   521,   518,   522,   518,   523,   518,   524,   518,
     525,   518,   526,   518,   527,   518,   528,   518,   529,   518,
     530,   518,   531,   518,   532,   518,   518,   534,   533,   535,
     533,   536,   533,   537,   533,   538,   533,   539,   533,   540,
     533,   541,   533,   542,   533,   543,   533,   544,   533,   533,
     546,   545,   547,   545,   548,   545,   549,   545,   550,   545,
     551,   545,   552,   553,   545,   554,   555,   545,   556,   557,
     545,   545,   559,   558,   560,   558,   561,   558,   562,   558,
     563,   558,   564,   558,   565,   558,   566,   558,   567,   558,
     568,   558,   569,   558,   570,   558,   571,   558,   572,   558,
     573,   558,   574,   558,   575,   558,   576,   558,   577,   578,
     558,   558,   558,   580,   581,   579,   579,   583,   582,   584,
     582,   585,   582,   582,   587,   588,   586,   586,   590,   589,
     591,   589,   589,   593,   592,   594,   592,   595,   592,   596,
     592,   597,   592,   598,   592,   599,   592,   600,   592,   601,
     592,   592,   603,   604,   602,   602,   606,   605,   607,   605,
     608,   605,   609,   605,   610,   611,   605,   605,   613,   614,
     615,   616,   612,   617,   618,   619,   620,   621,   622,   612,
     612,   624,   623,   625,   623,   626,   623,   627,   623,   628,
     623,   629,   623,   630,   623,   631,   623,   623,   633,   634,
     632,   635,   636,   632,   637,   632,   632,   639,   638,   638,
     641,   642,   640,   640,   644,   643,   645,   643,   646,   643,
     647,   643,   648,   643,   649,   643,   650,   643,   651,   643,
     652,   643,   643,   653,   643,   654,   643,   643,   655,   643,
     656,   643,   657,   643,   658,   643,   659,   643,   660,   643,
     661,   643,   662,   643,   663,   643,   664,   643,   665,   643,
     666,   643,   667,   643,   668,   643,   669,   643,   670,   643,
     643,   672,   671,   671,   673,   673,   673,   673,   673,   675,
     676,   674,   677,   678,   674,   679,   680,   674,   681,   682,
     674,   683,   684,   674,   685,   686,   674,   674,   687,   687,
     687,   688,   690,   691,   689,   689,   693,   692,   694,   695,
     692,   696,   697,   692,   692,   699,   700,   698,   698,   702,
     701,   703,   701,   704,   701,   705,   706,   701,   707,   708,
     701,   701,   710,   709,   711,   709,   712,   709,   713,   709,
     714,   709,   715,   709,   709,   717,   716,   718,   716,   719,
     716,   720,   716,   721,   716,   722,   716,   716,   724,   723,
     725,   723,   726,   723,   727,   723,   728,   723,   729,   723,
     730,   723,   731,   723,   732,   723,   723,   734,   733,   735,
     733,   736,   733,   737,   733,   738,   733,   739,   733,   740,
     733,   733,   741,   741,   742,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   742,   742,
     742,   742,   742,   742,   742,   744,   743,   746,   745,   747,
     745,   748,   745,   749,   745,   750,   745,   751,   745,   752,
     745,   753,   745,   754,   745,   755,   745,   756,   745,   757,
     745,   758,   745,   759,   745,   745,   761,   760,   763,   762,
     765,   764,   767,   766,   769,   768,   771,   770,   770,   773,
     772,   775,   774,   777,   776,   779,   778,   780,   778,   781,
     778,   778,   783,   782,   785,   784,   786,   784,   787,   784,
     788,   784,   789,   784,   790,   784,   791,   784,   792,   784,
     793,   784,   794,   784,   795,   784,   796,   784,   797,   784,
     798,   784,   799,   784,   800,   784,   801,   784,   802,   784,
     803,   784,   804,   784,   784,   806,   805,   808,   807,   810,
     809,   812,   811,   814,   813,   816,   815,   818,   817,   820,
     819,   822,   821,   824,   823,   826,   825,   827,   825,   828,
     825,   829,   825,   830,   825,   825,   832,   831,   834,   833,
     835,   833,   836,   833,   837,   833,   833,   839,   838,   841,
     840,   843,   842,   844,   842,   845,   842,   842,   847,   846,
     849,   848,   850,   848,   851,   848,   848,   853,   852,   855,
     854,   857,   856,   858,   856,   856,   860,   859,   862,   861,
     861,   864,   863,   866,   865,   867,   865,   868,   865,   869,
     865,   870,   865,   871,   865,   865,   873,   872,   875,   874,
     877,   876,   879,   878,   881,   880,   883,   882,   884,   882,
     885,   882,   886,   882,   887,   882,   888,   882,   889,   882,
     890,   882,   891,   882,   892,   882,   882,   894,   893,   896,
     895,   897,   895,   898,   895,   899,   895,   895,   901,   900,
     903,   902,   904,   902,   905,   902,   906,   902,   902,   908,
     907,   910,   909,   911,   909,   909,   913,   912,   915,   914,
     916,   914,   917,   914,   914,   919,   918,   921,   920,   922,
     920,   923,   920,   920,   925,   924,   927,   926,   928,   926,
     929,   926,   930,   926,   926,   932,   931,   934,   933,   935,
     933,   936,   933,   937,   933,   933,   939,   938,   941,   940,
     940,   943,   942,   945,   944,   946,   944,   947,   944,   948,
     944,   949,   944,   950,   944,   951,   944,   952,   944,   953,
     944,   954,   944,   955,   944,   956,   944,   957,   944,   958,
     944,   944,   960,   959,   962,   961,   963,   961,   964,   961,
     965,   961,   966,   961,   967,   961,   968,   961,   969,   961,
     970,   961,   971,   961,   972,   961,   973,   961,   974,   961,
     975,   961,   976,   961,   961,   978,   977,   980,   979,   982,
     981,   983,   981,   984,   981,   985,   981,   981,   987,   986,
     989,   988,   990,   988,   991,   988,   992,   988,   993,   988,
     994,   988,   995,   988,   996,   988,   997,   988,   998,   988,
     999,   988,  1000,   988,  1001,   988,  1002,   988,  1003,   988,
    1004,   988,  1005,   988,  1006,   988,  1007,   988,  1008,   988,
    1009,   988,  1010,   988,  1011,   988,  1012,   988,  1013,   988,
    1014,   988,  1015,   988,  1016,   988,  1017,   988,   988,  1019,
    1018,  1021,  1020,  1023,  1022,  1025,  1024,  1027,  1026,  1028,
    1026,  1029,  1026,  1030,  1026,  1031,  1026,  1032,  1026,  1033,
    1026,  1026,  1035,  1034,  1037,  1036,  1038,  1036,  1039,  1036,
    1040,  1036,  1036,  1042,  1041,  1044,  1043,  1043,  1046,  1045,
    1048,  1047,  1049,  1047,  1047,  1051,  1050,  1053,  1052,  1055,
    1054,  1054,  1057,  1056,  1059,  1058,  1058,  1061,  1060,  1063,
    1062,  1065,  1064,  1066,  1064,  1064,  1068,  1067,  1070,  1069,
    1071,  1069,  1072,  1069,  1073,  1069,  1074,  1069,  1075,  1069,
    1076,  1069,  1069,  1078,  1077,  1080,  1079,  1081,  1079,  1082,
    1079,  1083,  1079,  1084,  1079,  1085,  1079,  1086,  1079,  1087,
    1079,  1088,  1079,  1089,  1079,  1090,  1079,  1091,  1079,  1092,
    1079,  1079,  1094,  1093,  1096,  1095,  1097,  1095,  1098,  1095,
    1099,  1095,  1100,  1095,  1101,  1095,  1102,  1095,  1103,  1095,
    1104,  1095,  1105,  1095,  1106,  1095,  1107,  1095,  1108,  1095,
    1109,  1095,  1095,  1111,  1110,  1113,  1112,  1115,  1114,  1116,
    1114,  1117,  1114,  1118,  1114,  1114,  1120,  1119,  1122,  1121,
    1123,  1121,  1124,  1121,  1125,  1121,  1126,  1121,  1127,  1121,
    1128,  1121,  1121,  1130,  1129,  1132,  1131,  1131,  1134,  1133,
    1136,  1135,  1138,  1137,  1140,  1139,  1142,  1141,  1141,  1144,
    1143,  1146,  1147,  1145,  1145,  1149,  1148,  1150,  1148,  1151,
    1148,  1152,  1148,  1153,  1148,  1154,  1148,  1155,  1148,  1156,
    1148,  1157,  1148,  1158,  1148,  1159,  1148,  1160,  1148,  1161,
    1148,  1162,  1148,  1163,  1148,  1164,  1148,  1165,  1148,  1166,
    1167,  1148,  1148,  1169,  1168,  1170,  1168,  1171,  1168,  1168,
    1173,  1172
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     0,    10,     5,     0,     0,     7,     5,
       0,     0,     7,     0,     0,     7,     0,     0,     7,     0,
       0,     7,     5,     5,     5,     5,     0,     0,     7,     0,
       0,     7,     0,     0,     4,     0,     0,     6,     0,     0,
       6,     0,     6,     0,     6,     0,     6,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     5,     0,
       6,     0,     6,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     5,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,    10,     0,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     7,     0,     0,     7,     0,     0,
       7,     0,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     8,     0,     8,
       0,     6,     0,     8,     0,     8,     0,     8,     0,     0,
       7,     5,     0,     0,     0,     7,     0,     0,     8,     0,
       8,     0,     6,     0,     0,     0,     7,     0,     0,     6,
       0,     6,     0,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     0,     7,     0,     0,     6,     0,     6,
       0,     8,     0,     6,     0,     0,     7,     0,     0,     0,
       0,     0,    13,     0,     0,     0,     0,     0,     0,    20,
       0,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     0,
       7,     0,     0,     7,     0,     6,     0,     0,     4,     0,
       0,     0,     7,     0,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     5,     0,     6,     0,     6,     5,     0,     8,
       0,     8,     0,     8,     0,     8,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     0,     6,     0,     1,     1,     1,     1,     1,     0,
       0,     7,     0,     0,     7,     0,     0,     7,     0,     0,
       7,     0,     0,     8,     0,     0,    14,     0,     2,     5,
       0,     0,     0,     0,     7,     0,     0,     6,     0,     0,
       7,     0,     0,     7,     0,     0,     0,     7,     0,     0,
       6,     0,     6,     0,     8,     0,     0,     7,     0,     0,
       7,     0,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     5,     0,     6,     0,     0,
       4,     0,     4,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     5,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       5,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     0,     5,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     0,     5,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     0,     4,     0,     5,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     0,
       4,     0,     4,     0,     4,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     0,     5,
       0,     6,     0,     6,     0,     0,     4,     0,     5,     0,
       6,     0,     0,     5,     0,     6,     0,     0,     4,     0,
       5,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     4,     0,     4,     0,     4,     0,
       4,     0,     4,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     0,     5,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     4,     0,     4,     0,     4,     0,     4,
       0,     4,     0,     0,     4,     0,     5,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     0,     5,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     6,     0,     0,     5,     0,     6,     0,     0,     4,
       0,     4,     0,     4,     0,     5,     0,     6,     0,     0,
       4,     0,     0,     7,     0,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       6,     0,     6,     0,     6,     0,     6,     0,     6,     0,
       0,     7,     0,     0,     6,     0,     6,     0,     6,     0,
       0,     4
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
# ifndef YY_LOCATION_PRINT
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* $@1: %empty  */
#line 328 "configparser.yy"
  { lconfig_parseinit();}
#line 5629 "configparser.cc"
    break;

  case 3: /* $@2: %empty  */
#line 328 "configparser.yy"
                                                                        { lconfig->setLoadedVersion( (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5635 "configparser.cc"
    break;

  case 6: /* $@3: %empty  */
#line 332 "configparser.yy"
                               { lconfig_faces_list.clear(); }
#line 5641 "configparser.cc"
    break;

  case 7: /* $@4: %empty  */
#line 333 "configparser.yy"
      {
        lconfig->applyNewFacesFromList( lconfig_faces_list );
      }
#line 5649 "configparser.cc"
    break;

  case 10: /* $@5: %empty  */
#line 337 "configparser.yy"
                              { lconfig_listp = new List(); }
#line 5655 "configparser.cc"
    break;

  case 11: /* $@6: %empty  */
#line 338 "configparser.yy"
                           { lconfig->setPaths( lconfig_listp );
                             lconfig_id = lconfig_listp->initEnum();
                             lconfig_p1 = (WCPath*)lconfig_listp->getFirstElement( lconfig_id );
                             while ( lconfig_p1 != NULL ) {
                               delete lconfig_p1;
                               lconfig_p1 = (WCPath*)lconfig_listp->getNextElement( lconfig_id );
                             }
                             lconfig_listp->closeEnum( lconfig_id );
                             delete lconfig_listp;
                             lconfig_listp = NULL;
                           }
#line 5671 "configparser.cc"
    break;

  case 13: /* $@7: %empty  */
#line 349 "configparser.yy"
                                  { lconfig_listft = new List(); }
#line 5677 "configparser.cc"
    break;

  case 14: /* $@8: %empty  */
#line 350 "configparser.yy"
                               { lconfig->setFiletypes( lconfig_listft );
                                 lconfig_id = lconfig_listft->initEnum();
                                 lconfig_ft1 = (WCFiletype*)lconfig_listft->getFirstElement( lconfig_id );
                                 while ( lconfig_ft1 != NULL ) {
                                   delete lconfig_ft1;
                                   lconfig_ft1 = (WCFiletype*)lconfig_listft->getNextElement( lconfig_id );
                                 }
                                 lconfig_listft->closeEnum( lconfig_id );
                                 delete lconfig_listft;
                                 lconfig_listft = NULL;
                               }
#line 5693 "configparser.cc"
    break;

  case 16: /* $@9: %empty  */
#line 361 "configparser.yy"
                                { lconfig_listh = new List(); }
#line 5699 "configparser.cc"
    break;

  case 17: /* $@10: %empty  */
#line 362 "configparser.yy"
                             { lconfig->setHotkeys( lconfig_listh );
                               lconfig_id = lconfig_listh->initEnum();
                               lconfig_hk1 = (WCHotkey*)lconfig_listh->getFirstElement( lconfig_id );
                               while ( lconfig_hk1 != NULL ) {
                                 delete lconfig_hk1;
                                 lconfig_hk1 = (WCHotkey*)lconfig_listh->getNextElement( lconfig_id );
                               }
                               lconfig_listh->closeEnum( lconfig_id );
                               delete lconfig_listh;
                               lconfig_listh = NULL;
                             }
#line 5715 "configparser.cc"
    break;

  case 19: /* $@11: %empty  */
#line 373 "configparser.yy"
                                { lconfig_listb = new List(); }
#line 5721 "configparser.cc"
    break;

  case 20: /* $@12: %empty  */
#line 374 "configparser.yy"
                             { lconfig->setButtons( lconfig_listb );
                               lconfig_id = lconfig_listb->initEnum();
                               lconfig_bt1 = (WCButton*)lconfig_listb->getFirstElement( lconfig_id );
                               while ( lconfig_bt1 != NULL ) {
                                 delete lconfig_bt1;
                                 lconfig_bt1 = (WCButton*)lconfig_listb->getNextElement( lconfig_id );
                               }
                               lconfig_listb->closeEnum( lconfig_id );
                               delete lconfig_listb;
                               lconfig_listb = NULL;
                             }
#line 5737 "configparser.cc"
    break;

  case 26: /* $@13: %empty  */
#line 389 "configparser.yy"
                                          { lconfig_pathjump_allow.clear(); }
#line 5743 "configparser.cc"
    break;

  case 27: /* $@14: %empty  */
#line 390 "configparser.yy"
                                 { lconfig->setPathJumpAllowDirs( lconfig_pathjump_allow );
                                   lconfig_pathjump_allow.clear();
                                 }
#line 5751 "configparser.cc"
    break;

  case 29: /* $@15: %empty  */
#line 393 "configparser.yy"
                                         { dir_presets.clear(); }
#line 5757 "configparser.cc"
    break;

  case 30: /* $@16: %empty  */
#line 394 "configparser.yy"
                                      { lconfig->setDirectoryPresets( dir_presets );
                                 }
#line 5764 "configparser.cc"
    break;

  case 33: /* $@17: %empty  */
#line 398 "configparser.yy"
                          { lconfig_pathjump_allow.push_back( (yyvsp[-1].strptr) ); }
#line 5770 "configparser.cc"
    break;

  case 36: /* $@18: %empty  */
#line 401 "configparser.yy"
                                             { lconfig->setPathJumpStoreFilesAlways( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5776 "configparser.cc"
    break;

  case 39: /* $@19: %empty  */
#line 404 "configparser.yy"
                             { lconfig->setLang( (yyvsp[-1].strptr) ); }
#line 5782 "configparser.cc"
    break;

  case 41: /* $@20: %empty  */
#line 405 "configparser.yy"
                         { lconfig->setRows( (yyvsp[-1].num) ); }
#line 5788 "configparser.cc"
    break;

  case 43: /* $@21: %empty  */
#line 406 "configparser.yy"
                            { lconfig->setColumns( (yyvsp[-1].num) ); }
#line 5794 "configparser.cc"
    break;

  case 45: /* $@22: %empty  */
#line 407 "configparser.yy"
                              { lconfig->setCacheSize( (yyvsp[-1].num) ); }
#line 5800 "configparser.cc"
    break;

  case 48: /* $@23: %empty  */
#line 409 "configparser.yy"
                                   { lconfig->setOwnerstringtype( 0 ); }
#line 5806 "configparser.cc"
    break;

  case 50: /* $@24: %empty  */
#line 410 "configparser.yy"
                                  { lconfig->setOwnerstringtype( 1 ); }
#line 5812 "configparser.cc"
    break;

  case 52: /* $@25: %empty  */
#line 411 "configparser.yy"
                                { lconfig->setTerminalBin( (yyvsp[-1].strptr) ); }
#line 5818 "configparser.cc"
    break;

  case 54: /* $@26: %empty  */
#line 412 "configparser.yy"
                                         { lconfig->setTerminalReturnsEarly( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5824 "configparser.cc"
    break;

  case 56: /* $@27: %empty  */
#line 413 "configparser.yy"
                                     { lconfig->setShowStringForDirSize( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5830 "configparser.cc"
    break;

  case 59: /* $@28: %empty  */
#line 416 "configparser.yy"
                               { lconfig->resetColors(); }
#line 5836 "configparser.cc"
    break;

  case 61: /* $@29: %empty  */
#line 417 "configparser.yy"
                              { lconfig->clearLayoutOrders(); }
#line 5842 "configparser.cc"
    break;

  case 64: /* $@30: %empty  */
#line 419 "configparser.yy"
                                            { lconfig->setSaveWorkerStateOnExit( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5848 "configparser.cc"
    break;

  case 66: /* $@31: %empty  */
#line 420 "configparser.yy"
                                             { lconfig->setUseStringCompareMode( ( ( (yyvsp[-1].num) ) == 1 ) ? StringComparator::STRING_COMPARE_VERSION : StringComparator::STRING_COMPARE_REGULAR ); }
#line 5854 "configparser.cc"
    break;

  case 68: /* $@32: %empty  */
#line 421 "configparser.yy"
                                                    { lconfig->setUseStringCompareMode( StringComparator::STRING_COMPARE_NOCASE ); }
#line 5860 "configparser.cc"
    break;

  case 70: /* $@33: %empty  */
#line 422 "configparser.yy"
                                           { lconfig->setApplyWindowDialogType( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5866 "configparser.cc"
    break;

  case 72: /* $@34: %empty  */
#line 423 "configparser.yy"
                                     { lconfig->setUseExtendedRegEx( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5872 "configparser.cc"
    break;

  case 75: /* $@35: %empty  */
#line 425 "configparser.yy"
                                             { lconfig->setDisableBGCheckPrefix( (yyvsp[-1].strptr) ); }
#line 5878 "configparser.cc"
    break;

  case 78: /* $@36: %empty  */
#line 428 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_STATEBAR ); }
#line 5884 "configparser.cc"
    break;

  case 80: /* $@37: %empty  */
#line 429 "configparser.yy"
                       { lconfig->layoutAddEntry( LayoutSettings::LO_CLOCKBAR ); }
#line 5890 "configparser.cc"
    break;

  case 82: /* $@38: %empty  */
#line 430 "configparser.yy"
                      { lconfig->layoutAddEntry( LayoutSettings::LO_BUTTONS ); }
#line 5896 "configparser.cc"
    break;

  case 84: /* $@39: %empty  */
#line 431 "configparser.yy"
                        { lconfig->layoutAddEntry( LayoutSettings::LO_LISTVIEWS ); }
#line 5902 "configparser.cc"
    break;

  case 86: /* $@40: %empty  */
#line 432 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_BLL ); }
#line 5908 "configparser.cc"
    break;

  case 88: /* $@41: %empty  */
#line 433 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LBL ); }
#line 5914 "configparser.cc"
    break;

  case 90: /* $@42: %empty  */
#line 434 "configparser.yy"
                  { lconfig->layoutAddEntry( LayoutSettings::LO_LLB ); }
#line 5920 "configparser.cc"
    break;

  case 92: /* $@43: %empty  */
#line 435 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_BL ); }
#line 5926 "configparser.cc"
    break;

  case 94: /* $@44: %empty  */
#line 436 "configparser.yy"
                 { lconfig->layoutAddEntry( LayoutSettings::LO_LB ); }
#line 5932 "configparser.cc"
    break;

  case 96: /* $@45: %empty  */
#line 437 "configparser.yy"
                                { lconfig->setLayoutButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5938 "configparser.cc"
    break;

  case 98: /* $@46: %empty  */
#line 438 "configparser.yy"
                                  { lconfig->setLayoutListviewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5944 "configparser.cc"
    break;

  case 100: /* $@47: %empty  */
#line 439 "configparser.yy"
                                      { lconfig->setLayoutListViewWeight( (yyvsp[-1].num) ); }
#line 5950 "configparser.cc"
    break;

  case 102: /* $@48: %empty  */
#line 440 "configparser.yy"
                                   { lconfig->setLayoutWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5956 "configparser.cc"
    break;

  case 105: /* $@49: %empty  */
#line 443 "configparser.yy"
                                            { lconfig->setColor( (yyvsp[-7].num), (yyvsp[-5].num), (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 5962 "configparser.cc"
    break;

  case 108: /* $@50: %empty  */
#line 446 "configparser.yy"
                   { lconfig_side = 0; }
#line 5968 "configparser.cc"
    break;

  case 110: /* $@51: %empty  */
#line 447 "configparser.yy"
                    { lconfig_side = 1; }
#line 5974 "configparser.cc"
    break;

  case 113: /* $@52: %empty  */
#line 450 "configparser.yy"
                                 { lconfig->setHBarTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5980 "configparser.cc"
    break;

  case 115: /* $@53: %empty  */
#line 451 "configparser.yy"
                                       { lconfig->setHBarHeight( lconfig_side, (yyvsp[-1].num) ); }
#line 5986 "configparser.cc"
    break;

  case 117: /* $@54: %empty  */
#line 452 "configparser.yy"
                                  { lconfig->setVBarLeft( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 5992 "configparser.cc"
    break;

  case 119: /* $@55: %empty  */
#line 453 "configparser.yy"
                                      { lconfig->setVBarWidth( lconfig_side, (yyvsp[-1].num) ); }
#line 5998 "configparser.cc"
    break;

  case 121: /* $@56: %empty  */
#line 454 "configparser.yy"
                                          { lconfig->clearVisCols( lconfig_side ); }
#line 6004 "configparser.cc"
    break;

  case 123: /* $@57: %empty  */
#line 455 "configparser.yy"
                                    { lconfig->setShowHeader( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6010 "configparser.cc"
    break;

  case 125: /* $@58: %empty  */
#line 456 "configparser.yy"
                                        { lconfig->setPathEntryOnTop( lconfig_side, ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6016 "configparser.cc"
    break;

  case 128: /* $@59: %empty  */
#line 459 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NAME ); }
#line 6022 "configparser.cc"
    break;

  case 130: /* $@60: %empty  */
#line 460 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZE ); }
#line 6028 "configparser.cc"
    break;

  case 132: /* $@61: %empty  */
#line 461 "configparser.yy"
                       { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_TYPE ); }
#line 6034 "configparser.cc"
    break;

  case 134: /* $@62: %empty  */
#line 462 "configparser.yy"
                             { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_PERM ); }
#line 6040 "configparser.cc"
    break;

  case 136: /* $@63: %empty  */
#line 463 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_OWNER ); }
#line 6046 "configparser.cc"
    break;

  case 138: /* $@64: %empty  */
#line 464 "configparser.yy"
                              { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_DEST ); }
#line 6052 "configparser.cc"
    break;

  case 140: /* $@65: %empty  */
#line 465 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_MOD ); }
#line 6058 "configparser.cc"
    break;

  case 142: /* $@66: %empty  */
#line 466 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_ACC ); }
#line 6064 "configparser.cc"
    break;

  case 144: /* $@67: %empty  */
#line 467 "configparser.yy"
                          { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_CHANGE ); }
#line 6070 "configparser.cc"
    break;

  case 146: /* $@68: %empty  */
#line 468 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_INODE ); }
#line 6076 "configparser.cc"
    break;

  case 148: /* $@69: %empty  */
#line 469 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_NLINK ); }
#line 6082 "configparser.cc"
    break;

  case 150: /* $@70: %empty  */
#line 470 "configparser.yy"
                         { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_BLOCKS ); }
#line 6088 "configparser.cc"
    break;

  case 152: /* $@71: %empty  */
#line 471 "configparser.yy"
                        { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_SIZEH ); }
#line 6094 "configparser.cc"
    break;

  case 154: /* $@72: %empty  */
#line 472 "configparser.yy"
                            { lconfig->addListCol( lconfig_side, WorkerTypes::LISTCOL_EXTENSION ); }
#line 6100 "configparser.cc"
    break;

  case 157: /* $@73: %empty  */
#line 475 "configparser.yy"
                                  { lconfig->setDateFormat( 0 ); }
#line 6106 "configparser.cc"
    break;

  case 159: /* $@74: %empty  */
#line 476 "configparser.yy"
                                  { lconfig->setDateFormat( 1 ); }
#line 6112 "configparser.cc"
    break;

  case 161: /* $@75: %empty  */
#line 477 "configparser.yy"
                                  { lconfig->setDateFormat( 2 ); }
#line 6118 "configparser.cc"
    break;

  case 163: /* $@76: %empty  */
#line 478 "configparser.yy"
                                     { lconfig->setDateFormat( -1 ); }
#line 6124 "configparser.cc"
    break;

  case 165: /* $@77: %empty  */
#line 479 "configparser.yy"
                                        { lconfig->setDateFormatString( (yyvsp[-1].strptr) ); }
#line 6130 "configparser.cc"
    break;

  case 167: /* $@78: %empty  */
#line 480 "configparser.yy"
                                        { lconfig->setDateSubst( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6136 "configparser.cc"
    break;

  case 169: /* $@79: %empty  */
#line 481 "configparser.yy"
                                  { lconfig->setTimeFormat( 0 ); }
#line 6142 "configparser.cc"
    break;

  case 171: /* $@80: %empty  */
#line 482 "configparser.yy"
                                  { lconfig->setTimeFormat( 1 ); }
#line 6148 "configparser.cc"
    break;

  case 173: /* $@81: %empty  */
#line 483 "configparser.yy"
                                     { lconfig->setTimeFormat( -1 ); }
#line 6154 "configparser.cc"
    break;

  case 175: /* $@82: %empty  */
#line 484 "configparser.yy"
                                        { lconfig->setTimeFormatString( (yyvsp[-1].strptr) ); }
#line 6160 "configparser.cc"
    break;

  case 177: /* $@83: %empty  */
#line 485 "configparser.yy"
                                      { lconfig->setDateBeforeTime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6166 "configparser.cc"
    break;

  case 180: /* $@84: %empty  */
#line 488 "configparser.yy"
                                        { lconfig->setMouseSelectButton( (yyvsp[-1].num) ); }
#line 6172 "configparser.cc"
    break;

  case 182: /* $@85: %empty  */
#line 489 "configparser.yy"
                                          { lconfig->setMouseActivateButton( (yyvsp[-1].num) ); }
#line 6178 "configparser.cc"
    break;

  case 184: /* $@86: %empty  */
#line 490 "configparser.yy"
                                        { lconfig->setMouseScrollButton( (yyvsp[-1].num) ); }
#line 6184 "configparser.cc"
    break;

  case 186: /* $@87: %empty  */
#line 491 "configparser.yy"
                                           { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_NORMAL_MODE ); }
#line 6190 "configparser.cc"
    break;

  case 188: /* $@88: %empty  */
#line 492 "configparser.yy"
                                                { lconfig->setMouseSelectMethod( WConfig::MOUSECONF_ALT_MODE ); }
#line 6196 "configparser.cc"
    break;

  case 190: /* $@89: %empty  */
#line 493 "configparser.yy"
                                         { lconfig->setMouseContextButton( (yyvsp[-1].num) ); }
#line 6202 "configparser.cc"
    break;

  case 192: /* $@90: %empty  */
#line 494 "configparser.yy"
                                        { lconfig_keymod = 0; }
#line 6208 "configparser.cc"
    break;

  case 193: /* $@91: %empty  */
#line 495 "configparser.yy"
                              { lconfig->setMouseActivateMod( lconfig_keymod ); }
#line 6214 "configparser.cc"
    break;

  case 195: /* $@92: %empty  */
#line 496 "configparser.yy"
                                      { lconfig_keymod = 0; }
#line 6220 "configparser.cc"
    break;

  case 196: /* $@93: %empty  */
#line 497 "configparser.yy"
                              { lconfig->setMouseScrollMod( lconfig_keymod ); }
#line 6226 "configparser.cc"
    break;

  case 198: /* $@94: %empty  */
#line 498 "configparser.yy"
                                       { lconfig_keymod = 0; }
#line 6232 "configparser.cc"
    break;

  case 199: /* $@95: %empty  */
#line 499 "configparser.yy"
                              { lconfig->setMouseContextMod( lconfig_keymod ); }
#line 6238 "configparser.cc"
    break;

  case 202: /* $@96: %empty  */
#line 502 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "statusbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "statusbar-bg", (yyvsp[-1].num) ) );
        }
#line 6247 "configparser.cc"
    break;

  case 204: /* $@97: %empty  */
#line 506 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-active-bg", (yyvsp[-1].num) ) );
        }
#line 6256 "configparser.cc"
    break;

  case 206: /* $@98: %empty  */
#line 510 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "lvb-inactive-bg", (yyvsp[-1].num) ) );
        }
#line 6265 "configparser.cc"
    break;

  case 208: /* $@99: %empty  */
#line 514 "configparser.yy"
                                       {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-select-bg", (yyvsp[-1].num) ) );
        }
#line 6274 "configparser.cc"
    break;

  case 210: /* $@100: %empty  */
#line 518 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6283 "configparser.cc"
    break;

  case 212: /* $@101: %empty  */
#line 522 "configparser.yy"
                                        {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-select-bg", (yyvsp[-1].num) ) );
        }
#line 6292 "configparser.cc"
    break;

  case 214: /* $@102: %empty  */
#line 526 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-normal-bg", (yyvsp[-1].num) ) );
        }
#line 6301 "configparser.cc"
    break;

  case 216: /* $@103: %empty  */
#line 530 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "clockbar-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "clockbar-bg", (yyvsp[-1].num) ) );
        }
#line 6310 "configparser.cc"
    break;

  case 218: /* $@104: %empty  */
#line 534 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "request-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "request-bg", (yyvsp[-1].num) ) );
        }
#line 6319 "configparser.cc"
    break;

  case 220: /* $@105: %empty  */
#line 538 "configparser.yy"
                                          {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6328 "configparser.cc"
    break;

  case 222: /* $@106: %empty  */
#line 542 "configparser.yy"
                                            {
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-dir-active-bg", (yyvsp[-1].num) ) );
        }
#line 6337 "configparser.cc"
    break;

  case 224: /* $@107: %empty  */
#line 546 "configparser.yy"
                                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-selact-bg", (yyvsp[-1].num) ) );
        }
#line 6346 "configparser.cc"
    break;

  case 226: /* $@108: %empty  */
#line 550 "configparser.yy"
                                             {
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-file-active-bg", (yyvsp[-1].num) ) );
        }
#line 6355 "configparser.cc"
    break;

  case 228: /* $@109: %empty  */
#line 554 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "dirview-header-bg", (yyvsp[-1].num) ) );
        }
#line 6364 "configparser.cc"
    break;

  case 230: /* $@110: %empty  */
#line 558 "configparser.yy"
                           {
        lconfig_faces_list.push_back( std::make_pair( "dirview-bg", (yyvsp[-1].num) ) );
        }
#line 6372 "configparser.cc"
    break;

  case 232: /* $@111: %empty  */
#line 561 "configparser.yy"
                                         {
        lconfig_faces_list.push_back( std::make_pair( "textview-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-bg", (yyvsp[-1].num) ) );
        }
#line 6381 "configparser.cc"
    break;

  case 234: /* $@112: %empty  */
#line 565 "configparser.yy"
                                                    {
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-highlight-bg", (yyvsp[-1].num) ) );
        }
#line 6390 "configparser.cc"
    break;

  case 236: /* $@113: %empty  */
#line 569 "configparser.yy"
                                                  {
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-fg", (yyvsp[-3].num) ) );
        lconfig_faces_list.push_back( std::make_pair( "textview-selection-bg", (yyvsp[-1].num) ) );
        }
#line 6399 "configparser.cc"
    break;

  case 238: /* $@114: %empty  */
#line 573 "configparser.yy"
                                   { lconfig_labelcolors.clear(); }
#line 6405 "configparser.cc"
    break;

  case 239: /* $@115: %empty  */
#line 574 "configparser.yy"
                                   {
          WConfig::ColorDef c = lconfig->getColorDefs();
          c.setLabelColors( lconfig_labelcolors );
          lconfig->setColorDefs( c );
        }
#line 6415 "configparser.cc"
    break;

  case 243: /* $@116: %empty  */
#line 583 "configparser.yy"
                                    {
              lconfig_labelcolor.normal_fg = -1;
              lconfig_labelcolor.normal_bg = -1;
              lconfig_labelcolor.active_fg = -1;
              lconfig_labelcolor.active_bg = -1;
              lconfig_labelcolor_name = "";
            }
#line 6427 "configparser.cc"
    break;

  case 244: /* $@117: %empty  */
#line 590 "configparser.yy"
                                      {
              lconfig_labelcolors[lconfig_labelcolor_name] = lconfig_labelcolor;
            }
#line 6435 "configparser.cc"
    break;

  case 247: /* $@118: %empty  */
#line 595 "configparser.yy"
                                             {
             lconfig_labelcolor.normal_fg = (yyvsp[-3].num);
             lconfig_labelcolor.normal_bg = (yyvsp[-1].num);
            }
#line 6444 "configparser.cc"
    break;

  case 249: /* $@119: %empty  */
#line 599 "configparser.yy"
                                             {
             lconfig_labelcolor.active_fg = (yyvsp[-3].num);
             lconfig_labelcolor.active_bg = (yyvsp[-1].num);
            }
#line 6453 "configparser.cc"
    break;

  case 251: /* $@120: %empty  */
#line 603 "configparser.yy"
                                      { lconfig_labelcolor_name = (yyvsp[-1].strptr); }
#line 6459 "configparser.cc"
    break;

  case 254: /* $@121: %empty  */
#line 606 "configparser.yy"
                             {
              lconfig_face_name.clear();
              lconfig_face_color = -1;
            }
#line 6468 "configparser.cc"
    break;

  case 255: /* $@122: %empty  */
#line 610 "configparser.yy"
                                {
              lconfig_faces_list.push_back( std::make_pair( lconfig_face_name, lconfig_face_color ) );
            }
#line 6476 "configparser.cc"
    break;

  case 258: /* $@123: %empty  */
#line 615 "configparser.yy"
                            {
             lconfig_face_color = (yyvsp[-1].num);
            }
#line 6484 "configparser.cc"
    break;

  case 260: /* $@124: %empty  */
#line 618 "configparser.yy"
                                      { lconfig_face_name = (yyvsp[-1].strptr); }
#line 6490 "configparser.cc"
    break;

  case 263: /* $@125: %empty  */
#line 621 "configparser.yy"
                                 { lconfig->setStartDir( 0, (yyvsp[-1].strptr) ); }
#line 6496 "configparser.cc"
    break;

  case 265: /* $@126: %empty  */
#line 622 "configparser.yy"
                                  { lconfig->setStartDir( 1, (yyvsp[-1].strptr) ); }
#line 6502 "configparser.cc"
    break;

  case 267: /* $@127: %empty  */
#line 623 "configparser.yy"
                                             { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_NEVER ); }
#line 6508 "configparser.cc"
    break;

  case 269: /* $@128: %empty  */
#line 624 "configparser.yy"
                                              { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ALWAYS ); }
#line 6514 "configparser.cc"
    break;

  case 271: /* $@129: %empty  */
#line 625 "configparser.yy"
                                           { lconfig->setRestoreTabsMode( WConfig::RESTORE_TABS_ASK ); }
#line 6520 "configparser.cc"
    break;

  case 273: /* $@130: %empty  */
#line 626 "configparser.yy"
                                           { lconfig->setStoreTabsMode( WConfig::STORE_TABS_NEVER ); }
#line 6526 "configparser.cc"
    break;

  case 275: /* $@131: %empty  */
#line 627 "configparser.yy"
                                            { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ALWAYS ); }
#line 6532 "configparser.cc"
    break;

  case 277: /* $@132: %empty  */
#line 628 "configparser.yy"
                                                   { lconfig->setStoreTabsMode( WConfig::STORE_TABS_AS_EXIT_STATE ); }
#line 6538 "configparser.cc"
    break;

  case 279: /* $@133: %empty  */
#line 629 "configparser.yy"
                                         { lconfig->setStoreTabsMode( WConfig::STORE_TABS_ASK ); }
#line 6544 "configparser.cc"
    break;

  case 282: /* $@134: %empty  */
#line 632 "configparser.yy"
                             { lconfig_p1 = new WCPath(); }
#line 6550 "configparser.cc"
    break;

  case 283: /* $@135: %empty  */
#line 633 "configparser.yy"
                          { lconfig_p1->setCheck( true );
                        while ( lconfig_listp->size() < ( lconfig_pos + 1 ) ) lconfig_listp->addElement( new WCPath() );
                        lconfig_p1 = (WCPath*)lconfig_listp->exchangeElement( lconfig_pos, lconfig_p1 );
                        delete lconfig_p1;
                        lconfig_p1 = NULL;
                      }
#line 6561 "configparser.cc"
    break;

  case 286: /* $@136: %empty  */
#line 641 "configparser.yy"
                               { lconfig_pos = (yyvsp[-1].num);
                         if ( lconfig_pos < 0 ) lconfig_pos = 0;
                         if ( lconfig_pos > 10240 ) lconfig_pos = 10240;
                       }
#line 6570 "configparser.cc"
    break;

  case 288: /* $@137: %empty  */
#line 645 "configparser.yy"
                               { lconfig_p1->setName( (yyvsp[-1].strptr) ); }
#line 6576 "configparser.cc"
    break;

  case 290: /* $@138: %empty  */
#line 646 "configparser.yy"
                                      { lconfig_p1->setFG( (yyvsp[-3].num) );
                            lconfig_p1->setBG( (yyvsp[-1].num) );
                          }
#line 6584 "configparser.cc"
    break;

  case 292: /* $@139: %empty  */
#line 649 "configparser.yy"
                              { lconfig_p1->setPath( (yyvsp[-1].strptr) ); }
#line 6590 "configparser.cc"
    break;

  case 294: /* $@140: %empty  */
#line 650 "configparser.yy"
                                 { lconfig_listsk = new List(); }
#line 6596 "configparser.cc"
    break;

  case 295: /* $@141: %empty  */
#line 651 "configparser.yy"
                            { lconfig_p1->setDoubleKeys( lconfig_listsk );
                              lconfig_id = lconfig_listsk->initEnum();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              while ( lconfig_dk != NULL ) {
                                delete lconfig_dk;
                                lconfig_listsk->removeFirstElement();
                                lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                              }
                              lconfig_listsk->closeEnum( lconfig_id );
                              delete lconfig_listsk;
                              lconfig_listsk = NULL;
                            }
#line 6613 "configparser.cc"
    break;

  case 298: /* $@142: %empty  */
#line 665 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_NORMAL );
                                 }
#line 6621 "configparser.cc"
    break;

  case 299: /* $@143: %empty  */
#line 668 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6631 "configparser.cc"
    break;

  case 300: /* $@144: %empty  */
#line 673 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); }
#line 6637 "configparser.cc"
    break;

  case 301: /* $@145: %empty  */
#line 674 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6643 "configparser.cc"
    break;

  case 303: /* $@146: %empty  */
#line 676 "configparser.yy"
                                 { lconfig_dk = new WCDoubleShortkey();
                                   lconfig_dk->setType( WCDoubleShortkey::WCDS_DOUBLE );
                                  }
#line 6651 "configparser.cc"
    break;

  case 304: /* $@147: %empty  */
#line 679 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 0 );
                          else lconfig_dk->setKeySym( 0, 0 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6661 "configparser.cc"
    break;

  case 305: /* $@148: %empty  */
#line 684 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 0 ); /*TODO:finzt das so mit dem lconfig_keymod?*/}
#line 6667 "configparser.cc"
    break;

  case 306: /* $@149: %empty  */
#line 685 "configparser.yy"
                                { lconfig_nkeysym = AGUIX::getKeySymForString( (yyvsp[-1].strptr) );
                          if ( lconfig_nkeysym != NoSymbol ) lconfig_dk->setKeySym( lconfig_nkeysym, 1 );
                          else lconfig_dk->setKeySym( 0, 1 );  /*TODO:Fehler printen?*/
                          lconfig_keymod = 0;
                        }
#line 6677 "configparser.cc"
    break;

  case 307: /* $@150: %empty  */
#line 690 "configparser.yy"
             { lconfig_dk->setMod( lconfig_keymod, 1 ); }
#line 6683 "configparser.cc"
    break;

  case 308: /* $@151: %empty  */
#line 691 "configparser.yy"
                       { lconfig_listsk->addElement( lconfig_dk ); }
#line 6689 "configparser.cc"
    break;

  case 311: /* $@152: %empty  */
#line 695 "configparser.yy"
                              { lconfig_keymod |= ControlMask; }
#line 6695 "configparser.cc"
    break;

  case 313: /* $@153: %empty  */
#line 696 "configparser.yy"
                            { lconfig_keymod |= ShiftMask; }
#line 6701 "configparser.cc"
    break;

  case 315: /* $@154: %empty  */
#line 697 "configparser.yy"
                           { lconfig_keymod |= LockMask; }
#line 6707 "configparser.cc"
    break;

  case 317: /* $@155: %empty  */
#line 698 "configparser.yy"
                           { lconfig_keymod |= Mod1Mask; }
#line 6713 "configparser.cc"
    break;

  case 319: /* $@156: %empty  */
#line 699 "configparser.yy"
                           { lconfig_keymod |= Mod2Mask; }
#line 6719 "configparser.cc"
    break;

  case 321: /* $@157: %empty  */
#line 700 "configparser.yy"
                           { lconfig_keymod |= Mod3Mask; }
#line 6725 "configparser.cc"
    break;

  case 323: /* $@158: %empty  */
#line 701 "configparser.yy"
                           { lconfig_keymod |= Mod4Mask; }
#line 6731 "configparser.cc"
    break;

  case 325: /* $@159: %empty  */
#line 702 "configparser.yy"
                           { lconfig_keymod |= Mod5Mask; }
#line 6737 "configparser.cc"
    break;

  case 328: /* $@160: %empty  */
#line 705 "configparser.yy"
                                     { lconfig_ft1 = new WCFiletype(); }
#line 6743 "configparser.cc"
    break;

  case 329: /* $@161: %empty  */
#line 706 "configparser.yy"
                                  { lconfig_listft->addElement( lconfig_ft1 );
                                lconfig_ft1 = NULL;
                              }
#line 6751 "configparser.cc"
    break;

  case 331: /* $@162: %empty  */
#line 709 "configparser.yy"
                                       { lconfig_ignorelist = new List(); }
#line 6757 "configparser.cc"
    break;

  case 332: /* $@163: %empty  */
#line 710 "configparser.yy"
                                    { lconfig->setDontCheckDirs( lconfig_ignorelist );
                                  lconfig_id = lconfig_ignorelist->initEnum();
                                  lconfig_tstr = (char*)lconfig_ignorelist->getFirstElement( lconfig_id );
                                  while ( lconfig_tstr != NULL ) {
                                    _freesafe( lconfig_tstr );
                                    lconfig_tstr = (char*)lconfig_ignorelist->getNextElement( lconfig_id );
                                  }
                                  lconfig_ignorelist->closeEnum( lconfig_id );
                                  delete lconfig_ignorelist;
                                  lconfig_ignorelist = NULL;
                                 }
#line 6773 "configparser.cc"
    break;

  case 334: /* $@164: %empty  */
#line 721 "configparser.yy"
                                         { lconfig->setDontCheckVirtual( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6779 "configparser.cc"
    break;

  case 337: /* $@165: %empty  */
#line 724 "configparser.yy"
                         { lconfig_ignorelist->addElement( dupstring( (yyvsp[-1].strptr) ) ); }
#line 6785 "configparser.cc"
    break;

  case 340: /* $@166: %empty  */
#line 727 "configparser.yy"
                                        { filetypehier.push_back( lconfig_ft1 );
                                          lconfig_ft1 = new WCFiletype();
                                        }
#line 6793 "configparser.cc"
    break;

  case 341: /* $@167: %empty  */
#line 730 "configparser.yy"
                                     { old_lconfig_ft1 = filetypehier.back();
	                               filetypehier.pop_back();
				       if ( old_lconfig_ft1 != NULL ) {
					 old_lconfig_ft1->addSubType( lconfig_ft1 );
				       } else {
					 delete lconfig_ft1;
				       }
				       lconfig_ft1 = old_lconfig_ft1;
	                             }
#line 6807 "configparser.cc"
    break;

  case 344: /* $@168: %empty  */
#line 741 "configparser.yy"
                               { lconfig_ft1->setinternID( (yyvsp[-1].num) ); }
#line 6813 "configparser.cc"
    break;

  case 346: /* $@169: %empty  */
#line 742 "configparser.yy"
                                   { lconfig_ft1->setName( (yyvsp[-1].strptr) ); }
#line 6819 "configparser.cc"
    break;

  case 348: /* $@170: %empty  */
#line 743 "configparser.yy"
                                     { lconfig_ft1->setPattern( (yyvsp[-1].strptr) ); }
#line 6825 "configparser.cc"
    break;

  case 350: /* $@171: %empty  */
#line 744 "configparser.yy"
                                  { lconfig_ft1->setUsePattern( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6831 "configparser.cc"
    break;

  case 352: /* $@172: %empty  */
#line 745 "configparser.yy"
                                   { lconfig_ft1->clearFiledesc(); }
#line 6837 "configparser.cc"
    break;

  case 354: /* $@173: %empty  */
#line 747 "configparser.yy"
                                  { lconfig_ft1->setUseFiledesc( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6843 "configparser.cc"
    break;

  case 356: /* $@174: %empty  */
#line 748 "configparser.yy"
                                         { lconfig_ft1->setPatternIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6849 "configparser.cc"
    break;

  case 358: /* $@175: %empty  */
#line 749 "configparser.yy"
                                        { lconfig_ft1->setPatternUseRegExp( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6855 "configparser.cc"
    break;

  case 360: /* $@176: %empty  */
#line 750 "configparser.yy"
                                          { lconfig_ft1->setPatternUseFullname( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6861 "configparser.cc"
    break;

  case 363: /* $@177: %empty  */
#line 752 "configparser.yy"
                                     { lconfig_ft1->setExtCond( (yyvsp[-1].strptr) ); }
#line 6867 "configparser.cc"
    break;

  case 365: /* $@178: %empty  */
#line 753 "configparser.yy"
                                  { lconfig_ft1->setUseExtCond( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6873 "configparser.cc"
    break;

  case 368: /* $@179: %empty  */
#line 755 "configparser.yy"
                                                  { lconfig_ft1->setCustomColor( 0, 0, (yyvsp[-3].num) );
	                                            lconfig_ft1->setCustomColor( 1, 0, (yyvsp[-1].num) );
                                                  }
#line 6881 "configparser.cc"
    break;

  case 370: /* $@180: %empty  */
#line 758 "configparser.yy"
                                                { lconfig_ft1->setCustomColor( 0, 1, (yyvsp[-3].num) );
	                                          lconfig_ft1->setCustomColor( 1, 1, (yyvsp[-1].num) );
                                                }
#line 6889 "configparser.cc"
    break;

  case 372: /* $@181: %empty  */
#line 761 "configparser.yy"
                                                        { lconfig_ft1->setCustomColor( 0, 2, (yyvsp[-3].num) );
	                                                  lconfig_ft1->setCustomColor( 1, 2, (yyvsp[-1].num) );
                                                        }
#line 6897 "configparser.cc"
    break;

  case 374: /* $@182: %empty  */
#line 764 "configparser.yy"
                                                      { lconfig_ft1->setCustomColor( 0, 3, (yyvsp[-3].num) );
	                                                lconfig_ft1->setCustomColor( 1, 3, (yyvsp[-1].num) );
                                                      }
#line 6905 "configparser.cc"
    break;

  case 376: /* $@183: %empty  */
#line 767 "configparser.yy"
                                             { lconfig_ft1->setColorExt( (yyvsp[-1].strptr) ); }
#line 6911 "configparser.cc"
    break;

  case 378: /* $@184: %empty  */
#line 768 "configparser.yy"
                                        { lconfig_ft1->setColorMode( WCFiletype::DEFAULTCOL ); }
#line 6917 "configparser.cc"
    break;

  case 380: /* $@185: %empty  */
#line 769 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::CUSTOMCOL ); }
#line 6923 "configparser.cc"
    break;

  case 382: /* $@186: %empty  */
#line 770 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::EXTERNALCOL ); }
#line 6929 "configparser.cc"
    break;

  case 384: /* $@187: %empty  */
#line 771 "configparser.yy"
                                       { lconfig_ft1->setColorMode( WCFiletype::PARENTCOL ); }
#line 6935 "configparser.cc"
    break;

  case 386: /* $@188: %empty  */
#line 772 "configparser.yy"
                                          { lconfig_ft1->setMagicPattern( (yyvsp[-1].strptr) ); }
#line 6941 "configparser.cc"
    break;

  case 388: /* $@189: %empty  */
#line 773 "configparser.yy"
                                { lconfig_ft1->setUseMagic( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6947 "configparser.cc"
    break;

  case 390: /* $@190: %empty  */
#line 774 "configparser.yy"
                                       { lconfig_ft1->setMagicCompressed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6953 "configparser.cc"
    break;

  case 392: /* $@191: %empty  */
#line 775 "configparser.yy"
                                 { lconfig_ft1->setMagicMime( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6959 "configparser.cc"
    break;

  case 394: /* $@192: %empty  */
#line 776 "configparser.yy"
                                       { lconfig_ft1->setMagicIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6965 "configparser.cc"
    break;

  case 396: /* $@193: %empty  */
#line 777 "configparser.yy"
                                               { lconfig_ft1->setPatternIsCommaSeparated( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 6971 "configparser.cc"
    break;

  case 398: /* $@194: %empty  */
#line 778 "configparser.yy"
                                   { lconfig_ft1->setPriority( (yyvsp[-1].num) ); }
#line 6977 "configparser.cc"
    break;

  case 401: /* $@195: %empty  */
#line 781 "configparser.yy"
                                 { lconfig_ft1->setFiledesc( (yyvsp[-3].num), (yyvsp[-1].num) ); }
#line 6983 "configparser.cc"
    break;

  case 404: /* ft_type: NORMAL_WCP  */
#line 784 "configparser.yy"
                   { (yyval.num) = NORMALTYPE; }
#line 6989 "configparser.cc"
    break;

  case 405: /* ft_type: NOTYETCHECKED_WCP  */
#line 785 "configparser.yy"
                          { (yyval.num) = NOTYETTYPE; }
#line 6995 "configparser.cc"
    break;

  case 406: /* ft_type: UNKNOWN_WCP  */
#line 786 "configparser.yy"
                    { (yyval.num) = UNKNOWNTYPE; }
#line 7001 "configparser.cc"
    break;

  case 407: /* ft_type: NOSELECT_WCP  */
#line 787 "configparser.yy"
                     { (yyval.num) = VOIDTYPE; }
#line 7007 "configparser.cc"
    break;

  case 408: /* ft_type: DIR_WCP  */
#line 788 "configparser.yy"
                { (yyval.num) = DIRTYPE; }
#line 7013 "configparser.cc"
    break;

  case 409: /* $@196: %empty  */
#line 791 "configparser.yy"
                                 { lconfig_listcom.clear(); }
#line 7019 "configparser.cc"
    break;

  case 410: /* $@197: %empty  */
#line 792 "configparser.yy"
                                   { lconfig_ft1->setDNDActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7027 "configparser.cc"
    break;

  case 412: /* $@198: %empty  */
#line 795 "configparser.yy"
                                { lconfig_listcom.clear(); }
#line 7033 "configparser.cc"
    break;

  case 413: /* $@199: %empty  */
#line 796 "configparser.yy"
                                   { lconfig_ft1->setDoubleClickActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7041 "configparser.cc"
    break;

  case 415: /* $@200: %empty  */
#line 799 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7047 "configparser.cc"
    break;

  case 416: /* $@201: %empty  */
#line 800 "configparser.yy"
                                   { lconfig_ft1->setShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7055 "configparser.cc"
    break;

  case 418: /* $@202: %empty  */
#line 803 "configparser.yy"
                                     { lconfig_listcom.clear(); }
#line 7061 "configparser.cc"
    break;

  case 419: /* $@203: %empty  */
#line 804 "configparser.yy"
                                   { lconfig_ft1->setRawShowActions( lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7069 "configparser.cc"
    break;

  case 421: /* $@204: %empty  */
#line 807 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7075 "configparser.cc"
    break;

  case 422: /* $@205: %empty  */
#line 808 "configparser.yy"
                                   { lconfig_ft1->setUserActions( (yyvsp[-4].num), lconfig_listcom );
                                     lconfig_listcom.clear();
                               }
#line 7083 "configparser.cc"
    break;

  case 424: /* $@206: %empty  */
#line 811 "configparser.yy"
                                          { lconfig_listcom.clear(); }
#line 7089 "configparser.cc"
    break;

  case 425: /* $@207: %empty  */
#line 814 "configparser.yy"
                                                  { lconfig_ft1->setCustomActions( (yyvsp[-6].strptr), lconfig_listcom );
                                                    lconfig_listcom.clear();
                               }
#line 7097 "configparser.cc"
    break;

  case 432: /* $@208: %empty  */
#line 825 "configparser.yy"
                                 { lconfig_hk1 = new WCHotkey(); }
#line 7103 "configparser.cc"
    break;

  case 433: /* $@209: %empty  */
#line 826 "configparser.yy"
                              { lconfig_listh->addElement( lconfig_hk1 );
                            lconfig_hk1 = NULL;
                          }
#line 7111 "configparser.cc"
    break;

  case 436: /* $@210: %empty  */
#line 831 "configparser.yy"
                                 { lconfig_hk1->setName( (yyvsp[-1].strptr) ); }
#line 7117 "configparser.cc"
    break;

  case 438: /* $@211: %empty  */
#line 832 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7123 "configparser.cc"
    break;

  case 439: /* $@212: %empty  */
#line 833 "configparser.yy"
                               { lconfig_hk1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7131 "configparser.cc"
    break;

  case 441: /* $@213: %empty  */
#line 836 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7137 "configparser.cc"
    break;

  case 442: /* $@214: %empty  */
#line 837 "configparser.yy"
                              { lconfig_hk1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                              lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7154 "configparser.cc"
    break;

  case 445: /* $@215: %empty  */
#line 851 "configparser.yy"
                                 { lconfig_bt1 = new WCButton(); }
#line 7160 "configparser.cc"
    break;

  case 446: /* $@216: %empty  */
#line 852 "configparser.yy"
                              { lconfig_bt1->setCheck( true );
                            while ( lconfig_listb->size() < ( lconfig_pos + 1 ) ) lconfig_listb->addElement( new WCButton() );
                            lconfig_bt1 = (WCButton*)lconfig_listb->exchangeElement( lconfig_pos, lconfig_bt1 );
                            delete lconfig_bt1;
                            lconfig_bt1 = NULL;
                          }
#line 7171 "configparser.cc"
    break;

  case 449: /* $@217: %empty  */
#line 860 "configparser.yy"
                                 { lconfig_pos = (yyvsp[-1].num);
                           if ( lconfig_pos < 0 ) lconfig_pos = 0;
                           if ( lconfig_pos > 100000 ) lconfig_pos = 100000;
                         }
#line 7180 "configparser.cc"
    break;

  case 451: /* $@218: %empty  */
#line 864 "configparser.yy"
                                { lconfig_bt1->setText( (yyvsp[-1].strptr) ); }
#line 7186 "configparser.cc"
    break;

  case 453: /* $@219: %empty  */
#line 865 "configparser.yy"
                                        { lconfig_bt1->setFG( (yyvsp[-3].num) );
                              lconfig_bt1->setBG( (yyvsp[-1].num) );
                            }
#line 7194 "configparser.cc"
    break;

  case 455: /* $@220: %empty  */
#line 868 "configparser.yy"
                                  { lconfig_listcom.clear(); }
#line 7200 "configparser.cc"
    break;

  case 456: /* $@221: %empty  */
#line 869 "configparser.yy"
                               { lconfig_bt1->setComs( lconfig_listcom );
                                 lconfig_listcom.clear();
                           }
#line 7208 "configparser.cc"
    break;

  case 458: /* $@222: %empty  */
#line 872 "configparser.yy"
                                   { lconfig_listsk = new List(); }
#line 7214 "configparser.cc"
    break;

  case 459: /* $@223: %empty  */
#line 873 "configparser.yy"
                              { lconfig_bt1->setDoubleKeys( lconfig_listsk );
                            lconfig_id = lconfig_listsk->initEnum();
                            lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            while ( lconfig_dk != NULL ) {
                              delete lconfig_dk;
                              lconfig_listsk->removeFirstElement();
                             lconfig_dk = (WCDoubleShortkey*)lconfig_listsk->getFirstElement( lconfig_id );
                            }
                            lconfig_listsk->closeEnum( lconfig_id );
                            delete lconfig_listsk;
                            lconfig_listsk = NULL;
                          }
#line 7231 "configparser.cc"
    break;

  case 462: /* $@224: %empty  */
#line 888 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_GLOBAL, (yyvsp[-1].strptr) );
      }
#line 7242 "configparser.cc"
    break;

  case 464: /* $@225: %empty  */
#line 895 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_BUTTONS, (yyvsp[-1].strptr) );
      }
#line 7253 "configparser.cc"
    break;

  case 466: /* $@226: %empty  */
#line 902 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_LEFT, (yyvsp[-1].strptr) );
      }
#line 7264 "configparser.cc"
    break;

  case 468: /* $@227: %empty  */
#line 909 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_RIGHT, (yyvsp[-1].strptr) );
      }
#line 7275 "configparser.cc"
    break;

  case 470: /* $@228: %empty  */
#line 916 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_TEXTVIEW, (yyvsp[-1].strptr) );
      }
#line 7286 "configparser.cc"
    break;

  case 472: /* $@229: %empty  */
#line 923 "configparser.yy"
      {
#ifndef HAVE_XFT
        lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
        lconfig->setFontName( WConfig::FONT_X11_STATEBAR, (yyvsp[-1].strptr) );
      }
#line 7297 "configparser.cc"
    break;

  case 475: /* $@230: %empty  */
#line 932 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 0, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_GLOBAL, (yyvsp[-1].strptr) );
         }
#line 7308 "configparser.cc"
    break;

  case 477: /* $@231: %empty  */
#line 939 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 1, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_BUTTONS, (yyvsp[-1].strptr) );
         }
#line 7319 "configparser.cc"
    break;

  case 479: /* $@232: %empty  */
#line 946 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 2, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_LEFT, (yyvsp[-1].strptr) );
         }
#line 7330 "configparser.cc"
    break;

  case 481: /* $@233: %empty  */
#line 953 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 3, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_RIGHT, (yyvsp[-1].strptr) );
         }
#line 7341 "configparser.cc"
    break;

  case 483: /* $@234: %empty  */
#line 960 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 4, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_TEXTVIEW, (yyvsp[-1].strptr) );
         }
#line 7352 "configparser.cc"
    break;

  case 485: /* $@235: %empty  */
#line 967 "configparser.yy"
         {
#ifdef HAVE_XFT
           lconfig->setFont( 5, (yyvsp[-1].strptr) );
#endif
           lconfig->setFontName( WConfig::FONT_XFT_STATEBAR, (yyvsp[-1].strptr) );
         }
#line 7363 "configparser.cc"
    break;

  case 488: /* $@236: %empty  */
#line 976 "configparser.yy"
              {
                  lconfig->setVMMountCommand( (yyvsp[-1].strptr) );
              }
#line 7371 "configparser.cc"
    break;

  case 490: /* $@237: %empty  */
#line 980 "configparser.yy"
              {
                  lconfig->setVMUnmountCommand( (yyvsp[-1].strptr) );
              }
#line 7379 "configparser.cc"
    break;

  case 492: /* $@238: %empty  */
#line 984 "configparser.yy"
              {
                  lconfig->setVMEjectCommand( (yyvsp[-1].strptr) );
              }
#line 7387 "configparser.cc"
    break;

  case 494: /* $@239: %empty  */
#line 988 "configparser.yy"
              {
                  lconfig->setVMCloseTrayCommand( (yyvsp[-1].strptr) );
              }
#line 7395 "configparser.cc"
    break;

  case 496: /* $@240: %empty  */
#line 992 "configparser.yy"
              {
                  lconfig->setVMFStabFile( (yyvsp[-1].strptr) );
              }
#line 7403 "configparser.cc"
    break;

  case 498: /* $@241: %empty  */
#line 996 "configparser.yy"
              {
                  lconfig->setVMMtabFile( (yyvsp[-1].strptr) );
              }
#line 7411 "configparser.cc"
    break;

  case 500: /* $@242: %empty  */
#line 1000 "configparser.yy"
              {
                  lconfig->setVMPartitionFile( (yyvsp[-1].strptr) );
              }
#line 7419 "configparser.cc"
    break;

  case 502: /* $@243: %empty  */
#line 1004 "configparser.yy"
              {
                  lconfig->setVMRequestAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false );
              }
#line 7427 "configparser.cc"
    break;

  case 504: /* $@244: %empty  */
#line 1008 "configparser.yy"
              {
                  lconfig->setVMPreferredUdisksVersion( (yyvsp[-1].num) );
              }
#line 7435 "configparser.cc"
    break;

  case 507: /* $@245: %empty  */
#line 1013 "configparser.yy"
                                          { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIMERAM ); }
#line 7441 "configparser.cc"
    break;

  case 509: /* $@246: %empty  */
#line 1014 "configparser.yy"
                                     { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_TIME ); }
#line 7447 "configparser.cc"
    break;

  case 511: /* $@247: %empty  */
#line 1015 "configparser.yy"
                                        { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_VERSION ); }
#line 7453 "configparser.cc"
    break;

  case 513: /* $@248: %empty  */
#line 1016 "configparser.yy"
                                       { lconfig->setClockbarMode( WConfig::CLOCKBAR_MODE_EXTERN ); }
#line 7459 "configparser.cc"
    break;

  case 515: /* $@249: %empty  */
#line 1017 "configparser.yy"
                                         { lconfig->setClockbarUpdatetime( (yyvsp[-1].num) ); }
#line 7465 "configparser.cc"
    break;

  case 517: /* $@250: %empty  */
#line 1018 "configparser.yy"
                                         { lconfig->setClockbarCommand( (yyvsp[-1].strptr) ); }
#line 7471 "configparser.cc"
    break;

  case 519: /* $@251: %empty  */
#line 1019 "configparser.yy"
                                     { lconfig->setClockbarHints( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7477 "configparser.cc"
    break;

  case 522: /* bool: YES_WCP  */
#line 1022 "configparser.yy"
             { (yyval.num) = 1; }
#line 7483 "configparser.cc"
    break;

  case 523: /* bool: NO_WCP  */
#line 1023 "configparser.yy"
            { (yyval.num) = 0; }
#line 7489 "configparser.cc"
    break;

  case 595: /* $@252: %empty  */
#line 1097 "configparser.yy"
                              { lconfig_fp1 = std::make_shared< OwnOp >(); }
#line 7495 "configparser.cc"
    break;

  case 596: /* ownop: OWNOP_WCP LEFTBRACE_WCP $@252 ownopbody RIGHTBRACE_WCP  */
#line 1098 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7501 "configparser.cc"
    break;

  case 597: /* $@253: %empty  */
#line 1100 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setComStr( (yyvsp[-1].strptr) ); }
#line 7507 "configparser.cc"
    break;

  case 599: /* $@254: %empty  */
#line 1101 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setSeparateEachEntry( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7513 "configparser.cc"
    break;

  case 601: /* $@255: %empty  */
#line 1102 "configparser.yy"
                                  { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7519 "configparser.cc"
    break;

  case 603: /* $@256: %empty  */
#line 1103 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL ); }
#line 7525 "configparser.cc"
    break;

  case 605: /* $@257: %empty  */
#line 1104 "configparser.yy"
                                          { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 7531 "configparser.cc"
    break;

  case 607: /* $@258: %empty  */
#line 1105 "configparser.yy"
                                        { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT ); }
#line 7537 "configparser.cc"
    break;

  case 609: /* $@259: %empty  */
#line 1106 "configparser.yy"
                                           { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_SHOW_OUTPUT_INT ); }
#line 7543 "configparser.cc"
    break;

  case 611: /* $@260: %empty  */
#line 1107 "configparser.yy"
                                    { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setOwnStart( OwnOp::OWNOP_START_NORMAL ); }
#line 7549 "configparser.cc"
    break;

  case 613: /* $@261: %empty  */
#line 1108 "configparser.yy"
                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 7555 "configparser.cc"
    break;

  case 615: /* $@262: %empty  */
#line 1109 "configparser.yy"
                                     { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7561 "configparser.cc"
    break;

  case 617: /* $@263: %empty  */
#line 1110 "configparser.yy"
                                 { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7567 "configparser.cc"
    break;

  case 619: /* $@264: %empty  */
#line 1111 "configparser.yy"
                               { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7573 "configparser.cc"
    break;

  case 621: /* $@265: %empty  */
#line 1112 "configparser.yy"
                                                { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setUseVirtualTempCopies( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7579 "configparser.cc"
    break;

  case 623: /* $@266: %empty  */
#line 1113 "configparser.yy"
                                                      { std::dynamic_pointer_cast<OwnOp>(lconfig_fp1)->setFlagsAreRelativeToBaseDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7585 "configparser.cc"
    break;

  case 626: /* $@267: %empty  */
#line 1116 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DNDAction>(); }
#line 7591 "configparser.cc"
    break;

  case 627: /* dndaction: DNDACTION_WCP LEFTBRACE_WCP $@267 RIGHTBRACE_WCP  */
#line 1117 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7597 "configparser.cc"
    break;

  case 628: /* $@268: %empty  */
#line 1119 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DoubleClickAction>(); }
#line 7603 "configparser.cc"
    break;

  case 629: /* dcaction: DCACTION_WCP LEFTBRACE_WCP $@268 RIGHTBRACE_WCP  */
#line 1120 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7609 "configparser.cc"
    break;

  case 630: /* $@269: %empty  */
#line 1122 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<ShowAction>(); }
#line 7615 "configparser.cc"
    break;

  case 631: /* showaction: SHOWACTION_WCP LEFTBRACE_WCP $@269 RIGHTBRACE_WCP  */
#line 1123 "configparser.yy"
                          { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7621 "configparser.cc"
    break;

  case 632: /* $@270: %empty  */
#line 1125 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<RawShowAction>(); }
#line 7627 "configparser.cc"
    break;

  case 633: /* rshowaction: RSHOWACTION_WCP LEFTBRACE_WCP $@270 RIGHTBRACE_WCP  */
#line 1126 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7633 "configparser.cc"
    break;

  case 634: /* $@271: %empty  */
#line 1128 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<UserAction>(); }
#line 7639 "configparser.cc"
    break;

  case 635: /* useraction: USERACTION_WCP LEFTBRACE_WCP $@271 useractionbody RIGHTBRACE_WCP  */
#line 1129 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7645 "configparser.cc"
    break;

  case 636: /* $@272: %empty  */
#line 1131 "configparser.yy"
                                             { std::dynamic_pointer_cast<UserAction>(lconfig_fp1)->setNr( (yyvsp[-1].num) ); }
#line 7651 "configparser.cc"
    break;

  case 639: /* $@273: %empty  */
#line 1134 "configparser.yy"
                              { auto tfp = std::make_shared< ScriptOp >();
                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                tfp->setCommandStr( "up" );
                                lconfig_fp1 = tfp;
                              }
#line 7661 "configparser.cc"
    break;

  case 640: /* rowup: ROWUP_WCP LEFTBRACE_WCP $@273 RIGHTBRACE_WCP  */
#line 1139 "configparser.yy"
                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7667 "configparser.cc"
    break;

  case 641: /* $@274: %empty  */
#line 1141 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "down" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7677 "configparser.cc"
    break;

  case 642: /* rowdown: ROWDOWN_WCP LEFTBRACE_WCP $@274 RIGHTBRACE_WCP  */
#line 1146 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7683 "configparser.cc"
    break;

  case 643: /* $@275: %empty  */
#line 1148 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<ChangeHiddenFlag>(); }
#line 7689 "configparser.cc"
    break;

  case 644: /* changehiddenflag: CHANGEHIDDENFLAG_WCP LEFTBRACE_WCP $@275 changehiddenflagbody RIGHTBRACE_WCP  */
#line 1149 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7695 "configparser.cc"
    break;

  case 645: /* $@276: %empty  */
#line 1151 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 2 ); }
#line 7701 "configparser.cc"
    break;

  case 647: /* $@277: %empty  */
#line 1152 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 1 ); }
#line 7707 "configparser.cc"
    break;

  case 649: /* $@278: %empty  */
#line 1153 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ChangeHiddenFlag>(lconfig_fp1)->setMode( 0 ); }
#line 7713 "configparser.cc"
    break;

  case 652: /* $@279: %empty  */
#line 1156 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<CopyOp>(); }
#line 7719 "configparser.cc"
    break;

  case 653: /* copyop: COPYOP_WCP LEFTBRACE_WCP $@279 copyopbody RIGHTBRACE_WCP  */
#line 1157 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7725 "configparser.cc"
    break;

  case 654: /* $@280: %empty  */
#line 1159 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setFollowSymlinks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7731 "configparser.cc"
    break;

  case 656: /* $@281: %empty  */
#line 1160 "configparser.yy"
                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setMove( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7737 "configparser.cc"
    break;

  case 658: /* $@282: %empty  */
#line 1161 "configparser.yy"
                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRename( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7743 "configparser.cc"
    break;

  case 660: /* $@283: %empty  */
#line 1162 "configparser.yy"
                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7749 "configparser.cc"
    break;

  case 662: /* $@284: %empty  */
#line 1163 "configparser.yy"
                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestDest( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7755 "configparser.cc"
    break;

  case 664: /* $@285: %empty  */
#line 1164 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7761 "configparser.cc"
    break;

  case 666: /* $@286: %empty  */
#line 1165 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_ALWAYS ); }
#line 7767 "configparser.cc"
    break;

  case 668: /* $@287: %empty  */
#line 1166 "configparser.yy"
                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NEVER ); }
#line 7773 "configparser.cc"
    break;

  case 670: /* $@288: %empty  */
#line 1167 "configparser.yy"
                                         { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setOverwrite( CopyOp::COPYOP_OVERWRITE_NORMAL ); }
#line 7779 "configparser.cc"
    break;

  case 672: /* $@289: %empty  */
#line 1168 "configparser.yy"
                                        {}
#line 7785 "configparser.cc"
    break;

  case 674: /* $@290: %empty  */
#line 1169 "configparser.yy"
                                      {}
#line 7791 "configparser.cc"
    break;

  case 676: /* $@291: %empty  */
#line 1170 "configparser.yy"
                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setPreserveAttr( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7797 "configparser.cc"
    break;

  case 678: /* $@292: %empty  */
#line 1171 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_NEVER ); }
#line 7803 "configparser.cc"
    break;

  case 680: /* $@293: %empty  */
#line 1172 "configparser.yy"
                                                       { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_OUTSIDE ); }
#line 7809 "configparser.cc"
    break;

  case 682: /* $@294: %empty  */
#line 1173 "configparser.yy"
                                                      { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setAdjustRelativeSymlinks( CopyOp::COPYOP_ADJUST_SYMLINK_ALWAYS ); }
#line 7815 "configparser.cc"
    break;

  case 684: /* $@295: %empty  */
#line 1174 "configparser.yy"
                                                                 { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( LEAVE_PERMISSIONS_UNMODIFIED ); }
#line 7821 "configparser.cc"
    break;

  case 686: /* $@296: %empty  */
#line 1175 "configparser.yy"
                                                        { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_PERMISSION ); }
#line 7827 "configparser.cc"
    break;

  case 688: /* $@297: %empty  */
#line 1176 "configparser.yy"
                                                                { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_GROUP_R_PERMISSION ); }
#line 7833 "configparser.cc"
    break;

  case 690: /* $@298: %empty  */
#line 1177 "configparser.yy"
                                                              { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setEnsureFilePermissions( ENSURE_USER_RW_ALL_R_PERMISSION ); }
#line 7839 "configparser.cc"
    break;

  case 692: /* $@299: %empty  */
#line 1178 "configparser.yy"
                                                     { std::dynamic_pointer_cast<CopyOp>(lconfig_fp1)->setVdirPreserveDirStructure( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 7845 "configparser.cc"
    break;

  case 695: /* $@300: %empty  */
#line 1181 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "first" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7855 "configparser.cc"
    break;

  case 696: /* firstrow: FIRSTROW_WCP LEFTBRACE_WCP $@300 RIGHTBRACE_WCP  */
#line 1186 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7861 "configparser.cc"
    break;

  case 697: /* $@301: %empty  */
#line 1188 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "last" );
                                    lconfig_fp1 = tfp;
                                  }
#line 7871 "configparser.cc"
    break;

  case 698: /* lastrow: LASTROW_WCP LEFTBRACE_WCP $@301 RIGHTBRACE_WCP  */
#line 1193 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7877 "configparser.cc"
    break;

  case 699: /* $@302: %empty  */
#line 1195 "configparser.yy"
                                { auto tfp = std::make_shared< ScriptOp >();
                                  tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                  tfp->setCommandStr( "pageup" );
                                  lconfig_fp1 = tfp;
                                }
#line 7887 "configparser.cc"
    break;

  case 700: /* pageup: PAGEUP_WCP LEFTBRACE_WCP $@302 RIGHTBRACE_WCP  */
#line 1200 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7893 "configparser.cc"
    break;

  case 701: /* $@303: %empty  */
#line 1202 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "pagedown" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7903 "configparser.cc"
    break;

  case 702: /* pagedown: PAGEDOWN_WCP LEFTBRACE_WCP $@303 RIGHTBRACE_WCP  */
#line 1207 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7909 "configparser.cc"
    break;

  case 703: /* $@304: %empty  */
#line 1209 "configparser.yy"
                                    { auto tfp = std::make_shared< ScriptOp >();
                                      tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                      tfp->setCommandStr( "selectentry" );
                                      lconfig_fp1 = tfp;
                                    }
#line 7919 "configparser.cc"
    break;

  case 704: /* selectop: SELECTOP_WCP LEFTBRACE_WCP $@304 RIGHTBRACE_WCP  */
#line 1214 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7925 "configparser.cc"
    break;

  case 705: /* $@305: %empty  */
#line 1216 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "selectall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7935 "configparser.cc"
    break;

  case 706: /* selectallop: SELECTALLOP_WCP LEFTBRACE_WCP $@305 RIGHTBRACE_WCP  */
#line 1221 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7941 "configparser.cc"
    break;

  case 707: /* $@306: %empty  */
#line 1223 "configparser.yy"
                                            { auto tfp = std::make_shared< ScriptOp >();
                                              tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                              tfp->setCommandStr( "selectnone" );
                                              lconfig_fp1 = tfp;
                                            }
#line 7951 "configparser.cc"
    break;

  case 708: /* selectnoneop: SELECTNONEOP_WCP LEFTBRACE_WCP $@306 RIGHTBRACE_WCP  */
#line 1228 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7957 "configparser.cc"
    break;

  case 709: /* $@307: %empty  */
#line 1230 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "invertall" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7967 "configparser.cc"
    break;

  case 710: /* invertallop: INVERTALLOP_WCP LEFTBRACE_WCP $@307 RIGHTBRACE_WCP  */
#line 1235 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7973 "configparser.cc"
    break;

  case 711: /* $@308: %empty  */
#line 1237 "configparser.yy"
                                          { auto tfp = std::make_shared< ScriptOp >();
                                            tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                            tfp->setCommandStr( "parentdir" );
                                            lconfig_fp1 = tfp;
                                          }
#line 7983 "configparser.cc"
    break;

  case 712: /* parentdirop: PARENTDIROP_WCP LEFTBRACE_WCP $@308 RIGHTBRACE_WCP  */
#line 1242 "configparser.yy"
                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 7989 "configparser.cc"
    break;

  case 713: /* $@309: %empty  */
#line 1244 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<EnterDirOp>(); }
#line 7995 "configparser.cc"
    break;

  case 714: /* enterdirop: ENTERDIROP_WCP LEFTBRACE_WCP $@309 enterdiropbody RIGHTBRACE_WCP  */
#line 1245 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8001 "configparser.cc"
    break;

  case 715: /* $@310: %empty  */
#line 1247 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setDir( (yyvsp[-1].strptr) ); }
#line 8007 "configparser.cc"
    break;

  case 717: /* $@311: %empty  */
#line 1248 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE ); }
#line 8013 "configparser.cc"
    break;

  case 719: /* $@312: %empty  */
#line 1249 "configparser.yy"
                                              { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_ACTIVE2OTHER ); }
#line 8019 "configparser.cc"
    break;

  case 721: /* $@313: %empty  */
#line 1250 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_SPECIAL ); }
#line 8025 "configparser.cc"
    break;

  case 723: /* $@314: %empty  */
#line 1251 "configparser.yy"
                                         { std::dynamic_pointer_cast<EnterDirOp>(lconfig_fp1)->setMode( EnterDirOp::ENTERDIROP_REQUEST ); }
#line 8031 "configparser.cc"
    break;

  case 726: /* $@315: %empty  */
#line 1254 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ChangeListerSetOp>(); }
#line 8037 "configparser.cc"
    break;

  case 727: /* changelistersetop: CHANGELISTERSETOP_WCP LEFTBRACE_WCP $@315 changelistersetopbody RIGHTBRACE_WCP  */
#line 1255 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8043 "configparser.cc"
    break;

  case 728: /* $@316: %empty  */
#line 1257 "configparser.yy"
                                             { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_LEFT_LISTER ); }
#line 8049 "configparser.cc"
    break;

  case 730: /* $@317: %empty  */
#line 1258 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_RIGHT_LISTER ); }
#line 8055 "configparser.cc"
    break;

  case 732: /* $@318: %empty  */
#line 1259 "configparser.yy"
                                                { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_CURRENT_LISTER ); }
#line 8061 "configparser.cc"
    break;

  case 734: /* $@319: %empty  */
#line 1260 "configparser.yy"
                                              { std::dynamic_pointer_cast<ChangeListerSetOp>(lconfig_fp1)->setMode( ChangeListerSetOp::CLS_OTHER_LISTER ); }
#line 8067 "configparser.cc"
    break;

  case 737: /* $@320: %empty  */
#line 1263 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<SwitchListerOp>(); }
#line 8073 "configparser.cc"
    break;

  case 738: /* switchlisterop: SWITCHLISTEROP_WCP LEFTBRACE_WCP $@320 RIGHTBRACE_WCP  */
#line 1264 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8079 "configparser.cc"
    break;

  case 739: /* $@321: %empty  */
#line 1266 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<FilterSelectOp>(); }
#line 8085 "configparser.cc"
    break;

  case 740: /* filterselectop: FILTERSELECTOP_WCP LEFTBRACE_WCP $@321 filterselectopbody RIGHTBRACE_WCP  */
#line 1267 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8091 "configparser.cc"
    break;

  case 741: /* $@322: %empty  */
#line 1269 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8097 "configparser.cc"
    break;

  case 743: /* $@323: %empty  */
#line 1270 "configparser.yy"
                                            { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8103 "configparser.cc"
    break;

  case 745: /* $@324: %empty  */
#line 1271 "configparser.yy"
                                                        { std::dynamic_pointer_cast<FilterSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8109 "configparser.cc"
    break;

  case 748: /* $@325: %empty  */
#line 1274 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<FilterUnSelectOp>(); }
#line 8115 "configparser.cc"
    break;

  case 749: /* filterunselectop: FILTERUNSELECTOP_WCP LEFTBRACE_WCP $@325 filterunselectopbody RIGHTBRACE_WCP  */
#line 1275 "configparser.yy"
                                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8121 "configparser.cc"
    break;

  case 750: /* $@326: %empty  */
#line 1277 "configparser.yy"
                                                { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8127 "configparser.cc"
    break;

  case 752: /* $@327: %empty  */
#line 1278 "configparser.yy"
                                              { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setAutoFilter( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8133 "configparser.cc"
    break;

  case 754: /* $@328: %empty  */
#line 1279 "configparser.yy"
                                                          { std::dynamic_pointer_cast<FilterUnSelectOp>(lconfig_fp1)->setImmediateFilterApply( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8139 "configparser.cc"
    break;

  case 757: /* $@329: %empty  */
#line 1282 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<Path2OSideOp>(); }
#line 8145 "configparser.cc"
    break;

  case 758: /* pathtoothersideop: PATHTOOTHERSIDEOP_WCP LEFTBRACE_WCP $@329 RIGHTBRACE_WCP  */
#line 1283 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8151 "configparser.cc"
    break;

  case 759: /* $@330: %empty  */
#line 1285 "configparser.yy"
                                { lconfig_fp1 = std::make_shared<QuitOp>(); }
#line 8157 "configparser.cc"
    break;

  case 760: /* quitop: QUITOP_WCP LEFTBRACE_WCP $@330 quitopbody RIGHTBRACE_WCP  */
#line 1286 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8163 "configparser.cc"
    break;

  case 761: /* $@331: %empty  */
#line 1288 "configparser.yy"
                                    { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_NORMAL_QUIT ); }
#line 8169 "configparser.cc"
    break;

  case 763: /* $@332: %empty  */
#line 1289 "configparser.yy"
                                   { std::dynamic_pointer_cast<QuitOp>(lconfig_fp1)->setMode( QuitOp::Q_QUICK_QUIT ); }
#line 8175 "configparser.cc"
    break;

  case 766: /* $@333: %empty  */
#line 1292 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<DeleteOp>(); }
#line 8181 "configparser.cc"
    break;

  case 767: /* deleteop: DELETEOP_WCP LEFTBRACE_WCP $@333 deleteopbody RIGHTBRACE_WCP  */
#line 1293 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8187 "configparser.cc"
    break;

  case 768: /* $@334: %empty  */
#line 1295 "configparser.yy"
                                      { std::dynamic_pointer_cast<DeleteOp>(lconfig_fp1)->setAlsoActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8193 "configparser.cc"
    break;

  case 771: /* $@335: %empty  */
#line 1298 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ReloadOp>(); }
#line 8199 "configparser.cc"
    break;

  case 772: /* reloadop: RELOADOP_WCP LEFTBRACE_WCP $@335 reloadopbody RIGHTBRACE_WCP  */
#line 1299 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8205 "configparser.cc"
    break;

  case 773: /* $@336: %empty  */
#line 1301 "configparser.yy"
                                    { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_LEFTSIDE ); }
#line 8211 "configparser.cc"
    break;

  case 775: /* $@337: %empty  */
#line 1302 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_RIGHTSIDE ); }
#line 8217 "configparser.cc"
    break;

  case 777: /* $@338: %empty  */
#line 1303 "configparser.yy"
                                       { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_THISSIDE ); }
#line 8223 "configparser.cc"
    break;

  case 779: /* $@339: %empty  */
#line 1304 "configparser.yy"
                                     { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setReloadside( ReloadOp::RELOADOP_OTHERSIDE ); }
#line 8229 "configparser.cc"
    break;

  case 781: /* $@340: %empty  */
#line 1305 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setResetDirSizes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8235 "configparser.cc"
    break;

  case 783: /* $@341: %empty  */
#line 1306 "configparser.yy"
                                         { std::dynamic_pointer_cast<ReloadOp>(lconfig_fp1)->setKeepFiletypes( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8241 "configparser.cc"
    break;

  case 786: /* $@342: %empty  */
#line 1309 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<MakeDirOp>(); }
#line 8247 "configparser.cc"
    break;

  case 787: /* makedirop: MAKEDIROP_WCP LEFTBRACE_WCP $@342 RIGHTBRACE_WCP  */
#line 1310 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8253 "configparser.cc"
    break;

  case 788: /* $@343: %empty  */
#line 1312 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<RenameOp>(); }
#line 8259 "configparser.cc"
    break;

  case 789: /* renameop: RENAMEOP_WCP LEFTBRACE_WCP $@343 RIGHTBRACE_WCP  */
#line 1313 "configparser.yy"
                        { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8265 "configparser.cc"
    break;

  case 790: /* $@344: %empty  */
#line 1315 "configparser.yy"
                                      { lconfig_fp1 = std::make_shared<DirSizeOp>(); }
#line 8271 "configparser.cc"
    break;

  case 791: /* dirsizeop: DIRSIZEOP_WCP LEFTBRACE_WCP $@344 RIGHTBRACE_WCP  */
#line 1316 "configparser.yy"
                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8277 "configparser.cc"
    break;

  case 792: /* $@345: %empty  */
#line 1318 "configparser.yy"
                                  { auto tfp = std::make_shared< ScriptOp >();
                                    tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                    tfp->setCommandStr( "simulate_doubleclick" );
                                    lconfig_fp1 = tfp;
                                  }
#line 8287 "configparser.cc"
    break;

  case 793: /* simddop: SIMDDOP_WCP LEFTBRACE_WCP $@345 RIGHTBRACE_WCP  */
#line 1323 "configparser.yy"
                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8293 "configparser.cc"
    break;

  case 794: /* $@346: %empty  */
#line 1325 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<StartProgOp>(); }
#line 8299 "configparser.cc"
    break;

  case 795: /* startprogop: STARTPROGOP_WCP LEFTBRACE_WCP $@346 startprogopbody RIGHTBRACE_WCP  */
#line 1326 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8305 "configparser.cc"
    break;

  case 796: /* $@347: %empty  */
#line 1328 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL ); }
#line 8311 "configparser.cc"
    break;

  case 798: /* $@348: %empty  */
#line 1329 "configparser.yy"
                                                { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_IN_TERMINAL_AND_WAIT4KEY ); }
#line 8317 "configparser.cc"
    break;

  case 800: /* $@349: %empty  */
#line 1330 "configparser.yy"
                                              { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT ); }
#line 8323 "configparser.cc"
    break;

  case 802: /* $@350: %empty  */
#line 1331 "configparser.yy"
                                                 { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_SHOW_OUTPUT_INT ); }
#line 8329 "configparser.cc"
    break;

  case 804: /* $@351: %empty  */
#line 1332 "configparser.yy"
                                          { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setStart( StartProgOp::STARTPROGOP_START_NORMAL ); }
#line 8335 "configparser.cc"
    break;

  case 806: /* $@352: %empty  */
#line 1333 "configparser.yy"
                                            { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setViewStr( (yyvsp[-1].strptr) ); }
#line 8341 "configparser.cc"
    break;

  case 808: /* $@353: %empty  */
#line 1334 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setGlobal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8347 "configparser.cc"
    break;

  case 810: /* $@354: %empty  */
#line 1335 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8353 "configparser.cc"
    break;

  case 812: /* $@355: %empty  */
#line 1336 "configparser.yy"
                                           { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setInBackground( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8359 "configparser.cc"
    break;

  case 814: /* $@356: %empty  */
#line 1337 "configparser.yy"
                                     { std::dynamic_pointer_cast<StartProgOp>(lconfig_fp1)->setDontCD( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8365 "configparser.cc"
    break;

  case 817: /* $@357: %empty  */
#line 1340 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SearchEntryOp>(); }
#line 8371 "configparser.cc"
    break;

  case 818: /* searchentryop: SEARCHENTRYOP_WCP LEFTBRACE_WCP $@357 searchentryopbody RIGHTBRACE_WCP  */
#line 1341 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8377 "configparser.cc"
    break;

  case 819: /* $@358: %empty  */
#line 1343 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setIgnoreCase( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8383 "configparser.cc"
    break;

  case 821: /* $@359: %empty  */
#line 1344 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setReverseSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8389 "configparser.cc"
    break;

  case 823: /* $@360: %empty  */
#line 1345 "configparser.yy"
                                            { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setInfixSearch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8395 "configparser.cc"
    break;

  case 825: /* $@361: %empty  */
#line 1346 "configparser.yy"
                                              { std::dynamic_pointer_cast<SearchEntryOp>(lconfig_fp1)->setFlexibleMatch( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8401 "configparser.cc"
    break;

  case 828: /* $@362: %empty  */
#line 1349 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<EnterPathOp>(); }
#line 8407 "configparser.cc"
    break;

  case 829: /* enterpathop: ENTERPATHOP_WCP LEFTBRACE_WCP $@362 enterpathopbody RIGHTBRACE_WCP  */
#line 1350 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8413 "configparser.cc"
    break;

  case 830: /* $@363: %empty  */
#line 1352 "configparser.yy"
                                       { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_LEFTSIDE ); }
#line 8419 "configparser.cc"
    break;

  case 832: /* $@364: %empty  */
#line 1353 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_RIGHTSIDE ); }
#line 8425 "configparser.cc"
    break;

  case 834: /* $@365: %empty  */
#line 1354 "configparser.yy"
                                          { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_THISSIDE ); }
#line 8431 "configparser.cc"
    break;

  case 836: /* $@366: %empty  */
#line 1355 "configparser.yy"
                                        { std::dynamic_pointer_cast<EnterPathOp>(lconfig_fp1)->setSide( EnterPathOp::ENTERPATHOP_OTHERSIDE ); }
#line 8437 "configparser.cc"
    break;

  case 839: /* $@367: %empty  */
#line 1358 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ScrollListerOp>(); }
#line 8443 "configparser.cc"
    break;

  case 840: /* scrolllisterop: SCROLLLISTEROP_WCP LEFTBRACE_WCP $@367 scrolllisteropbody RIGHTBRACE_WCP  */
#line 1359 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8449 "configparser.cc"
    break;

  case 841: /* $@368: %empty  */
#line 1361 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_LEFT ); }
#line 8455 "configparser.cc"
    break;

  case 843: /* $@369: %empty  */
#line 1362 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScrollListerOp>(lconfig_fp1)->setDir( ScrollListerOp::SCROLLLISTEROP_RIGHT ); }
#line 8461 "configparser.cc"
    break;

  case 846: /* $@370: %empty  */
#line 1365 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<CreateSymlinkOp>(); }
#line 8467 "configparser.cc"
    break;

  case 847: /* createsymlinkop: CREATESYMLINKOP_WCP LEFTBRACE_WCP $@370 createsymlinkopbody RIGHTBRACE_WCP  */
#line 1366 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8473 "configparser.cc"
    break;

  case 848: /* $@371: %empty  */
#line 1368 "configparser.yy"
                                          { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setSameDir( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8479 "configparser.cc"
    break;

  case 850: /* $@372: %empty  */
#line 1369 "configparser.yy"
                                           { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setLocal( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8485 "configparser.cc"
    break;

  case 852: /* $@373: %empty  */
#line 1370 "configparser.yy"
                                               { std::dynamic_pointer_cast<CreateSymlinkOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8491 "configparser.cc"
    break;

  case 855: /* $@374: %empty  */
#line 1373 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<ChangeSymlinkOp>(); }
#line 8497 "configparser.cc"
    break;

  case 856: /* changesymlinkop: CHANGESYMLINKOP_WCP LEFTBRACE_WCP $@374 changesymlinkopbody RIGHTBRACE_WCP  */
#line 1374 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8503 "configparser.cc"
    break;

  case 857: /* $@375: %empty  */
#line 1376 "configparser.yy"
                                           { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_EDIT ); }
#line 8509 "configparser.cc"
    break;

  case 859: /* $@376: %empty  */
#line 1377 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_ABSOLUTE ); }
#line 8515 "configparser.cc"
    break;

  case 861: /* $@377: %empty  */
#line 1378 "configparser.yy"
                                                   { std::dynamic_pointer_cast<ChangeSymlinkOp>(lconfig_fp1)->setMode( ChangeSymlinkOp::CHANGESYMLINK_MAKE_RELATIVE ); }
#line 8521 "configparser.cc"
    break;

  case 864: /* $@378: %empty  */
#line 1381 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChModOp>(); }
#line 8527 "configparser.cc"
    break;

  case 865: /* chmodop: CHMODOP_WCP LEFTBRACE_WCP $@378 chmodopbody RIGHTBRACE_WCP  */
#line 1382 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8533 "configparser.cc"
    break;

  case 866: /* $@379: %empty  */
#line 1384 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8539 "configparser.cc"
    break;

  case 868: /* $@380: %empty  */
#line 1385 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8545 "configparser.cc"
    break;

  case 870: /* $@381: %empty  */
#line 1386 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8551 "configparser.cc"
    break;

  case 872: /* $@382: %empty  */
#line 1387 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChModOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8557 "configparser.cc"
    break;

  case 875: /* $@383: %empty  */
#line 1390 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ChTimeOp>(); }
#line 8563 "configparser.cc"
    break;

  case 876: /* chtimeop: CHTIMEOP_WCP LEFTBRACE_WCP $@383 chtimeopbody RIGHTBRACE_WCP  */
#line 1391 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8569 "configparser.cc"
    break;

  case 877: /* $@384: %empty  */
#line 1393 "configparser.yy"
                                   { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8575 "configparser.cc"
    break;

  case 879: /* $@385: %empty  */
#line 1394 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8581 "configparser.cc"
    break;

  case 881: /* $@386: %empty  */
#line 1395 "configparser.yy"
                                     { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8587 "configparser.cc"
    break;

  case 883: /* $@387: %empty  */
#line 1396 "configparser.yy"
                                        { std::dynamic_pointer_cast<ChTimeOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8593 "configparser.cc"
    break;

  case 886: /* $@388: %empty  */
#line 1399 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ToggleListermodeOp>(); }
#line 8599 "configparser.cc"
    break;

  case 887: /* togglelistermodeop: TOGGLELISTERMODEOP_WCP LEFTBRACE_WCP $@388 togglelistermodeopbody RIGHTBRACE_WCP  */
#line 1400 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8605 "configparser.cc"
    break;

  case 888: /* $@389: %empty  */
#line 1402 "configparser.yy"
                                                { std::dynamic_pointer_cast<ToggleListermodeOp>(lconfig_fp1)->setMode( Worker::getID4Name( (yyvsp[-1].strptr) ) ); }
#line 8611 "configparser.cc"
    break;

  case 891: /* $@390: %empty  */
#line 1405 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<SetSortmodeOp>();
                                        std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setMode( 0 );
                                      }
#line 8619 "configparser.cc"
    break;

  case 892: /* setsortmodeop: SETSORTMODEOP_WCP LEFTBRACE_WCP $@390 setsortmodeopbody RIGHTBRACE_WCP  */
#line 1408 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8625 "configparser.cc"
    break;

  case 893: /* $@391: %empty  */
#line 1410 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NAME ); }
#line 8631 "configparser.cc"
    break;

  case 895: /* $@392: %empty  */
#line 1411 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_SIZE ); }
#line 8637 "configparser.cc"
    break;

  case 897: /* $@393: %empty  */
#line 1412 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_ACCTIME ); }
#line 8643 "configparser.cc"
    break;

  case 899: /* $@394: %empty  */
#line 1413 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_MODTIME ); }
#line 8649 "configparser.cc"
    break;

  case 901: /* $@395: %empty  */
#line 1414 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_CHGTIME ); }
#line 8655 "configparser.cc"
    break;

  case 903: /* $@396: %empty  */
#line 1415 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_TYPE ); }
#line 8661 "configparser.cc"
    break;

  case 905: /* $@397: %empty  */
#line 1416 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_OWNER ); }
#line 8667 "configparser.cc"
    break;

  case 907: /* $@398: %empty  */
#line 1417 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_INODE ); }
#line 8673 "configparser.cc"
    break;

  case 909: /* $@399: %empty  */
#line 1418 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_NLINK ); }
#line 8679 "configparser.cc"
    break;

  case 911: /* $@400: %empty  */
#line 1419 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_PERMISSION ); }
#line 8685 "configparser.cc"
    break;

  case 913: /* $@401: %empty  */
#line 1420 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_REVERSE ); }
#line 8691 "configparser.cc"
    break;

  case 915: /* $@402: %empty  */
#line 1421 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRLAST ); }
#line 8697 "configparser.cc"
    break;

  case 917: /* $@403: %empty  */
#line 1422 "configparser.yy"
                                                 { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortFlag( SORT_DIRMIXED ); }
#line 8703 "configparser.cc"
    break;

  case 919: /* $@404: %empty  */
#line 1423 "configparser.yy"
                                                { std::dynamic_pointer_cast<SetSortmodeOp>(lconfig_fp1)->setSortby( SORT_EXTENSION ); }
#line 8709 "configparser.cc"
    break;

  case 922: /* $@405: %empty  */
#line 1426 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<SetFilterOp>(); }
#line 8715 "configparser.cc"
    break;

  case 923: /* setfilterop: SETFILTEROP_WCP LEFTBRACE_WCP $@405 setfilteropbody RIGHTBRACE_WCP  */
#line 1427 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8721 "configparser.cc"
    break;

  case 924: /* $@406: %empty  */
#line 1429 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8727 "configparser.cc"
    break;

  case 926: /* $@407: %empty  */
#line 1430 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::EXCLUDE_FILTER ); }
#line 8733 "configparser.cc"
    break;

  case 928: /* $@408: %empty  */
#line 1431 "configparser.yy"
                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::INCLUDE_FILTER ); }
#line 8739 "configparser.cc"
    break;

  case 930: /* $@409: %empty  */
#line 1432 "configparser.yy"
                                        { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_FILTER ); }
#line 8745 "configparser.cc"
    break;

  case 932: /* $@410: %empty  */
#line 1433 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFiltermode( SetFilterOp::UNSET_ALL ); }
#line 8751 "configparser.cc"
    break;

  case 934: /* $@411: %empty  */
#line 1434 "configparser.yy"
                                           { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setFilter( (yyvsp[-1].strptr) ); }
#line 8757 "configparser.cc"
    break;

  case 936: /* $@412: %empty  */
#line 1435 "configparser.yy"
                                                  { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkLabel( (yyvsp[-1].strptr) ); }
#line 8763 "configparser.cc"
    break;

  case 938: /* $@413: %empty  */
#line 1436 "configparser.yy"
                                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_BOOKMARKS ); }
#line 8769 "configparser.cc"
    break;

  case 940: /* $@414: %empty  */
#line 1437 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ONLY_LABEL ); }
#line 8775 "configparser.cc"
    break;

  case 942: /* $@415: %empty  */
#line 1438 "configparser.yy"
                                                    { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setBookmarkFilter( DirFilterSettings::SHOW_ALL ); }
#line 8781 "configparser.cc"
    break;

  case 944: /* $@416: %empty  */
#line 1439 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::SET_OPTION ); }
#line 8787 "configparser.cc"
    break;

  case 946: /* $@417: %empty  */
#line 1440 "configparser.yy"
                                               { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setOptionMode( SetFilterOp::INVERT_OPTION ); }
#line 8793 "configparser.cc"
    break;

  case 948: /* $@418: %empty  */
#line 1441 "configparser.yy"
                                            { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeFilters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8799 "configparser.cc"
    break;

  case 950: /* $@419: %empty  */
#line 1442 "configparser.yy"
                                              { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setChangeBookmarks( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8805 "configparser.cc"
    break;

  case 952: /* $@420: %empty  */
#line 1443 "configparser.yy"
                                         { std::dynamic_pointer_cast<SetFilterOp>(lconfig_fp1)->setQueryLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8811 "configparser.cc"
    break;

  case 955: /* $@421: %empty  */
#line 1446 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<ShortkeyFromListOp>(); }
#line 8817 "configparser.cc"
    break;

  case 956: /* shortkeyfromlistop: SHORTKEYFROMLISTOP_WCP LEFTBRACE_WCP $@421 RIGHTBRACE_WCP  */
#line 1447 "configparser.yy"
                                  { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8823 "configparser.cc"
    break;

  case 957: /* $@422: %empty  */
#line 1449 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<ChOwnOp>(); }
#line 8829 "configparser.cc"
    break;

  case 958: /* chownop: CHOWNOP_WCP LEFTBRACE_WCP $@422 chownopbody RIGHTBRACE_WCP  */
#line 1450 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8835 "configparser.cc"
    break;

  case 959: /* $@423: %empty  */
#line 1452 "configparser.yy"
                                  { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnFiles( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8841 "configparser.cc"
    break;

  case 961: /* $@424: %empty  */
#line 1453 "configparser.yy"
                                 { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setOnDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8847 "configparser.cc"
    break;

  case 963: /* $@425: %empty  */
#line 1454 "configparser.yy"
                                    { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8853 "configparser.cc"
    break;

  case 965: /* $@426: %empty  */
#line 1455 "configparser.yy"
                                       { std::dynamic_pointer_cast<ChOwnOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8859 "configparser.cc"
    break;

  case 968: /* $@427: %empty  */
#line 1458 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<ScriptOp>(); }
#line 8865 "configparser.cc"
    break;

  case 969: /* scriptop: SCRIPTOP_WCP LEFTBRACE_WCP $@427 scriptopbody RIGHTBRACE_WCP  */
#line 1459 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 8871 "configparser.cc"
    break;

  case 970: /* $@428: %empty  */
#line 1461 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_NOP ); }
#line 8877 "configparser.cc"
    break;

  case 972: /* $@429: %empty  */
#line 1462 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_PUSH ); }
#line 8883 "configparser.cc"
    break;

  case 974: /* $@430: %empty  */
#line 1463 "configparser.yy"
                                     { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_LABEL ); }
#line 8889 "configparser.cc"
    break;

  case 976: /* $@431: %empty  */
#line 1464 "configparser.yy"
                                  { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_IF ); }
#line 8895 "configparser.cc"
    break;

  case 978: /* $@432: %empty  */
#line 1465 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_END ); }
#line 8901 "configparser.cc"
    break;

  case 980: /* $@433: %empty  */
#line 1466 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_POP ); }
#line 8907 "configparser.cc"
    break;

  case 982: /* $@434: %empty  */
#line 1467 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_SETTINGS ); }
#line 8913 "configparser.cc"
    break;

  case 984: /* $@435: %empty  */
#line 1468 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_WINDOW ); }
#line 8919 "configparser.cc"
    break;

  case 986: /* $@436: %empty  */
#line 1469 "configparser.yy"
                                    { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_GOTO ); }
#line 8925 "configparser.cc"
    break;

  case 988: /* $@437: %empty  */
#line 1470 "configparser.yy"
                                           { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setType( ScriptOp::SCRIPT_EVALCOMMAND ); }
#line 8931 "configparser.cc"
    break;

  case 990: /* $@438: %empty  */
#line 1471 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8937 "configparser.cc"
    break;

  case 992: /* $@439: %empty  */
#line 1472 "configparser.yy"
                                   { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setDoDebug( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8943 "configparser.cc"
    break;

  case 994: /* $@440: %empty  */
#line 1473 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPURecursive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8949 "configparser.cc"
    break;

  case 996: /* $@441: %empty  */
#line 1474 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWPUTakeDirs( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 8955 "configparser.cc"
    break;

  case 998: /* $@442: %empty  */
#line 1475 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setStackNr( (yyvsp[-1].num) ); }
#line 8961 "configparser.cc"
    break;

  case 1000: /* $@443: %empty  */
#line 1476 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 8967 "configparser.cc"
    break;

  case 1002: /* $@444: %empty  */
#line 1477 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setPushString( (yyvsp[-1].strptr) ); }
#line 8973 "configparser.cc"
    break;

  case 1004: /* $@445: %empty  */
#line 1478 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfTest( (yyvsp[-1].strptr) ); }
#line 8979 "configparser.cc"
    break;

  case 1006: /* $@446: %empty  */
#line 1479 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setIfLabel( (yyvsp[-1].strptr) ); }
#line 8985 "configparser.cc"
    break;

  case 1008: /* $@447: %empty  */
#line 1480 "configparser.yy"
                                       { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_OPEN ); }
#line 8991 "configparser.cc"
    break;

  case 1010: /* $@448: %empty  */
#line 1481 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_CLOSE ); }
#line 8997 "configparser.cc"
    break;

  case 1012: /* $@449: %empty  */
#line 1482 "configparser.yy"
                                        { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinType( ScriptOp::SCRIPT_WINDOW_LEAVE ); }
#line 9003 "configparser.cc"
    break;

  case 1014: /* $@450: %empty  */
#line 1483 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeProgress( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9009 "configparser.cc"
    break;

  case 1016: /* $@451: %empty  */
#line 1484 "configparser.yy"
                                      { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setChangeText( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9015 "configparser.cc"
    break;

  case 1018: /* $@452: %empty  */
#line 1485 "configparser.yy"
                                             { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgressUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9021 "configparser.cc"
    break;

  case 1020: /* $@453: %empty  */
#line 1486 "configparser.yy"
                                            { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinTextUseOutput( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9027 "configparser.cc"
    break;

  case 1022: /* $@454: %empty  */
#line 1487 "configparser.yy"
                                          { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setProgress( (yyvsp[-1].strptr) ); }
#line 9033 "configparser.cc"
    break;

  case 1024: /* $@455: %empty  */
#line 1488 "configparser.yy"
                                         { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setWinText( (yyvsp[-1].strptr) ); }
#line 9039 "configparser.cc"
    break;

  case 1026: /* $@456: %empty  */
#line 1489 "configparser.yy"
                                               { std::dynamic_pointer_cast<ScriptOp>(lconfig_fp1)->setCommandStr( (yyvsp[-1].strptr) ); }
#line 9045 "configparser.cc"
    break;

  case 1029: /* $@457: %empty  */
#line 1492 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ShowDirCacheOp>(); }
#line 9051 "configparser.cc"
    break;

  case 1030: /* showdircacheop: SHOWDIRCACHEOP_WCP LEFTBRACE_WCP $@457 RIGHTBRACE_WCP  */
#line 1493 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9057 "configparser.cc"
    break;

  case 1031: /* $@458: %empty  */
#line 1495 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ParentActionOp>(); }
#line 9063 "configparser.cc"
    break;

  case 1032: /* parentactionop: PARENTACTIONOP_WCP LEFTBRACE_WCP $@458 RIGHTBRACE_WCP  */
#line 1496 "configparser.yy"
                              { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9069 "configparser.cc"
    break;

  case 1033: /* $@459: %empty  */
#line 1498 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<NoOperationOp>(); }
#line 9075 "configparser.cc"
    break;

  case 1034: /* nooperationop: NOOPERATIONOP_WCP LEFTBRACE_WCP $@459 RIGHTBRACE_WCP  */
#line 1499 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9081 "configparser.cc"
    break;

  case 1035: /* $@460: %empty  */
#line 1501 "configparser.yy"
                                  { lconfig_fp1 = std::make_shared<GoFTPOp>(); }
#line 9087 "configparser.cc"
    break;

  case 1036: /* goftpop: GOFTPOP_WCP LEFTBRACE_WCP $@460 goftpopbody RIGHTBRACE_WCP  */
#line 1502 "configparser.yy"
                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9093 "configparser.cc"
    break;

  case 1037: /* $@461: %empty  */
#line 1504 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9099 "configparser.cc"
    break;

  case 1039: /* $@462: %empty  */
#line 1505 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setHost( (yyvsp[-1].strptr) ); }
#line 9105 "configparser.cc"
    break;

  case 1041: /* $@463: %empty  */
#line 1506 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setUser( (yyvsp[-1].strptr) ); }
#line 9111 "configparser.cc"
    break;

  case 1043: /* $@464: %empty  */
#line 1507 "configparser.yy"
                                         { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setPass( (yyvsp[-1].strptr) ); }
#line 9117 "configparser.cc"
    break;

  case 1045: /* $@465: %empty  */
#line 1508 "configparser.yy"
                                       { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setDontEnterFTP( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9123 "configparser.cc"
    break;

  case 1047: /* $@466: %empty  */
#line 1509 "configparser.yy"
                                        { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAlwaysStorePW( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9129 "configparser.cc"
    break;

  case 1049: /* $@467: %empty  */
#line 1510 "configparser.yy"
                                           { std::dynamic_pointer_cast<GoFTPOp>(lconfig_fp1)->setAVFSModule( (yyvsp[-1].strptr) ); }
#line 9135 "configparser.cc"
    break;

  case 1052: /* $@468: %empty  */
#line 1513 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<InternalViewOp>(); }
#line 9141 "configparser.cc"
    break;

  case 1053: /* internalviewop: INTERNALVIEWOP_WCP LEFTBRACE_WCP $@468 internalviewopbody RIGHTBRACE_WCP  */
#line 1514 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9147 "configparser.cc"
    break;

  case 1054: /* $@469: %empty  */
#line 1516 "configparser.yy"
                                              { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setRequestParameters( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9153 "configparser.cc"
    break;

  case 1056: /* $@470: %empty  */
#line 1517 "configparser.yy"
                                            { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setCustomFiles( (yyvsp[-1].strptr) ); }
#line 9159 "configparser.cc"
    break;

  case 1058: /* $@471: %empty  */
#line 1518 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_ACTIVE_FILE ); }
#line 9165 "configparser.cc"
    break;

  case 1060: /* $@472: %empty  */
#line 1519 "configparser.yy"
                                         { std::dynamic_pointer_cast<InternalViewOp>(lconfig_fp1)->setShowFileMode( InternalViewOp::SHOW_CUSTOM_FILES ); }
#line 9171 "configparser.cc"
    break;

  case 1063: /* $@473: %empty  */
#line 1523 "configparser.yy"
                                          { lconfig_fp1 = std::make_shared<ClipboardOp>(); }
#line 9177 "configparser.cc"
    break;

  case 1064: /* clipboardop: CLIPBOARDOP_WCP LEFTBRACE_WCP $@473 clipboardopbody RIGHTBRACE_WCP  */
#line 1524 "configparser.yy"
                                           { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9183 "configparser.cc"
    break;

  case 1065: /* $@474: %empty  */
#line 1526 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ClipboardOp>(lconfig_fp1)->setClipboardString( (yyvsp[-1].strptr) ); }
#line 9189 "configparser.cc"
    break;

  case 1068: /* $@475: %empty  */
#line 1529 "configparser.yy"
                                    { lconfig_fp1 = std::make_shared<SearchOp>(); }
#line 9195 "configparser.cc"
    break;

  case 1069: /* searchop: SEARCHOP_WCP LEFTBRACE_WCP $@475 searchopbody RIGHTBRACE_WCP  */
#line 1530 "configparser.yy"
                                     { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9201 "configparser.cc"
    break;

  case 1070: /* $@476: %empty  */
#line 1532 "configparser.yy"
                                             { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setEditCommand( (yyvsp[-1].strptr) ); }
#line 9207 "configparser.cc"
    break;

  case 1072: /* $@477: %empty  */
#line 1533 "configparser.yy"
                                           { std::dynamic_pointer_cast<SearchOp>(lconfig_fp1)->setShowPrevResults( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9213 "configparser.cc"
    break;

  case 1075: /* $@478: %empty  */
#line 1536 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<DirBookmarkOp>(); }
#line 9219 "configparser.cc"
    break;

  case 1076: /* dirbookmarkop: DIRBOOKMARKOP_WCP LEFTBRACE_WCP $@478 RIGHTBRACE_WCP  */
#line 1537 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9225 "configparser.cc"
    break;

  case 1077: /* $@479: %empty  */
#line 1539 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<OpenContextMenuOp>(); }
#line 9231 "configparser.cc"
    break;

  case 1078: /* opencontextmenuop: OPENCONTEXTMENUOP_WCP LEFTBRACE_WCP $@479 opencontextmenuopbody RIGHTBRACE_WCP  */
#line 1540 "configparser.yy"
                                                       { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9237 "configparser.cc"
    break;

  case 1079: /* $@480: %empty  */
#line 1542 "configparser.yy"
                                                          { std::dynamic_pointer_cast<OpenContextMenuOp>(lconfig_fp1)->setHighlightUserAction( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9243 "configparser.cc"
    break;

  case 1082: /* $@481: %empty  */
#line 1545 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<RunCustomAction>(); }
#line 9249 "configparser.cc"
    break;

  case 1083: /* runcustomaction: RUNCUSTOMACTION_WCP LEFTBRACE_WCP $@481 runcustomactionbody RIGHTBRACE_WCP  */
#line 1546 "configparser.yy"
                                                   { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9255 "configparser.cc"
    break;

  case 1084: /* $@482: %empty  */
#line 1548 "configparser.yy"
                                                   { std::dynamic_pointer_cast<RunCustomAction>(lconfig_fp1)->setCustomName( (yyvsp[-1].strptr) ); }
#line 9261 "configparser.cc"
    break;

  case 1087: /* $@483: %empty  */
#line 1551 "configparser.yy"
                                                    { lconfig_fp1 = std::make_shared<OpenWorkerMenuOp>(); }
#line 9267 "configparser.cc"
    break;

  case 1088: /* openworkermenuop: OPENWORKERMENUOP_WCP LEFTBRACE_WCP $@483 RIGHTBRACE_WCP  */
#line 1552 "configparser.yy"
                                { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9273 "configparser.cc"
    break;

  case 1089: /* $@484: %empty  */
#line 1554 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<ChangeLabelOp>(); }
#line 9279 "configparser.cc"
    break;

  case 1090: /* changelabelop: CHANGELABELOP_WCP LEFTBRACE_WCP $@484 changelabelopbody RIGHTBRACE_WCP  */
#line 1555 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9285 "configparser.cc"
    break;

  case 1091: /* $@485: %empty  */
#line 1557 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setAskForLabel( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9291 "configparser.cc"
    break;

  case 1093: /* $@486: %empty  */
#line 1558 "configparser.yy"
                                            { std::dynamic_pointer_cast<ChangeLabelOp>(lconfig_fp1)->setLabel( (yyvsp[-1].strptr) ); }
#line 9297 "configparser.cc"
    break;

  case 1096: /* $@487: %empty  */
#line 1561 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<ModifyTabsOp>(); }
#line 9303 "configparser.cc"
    break;

  case 1097: /* modifytabsop: MODIFYTABSOP_WCP LEFTBRACE_WCP $@487 modifytabsopbody RIGHTBRACE_WCP  */
#line 1562 "configparser.yy"
                                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9309 "configparser.cc"
    break;

  case 1098: /* $@488: %empty  */
#line 1564 "configparser.yy"
                                               { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEW_TAB ); }
#line 9315 "configparser.cc"
    break;

  case 1100: /* $@489: %empty  */
#line 1565 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::CLOSE_CURRENT_TAB ); }
#line 9321 "configparser.cc"
    break;

  case 1102: /* $@490: %empty  */
#line 1566 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::NEXT_TAB ); }
#line 9327 "configparser.cc"
    break;

  case 1104: /* $@491: %empty  */
#line 1567 "configparser.yy"
                                                { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::PREV_TAB ); }
#line 9333 "configparser.cc"
    break;

  case 1106: /* $@492: %empty  */
#line 1568 "configparser.yy"
                                                        { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::TOGGLE_LOCK_STATE ); }
#line 9339 "configparser.cc"
    break;

  case 1108: /* $@493: %empty  */
#line 1569 "configparser.yy"
                                                    { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_LEFT ); }
#line 9345 "configparser.cc"
    break;

  case 1110: /* $@494: %empty  */
#line 1570 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ModifyTabsOp>(lconfig_fp1)->setTabAction( ModifyTabsOp::MOVE_TAB_RIGHT ); }
#line 9351 "configparser.cc"
    break;

  case 1113: /* $@495: %empty  */
#line 1573 "configparser.yy"
                                                {
                 lconfig_fp1 = std::make_shared<ChangeLayoutOp>();
                 layout_sets = LayoutSettings();
             }
#line 9360 "configparser.cc"
    break;

  case 1114: /* changelayoutop: CHANGELAYOUTOP_WCP LEFTBRACE_WCP $@495 changelayoutopbody RIGHTBRACE_WCP  */
#line 1576 "configparser.yy"
                                                 {
                 std::dynamic_pointer_cast<ChangeLayoutOp>(lconfig_fp1)->setLayout( layout_sets );
                 lconfig_listcom.push_back( lconfig_fp1 );
             }
#line 9369 "configparser.cc"
    break;

  case 1115: /* $@496: %empty  */
#line 1581 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_STATEBAR ); }
#line 9375 "configparser.cc"
    break;

  case 1117: /* $@497: %empty  */
#line 1582 "configparser.yy"
                                   { layout_sets.pushBackOrder( LayoutSettings::LO_CLOCKBAR ); }
#line 9381 "configparser.cc"
    break;

  case 1119: /* $@498: %empty  */
#line 1583 "configparser.yy"
                                  { layout_sets.pushBackOrder( LayoutSettings::LO_BUTTONS ); }
#line 9387 "configparser.cc"
    break;

  case 1121: /* $@499: %empty  */
#line 1584 "configparser.yy"
                                    { layout_sets.pushBackOrder( LayoutSettings::LO_LISTVIEWS ); }
#line 9393 "configparser.cc"
    break;

  case 1123: /* $@500: %empty  */
#line 1585 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_BLL ); }
#line 9399 "configparser.cc"
    break;

  case 1125: /* $@501: %empty  */
#line 1586 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LBL ); }
#line 9405 "configparser.cc"
    break;

  case 1127: /* $@502: %empty  */
#line 1587 "configparser.yy"
                              { layout_sets.pushBackOrder( LayoutSettings::LO_LLB ); }
#line 9411 "configparser.cc"
    break;

  case 1129: /* $@503: %empty  */
#line 1588 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_BL ); }
#line 9417 "configparser.cc"
    break;

  case 1131: /* $@504: %empty  */
#line 1589 "configparser.yy"
                             { layout_sets.pushBackOrder( LayoutSettings::LO_LB ); }
#line 9423 "configparser.cc"
    break;

  case 1133: /* $@505: %empty  */
#line 1590 "configparser.yy"
                                            { layout_sets.setButtonVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9429 "configparser.cc"
    break;

  case 1135: /* $@506: %empty  */
#line 1591 "configparser.yy"
                                              { layout_sets.setListViewVert( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9435 "configparser.cc"
    break;

  case 1137: /* $@507: %empty  */
#line 1592 "configparser.yy"
                                                  { layout_sets.setListViewWeight( (yyvsp[-1].num) ); }
#line 9441 "configparser.cc"
    break;

  case 1139: /* $@508: %empty  */
#line 1593 "configparser.yy"
                                               { layout_sets.setWeightRelToActive( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9447 "configparser.cc"
    break;

  case 1142: /* $@509: %empty  */
#line 1596 "configparser.yy"
                                                  {
                  lconfig_fp1 = std::make_shared<ChangeColumnsOp>();
                  columns.clear();
                }
#line 9456 "configparser.cc"
    break;

  case 1143: /* changecolumnsop: CHANGECOLUMNSOP_WCP LEFTBRACE_WCP $@509 changecolumnsopbody RIGHTBRACE_WCP  */
#line 1599 "configparser.yy"
                                                     {
                  std::dynamic_pointer_cast<ChangeColumnsOp>(lconfig_fp1)->setColumns( columns );
                  lconfig_listcom.push_back( lconfig_fp1 );
                }
#line 9465 "configparser.cc"
    break;

  case 1144: /* $@510: %empty  */
#line 1604 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_NAME ); }
#line 9471 "configparser.cc"
    break;

  case 1146: /* $@511: %empty  */
#line 1605 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_SIZE ); }
#line 9477 "configparser.cc"
    break;

  case 1148: /* $@512: %empty  */
#line 1606 "configparser.yy"
                               { columns.push_back( WorkerTypes::LISTCOL_TYPE ); }
#line 9483 "configparser.cc"
    break;

  case 1150: /* $@513: %empty  */
#line 1607 "configparser.yy"
                                     { columns.push_back( WorkerTypes::LISTCOL_PERM ); }
#line 9489 "configparser.cc"
    break;

  case 1152: /* $@514: %empty  */
#line 1608 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_OWNER ); }
#line 9495 "configparser.cc"
    break;

  case 1154: /* $@515: %empty  */
#line 1609 "configparser.yy"
                                      { columns.push_back( WorkerTypes::LISTCOL_DEST ); }
#line 9501 "configparser.cc"
    break;

  case 1156: /* $@516: %empty  */
#line 1610 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_MOD ); }
#line 9507 "configparser.cc"
    break;

  case 1158: /* $@517: %empty  */
#line 1611 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_ACC ); }
#line 9513 "configparser.cc"
    break;

  case 1160: /* $@518: %empty  */
#line 1612 "configparser.yy"
                                  { columns.push_back( WorkerTypes::LISTCOL_CHANGE ); }
#line 9519 "configparser.cc"
    break;

  case 1162: /* $@519: %empty  */
#line 1613 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_INODE ); }
#line 9525 "configparser.cc"
    break;

  case 1164: /* $@520: %empty  */
#line 1614 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_NLINK ); }
#line 9531 "configparser.cc"
    break;

  case 1166: /* $@521: %empty  */
#line 1615 "configparser.yy"
                                 { columns.push_back( WorkerTypes::LISTCOL_BLOCKS ); }
#line 9537 "configparser.cc"
    break;

  case 1168: /* $@522: %empty  */
#line 1616 "configparser.yy"
                                { columns.push_back( WorkerTypes::LISTCOL_SIZEH ); }
#line 9543 "configparser.cc"
    break;

  case 1170: /* $@523: %empty  */
#line 1617 "configparser.yy"
                                    { columns.push_back( WorkerTypes::LISTCOL_EXTENSION ); }
#line 9549 "configparser.cc"
    break;

  case 1173: /* $@524: %empty  */
#line 1620 "configparser.yy"
                                                  { lconfig_fp1 = std::make_shared<VolumeManagerOp>(); }
#line 9555 "configparser.cc"
    break;

  case 1174: /* volumemanagerop: VOLUMEMANAGEROP_WCP LEFTBRACE_WCP $@524 RIGHTBRACE_WCP  */
#line 1621 "configparser.yy"
                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9561 "configparser.cc"
    break;

  case 1175: /* $@525: %empty  */
#line 1623 "configparser.yy"
                                                        { lconfig_fp1 = std::make_shared<SwitchButtonBankOp>(); }
#line 9567 "configparser.cc"
    break;

  case 1176: /* switchbuttonbankop: SWITCHBUTTONBANKOP_WCP LEFTBRACE_WCP $@525 switchbuttonbankopbody RIGHTBRACE_WCP  */
#line 1624 "configparser.yy"
                                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9573 "configparser.cc"
    break;

  case 1177: /* $@526: %empty  */
#line 1626 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_NEXT_BANK ); }
#line 9579 "configparser.cc"
    break;

  case 1179: /* $@527: %empty  */
#line 1627 "configparser.yy"
                                                          { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_PREV_BANK ); }
#line 9585 "configparser.cc"
    break;

  case 1181: /* $@528: %empty  */
#line 1628 "configparser.yy"
                                                        { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setSwitchMode( SwitchButtonBankOp::SWITCH_TO_BANK_NR ); }
#line 9591 "configparser.cc"
    break;

  case 1183: /* $@529: %empty  */
#line 1629 "configparser.yy"
                                              { std::dynamic_pointer_cast<SwitchButtonBankOp>(lconfig_fp1)->setBankNr( (yyvsp[-1].num) ); }
#line 9597 "configparser.cc"
    break;

  case 1186: /* $@530: %empty  */
#line 1632 "configparser.yy"
                                        { lconfig_fp1 = std::make_shared<PathJumpOp>(); }
#line 9603 "configparser.cc"
    break;

  case 1187: /* pathjumpop: PATHJUMPOP_WCP LEFTBRACE_WCP $@530 pathjumpopbody RIGHTBRACE_WCP  */
#line 1633 "configparser.yy"
                                         { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9609 "configparser.cc"
    break;

  case 1188: /* $@531: %empty  */
#line 1635 "configparser.yy"
                                                  { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_TIME ); }
#line 9615 "configparser.cc"
    break;

  case 1190: /* $@532: %empty  */
#line 1636 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_FILTER ); }
#line 9621 "configparser.cc"
    break;

  case 1192: /* $@533: %empty  */
#line 1637 "configparser.yy"
                                                     { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setInitialTab( PathJumpOp::SHOW_BY_PROGRAM ); }
#line 9627 "configparser.cc"
    break;

  case 1194: /* $@534: %empty  */
#line 1638 "configparser.yy"
                                                { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_ALL ); }
#line 9633 "configparser.cc"
    break;

  case 1196: /* $@535: %empty  */
#line 1639 "configparser.yy"
                                                    { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_SUBDIRS ); }
#line 9639 "configparser.cc"
    break;

  case 1198: /* $@536: %empty  */
#line 1640 "configparser.yy"
                                                          { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setDisplayMode( PathJumpOp::SHOW_DIRECT_SUBDIRS ); }
#line 9645 "configparser.cc"
    break;

  case 1200: /* $@537: %empty  */
#line 1641 "configparser.yy"
                                        { std::dynamic_pointer_cast<PathJumpOp>(lconfig_fp1)->setIncludeAllData( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9651 "configparser.cc"
    break;

  case 1203: /* $@538: %empty  */
#line 1644 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<CommandMenuOp>(); }
#line 9657 "configparser.cc"
    break;

  case 1204: /* commandmenuop: COMMANDMENUOP_WCP LEFTBRACE_WCP $@538 commandmenuopbody RIGHTBRACE_WCP  */
#line 1645 "configparser.yy"
                                               { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9663 "configparser.cc"
    break;

  case 1205: /* $@539: %empty  */
#line 1647 "configparser.yy"
                                           { std::dynamic_pointer_cast<CommandMenuOp>(lconfig_fp1)->setShowRecentlyUsed( ( ( (yyvsp[-1].num) ) == 1 ) ? true : false ); }
#line 9669 "configparser.cc"
    break;

  case 1208: /* $@540: %empty  */
#line 1650 "configparser.yy"
                                                      { lconfig_fp1 = std::make_shared<ViewNewestFilesOp>(); }
#line 9675 "configparser.cc"
    break;

  case 1209: /* viewnewestfilesop: VIEWNEWESTFILESOP_WCP LEFTBRACE_WCP $@540 RIGHTBRACE_WCP  */
#line 1651 "configparser.yy"
                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9681 "configparser.cc"
    break;

  case 1210: /* $@541: %empty  */
#line 1653 "configparser.yy"
                                            { lconfig_fp1 = std::make_shared<DirCompareOp>(); }
#line 9687 "configparser.cc"
    break;

  case 1211: /* dircompareop: DIRCOMPAREOP_WCP LEFTBRACE_WCP $@541 RIGHTBRACE_WCP  */
#line 1654 "configparser.yy"
                            { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9693 "configparser.cc"
    break;

  case 1212: /* $@542: %empty  */
#line 1656 "configparser.yy"
                                              { lconfig_fp1 = std::make_shared<TabProfilesOp>(); }
#line 9699 "configparser.cc"
    break;

  case 1213: /* tabprofilesop: TABPROFILESOP_WCP LEFTBRACE_WCP $@542 RIGHTBRACE_WCP  */
#line 1657 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9705 "configparser.cc"
    break;

  case 1214: /* $@543: %empty  */
#line 1659 "configparser.yy"
                                                { lconfig_fp1 = std::make_shared<ExternalVDirOp>(); }
#line 9711 "configparser.cc"
    break;

  case 1215: /* externalvdirop: EXTERNALVDIROP_WCP LEFTBRACE_WCP $@543 externalvdiropbody RIGHTBRACE_WCP  */
#line 1660 "configparser.yy"
                                                 { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9717 "configparser.cc"
    break;

  case 1216: /* $@544: %empty  */
#line 1662 "configparser.yy"
                                                     { std::dynamic_pointer_cast<ExternalVDirOp>(lconfig_fp1)->setCommandString( (yyvsp[-1].strptr) ); }
#line 9723 "configparser.cc"
    break;

  case 1219: /* $@545: %empty  */
#line 1665 "configparser.yy"
                                              { auto tfp = std::make_shared< ScriptOp >();
                                                tfp->setType( ScriptOp::SCRIPT_EVALCOMMAND );
                                                tfp->setCommandStr( "open_current_tab_menu" );
                                                lconfig_fp1 = tfp;
                                              }
#line 9733 "configparser.cc"
    break;

  case 1220: /* opentabmenuop: OPENTABMENUOP_WCP LEFTBRACE_WCP $@545 RIGHTBRACE_WCP  */
#line 1670 "configparser.yy"
                             { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9739 "configparser.cc"
    break;

  case 1221: /* $@546: %empty  */
#line 1672 "configparser.yy"
                                                    { dir_preset = directory_presets(); }
#line 9745 "configparser.cc"
    break;

  case 1222: /* $@547: %empty  */
#line 1673 "configparser.yy"
                                                 { dir_presets[path] = dir_preset;
                                                 }
#line 9752 "configparser.cc"
    break;

  case 1225: /* $@548: %empty  */
#line 1677 "configparser.yy"
                                          { path  = (yyvsp[-1].strptr); }
#line 9758 "configparser.cc"
    break;

  case 1227: /* $@549: %empty  */
#line 1678 "configparser.yy"
                                          { dir_preset.sortmode = SORT_NAME; }
#line 9764 "configparser.cc"
    break;

  case 1229: /* $@550: %empty  */
#line 1679 "configparser.yy"
                                          { dir_preset.sortmode = SORT_SIZE; }
#line 9770 "configparser.cc"
    break;

  case 1231: /* $@551: %empty  */
#line 1680 "configparser.yy"
                                             { dir_preset.sortmode = SORT_ACCTIME; }
#line 9776 "configparser.cc"
    break;

  case 1233: /* $@552: %empty  */
#line 1681 "configparser.yy"
                                             { dir_preset.sortmode = SORT_MODTIME; }
#line 9782 "configparser.cc"
    break;

  case 1235: /* $@553: %empty  */
#line 1682 "configparser.yy"
                                             { dir_preset.sortmode = SORT_CHGTIME; }
#line 9788 "configparser.cc"
    break;

  case 1237: /* $@554: %empty  */
#line 1683 "configparser.yy"
                                          { dir_preset.sortmode = SORT_TYPE; }
#line 9794 "configparser.cc"
    break;

  case 1239: /* $@555: %empty  */
#line 1684 "configparser.yy"
                                           { dir_preset.sortmode = SORT_OWNER; }
#line 9800 "configparser.cc"
    break;

  case 1241: /* $@556: %empty  */
#line 1685 "configparser.yy"
                                           { dir_preset.sortmode = SORT_INODE; }
#line 9806 "configparser.cc"
    break;

  case 1243: /* $@557: %empty  */
#line 1686 "configparser.yy"
                                           { dir_preset.sortmode = SORT_NLINK; }
#line 9812 "configparser.cc"
    break;

  case 1245: /* $@558: %empty  */
#line 1687 "configparser.yy"
                                                { dir_preset.sortmode = SORT_PERMISSION; }
#line 9818 "configparser.cc"
    break;

  case 1247: /* $@559: %empty  */
#line 1688 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_REVERSE; }
#line 9824 "configparser.cc"
    break;

  case 1249: /* $@560: %empty  */
#line 1689 "configparser.yy"
                                               { dir_preset.sortmode |= SORT_DIRLAST; }
#line 9830 "configparser.cc"
    break;

  case 1251: /* $@561: %empty  */
#line 1690 "configparser.yy"
                                                { dir_preset.sortmode |= SORT_DIRMIXED; }
#line 9836 "configparser.cc"
    break;

  case 1253: /* $@562: %empty  */
#line 1691 "configparser.yy"
                                               { dir_preset.sortmode = SORT_EXTENSION; }
#line 9842 "configparser.cc"
    break;

  case 1255: /* $@563: %empty  */
#line 1692 "configparser.yy"
                                               { dir_preset.show_hidden = true; }
#line 9848 "configparser.cc"
    break;

  case 1257: /* $@564: %empty  */
#line 1693 "configparser.yy"
                                               { dir_preset.show_hidden = false; }
#line 9854 "configparser.cc"
    break;

  case 1259: /* $@565: %empty  */
#line 1694 "configparser.yy"
                                          { dir_preset_filter = NM_Filter(); }
#line 9860 "configparser.cc"
    break;

  case 1260: /* $@566: %empty  */
#line 1695 "configparser.yy"
                                                       { dir_preset.filters.push_back( dir_preset_filter ); }
#line 9866 "configparser.cc"
    break;

  case 1263: /* $@567: %empty  */
#line 1698 "configparser.yy"
                                                    { dir_preset_filter.setPattern( (yyvsp[-1].strptr) ); }
#line 9872 "configparser.cc"
    break;

  case 1265: /* $@568: %empty  */
#line 1699 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::EXCLUDE ); }
#line 9878 "configparser.cc"
    break;

  case 1267: /* $@569: %empty  */
#line 1700 "configparser.yy"
                                                  { dir_preset_filter.setCheck( NM_Filter::INCLUDE ); }
#line 9884 "configparser.cc"
    break;

  case 1270: /* $@570: %empty  */
#line 1703 "configparser.yy"
                                { auto tfp = std::make_shared< HelpOp >();
                                  lconfig_fp1 = tfp;
                                }
#line 9892 "configparser.cc"
    break;

  case 1271: /* helpop: HELPOP_WCP LEFTBRACE_WCP $@570 RIGHTBRACE_WCP  */
#line 1706 "configparser.yy"
                      { lconfig_listcom.push_back( lconfig_fp1 ); }
#line 9898 "configparser.cc"
    break;


#line 9902 "configparser.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 1708 "configparser.yy"

/**/
int yymyparse(void)
{
  int erg;

  lconfig_error[0] = '\0';
  lconfig_linenr = 0;
  erg = yyparse();
  /* free all strings found by the lexer
     we don't need them anymore */
  lexer_cleanup();
  return erg;
}

int yyerror( const char *s )
{
  lconfig_cleanup();
  /* the following isn't really needed because yyerror is called inside the parser
     which itselve was started with yymyparse which will call it again
     but it doesn't hurt...*/
  lexer_cleanup();
  memcpy( lconfig_error, s, sizeof( lconfig_error ) );
  lconfig_error[ sizeof( lconfig_error ) - 1] = '\0';
  return 0;
}
